wInsight Overview

Deltek wInsight Overview

Welcome to Deltek® wInsight®, an earned value management tool specifically designed to make it possible for you to analyze performance measurement data and manage your projects proactively.

Most projects have a wealth of performance data that is expensive to generate but which remains underutilized and disseminated poorly. wInsight helps your organization integrate performance data to improve insight into project performance, streamline the process of project management, and enhance communications with customers. With wInsight, you can identify problem areas quickly, review performance trends graphically, generate statistical estimates at completion, and obtain feedback from team members. wInsight's sophisticated analysis capabilities and intuitive interface promote the sharing and utilization of performance measurement data among analysts, program managers, cost account managers, and Integrated Product Development (IPD) team members.

wInsight is a scalable system that easily integrates with a wide range of project management tools, including SAP®, Microsoft® Project®, Primavera® P3/SureTrak®, Deltek Open Plan® and Cobra®, Business Engine Micro-Frame® Program Manager (MPM), and IMC Millennium. For organizations that currently use a variety of these project management tools, wInsight provides a common database for analysis and reporting on all projects across the enterprise.

Before You Begin

If you are upgrading from an earlier version of wInsight, you must convert your database to use the newer version of the software. For instructions, see the wInsight Installation and Conversion Guide.

Key Features

The key features of wInsight include the following:

  • Sort Windows — Use sort windows to identify problem areas quickly. Sort window columns are customizable so that you can choose the metrics with which to manage. To control the rows (elements) displayed, use custom or pre-defined filters. For example, you could display only the rows for a given Integrated Product Development Team, or all the rows for a given IPD team that are more than 15% complete and have exceeded reporting thresholds.

  • Charts — Use charts to display historical trend data in a graphical presentation and project data trends into the future. wInsight supports a wide range of analysis and management charts, and makes it possible for you to create custom charts.

  • Reports — Use reports to display key performance data for each element. Reports include incremental values, cumulative values, statistical estimates at completion, and an "artificial intelligence" narrative that explains in plain English what the earned value data indicates.

wInsight also allows you to do the following tasks:

  • Generate the Cost Performance Report (CPR) to analyze baselines, Over Target Baseline (OTB) performance and independent estimates, and the Contract Funds Status Report (CFSR), which provides CFSR funding analysis

  • Enter data that supports two new metrics that are being used by government agencies to indicate the efficiency with which actual work has been accomplished when measured against the baseline (BEI), and project whether a program will achieve its baseline completion date without taking corrective action (CPLI)

  • Review earned value data in units of dollars, hours, equivalent persons (EQP), and other user-defined units

  • Update multiple chart and report windows after you select a new contract element

  • Open multiple contracts, periods of data, or structures for comparative analysis, with simultaneous display of sort, chart, and report windows

  • Resize sort, chart, and report windows to build custom views

  • Create custom reports

  • Update estimate at completion (EAC) fields in the wInsight database

  • Load and analyze large contracts

  • Generate Defense Contract Management Agency (DCMA) charts, designed to help you analyze and present the data you need to provide for government contracts, including newer metrics such as the Baseline Execution Index (BEI) and Critical Path Length Index (CPLI)

  • Use Office of the Secretary of Defense (OSD) Trip Wire metrics to identify contracts that are not performing as expected, and present these contracts on the Program Tripwires Summary report

  • Control access to data on reports via Publish Levels set by period and user

  • Transfer charts, filters, and views to other wInsight users

  • Apply database security

  • Incorporate compound filters to narrow data sets based upon parameters, such as project officer, cost account manager, integrated product team, level, WBS element, office symbol, or threshold breach

  • Associate linked files, which contain additional information, with an element that can be opened from within wInsight

Relationship Between wInsight and wInsight Administrator

In general, you use wInsight Administrator to update the wInsight database. Then Integrated Project Team members, cost account managers, project officers, and others analyze and update the estimate-at-completion numbers in the wInsight application.

wInsight Administrator provides the following database maintenance and data transfer capabilities for wInsight:

  • Contract Maintenance — This feature allows you to add, delete, rename, and modify contracts, contract elements, and periods of data.

  • Recalculate — This feature allows you to display recalculation options and recalculate all or selected contracts for any or all periods of data.

  • Import X12/XML — This feature allows you to select and import an ASC X12 839 Electronic Data Interchange (EDI) file(s) or an XML transfer file. This process creates a new contract, if required. You can import files in UN/CEFACT XML format; wInsight Administrator performs all necessary translations automatically.

  • Export X12/XML — This feature allows you to create an ASC X12 839 EDI file or an XML transfer file for a selected period of data. You can also export files in UN/CEFACT XML format.

Documentation

See wInsight Documentation for a list of the available wInsight and wInsight Administrator documentation.

Technical Support for wInsight

Deltek offers two toll-free support numbers:

  • North America: 1.877.HLP PROJ (1.877.457.7765)

  • Europe: +0800.077.8960

To view telephone support hours and schedules for all Deltek products, see the support section of the Deltek Web site:

http://www.deltek.com/customercare

Where do you want to begin?

If you are new to wInsight, we suggest that you begin with the Getting Started section of the help, which covers the basics, such as starting and exiting the application, navigating the Main window, customizing the Main window display, and using contract trees.

If you are an experienced wInsight user, you may want to start with one of the following topics:

  • Databases Overview

  • Contracts (Data Sets) Overview

  • Linked Files Overview

  • Sort Windows Overview

  • Filters Overview

  • Narrative Input Windows Overview

  • Charts Overview

  • Reports Overview

  • Estimates at Completion (EAC) Overview

  • Over Target Baseline (OTB) Analysis Overview

  • Printing Overview

  • Security Overview

  • Transferring Charts, Filters, and Views Overview

  • wInisight Formulas Overview


wInsight Documentation

The wInsight documentation set consists of the following:

  • Online help system — To access the help, click Help » Help Topics, or click [image] Help Topics.

  • wInsight Installation and Conversion Guide — If you are upgrading from an earlier version of wInsight, you must convert your database in order to use the newer version of the software.

  • wInsight Administrator Installation and Conversion Guide— If you are upgrading from an earlier version of wInsight Administrator, you must convert your database in order to use the newer version of the software.

  • wInsight Web Installation Guide — This document describes the procedures on how to install, set up, and customize wInsight Web.

If You Are Upgrading From an Earlier Version of wInsight

Information previously presented in the Utility Pack documentation is now available in the wInsight Administrator section of the online help system. For example, the Recalculate command and the instructions for importing and exporting data are part of the wInsight Administrator help.

Information previously delivered in print format is also now available in the online help, as summarized in the following table:

For information previously provided in this document: | See this topic in the online help:
wInsight Formulas | wInsight Formulas Overview
wInsight High Performance Guide for Oracle Databases | wInsight Oracle Performance Overview


Getting Started Overview

This section provides links to the overview of certain tasks that you can accomplish in wInsight, descriptions of the Main window and toolbars, and explanations of some basic operations to help you become familiar with this application:

  • Process Overview

  • Start wInsight

  • Exit wInsight

  • Main Window

  • Toolbars Overview

  • Customize the Main Window Display

  • Menu Structure Overview

  • Context Menus

  • Contract Trees

  • Copy wInsight Data to Other Applications

You may also be interested in the following topics in the Contracts (Data Sets) section of the help:

  • Contracts (Data Sets) Overview

  • Open a New Contract (Data Set)

  • Open Data Set Dialog

  • Close a Data Set


Process Overview

wInsight provides a wealth of data and metrics as well as analysis and reporting features to assist in the management of your project. However, there is no specific sequence of events that you must follow to conduct your analysis with wInsight. After you open a wInsight contract, you are free to look at any data or metrics, any chart or report at any time and in any sequence.

In general, you can use wInsight to perform the following tasks:

  • Analyze Projects

  • Enter Data

  • Present Findings

Analyze Projects

wInsight helps you analyze overall project performance:

  • Examine the various metrics, such as cost variance, in the Sort window

  • Toggle between the various data that are available, such as units or structures

    Structures

    Structures can be any of the following types:

    • Work breakdown structure (WBS)

    • Organization breakdown structure (OBS)

    • Integrated product team (IPT)

    • Other user-defined structures

    Click [image] to toggle the structure.

    Units

    Units can be any of the following types:

    • dollars

    • hours

    • equivalent persons (EQP)

    • other user-defined units

    Click [image] to toggle the units.

  • Review your favorite charts to see trends and projections

  • Review your favorite reports to see detailed data and projections

It also helps you analyze performance for the lowest-level elements:

  • Toggle from showing all elements to just the lowest level elements

  • Sort the Sort window by any criteria or field to locate problem elements

  • Filter the Sort window to focus on specific elements

  • Toggle between the various data that are available

  • Review your favorite charts

  • Review your favorite reports

Enter Data

Once you have conducted your analysis, you have the option to enter related information. You perform most data entry in wInsight Administrator; however, there are various types of information that you can enter in wInsight:

  • Planned and actual milestones — You can enter up to 10 milestones and display them on many wInsight charts.

  • CPR Format 5 narratives — Use narratives to explain variances, impacts, and corrective actions for elements that have broken contractual reporting thresholds.

  • User narratives — Enter general information about an element.

  • Scope of work narratives — Enter Work Breakdown Structure (WBS) dictionary information for each contract element.

  • Total contract level EAC and estimated completion date — These are estimates that the program manager is typically responsible for providing.

  • Lowest level element EACs — These are estimates that the analyst is typically responsible for developing.

Present Your Findings

wInsight provides many options for presenting your findings, such as the following:

  • Print the Sort window and your favorite charts and reports.

  • Copy and paste the Sort window, charts, and reports into a presentation application, such as Microsoft Powerpoint®.

  • Augment your presentation with custom charts and reports developed outside of wInsight.

Related Topics and Procedures

Getting Started Overview

Sort Windows Overview

Toggling the Display of Sort Window Data

Charts Overview

Reports Overview

Sorting the Sort Window Overview

Filters Overview

Chart Milestones Overview

Narrative Input Windows Overview

Printing Overview

Start wInsight

Exit wInsight

Main Window

Enter Level One EACs, Funding, and Management Reserve

Enter Lowest-Level EACs

Copy Information to Other Applications


Start wInsight

This section provides instructions on how to launch wInsight. Alternatively, if your desktop has the wInsight shortcut icon, double-click the icon to open the application.

To launch wInsight, complete the following steps:

  1. Click Start » All Programs » Deltek wInsight » wInsight. The wInsight application launches. A copyright notice displays, followed by the Tip of the Day message.

  2. Click OK. The Main window displays. If security is enabled, you can now log on to wInsight.

  3. On the Menu bar, click File » Select Database.

  4. From the Data Source drop-down list, select a data source.

A sample data source, called Sample, with a sample contract called MOH-2, comes with wInsight Administrator. If there are no available data sources in the Select Data Source drop-down list, you need to set up a wInsight database and create a data source connection to it. For more information, see Maintaining Databases Overview.

Related Topics and Procedures

Getting Started Overview

Process Overview

Exit wInsight

Main Window

Create a wInsight Data Source


Exit wInsight

This section provides instructions on how to close wInsight.

To exit wInsight, take one of the following actions:

  • On the Menu bar, click File » Exit.

  • In the upper right corner of the application window, click [image] Close.

Related Topics and Procedures

Getting Started Overview

Process Overview

Start wInsight

Main Window


wInsight Main Window

The wInsight Main window is composed of several elements as shown in the following screenshot:

Title Bar

The Title bar displays the active data set, including contract, period of data (date), structure, and units along with information about the active window. To move the Main window, click and drag the Title bar.

Menu Bar

The Menu bar, which is located at the top portion of the window, provides access to all wInsight functions and commands. You can invoke a menu item by clicking it, or by using the corresponding shortcut keys. For more information, see Menu Structure Overview.

Scroll Bars

Scroll bars is found in the right and bottom edges of the Sort window. The scroll boxes inside the bars indicate your vertical and horizontal location in the document. You can use the mouse to scroll to other parts of the document, or scroll the Sort window vertically.

Status Bar

The Status bar displays at the bottom of the Main window. To display or hide the Status bar, click Options » Status Bar.

The left side of the Status bar provides a menu item or menu item descriptions and toolbar descriptions, as well as status information during extended operations. The panes on the right side of the Status bar provide the following information:

  • Active Element Pane — This pane shows the WBS number and description of the active contract element.

  • Structure Pane — This pane shows the contract structure displayed in the active Sort window or Contract Tree window.

    Structures

    Structures can be any of the following types:

    • Work breakdown structure (WBS)

    • Organization breakdown structure (OBS)

    • Integrated product team (IPT)

    • Other user-defined structures

    Click [image] to toggle the structure.

  • Units Pane — This pane shows the units for the active data set.

    Units

    Units can be any of the following types:

    • Dollars

    • Hours

    • Equivalent persons (EQP)

    • Other user-defined units

    Click [image] to toggle the units.

  • Lowest/All Pane — This pane shows whether only lowest level elements or all elements display in the active Sort window. By default, all elements display.

  • Filter Pane — This pane shows the name of the filter applied to the active Sort window, or displays All Elements if no filter is active.

  • Rowset Pane — This pane shows the group of elements displayed in the active Sort window. For example, say only 10 rows are to be shown in the Sort window at one time. This pane might show 1-10 indicating that the first 10 rows are being displayed, or it might show 31-40 indicating that rows 31 through 40 are being displayed.

  • Total Rows Pane — This pane shows the total number of elements (thus, the total number of possible rows) in the contract structure displayed in the active Sort window.

Toolbars

Toolbars provide quick access to various wInsight functions.

Customizing the Main Window Appearance

You can open multiple windows within the Main window, resize windows, change the font (typeface) used onscreen, and save these settings for use in future wInsight sessions. For more information, see Customize the Main Window.

Related Topics and Procedures

Getting Started Overview

Process Overview

Start wInsight

Exit wInsight

Customize the Main Window Display

Toolbars Overview

Menu Structure Overview


wInsight Toolbars Overview

The icons on the wInsight toolbars provide quick access to a wide range of wInsight functions, such as sorting onscreen data, toggling between units, setting fonts, displaying the Contract Tree, and linking files.

Here is the list of wInsight Administrator toolbars:

  • Standard Toolbar

  • Dataset Toolbar

  • Rowset Toolbar

  • Browse Toolbar

  • Format Toolbar

  • Status Bar


wInsight Standard Toolbar

The wInsight Standard toolbar provides access to commonly used commands. You can drag the toolbar with the mouse and let it float freely as a window, or dock the toolbar at any edge of the Main window. If an icon's functionality is not available in a particular context, the icon is shaded.

Icon

Name

Description

Open

This command allows you to open a data set which is comprised of a contract, period of data, structure, and units. It allows you to open and display multiple data sets at the same time.

Units

Units can be any of the following types:

  • dollars

  • hours

  • equivalent persons (EQP)

  • other user-defined units

Click [image] to toggle the units.

Save

This command allows you to save changes in the active window to the database. This icon is available only when a narrative entry screen is the active window.

Print

This command allows you to print the contents of the active window (chart, report, or Sort window) to the currently selected printer.

Before printing, make sure you have the right page size and printer orientation set. If the output has more than one page, a dialog box prompts you for the page numbers to be printed. After you select the print option and specify the pages to be printed, the Cancel Printing dialog box displays so that you have the opportunity to cancel printing in the middle of the printing operation, if you should need to do so.

Copy

This command allows you to copy the current window or selection to the clipboard. This command is unavailable if there is no data currently selected. Copying data to the clipboard replaces the contents previously stored there.

Paste

This command allows you to insert a copy of the clipboard contents at the insertion point or into the current window. This icon is unavailable if the clipboard is empty.

Go To

This command allows you to display the Go To dialog box, which you use to locate and activate a specified element or row in the Sort window or Contract Tree.

WBS/Desc Toggle

This command allows you to toggle the Description column (ElemDesc) or the Long Description column (LongDesc) in the active Sort window between displaying WBS numbers or element descriptions. This icon displays only when a Sort window is active.

Lowest/All Toggle

This command allows you to toggle the active Sort window to display only the lowest-level elements or all elements in the data set. If you applied a filter, this toggle affects only the filtered data set.

Indent Toggle

This command allows you to toggle between the element descriptions being left justified or the element descriptions being indented according to the contract hierarchy.

Sum Toggle

This command allows you to hide or display a row containing column totals for the active Sort window.

Sort

This command allows you to toggle display the More Sorts dialog box, which you use to specify a multi-level sort (a sort within a sort). You can sort the Sort window on any field which can appear in the Sort window (even if that field is not displayed in the Sort window). Select a field to sort on and click OK.

Filter

This command allows you to use to narrow a data set based upon user-defined parameters such as a WBS number, element description, project officer, or threshold breach. Click this icon if you want to select or define a filter for the active Sort window. See Filters Overview for more information.

Views

A view is a default or user-defined selection and arrangement of columns in a Sort window, including for each column the field displayed, the column title, and the column width.

wInsight allows you to create and save custom views, and use this icon to switch between views on the fly.

Charts

This command allows you to select, modify, and delete existing charts, or to create user-defined analysis charts.

Range

This command allows you to adjust the minimum and maximum values on the y-axis of charts and to adjust scaling (thousands, millions, and so on). This icon is available only when a chart is active. On the Range dialog box, enter the minimum and maximum values for the range and click OK.

Zoom Toggle

This command allows you to toggle the active chart between a 12-period view and an all-periods view of the data. This icon is available only when a chart is active.

EAC Fcst (Forecast)

This command allows you to display the Element EAC dialog box, which you use to enter the analyst's estimate at completion (EAC) and supporting rationale. You can specify best case, most likely, and worst case estimates in any units. This command is applicable for lowest-level elements only.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Format 5 Input

This command allows you to display the Format 5 Input dialog box, which you use to enter a narrative analysis regarding the status of an active element. The report should explain variances and discuss the cause of the problem, as well as the impact to the cost and schedule at completion. The narrative should also describe corrective actions for elements that have broken contractual reporting thresholds.

User Input

This command allows you to display the User Narrative Input dialog box, which you use to enter a narrative regarding the active element. User narratives are intended for information not falling into one of the other narrative categories (such as the Format 5 narrative or Scope of Work narrative).

Linked File

This command allows you to display the Linked File dialog box, where you can link each element in each period to an external file, such as a document or presentation file. If the specified file is associated with an application, the application can be launched and the file opened directly from within wInsight.

Tree

This command allows you to open the Contract Tree, which displays the hierarchy of elements for the active structure of the active contract.

Help Topics

This command allows you to display the wInsight Help system.

Location

To display the Standard toolbar, click Options » Toolbars » Standard.

Related Topics and Procedures

Toolbars Overview

Getting Started Overview

Options Menu


wInsight Dataset Toolbar

Use the wInsight Dataset toolbar to switch contracts, periods of data, structures, and units without changing the arrangement or settings of active windows. Filters, sorts and other options are retained, and any open graphs or reports are automatically updated to the new data set. You can drag the toolbar with the mouse and let it float freely as a window, or dock the toolbar at any edge of the Main window.

Icon/Field

Name

Description

Contract Drop List

This field indicates the contract for an active data set, and provides a pick list of contracts from which you may select.

Period Drop List

This field indicates the period of data for the active data set, and provides a pick list of periods from which you may select for the selected contract.

Structure Toggle

This button indicates the structure for the active data set. It also allows you to toggle among the following contract structures:

  • Work breakdown structure (WBS)

  • Organization breakdown strucuture (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Unit Toggle

This button indicates the units for an active data set. It also allows you to toggle among the following units:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Location

To display the Dataset toolbar, click Options » Toolbars » Dataset.

Related Topics and Procedures

Toolbars Overview

Getting Started Overview


wInsight Rowset Toolbar

Use the Rowset toolbar to restrict the number of rows or elements displayed in the Sort window at one time and to view all the elements.

Icon | Name | Description
 | Last | This button allows you to display the last set of elements matching the current filter.
 | Next | This button allows you to display the next set of elements matching the current filter.
 | Previous | This button allows you to display the previous set of elements matching the current filter.
 | First | This button allows you to display the first set of elements matching the current filter.
 | Max Rows Input | This field allows you to specify the maximum number of rows to return at one time. Enter zero (0) to return all rows. Alternatively, you can set the maximum number of rows using the Row Limit dialog box.

Location

To display the Rowset toolbar, click Options » Toolbars » Rowset.

Related Topics and Procedures

Toolbars Overview

Getting Started Overview

Rowset Menu

Limit the Number of Rows Displayed


wInsight Browse Toolbar

The Browse toolbar provides Internet navigation features when viewing wInsight reports.

Icon | Name | Description
 | Back | This button allows you to return to the previously viewed page or selected report.
 | Forward | This button allows you to return to the page you were viewing before clicking Back.
 | Home | This button allows you to return to the selected report.
 | Stop | This button allows you to stop loading the current page.

Location

To display the Browse toolbar, click Options » Toolbars » Browse.

Related Topics and Procedures

Toolbars Overview

Getting Started Overview


wInsight Format Toolbar

The Format toolbar provides access to HTML text formatting commands in the Narrative Input windows. You can drag the toolbar with the mouse and let it float freely as a window, or dock the toolbar at any edge of the Main window. If an icon's functionality is not available in a particular context, the icon is shaded (grayed out).

Icon | Name | Description
 | Font | This button allows you to select a new font for the highlighted text.
 | Bold | This button allows you to toggle bold style for the highlighted text.
 | Italicize | This button allows you to toggle italics for the highlighted text.
 | Underline | This button allows you to toggle underlining for the highlighted text.
 | Left Align | This button allows you to align the current paragraph to the left.
 | Center Align | This button allows you to center the current paragraph.
 | Right Align | This button allows you to align the current paragraph to the right.
 | Number List | This button allows you to toggle the numbered list style for the current paragraph.
 | Bullet List | This button allows you to toggle the bulleted list style for the current paragraph.
 | Outdent | This button allows you to outdent a selected paragraph to the previous tab stop or the contents of the selected items to the left by one character space.
 | Indent | This button allows you to indent a selected paragraph to the next tab stop or the contents of the selected items to the right by one character space.
 | Hyperlink | This button allows you to insert a new hyperlink or edit one that you select.
 | Image | This button allows you to insert a new image at the insertion point or select an image for editing.

Location

To display the Format toolbar, click Options » Toolbars » Format.

Related Topics and Procedures

Toolbars Overview

Getting Started Overview

Format Menu

Font Dialog Box


wInsight Status Bar

The Status Bar displays at the bottom of the wInsight Main window.

The left side of the Status Bar provides either a menu item or menu item descriptions and toolbar descriptions, as well as status information during extended options. The seven panes on the right side of the Status Bar provide information on the current program state.

Active Element Pane

This pane indicates the WBS number and description of the active contract element.

Structure Pane

This pane indicates the structure displayed in the active Sort window or Contract Tree window.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

Units Pane

This pane indicates the units for the active data set.

Units

Units can be any of the following types:

  • dollars

  • hours

  • equivalent persons (EQP)

  • other user-defined units

Click [image] to toggle the units.

Lowest/All Pane

This pane indicates whether only lowest-level elements (Lowest) or all elements (All) are displayed in the active Sort window. All elements displayed is the default mode.

Filter Pane

This pane indicates the name of the filter (or All Elements if no filter is active) applied to the active Sort window.

Rowset Pane

This pane indicates the group of elements displayed in the active Sort window. For example, if only 10 rows are being shown in the Sort window at one time, this pane can show 1-10 indicating that the first 10 rows are displayed, or 31-40 indicating rows 31 through 40 are displayed.

Total Rows Pane

This pane indicates the total number of elements (rows) displayed in the contract structure in the active Sort window.

Location

To display the Status bar, click Options » Toolbars » Status Bar.

Related Topics and Procedures

Toolbars Overview

Getting Started Overview


Customize the Main Window Display

The Main window is primarily a workspace for managing and containing other windows, such as Sort windows, charts, and reports.

To customize the Main window display, take any of the following actions:

  • Open and arrange multiple windows within the main window

  • Resize windows

  • Change fonts

Once you have your Main window configured, click File » Save Workspace to save your settings for your next wInsight session.


Open and Arrange Multiple Windows

One of the most powerful features of wInsight is the ability to display Sort, Chart, and Report windows simultaneously.

To display multiple windows within the Main window, complete the following steps:

  1. Click File » Open. The Open Dataset dialog box displays.

  2. In the Contract list and the Period list, select MOH-2 and January 04, respectively.

  3. Click OK. A single Sort window opens.

  4. On the Menu bar, click Charts » CPI. The Cost Performance Index chart displays.

  5. On the Menu bar, click Charts » Cumulative Variance. The Cumulative Variance chart displays.

  6. On the Menu bar, click Reports » AI. The Artificial Intelligence Narrative report displays.

  7. On the Menu bar, click Window » Cascade. All open windows display in an overlapping arrangement.

  8. Click the opened Sort window. wInsight places the Sort window in the upper left corner after the windows are tiled.

  9. Back on the Menu bar, click Window » Tile Horizontally or Window » Tile Vertically. The screen should look similar to the following example:

Related Topics and Procedures

Getting Started Overview

Customize the Main Window Display

Resize Windows

Save Your Main Window Display Settings


Resize Windows

You use standard Microsoft Windows commands and controls to minimize or maximize wInsight windows, or to restore them to their original settings.

You can also manually resize the original or restored sized window by clicking and dragging any one of its sides. For example, expanding the width of a standard-size Sort window by clicking and dragging its right side displays the Variance Analysis Report (VAR), Schedule Variance (SV), Cost Variance (CV), and Variance at Completion (VAC) columns, so that you can see additional information without having to use the scroll bars.

The following procedures work with any Sort, Report, Input, or Chart window.

To expand a window to full size, complete the following steps:

  1. Select a window. For example, in the Charts menu, select Cost Performance Index (CPI).

  2. Click [image] Maximize. The window fills the entire wInsight workspace.

To return the window to its original size, complete the following steps:

  1. Select the expanded window.

  2. Click [image] Restore Down. The window returns to its original size.

To turn a window into a miniature title bar, complete the following steps:

  1. Select a window.

  2. Click [image] Minimize. The window becomes a miniature title bar positioned at the bottom of the workspace in the wInsight Main window.

Related Topics and Procedures

Getting Started Overview

Customize the Main Window Display

Save Your Main Window Display Settings


Change Fonts

You can customize the font used to display text in selected wInsight windows. You set the font for Sort windows, Charts, and the Contract Tree on a window-by-window basis. The font settings you specify apply to the entire window and remain in effect until you change them.

Reports do not have this feature available.

To change the font assignment, complete the following steps:

  1. Select a window to be assigned a new font.

  2. Click Options » Font to display the Font dialog box.

  3. Define the font characteristics.

  4. When you are done, click either OK to accept your selections and apply the font, or Cancel if you want to dismiss the dialog box without applying your changes.

Related Topics and Procedures

Getting Started Overview

Customize the Main Window Display

Font Dialog Box

Save Your Main Window Display Settings


Save Your Main Window Display Settings

wInsight allows you to save a particular arrangement of windows and their options (called a workspace) to be restored automatically the next time you launch application. It also gives you the option to save and re-use multiple workspaces.

wInsight saves information about the open data sets and the open Sort windows, charts, reports, and their positions. The information includes the active element, sort, and filter in each Sort window as well as chart options. All data sets automatically update to the most recent period of data when you re-open them.

The Save Workspace commands do not save changes made to the contents of the Sort windows, such as additional columns that you inserted.

To save the workspace, complete the following steps:

  1. Open and arrange the data sets, charts, and reports.

  2. Set the Sort window options, such as the active element, sort, and filter.

  3. Set chart options, such as milestones and threshold colors.

  4. Select one of the following actions:

  • Click File » Save Workspace to save a single workspace.

  • Click File » Save Workspace As to save multiple workspaces via the Save As dialog box. Provide a name and location for the Save Workspace XML template file and click Save.

The next time you launch wInsight, the workspace displays according to these settings. wInsight automatically updates all data sets you open to the most recent period of data.

To clear a workspace, complete the following steps:

  1. Close all windows, either individually or by clicking Window » Close All.

  2. Click File » Save Workspace.

The next time you launch wInsight you will have to open a contract data set, open charts and reports, sort the data, and apply a filter.

To use a saved workspace, complete the following steps:

  1. Click File » Open Workspace. The Open dialog box displays.

  2. Select a Save Workspace XML template file, and click Open. The dialog box closes and wInsight re-opens and repositions the Sort windows, charts, and reports defined by the selected template according to the template's settings. wInsight also re-applies any sorts or filters that were active.

Related Topics and Procedures

Getting Started Overview

Customize the Main Window Display

Open and Arrange Multiple Windows

Resize Windows


Font Dialog Box

Use the Font dialog box to select the font, font style, font size, and script for use on the current window.

Font

This field either displays the current typeface or allows you to select a typeface in the list.

Font Style

This field either displays the current font style or allows you select a one of the following font styles:

  • Regular

  • Italic

  • Bold

  • Bold Italic

Font Size

This field displays the current font size or allows you to enter a font size in points.

Sample

This non-editable box displays an example of how your text appear.

Script

This field allows you to select a language script for a specified font in the list.

Location

To display the Font dialog box, take one of the following actions:

  1. On the Menu bar, click Options » Font....

  2. On the main spreadsheet or the Sort window, right-click anywhere to display the shortcut menu then click Font....

Related Topics and Procedures

Getting Started Overview

Customize the Main Window Display

Change Fonts

Save Your Main Window Display Settings


Menu Structure Overview

The Menu bar, located at the top of the Main window, provides access to all wInsight functions and commands using the following menus:

  • File Menu

  • Edit Menu

  • Sort Menu

  • Format Menu

  • Charts Menu

  • Reports Menu

  • Options Menu

  • Rowset Menu

  • Window Menu

  • Help Menu

You may also want to review how to use Shortcut Menus.


wInsight File Menu

The File menu contains commands for opening and closing data sets, printing windows, setting up security, and database and program maintenance. Some of the commands are available only before a data set is opened. Others are window-specific, available only when the appropriate window is active (such as a chart or report).

Menu Options

Icon

Keys

Description

Open

CTRL+S

This command, which can be accessed by clicking File » Open, opens a new data set within wInsight. A data set comprises a contract, period of data, structure, and units.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

When you click Open, wInsight displays a screen with the available contracts. Highlight and double-click the contract you want, or press ENTER. Then, select the period of data and the structure to be viewd, such as Work Breakdown Structure (WBS), Organizational Breakdown Structure (OBS), or Integrated Product Team (IPT). The name of the active data set displays on the Title bar.

You can have multiple data sets open at the same time.

See Contracts (Data Sets) Overview for more information.

Save As HTML

CTRL+S

This command saves the active report to an HTML file.

Close

ALT+F,C

This command, which can be accessed clicking File » Close, closes an active data set and all windows without quitting the application.

Page Setup

ALT+F,U

This command modifies printer settings, paper source, paper size, and paper margins for printing the content of an active window.

You install printers and configure ports through the Windows Control Panel. For information on installing printers, see your system documentation, or open PRINTER.DOC in your Windows subdirectory.

See Define the Page Setup for more information.

Print

CTRL+P

This command displays options, and prints all or part of the active window to the currently selected printer.

See Print a Sort Window, Chart, or Report for more information.

Print Preview

ALT+F,V

This command displays on the screen how the active window will look when printed. It is also used to check the header, footer, legend for position and wording, and margins.

Print Preview displays all elements in a Sort window, even if you selected only a subset, but the printed version includes only the selected elements.

See Preview Output for more information.

Select Database

ALT+F,D

This command, which can be accessed by clicking File » Select Database, displays the Select Data Source dialog box, wherein you select the contract database.

See Select a wInsight Database for more information.

Set Password

ALT+F,P

This command modifies the password of an active user, or enables or disables security.

See Set Password Dialog Box for more information.

User Maintenance

ALT+F,S

This command is used to add, delete, and edit users and user permissions, or to clear a user's password.

Only the administrator or Admin user can add, delete, or edit users. However, any wInsight user can assign permissions to contracts in which he or she has write access.

See User Maintenance Dialog Box for more information.

Login as Another User

ALT+F,L

This command allows a new user to log on while wInsight is running.

See Application Login Dialog Box for more information.

Export Custom Items

ALT+F,E

This command creates an XML definition file for sharing chart, filter, and view definitions with other users.

Import Custom Items

ALT+F,I

This command imports chart, filter, and view definitions contained in an XML definition file.

See Import Custom Items Dialog Box for more information.

Open Workspace

ALT+F,W

This command opens a named workspace template (.XML) file. wInsight recreates the workspace, including opened windows, their positions, and any optional settings such as sorts and filters.

See Save Your Main Window Display Settings for more information.

Save Workspace As

ALT+F,E

This command saves the current settings for the active data to a named workspace template (.XML) file. Saved workspace items include open windows, their positions, and any optional settings (such as sorts and filters). When you open a saved workspace, wInsight automatically updates the active data set to the most recent period of data.

See Save Your Main Window Display Settings for more information.

Save Workspace

ALT+F,A

This command saves the current settings for the active data set until the next session, including open windows, their positions, and any optional settings (such as sorts and filters). wInsight recreates the last saved workspace when it is started and automatically updates the active data set to the most recent period of data.

See Save Your Main Window Display Settings for more information.

Utilities

ALT+F,U

This command contains other commands for importing, exporting, recalculating, backing up, and restoring data.

See Utilities Menu for more information.

1,2,3,4

This command displays a list of the last four data sets opened. To open a recently used data set, highlight the data set and double-click or press ENTER. If the data set has been removed from the wInsight database, an appropriate error message displays.

Exit

ALT+F4

This command closes the wInsight application.

Related Topics and Procedures

Getting Started Overview

Menu Structure Overview


wInsight and wInsight Administrator Utilities Menu

The Utilities menu is available in both wInsight and wInsight Administrator. The operation of the commands on the Utilities menu is identical but the location of the menu differs:

  • In wInsight, the Utilities menu is located on the File menu. The Utilities menu is available only when all windows are closed (except the main wInsight screen). Not all the options listed below are available from within wInsight. For those options that are available in both applications, the options function in the same way.

    To close all open windows in wInsight, select one of these actions:

    • Click File » Close.

    • Click Window » Close All.

  • In wInsight Administrator, the Utilities menu is located on the Main menu.

Mandatory Tasks

If you are using the Utilities menu from within wInsight Administrator, the overall sequence of events— in terms of having earned value data available for reporting and analysis— is discussed in the following topics:

  • Cost Performance Reports Procedural Overview

  • Contract Funds Status Reports Procedural Overview

If you are using the Utilities menu from wInsight, there are a few tasks that you must accomplish:

  1. Import data via an X12, XML, or UN/CEFACT XML transfer file.

  2. Recalculate the new data.

When you import data from a Deltek Connect product, such as Project Connect, recalculation of the data is automatic.

  3. Check the imported data using the Cost Performance reports (CPRs) and other views, charts, and reports in wInsight.

  4. Back up contractual data. This step is not strictly mandatory but it is highly recommended.

You are now ready to generate cost performance reports with wInsight Administrator, release the reports and contract data to customers and others at your firm, and analyze the data with wInsight.

Recommended Tasks

Deltek recommends that the data administrator perform the following tasks, typically on an as-required basis:

  • Transfer data electronically via X12, XML, or UN/CEFACT XML transfer files.

  • Back up and restore data.

The Utilities menu contains commands for importing, exporting, recalculating, backing up, and restoring data.

Menu Options

Keys

Description

Recalculate

ALT+U,R

This command allows you to display recalculation options that make it possible to recalculate the data for all or selected contracts, for any or all periods of data.

Export File

ALT+U,E

This command allows you to export data to a transfer file. wInsight Administrator supports the following transfer file formats:

  • ASC X12 Transaction Set 839 EDI Transfer File (X12 File)

  • XML transfer file, including a format for UN/CEFACT XML files

Import File

ALT+U,I

This command allows you to import data into the wInsight database, creating a new contract, if required. wInsight Administrator supports the following transfer file formats:

  • ASC X12 Transaction Set 839 EDI Transfer File (X12 File)

  • XML transfer file, including a format for UN/CEFACT XML fileS

Backup

ALT+U,B

This command allows you to create an archive file for the specified contract or set of contracts.

Restore

ALT+U,S

This command allows you to restore a contract or contracts from an archive file.

Define User Fields

ALT+U,D

This command displays the Define User Fields dialog box, which allows you to create, view, and delete user-defined fields.

Copy Forward

ALT+U,C

This command displays the Copy Forward dialog box, which allows you to copy from one reporting period to another various narratives (Format 5, User, and EAC), independent EACs, Funding, and Management Reserve information that are entered in wInsight.

Launch Tree Mgr

ALT+U,T

This command provides a capability to click and drag elements around in a structure, and the capability to add and delete elements.

Launch WbsMap

ALT+U,W

This command provides the capability to link WBS elements to elements in other structures. This capability allows data for the linked elements to be derived from WBS element data.

Run Script

ALT+U,N

This command allows you to select and display the Script Arguments dialog box of an appropriate script.

A number of scripts supporting various functions are provided. Additional custom scripts can be created (outside of wInsight Administrator) and configured to display automatically on the Run Script menu.

Custom Script

This command activates a selected script.

Browse

ALT+U,N,B

This command displays the Browse dialog box for selecting a script to run.

Related Topics and Procedures

Recalculate Command Overview

Importing Data Overview

Exporting Data Overview

Back Up a Contract

Restore a Contract

User-Defined Fields Overview

Contract Setup Overview

Tree Manager Dialog Box

Earned Value Data Entry with WBS Mapper

WBS Mapper Dialog Box

Running Custom Scripts Overview


wInsight Edit Menu

The Edit menu contains commands for editing text and transferring data between applications.

Menu Options

Icon

Keys

Description

Cut

CTRL+X

This command removes the current selection and move it to the clipboard.

This command is unavailable if there is no data selected. Moving data to the clipboard replaces the current contents.

Copy

CTLR+C

This command copies the current selection to the clipboard.

This command is only available while you are working one of the narrative Input windows (such as Format 5, User Narrative, or Scope of Work), and you have selected data. Moving data to the clipboard replaces the current contents.

Paste

CTRL+V

This command inserts the contents of the clipboard, replacing any highlighted selection. This command is not available if the clipboard is empty.

Select All

CTRL+A

This command selects the entire contents of the active window, usually in preparation for formatting or copying.

This command does not affect the chart, report, or input windows. Click anywhere within the window to clear everything.

Clear All

ALT+E,L

This command clears any selections you may have made in an active window.

This command is only available in narrative Input windows, such as Format 5, User Narrative, or Scope of Work.

Go To

CTRL+G

This command displays the Go To dialog box, which you can use to locate and activate a specified element or row in the Sort window or Contract Tree.

Related Topics and Procedures

Getting Started Overview

Menu Structure Overview


Sort Menu

wInsight Sort Menu

The Sort menu contains commands for sorting contract elements according to specific criteria.

  • You can use the sort commands to locate and assess the magnitude of problems. For example, use the sort commands to bring the worst cost, schedule, or variance at completion performers to the top of the Sort window.

  • You can base sorts on current period or cumulative data in dollars, hours, equivalent persons, or percent, or by almost any field in the database. You can have multiple Sort windows open for different data sets, and have each Sort window based on different sort parameters for comparison purposes.

See Sorting the Sort Window Overview for more information.

Sample Comparison

For example, you can compare the Cost Variance (CV) value to the Variance at Completion (VAC) value to determine if performance is expected to improve, worsen, or stay constant for the work remaining. A red Cost Variance color code with a green Variance at Completion color code is a flag that the element's Estimate at Completion (EAC) may be too optimistic.

Menu Options

Icon

Keys

Description

WBS Number

ALT+S,B

This command arranges the contents of the active Sort window alphabetically according to the sort value (SortVal field) assigned to each element. The default value of the sort field is the WBS Number for the element.

This sort is useful for displaying a contract structure in a hierarchical manner (assuming that the numbering convention for the SortVal field is structured in that manner).

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

WBS Description

ALT+S,W

This command arranges the contents of the active Sort window alphabetically by the elements' short description (ElemDesc).

WBS Hierarchy

ALT+S,I

This command arranges the contents of the active Sort window by the WBS Hierarchy number (ElemHier, the parent-child-sibling relationship), in alphabetical order.

Schedule Var Cumulative

ALT+S,H

This command arranges the contents of the active Sort window by the cumulative schedule variance (SvCum), in ascending order. In other words, the elements at the top of the Sort window have the worst schedule variance values since the inception of the contract.

Schedule Var Cumulative %

ALT+S,E

This command arranges the contents of the active Sort window by the cumulative schedule variance percentage (SvpCum field), in ascending order. In other words, the elements at the top of the Sort window have the worst percentage schedule variance since the inception of the contract.

Schedule Var Cur

ALT+S,D

This command arranges the contents of the active Sort window by the current period schedule variance (SvCur), in ascending order. In other words, the elements at the top of the Sort window have the worst schedule variance for the current period.

Schedule Var Cur %

ALT+S,C

This command arranges the contents of the active Sort window by the current period schedule variance percentage (SvpCur), in ascending order. In other words, the elements at the top of the Sort window have the worst percentage schedule variance for the current period.

Cost Var Cumulative

ALT+S,U

This command arranges the contents of the active Sort window by the cumulative cost variance (CvCum), in ascending order. In other words, the elements at the top of the Sort window have the worst cost variance since the inception of the contract.

Cost Var Cumulative %

ALT+S,M

This command arranges the contents of the active Sort window by the cumulative cost variance percentage (CvpCum), in ascending order. In other words, the elements at the top of the Sort window have the worst percentage cost variance since the inception of the contract.

Cost Var Cur

ALT+S,T

This command arranges the contents of the active Sort window by the current period cost variance (CvCur), in ascending order. In other words, the elements at the top of the Sort window have the worst cost variance for the current period.

Cost Var Cur %

ALT+S,R

This command arranges the contents of the active Sort window by the current period cost variance percentage (CvpCur), in ascending order. In other words, the elements at the top of the Sort window have the worst percentage cost variance for the current period.

VAC

ALT+S,A

This command arranges the contents of the active Sort window by the variance at completion (Vac), in ascending order. In other words, the elements at the top of the Sort window are projected to have the largest cost overrun at completion.

VAC %

ALT+S,V

This command arranges the contents of the active Sort window by the variance at completion percentage (Vacp), in ascending order. In other words, the elements at the top of the Sort window are projected to have the largest percentage cost overrun at completion.

More Sorts

ALT+S,O

This command displays the More Sorts dialog box, on which you apply up to three custom sort criteria to the active Sort window. Regardless of the sort criteria selected, wInsight brings the elements with the worst condition for those criteria to the top of the Sort window. See Sorting the Sort Window Overview for more information.

Related Topics and Procedures

Getting Started Overview

Menu Structure Overview

Sort Windows Overview


Format Menu

wInsight Format Menu

The Format menu provides access to text formatting, hyperlink text, and image insert commands in narrative input windows. The Format menu is available only when a Narrative Input window is the active window; some commands may not be available in certain contexts.

Menu Options | Icon | Keys | Description
Font |  | ALT+M,F | This command selects a new font for the highlighted text.
Bold |  | ALT+M,B | This command toggles bold style for the highlighted text.
Italic |  | ALT+M,I | This command toggles italics for the highlighted text.
Underline |  | ALT+M,U | This command toggles underlining for the highlighted text.
Left |  | ALT+M,E | This command aligns the current paragraph to the left.
Center |  | ALT+M,C | This command aligns the current paragraph to the center.
Right |  | ALT+M,R | This command aligns the current paragraph to the right.
Bullet List |  | ALT+M,L | This command toggles the bulleted list style for the current paragraph.
Number List |  | ALT+M,N | This command toggles the numbered list style for the current paragraph.
Indent |  | ALT+M,D | This command indents a selected paragraph to the next tab stop or the contents of selected items to the right by one character space.
Outdent |  | ALT+M,O | This command outdents a selected paragraph to the previous tab stop or the contents of selected items to the left by one character space.
Hyperlink |  | ALT+M,H | This command inserts a new link or edit an existing hyperlink.
Image |  | ALT+M,M | This command inserts a new image at the insertion point or select an image for editing.

Related Topics and Procedures

Getting Started Overview

Menu Structure Overview

Font Dialog Box

Format Toolbar


wInsight Charts Menu

The Charts menu contains commands that display default and user-defined charts for an active element. You can resize charts in wInsight, and display them simultaneously with other charts, reports, or Sort windows. You can print or plot charts to any Windows compatible device, or copy them to the clipboard for pasting into other Windows applications.

Tie charts to the active element in the Sort window.

To update an open chart to a new element:

  1. Highlight the Sort window.

  2. Select the element.

If a Level 1 management chart is open and you make a lower-level element active, wInsight does not update the chart for the new element. Instead, wInsight displays a message that the chart is available only at Level 1.

Each chart automatically displays the most recent twelve periods of data. The Zoom command toggles the cumulative and current period variance charts, as well as the Schedule Performance Index (SPI), Cost Performance Index (CPI), and Estimate at Completion (EAC) charts, between a twelve-period and an all-periods view.

Access chart properties, such as zoom, range, and font, by right-clicking anywhere on the chart. Properties, such as font and copy, are available in all charts; other properties are unique to charts. The chart font type and size are editable. The font size automatically scales as you resize charts. When you copy and paste a chart into an application, such as Microsoft PowerPoint, you can adjust the font type, font size, and line widths.

Scrolling: Keyboard Shortcuts

You can view the the beginning of a contract by pressing the HOME key, or scroll one period at a time by using the LEFT or RIGHT ARROW keys.

For a table of the keystrokes you can use to scroll through the available periods of data, see Keyboard Shortcuts for Charts.

Menu Options

Menu Options

Icon

Keys

Description

Cumulative Variance

ALT+C,C

This command displays a chart showing cumulative Cost Variance (CV), Schedule Variance (SV), and Variance at Completion (VAC) for the active element, for all of the last 12 periods of data.

For more information, see Cumulative Variance Chart.

Cumulative Variance %

ATL+C,U

This command displays a chart showing cumulative Cost Variance Percentage, Schedule Variance Percentage, and Variance at Completion Percentage for the active element, for all of the last 12 periods of data.

For more information, see Cumulative Variance % Chart.

Current Variance

ALT+C,V

This command displays a chart showing current period Cost Variance and Schedule Variance for the active element, for all of the last 12 periods of data.

For more information, see Current Variance Chart.

Current Variance %

ALT+C,I

This command displays a chart showing current period Cost Variance Percentage and Schedule Variance Percentage for the active element, for all of the last 12 periods of data.

For more information, see Current Variance % Chart.

SPI

ALT+C,S

This command refers to the Schedule Performance Index. It displays a chart showing the current period and cumulative SPI for the active element, for all of the last 12 periods of data.

For more information, see Schedule Performance Index (SPI) Chart.

CPI

ALT+C,P

This command displays a chart showing the current period and cumulative Cost Performance Index (CPI), the To Complete Performance Index to the Budget at Completion (TCPI-BAC), and the To Complete Performance Index to the Estimate at Completion (TCPI-EAC) for the active element, for all of the last 12 periods of data.

Comparison of the cumulative CPI and the TCPI-EAC indicates the level of efficiency of the work performed to date versus the level of efficiency that must be achieved to meet the Estimate at Completion (EAC).

For more information, see Cost Performance Index (CPI) Chart.

EAC

ALT+C,E

This command display the Estimate at Completion chart, which shows the Budget at Completion (BAC), Estimate at Completion (EAC), and cumulative CPI statistical forecast EAC for the active element, for all of the last 12 periods of data.

For more information, see Estimate at Completion (EAC) Chart and Estimates at Completion Overview.

Custom Charts

ALT+C,H

This command selects or manages user-defined charts. You can create custom analysis charts to display performance data not captured by the standard charts.

For more information, see Custom Charts Overview.

Custom Charts

User-Defined Chart

This command activates a selected user-defined analysis chart.

Custom Charts

More Charts

ALT+C,H,M

Selecting More Charts from the Custom Charts menu displays the More Charts dialog box, on which you open, add, edit, and delete most wInsight charts.

For more information, see Custom Charts Overview.

DCMA Charts

Tracking Critical Path Length Index

The DCMA Tracking Critical Path Length Index chart graphically shows the likelihood of whether or not a program will achieve its baseline completion date.

For more information, see DCMA Tracking Critical Path Length Index Chart.

DCMA Charts

BEI and Monthly Percent Hit

This graph shows, on a period-by-period basis, whether the contract is hitting milestones and scheduled tasks on time. The graph shows planned cumulative values, actual cumulative values, and indications of the task hit/miss percentage (calculated as CurActualTasks / CurPlannedTasks).

For more information, see BEI and Monthly Percent Hit Chart.

DCMA Charts

C/S Variance Trends

This graph includes, along with cost variance values, schedule variance values, and the over target baseline amount, the contract budget base (CBB) and total allocated budget (TAB). Trend metrics can be useful in helping to determine whether a project is likely to result in an over target baseline (OTB) condition.

For more information, see DCMA Cost/Schedule Variance Trends Chart.

DCMA Charts

Contractor EAC Validity

This chart presents cumulative Cost Performance Index (CPI) and Cost Performance Index * Schedule Performance Index (CPI * SPI) statistics, along with Contract Budget Base/Total Allocated Budget (CBB/TAB) values, the Contractor’s Estimate-at-Completion (EAC) numbers, and the Program Manager’s estimates.

For more information, see DCMA Contractor EAC Validity Chart.

DCMA Charts

C/S Variance Trends (OTB)

The OTB version of the DCMA C/S Variance Trends chart shows variances since the over target baseline.

For more information, see DCMA Cost/Schedule Variance Trends (OTB) Chart.

DCMA Charts

Contractor EAC Validity (OTB)

The OTB version of the DCMA Contractor EAC Validity chart shows data since the over target baseline.

For more information, see DCMA Contractor EAC Validity (OTB) Chart.

Manpower

ALT+C,M

This command displays actual Manpower data for the most recent three periods and projected Manpower to the end of the contract. This chart is available for all organizational breakdown structure (OBS) elements; however, it is available only at the top level element for all other contract structures.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown strucuture (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

To remove the Budget at Completion (BAC) line, click Options » Hide BAC.

For more information, see Manpower Chart.

Cumulative Element Performance

ALT+C,L

This command displays cumulative Budgeted Cost of Work Scheduled (BCWS), Budgeted Cost of Work Performed (BCWP), and Actual Cost of Work Performed (ACWP), as well as Budget at Completion (BAC) and Estimate at Completion (EAC) for all past periods. You may need to Zoom out to see all periods. You can also see future period BCWS and Estimate to Complete (ETC) values.

For the Level 1 element (total contract), Management Reserve Budget at Completion (MR BAC) is evenly spread over the future periods and is included in the BCWS values plotted on the right side of the time now line.

For more information, see Cumulative Element Performance Chart.

Current Element Performance

ALT+C,N

This chart shows the following:

  • Current period Budgeted Cost of Work Scheduled (BCWS), Budgeted Cost of Work Performed (BCWP), and Actual Cost of Work Performed (ACWP)

  • Cost Variance (CV) and Schedule Variance (SV) for all past periods (use the Zoom out feature)

  • Budgeted Cost of Work Scheduled (BCWS) and Estimate to Complete (ETC) for future periods

For more information, see Current Element Performance Chart.

Bull's-Eye Chart

ALT+C,B

This command displays Cost Variance Percentage (CV%) Cumulative vs. Schedule Variance Percentage (SV%) Cumulative, or Cost Performance Index (CPI) Cumulative vs. Schedule Performance Index (SPI) Cumulative for all periods, for the active element.

For percent values, the center of the chart always has the following coordinates:

  • CV% = 0.0

  • SV% = 0.0

A variance value of 0.0 means that the actual costs or the actual work performed exactly equals the planned cost or schedule.

For index values, the center of the chart always has the following coordinates:

  • CPI = 1.0

  • SPI = 1.0

A cost or variance performance index equal to 1.0 indicates the actual costs or the actual work performed exactly equals the planned cost or schedule.

In either case, the central rectangle indicates +/- 10% boundaries.

For more information, see Bull's-Eye Chart.

Aggregate Bull's-Eye

ALT+C,G

This command displays a chart similar to that of the standard Bull's-eye chart, but with the most recent data points for all elements shown in the active Sort window. By contrast, the standard Bull's-eye chart displays all historical data points for a selected element.

The purpose of the Aggregate Bull's-eye chart is to compare how various cost account managers, elements, contracts, and so on are performing as compared to their peers.

For more information, see Aggregate Bull's-Eye Chart.

Cost/Schedule

ALT+C,O

This command displays the Cost/Schedule Variance chart. This chart is only available for the top level (Level 1) element. The chart displays trend lines of Cost Variance Percentage (CV%) and Schedule Variance Percentage (SV%), with the actual values displayed below.

Other notable items are the contractor and Government estimates at completion (primary units and percent), funding available/required, and Management Reserve.

You can display a narrative on the blank area in the lower portion of the chart. Enter text in the PMR Narr tab of the EAC/Funding/MR Inputs dialog box, which you can display by clicking Input » EAC/Funding.

This chart optionally displays thresholds color background.

For more information, see Cost/Schedule Variance Chart.

Contract Performance

ALT+C,F

This command displays the Contract Performance chart, which is available only for the Level 1 element. This chart displays Budgeted Cost of Work Scheduled (BCWS), Budgeted Cost of Work Performed (BCWP), and Actual Cost of Work Performed (ACWP). It also displays the contract start date, projected completion date, target cost, contractor Estimate at Completion (EAC), and Government EAC.

This chart optionally displays baseline data to contract completion.

For more information, see Contract Performance Chart.

C/S Variance Trends

ALT+C,T

This command displays the Cost/Schedule Variance Trends chart, which is only available for the top level (Level 1) element. This chart displays trend lines of Cost Variance, Schedule Variance, Management Reserve, and 10% threshold bands. It also displays the projected completion date with contractor and Government Variance at Completion (VAC). This chart optionally displays Total Allocated Budget (TAB), Initial Target Cost and Price, and Funds Available.

For more information, see Cost/Schedule Variance Trends Chart.

Army Cost/ Schedule Variance Trends

ALT+C,Y

This command displays the Army Cost/Schedule Variance Trends Chart, which is only available for the top level (Level 1) element. This chart displays the cost/schedule variances from the inception of the contract. It also displays the projected Variance at Completion (VAC) and completion date. This chart optionally displays Undistributed Budget.

For more information, see Army/Cost Schedule Variance Trends Chart.

Over Target Baseline Chart

ALT+C,A

This command displays a chart with a view of performance data that accurately displays the total cost and schedule variances after an over target baseline. The new zero line that displays on the chart for each over target baseline reset and is off-set by the amount of the cost variance adjustment.

No information displays in wInsight unless an over target baseline date has been entered in wInsight Administrator (in the LastOTB field of the CPR Header input spreadsheet). You must run a recalculation to populate the new adjusted over target baseline performance values.

For more information, see Over Target Baseline (OTB) Analysis Overview.

Independent Variance at Complete

ALT+C,I,I

This command displays a chart containing several key pieces of information related to estimate at completion and variance at completion projections. This includes plots of standard variances, total float in days, and a bar chart of various percentages for the budget at completion and estimate at completion. The chart also includes a variety of tabular performance data.

For more information, see Independent Variance at Completion (IVAC) Chart.

Baseline Analysis

ALT+C,B,B

This command displays a chart with up to three baselines. By default, the current baseline and the baselines from the prior two reporting periods are plotted.

For more information, see Baseline Analysis Chart.

Funding

ALT+C,F,F

This command displays a chart with up to three lines of the Contract Funds Status Report funding information. By default, the Contractor Funding Spread, CFSR Lind 12C (Open Commitments + Accrued Expenditures), and Custom Funding Spread are plotted.

For more information, see Funding Chart.

Contract Tree

ALT+C,R

This command displays the Contract Tree for the active data set, and provides a graphical, hierarchical view of a contract's structure, along with performance indicators for current and cumulative cost variance, schedule variance, and variance at completion. Tooltips assigned to the performance indicators display the amount of the variance. The Contract Tree performance indicators are interpreted the same as the Sort window performance indicators.

You can expand and collapse the Contract Tree to show the contract structure at any level, and use it to set the active element for a data set. If you change the active element in the Sort window, the active element is automatically highlighted in the Contract Tree window. The tree is scrolled and expanded as necessary to ensure the element is visible.

For more information, see Contract Tree Overview.

Related Topics and Procedures

Getting Started Overview

Menu Structure Overview

Charts Overview


wInsight Reports Menu

The wInsight Reports menu contains commands that display reports for an active element. wInsight allows you to perform any of the following tasks:

  • Resize reports

  • Display a report simultaneously with other reports, charts, or Sort windows

  • Print or plot reports to any Windows-compatible device

  • Copy a report into the clipboard, and paste it into other Windows applications

Reports are dependent on the active element. For more information, see wInsight Status Bar.

To update an open report for a new element, complete the following steps:

  1. Highlight the Sort window.

  2. Select the element desired.

If a Level 1 report, which is only available at the total contract level, is open and a lower-level element is made active, the report is not updated for the new element. Instead, it displays a message informing you that the chart is available only at Level 1.

You can access report commands, such as Copy and Font, by right-clicking anywhere on the Sort window. You can modify the current font type and size of the report.

Menu Options

Menu Options

Keys

Description

Artificial Intelligence Narrative

ALT+R,I

This option displays a report containing paragraphs of text based on the quantitative performance data and pre-defined (hard-coded) set of rules.

The first and second sections of the report focus on cumulative cost and schedule performance. The third section discusses the cost performance and to-complete performance indices. The fourth section lists statements regarding the status of the element.

For more information, see Artificial Intelligence Narrative Report.

Six Period Summary

ALT+R,S

This option displays a report containing detailed performance data and calculations for the last six periods.

The first section includes current period data, the second section displays cumulative data, the third section has completion data, and the fourth section displays the statistical estimates at completion. Settings for some of the statistical estimating formulas, which are set in wInsight Administrator, are indicated at the bottom of the report.

For more information, see Six Period Summary Report.

Validity

ALT+R,V

This option displays a report containing statements based upon a set of rules. These rules utilize simple mathematical checks to determine if the data appears to be valid.

For more information, see Validity Report.

Format 5 Narrative

ALT+R,F

This option displays a report containing narrative analysis on the status of the element supplied by the contractor. The report discusses the cause of the problem, corrective action being taken, and impact to the cost and schedule at completion.

The storage capacity of all narratives in wInsight has been increased from 32K to 64K worth of data. If a narrative exceeds the maximum capacity, an error message displays requesting you to remove some text or reduce formatting until you can store the data.

For more information, see Format 5 Narrative Report.

Scope of Work

ALT+R,W

This option displays a report that contains a narrative describing the scope of work for an active element. This report is also referred to as the Work Breakdown Structure (WBS) dictionary.

The storage capacity of all narratives in wInsight has been increased from 32K to 64K worth of data. If a narrative exceeds the maximum capacity, an error message displays requesting you to remove some text or reduce formatting until you can store the data.

For more information, see Scope of Work Report.

User Narrative

ALT+R,U

This option displays a report containing narrative input entered for an active element. This report contains general information about an element, and should not be used to report Format 5 narratives.

The storage capacity of all narratives in wInsight has been increased from 32K to 64K worth of data. If a narrative exceeds the maximum capacity, an error message displays requesting you to remove some text or reduce formatting until you can store the data.

For more information, see User Narrative Report.

Element of Cost

ALT+R,E

This option displays a report containing element(s) of cost and their variances for an active contract element. Elements of cost are data categories, such as labor, material, travel, and subcontractor. You define elements of cost along with other data units, such as dollars and hours, in the Units spreadsheet in wInsight Administrator.

For more information, see Element of Cost Report.

Custom Reports

ALT+R,P

This option displays commands for selecting and managing user-defined reports. You can create custom reports to display performance data not captured by the standard reports. Selecting More Reports from the Custom Reports menu displays the More Reports dialog box which you use to open, add, edit, and delete most wInsight reports.

For more information, see Customizing Reports Overview.

Custom Reports User-Defined

This option activates the selected user-defined report.

Custom Reports More Reports

ALT+R,P,M

This option allows you to select, create, modify, and delete default and user-defined reports.

Executive Summary

ALT+R,X

This option displays a report containing contract value, period of performance, and other contractual data. It also displays the last two periods of performance indicators and various estimates at completion. This report is only available for the Level 1 element.

For more information, see Executive Summary Report.

OMB Table IIA Report

ALT+R,O

This option displays the OMB Table IIA report based on the imported schedule data and OMB mapping, which you set up in wInsight Administrator.

For more information, see OMB Table IIA Report.

OMB Change Report

This option displays the OMB Change report that highlights the changes between the current period's OMB Table IIA report and the previous period's OMB Table IIA report.

For more information, see OMB Change Report.

CFSR

ALT+R,C

This option displays commands for selecting Contract Funds Status Reports analysis reports.

CFSR

Reconciliation

This option displays a report containing a number of comparisons between Contract Funds Status Report and Cost Performance Report data at level one of the contract. Any inconsistencies should be examined and/or explained to ensure consistent data has been entered.

For more information, see CFSR Reconciliation Report.

CFSR

Contractor Spread

This option displays a report containing contract/supplier-provided, time-phased funding requirements.

For more information, see CFSR Funding Requirements Contractor Spread Report.

CFSR

Automated Spread

This option displays a report containing wInsight-generated, time-phased funding requirements. wInsight takes the contractor's time-phasing of funding requirements and spreads the funding request to the government's Estimated Price at Completion (EPC) number as opposed to the contractor's EPC.

For more information, see CFSR Funding Requirements Automated Spread Based on EPC Report.

CFSR

Custom Spread

This option displays a report containing user-defined, time-phased funding requirements.

For more information, see CFSR Funding Requirements Custom Spread Report.

CFSR

Summary Spread

This option displays a report containing information from the CFSR Contractor Spread, Automated Spread, and Custom Spread reports for comparison purposes.

For more information, see CFSR Funding Requirements Spread Summary Report.

DCMA Reports

This option displays commands for selecting DCMA (Defense Contract Management Agency) reports.

DCMA Reports

Program Tripwires Summary

This option displays a report that indicates the efficiency with which planned work is being accomplished as well as how the schedule is progressing relative to its baseline estimate.

It also contains a narrative that explains the metric results. The storage capacity of all narratives in wInsight has been increased from 32K to 64K worth of data. If a narrative exceeds the maximum capacity, an error message displays requesting you to remove some text or reduce formatting until you can store the data.

For more information, see Program Tripwires Summary Report.

DCMA Reports

PMB Revisions

This option displays a report that shows whether the baseline values vary significantly over time.

For more information, see PMB Revisions Report.

DCMA Reports

CPLI Milestone

This option displays a report containing milestone data available for computation of CPLI metrics in wInsight.

For more information, see CPLI Milestone Report.

Related Topics and Procedures

Getting Started Overview

Menu Structure Overview

Reports Overview


wInsight Options Menu

The Options menu contains commands to modify the display of the active window. In general, the commands available on the Options menu are different for each type of window. For example, the Zoom command only appears for chart windows, and the Lowest Only command only appears for Sort windows.

Menu Options

Menu Options

Icon

Keys

Description

Toolbar

ALT+O,B

This command contains options for displaying various wInsight toolbars. A check mark next to the item indicates that the toolbar is displayed. Each toolbar option is discussed below.

  • Standard

ALT+O,B,S

This option shows or hides the Standard toolbar, which provides quick access to some of the more frequently used (and most powerful) features in wInsight.

See Standard Toolbar for more information.

  • Dataset

ALT+O,B,D

This option shows or hides the Dataset toolbar, which you use to change the active data set (a different contract, period, structure, or units).

See Dataset Toolbar for more information.

  • Rowset

ALT+O,B,R

This option shows or hides the Rowset toolbar, which you use to restrict the number of rows/elements displayed in the Sort window at one time and to view all the elements.

See Rowset Toolbar for more information.

  • Browse

ALT+O,B,B

This option shows or hides the Browse toolbar, which provides Internet navigation features for viewing wInsight reports.

See Browse Toolbar for more information.

  • Format

ALT+O,B,F

This option shows or hides the Format toolbar, which provides word processing features for entering narrative text.

See Format Toolbar for more information.

Status Bar

ALT+O,T

This option shows or hides the Status bar. A check mark next to the item indicates that the Status bar is displayed. The Status bar displays the active element that all charts, reports, and Estimate at Completion inputs relate to.

Sort

ALT+O,S

This command contains options for selecting columns to sort on and for creating custom sorts. Sorting rearranges the contents of the Sort window based on the field (criteria) selected; you can use sorting to find "problem" elements. Regardless of the sort criteria selected, wInsight brings the elements with the worst condition for that criteria to the top of the Sort window.

See Sort Windows Overview for more information.

  • Column Name

ALT+O,S,First letter of column name

This option lists the columns defined by the active view. Selecting a column name from the menu sorts the Sort window by that column (by the data contained in that column). The active sort is indicated with a check mark (if the column used for sorting appears in the menu list).

See Working with Sort Window Columns Overview for more information.

  • More Sorts

ALT+O,S,M

This option displays the More Sorts dialog box on which you apply up to three custom sort criteria to the active Sort window.

Filter

ALT+O,F

This command contains options for selecting and managing filters. Use filters to narrow a data set down to just those elements of interest, based upon user-defined conditions. Use this command determine the active filter and to create, apply, modify, and delete filters.

See Filters Overview for more information.

  • All Elements

ALT+O,F,A

This option displays all contract elements, removing any active filter. A check mark next to All Elements indicates that it is the active filter.

  • User Filter

ALT+O,F,First letter of the filter name

This option activates the selected user-defined filter. The active filter is indicated with a check mark (if it appears in the menu list).

  • More Filters

ALT+O,F,M

This option allows you to select, create, modify, and delete user-defined filters.

View

ALT+O,V

This command contains options for selecting and managing views. Use to apply different views to a data set. When a view is applied to a data set, wInsight replaces the current columns in the Sort window with the columns specified in the view. Only columns specified in the view are shown in the Sort window.

See Working with Views (Custom Sort Windows) Overview for more information.

  • Standard

ALT+O,V,S

This option displays the standard wInsight view.

  • User View

ALT+O,V,First letter of the filter name

This option activates the selected user-defined view.

  • More Views

ALT+O,V,M

This optio selects or saves the column settings for the active Sort window, lets you create and delete user-defined views, displays previously saved views, and allows you to specify a default view.

Toggle

ALT+O,G

This command contains options for switching the display of the active Sort window between several default states.

See Toggling the Display of Sort Window Data Overview for more information.

  • Work Breakdown Structure/ Description

ALT+O,G,W

This option toggles the Description column (ElemDesc field) between showing WBS numbers and element titles. This option displays only when a Sort window is active.

  • Lowest/All

ALT+O,G,L

This option toggles the display between all elements and lowest-level elements only. The All/Lowest Status Bar pane indicates the current setting. If a filter has been applied, this toggle only affects the filtered data set.

  • Indent/ Unindent

ALT+O,G,I

This option aligns or indents the Description column (ElemDesc field) according to element level to the left. Sorting by Work Breakdown Structure hierarchy and indenting provides a clear indication of the parent-child-sibling relationships between contract elements.

Column

ALT+O,C

This command contains options for customizing the column display of the active Sort window. You can redefine Sort window columns, insert new columns, or delete columns. First select a column by clicking on a column title or by placing the cursor somewhere in a column.

See Working with Sort Window Columns Overview for more information.

  • Define

ALT+O,C,D

This option displays or allows you to edit the field, title, and width of the selected column.

  • Insert

ALT+O,C,N

This option inserts a new column with user-specified field, title, and width.

  • Delete

ALT+O,C,E

This option removes the selected column.

Freeze/Unfreeze Panes

ALT+O,Z

This command locks the rows and columns above and to the left of the cursor position and changes the command to Unfreeze Panes. Invoking the command a second time unlocks the cells.

Summary Row

ALT+O,U

This command shows or hides a row giving column totals. Most charts and reports can be displayed for the summary row just as if it were an actual contract element.

Thresholds

ALT+O,H

This command allows you to display the Thresholds dialog box.

See Thresholds Dialog Box for more information.

Current/Cumulative

ALT+O,C

This command is only available when the Contract Tree is displayed. It toggles the display between current period and cumulative performance indicators.

See Sort Window Performance Indicators for more information.

Format

ALT+O,R

This command controls how numbers are displayed in the Sort window (for example, commas, decimals, negative numbers in red).

See Format Numbers for more information.

Font

ALT+O,O

This command displays the standard Windows screen to select the font type and size. The font for the active Sort window, report, or selection will be updated to reflect the new settings. All new Sort windows or reports are opened with the new font. The last font size selected for a window and report is saved as the default for each.

Optional Data

CTRL+D or ALT+O,D

This command shows or hides optional data for the active chart. A check mark next to the Optional Data command indicates that optional data is displayed. The optional data displayed may be different for each chart.

Milestones

CTRL+M or ALT+O,M

This command shows or hides milestones for the active chart. A check mark next to the Milestones command indicates that milestones are displayed.

See Chart Milestones Overview for more information.

Ticks

CTRL+T or ALT+O,T

This command shows or hides data tick marks for the active chart. A check mark next to the Ticks command indicates that tick marks are displayed.

See Display Tick Marks for more information.

Zoom

CTRL+Z or ALT+O,Z

This command toggles between displaying all periods of data, or the most recent 12 periods of data, in the active chart. The Zoom command is only available for Analysis charts.

Range

ALT+O,R

This command sets a custom data range for the active chart. You can adjust the minimum and maximum values on the y-axis of charts. The Range command is available only when a chart is active. Enter the minimum and maximum range and click OK.

See Adjust the Vertical Scale for more information.

Define Chart

ALT+O,E

This command displays or allows you to edit the properties of the current chart, including data displayed, line color, line order, and legend text.

See Viewing Chart Information Overview for more information.

Define Report

ALT+O,D

This command changes the report definition template used for the active report. Report templates define the content and layout of a report.

See Customizing Reports Overview for more information.

Related Topics and Procedures

Getting Started Overview

Menu Structure Overview

Standard Toolbar


wInsight Rowset Menu

Use the Rowset function to define the number of rows/elements displayed in the Sort window at one time. This creates groups of elements; for example, the first group of 10 elements (elements 1 through 10), then the next group of 10 elements (elements 11-20), and so on. Restricting the number of elements displayed in the Sort window may be helpful for situations such as when system response time is unacceptable due to very large contract structures

After you define the number of rows to display in the Sort window, you must invoke a filter or sort to activated the row limit setting.

Menu Options

Menu Options | Icon | Keys | Description
Bottom |  | ALT+T,B | This command displays the last group of elements.
Next |  | ALT+T,N | This command displays the next group of elements.
Previous |  | ALT+T,P | This command displays the previous group of elements.
Top Command |  | ALT+T,T | This command displays the first group of elements.
Row Limit |  | ALT+T,R | This command allows you to display the Row Limit dialog box.

Related Topics and Procedures

Getting Started Overview

Menu Structure Overview

wInsight Rowset Toolbar


wInsight Window Menu

The Window menu contains commands to open, close, and arranging open windows.

Menu Options

Menu Options | Keys | Description
New Window | ALT+W,N | This command opens a new Sort window for the current data set. The new Sort window will contain the columns defined by the default view, and it will be sorted in the same way as the previously active Sort window is sorted. The font (style and size) will default to the previously opened Sort window.
Cascade | ALT+W,C | This command displays all open windows in an overlapping arrangement. The Title bar of each window will be visible.
Tile Horizontally | ALT+W,T | This command stacks all open windows horizontally in a non-overlapping arrangement. This feature is particularly useful in wInsight to view a Sort window with related charts and reports for the active element. To update the open charts and reports, select a new element using the Sort window.
Tile Vertically | ALT+W,I | This command aligns all open windows side-by-side in a non-overlapping arrangement. This feature is particularly useful in wInsight to view a Sort window with related charts and reports for the active element. To update the open charts and reports, select a new element using the Sort window.
Arrange Icons | ALT+W,A | This command aligns minimized windows at the bottom of the Main window.
Close All | ALT+W,L | This command closes all windows and data sets without exiting wInsight.
1,2,3... | ALT+W, Number (1 through ...) | This command lists open windows in the order in which they were opened. Click a window’s title to make it active. The active window is indicated with a check mark and the Title bar in the active window will be highlighted.

Related Topics and Procedures

Getting Started Overview

Menu Structure Overview


wInsight Help Menu

The Help menu contains commands for displaying online Help and information about wInsight.

Menu Options

Menu Options | Icon | Keys | Description
Help Topics |  | F1 or ALT+H,H | This command displays wInsight online Help. From the opening screen, you can jump to step-by-step instructions for using wInsight and various types of reference information.
What's This? |  |  | This command displays context-sensitive help.
Tip of the Day |  | ALT+H,P | This command displays a suggestion for using wInsight effectively. Use Show Tips at Startup check box to display or hide the dialog box each time you start the program.
About wInsight |  | ALT+H,A | This command displays version, copyright, and user registration information for this copy of wInsight.

Related Topics and Procedures

Getting Started Overview

Menu Structure Overview


Display Shortcut Menus

wInsight offers shortcut menus displaying frequently used commands. In many cases, you may find these menus quicker and more convenient than the Menu bar or Standard toolbar. Shortcut menus are available in any open window and display unique functions for that window.

To display a shortcut menu, complete the following steps:

  1. Right-click anywhere on a window to display a shortcut menu.

  2. Select a command from the menu.


Contract Trees Overview

The Contract Tree window provides a graphical, hierarchical view of a contract's structure, along with performance indicators for current and cumulative cost variance, schedule variance, and variance at complete. Tool tips assigned to the performance indicators display the amount of the variance.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown strucuture (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

The Contract Tree displays all elements in the structure, even elements without performance data (which Sort windows do not display). These elements display with shaded performance indicators.

The Contract Tree window functions exactly as the Sort window in terms of performance indicators, setting the active element, and using the Go To command.

The Contract Tree also recognizes security settings. When security is enabled, the entire contract structure displays in the Contract Tree. However, elements that you do not have permission to see (or elements with no data) do not have any color or trend arrow performance indicators. The Overhead, Cost of Money, and Undistributed Budget elements provide a good example of this in the Contract Tree shown above.

You can expand and collapse Contract Tree to show the contract structure at any level, and use it to set the active element for a data set by double-clicking on an element. If the active element is changed in the Sort window, the active element is automatically highlighted in the Contract Tree window. The tree is scrolled and expanded as necessary to ensure the element is visible.

Related Topics and Procedures

Getting Started Overview

Display a Contract Tree

Expand a Contract Tree

Collapse the Contract Tree

Toggle Between Cumulative/Current Period Data

Contract Tree Keyboard Assignments


Display a Contract Tree

Use this procedure to display the contract tree.

To display the Contract Tree, take one of the following actions:

  • Click [image] Contract Tree on the Standard toolbar.

  • Click Charts » Contract Tree.

Related Topics and Procedures

Getting Started Overview

Contract Trees Overview


Expand a Contract Tree

Use these procedures to expand the Contract Tree on a branch-by-branch basis, providing you with a view of the contract structure at any level of detail. The following procedures apply to any standard Contract Tree list.

To expand the Contract Tree, complete the following steps:

  1. Display the contract tree.

  2. Highlight a branch that you want to expand. An expandable branch is indicated by a "+" symbol.

  3. You can expand the branch in any of the following ways:

  • Press the PLUS (+) key on the numeric keypad.

  • Press the RIGHT ARROW key.

  • Click the + symbol.

To expand all branches, complete the following steps:

  1. Display a contract tree.

  2. Highlight the top level element in the Contract Tree.

  3. Press the ASTERISK (*) key on the numeric keypad. The command is unavailable if the Contract Tree is fully expanded.

Related Topics and Procedures

Getting Started Overview

Contract Trees Overview


Collapse the Contract Tree

You can collapse the Contract Tree on a branch-by-branch basis to provide a view of the contract structure at any desired level of detail. The following procedures apply to any standard Contract Tree list.

To collapse the Contract Tree, complete the following steps:

  1. Display the Contract Tree.

  2. Highlight the branch that you want to collapse. A collapsible branch is indicated by a "-" symbol.

  3. You can collapse the branch in any of the following ways:

  4. Press the MINUS (-) key on the numeric keypad

  5. Press the LEFT ARROW key.

  6. Click the – symbol.

Related Topics and Procedures

Getting Started Overview

Contract Trees Overview


Toggle Between Cumulative/Current Period Data

The Contract Tree can display performance indicators based on cumulative data or current period data.

To toggle between Cumulative/Current Period Data, complete the following steps:

  1. Display the Contract Tree.

  2. Click Options » Current/Cumulative. The performance indicators are updated to reflect either cumulative or current period data. The [image] Current/Cummulative icon next to the menu command appears depressed to indicate that current period data is being displayed.

Related Topics and Procedures

Getting Started Overview

Contract Trees Overview


Contract Tree Keyboard Assignments

This section presents the following table describing keyboard assignments available in Contract Tree windows.

Keystroke | Action
LEFT ARROW | Collapses child elements, or moves to parent element
RIGHT ARROW | Expands child elements, or moves to first child
UP ARROW | Moves to previous visible element
DOWN ARROW | Moves to next visible element
HOME | Moves to first visible element
END | Moves to last visible element
KEYPAD* | Fully expands tree
KEYPAD+ | Expands children
KEYPAD– | Collapses children

Related Topics and Procedures

Getting Started Overview

Contract Trees Overview


Copy wInsight Data to Other Applications Overview

One of wInsight’s most useful features is the ability to copy data to other applications. This section provides quick access to several procedures that allow you to copy wInsight data.

  1. Copy Sort Window Data

  2. Copy a Chart

  3. Copy a Report

These instructions work with any application that supports the copy and paste functions of Microsoft Windows.

Charts are copied as complete objects, whereas selected elements in a Sort window and selected text in a report can be copied. Selecting is used to identify the chart, report, or Sort window rows and columns to be copied into other applications.

Related Topics and Procedures

Getting Started Overview

Copying Sort Window Data

Copying a Chart

Copying a Report


Copy Sort Window Data

Sort windows copy data in two formats, as follows:

  • Tab-delimited text

  • Scaleable, resolution-independent graphics

Many applications can receive both formats but select one or the other by default. Microsoft PowerPoint®, for example, pastes the graphic by default, while Microsoft Excel® pastes the text format by default.

There are several ways to accomplish this operation. Click Edit » Select All from the Edit menu to select the entire contents of the Sort window. Use the mouse or keyboard to select a single row or column or group of rows and columns.

This section provides two sets of procedures that allow you to copy wInsight data to sample applications.

To copy Sort Window Rows to MS PowerPoint, complete the following steps:

This example assumes Microsoft PowerPoint is open and displaying a blank slide. However, the following procedures will work with almost any application that can receive graphics.

  1. Activate a Sort window by clicking it with the mouse, or selecting it from the Window menu.

  2. Select the top five rows.

  3. Copy the selection by clicking [image] Copy on the Standard toolbar or by clicking Edit » Copy on the main menu.

  4. Switch to PowerPoint. While holding the ALT key down, press the TAB key until PowerPoint is active.

  5. Release both keys. If a blank slide is not visible, create one.

  6. Click Paste Special from the PowerPoint Edit menu. The Paste Special dialog box displays.

  7. Select Picture from the As: list and click OK. The selected rows displays as a graphic image.

  8. Resize the image. You can edit image components individually by double-clicking the image to convert it to a PowerPoint drawing.

To copy Sort Window Columns to MS Excel, complete the following steps:

This example assumes Excel is open and displaying a blank worksheet. However, the following procedures will work with almost any application which can receive tab-delimited text.

  1. Activate a Sort window by clicking it, or selecting it from the Window menu.

  2. Select the DESCRIPTION, SV (dollars), CV (dollars), and VAC (dollars) columns.

  3. Copy the selection by clicking [image] Copy on the Standard toolbar or by clicking Edit » Copy on the main menu.

  4. Switch to Excel. While holding the ALT key down, press the TAB key until Excel is active. Then release both keys.

  5. If a blank worksheet is not visible, create one.

  6. Click Paste Special from the Excel Edit menu. The Paste Special dialog box displays.

  7. Select Text from the As: list and click OK. The selected columns display as text and numbers in the worksheets cells.

  8. Manipulate the numbers and/or columns as needed.

Related Topics and Procedures

Getting Started Overview

Copy wInsight Data to Other Applications Overview


Copy a Chart

Chart windows are copied in a high quality, scaleable, resolution-independent format that can be pasted by many applications such as PowerPoint.

This section provides the following procedure that allows you to copy wInsight data to a sample application.

To copy a Chart to PowerPoint, complete the following steps:

This example assumes PowerPoint is open and displaying a blank slide. However, the following procedures will work with almost any application that can receive graphics.

  1. Activate a chart window by clicking it with the mouse, or selecting it from the Window menu.

  2. Copy the chart by clicking [image] Copy on the Standard toolbar or by clicking Edit » Copy on the main menu.

  3. Switch to PowerPoint. While holding the ALT key down, press the TAB key until PowerPoint is active.

  4. Release both keys. If a blank slide is not visible, create one.

  5. Click Paste Special from the PowerPoint Edit menu. The Paste Special dialog box displays.

  6. Select Picture from the As: list and click OK. The chart displays as a graphic image.

  7. Resize the image. You can edit chart components individually by double-clicking the chart to convert it to a PowerPoint drawing.

Related Topics and Procedures

Getting Started Overview

Copy wInsight Data to Other Applications Overview


Copy a Report

Copying a Report

Report windows copy data in a number of formats, as follows:

  • Tab-delimited text

  • Rich Text Format (RTF)

  • Hypertext Markup Language (HTML)

Many applications can receive all formats, but select one or the other by default, which you can override by using the Edit, Paste Special command.

Examples

Copying a Report to Microsoft Word®

This example assumes Microsoft Word is open and displaying an empty document. However, the following procedures will work with almost any application that can receive RTF, HTML, or Unformatted text.

  1. Select Six Period Summary from the Reports menu.

  2. Select the Current Period Data section by clicking and dragging the mouse so that the lines between PERIOD and CPI inclusive, are highlighted.

  3. Copy the report by clicking [image] Copy on the Standard toolbar or by clicking Edit » Copy on the main menu.

  4. Switch to Word. While holding the ALT key down, press the TAB key until MS Word is active.

  5. Telease both keys. If an empty document is not visible, open one.

  6. Click Paste Special from the Word Edit menu. The Paste Special dialog box displays.

  7. Select HTML Format or Formatted Text (RTF) from the As: list and click OK.

  8. Edit the report.

You may need to reduce the font size to prevent lines from wrapping. Use a non-proportional font if necessary to line up columns.

Copying Selected Text to Excel

This example assumes Excel is open and displaying a blank worksheet. However, the following procedures will work with almost any application that can receive tab-delimited text.

  1. Select Six Period Summary from the Reports menu.

  2. Select the Current Period Data section by clicking and dragging the mouse so that the lines between PERIOD and CPI inclusive are highlighted.

  3. Copy the selection by clicking [image] Copy on the Standard toolbar or by clicking Edit » Copy on the main menu.

  4. Switch to Excel. While holding the ALT key down, press the TAB key until MS Excel is active.

  5. Release both keys. If a blank worksheet is not visible, create one.

  6. Click Paste Special from the Excel Edit menu. The Paste Special dialog box displays.

  7. Select HTML from the As: list and click OK. The selected columns display as text and numbers in the worksheets cells.

  8. Manipulate the numbers and/or columns.

Related Topics and Procedures

Getting Started Overview

Copy wInsight Data to Other Applications Overview


Databases Overview

wInsight provides a number of facilities necessary to maintain your contract database. This section addresses the following topics related to database maintenance:

  • Select a wInsight Database

  • Create a New (Blank) Database

  • Create a wInsight Data Source

  • Repair and Compact a Database

  • wInsight Database Fields

Related Procedures

Back Up a Contract

Restore a Contract


Select a wInsight Database

Prior to accessing or viewing data in wInsight, you must be pointed at the correct database. You can maintain multiple databases and switch between them while wInsight is running.

See Create a wInsight Data Source for an explanation of the difference between a database and a data source.

The Select Database command is available only when all wInsight windows, except the Main window, are closed. Click Window » Close All to close all open windows.

To select a wInsight Database, complete the following steps:

  1. Start wInsight.

  2. Click File » Select Database.... The Select Data Source dialog box displays.

  3. Select a data source from the list.

  4. Click OK to select the highlighted data source, or Cancel to close the dialog box without selecting a wInsight data source.

When you click File » Open, the Open Data Set dialog box lists all contracts contained in the selected data source.

Related Topics and Procedures

Databases Overview

Create a New (Blank) Database

Create a wInsight Data Source

Repair and Compact a Database

wInsight Database Fields


Create a New (Blank) Database

This section contains procedures on how to set up several types of databases.

Setting up a Database

To set up a new database, complete the following steps:

  1. Create one of the following types of databases.

  • Microsoft Access®

  • Oracle®

  • SQL Server®

  2. Build a data source connection to that database.

Then, you can use wInsight Administrator to add contracts to the new database manually or to add contracts to the new database by importing transfer files.

Creating an MS Access Database

The BLANK65.MDB file is a wInsight 6.5 MS Access database that contains no contracts. Use BLANK65.MDB when you want to start a new group of contracts, without first having to delete existing ones.

To create an MS Access database, complete the following steps:

  1. Open Windows Explorer and search for BLANK65.MDB, which can be found in the C:\Program Files\Deltek\wInsight 6.5\data\Access folder by default.

  2. Copy the file to a desired location.

  3. In Windows Explorer, rename the copy of BLANK65.MDB.

Creating an MS SQL Server Database

To create a Microsoft SQL Server database, complete the following steps:

  1. Start Query Analyzer, and log on to the desired server.

  2. Open and run the scripts, which default location is C:\Program Files\Deltek\wInsight 6.5\data\MSSQL, in the following order:

  • WS65.SQL

  • CAL.SQL

  • COLS.SQL

  • MAINT.SQL

  • RECALC_PROCS.SQL

WS65.SQL creates a database named winst and a user named winst with a password winstpwd. If the selected server already contains this information, the script deletes and recreates it.

You can edit WS65.SQL if needed to suit local security policies. However, restricting user rights to the wInsight database may result in a loss of functionality.

Creating an Oracle Database

The scripts mentioned in this procedure only create the wInsight schema. Your database administrator (DBA) should have already created the necessary database and tablespaces.

To create an Oracle database, complete the following steps:

  1. Start SQL Plus, and log on to the server you want to use.

  2. Execute the following command:

@C:\Program Files\Deltek\wInsight 6.5\data\Oracle\build_winst.sql

The default location of the script is C:\Program Files\Deltek\wInsight 6.5\data\Oracle.

  3. Respond to the script prompts as required.

All database scripts must be present (except for the Update scripts) because BUILD_WINST.SQL calls the other scripts during the creation process.

WS65.SQL creates a database named winst and a user named winst with a password winstpwd. If the selected server already contains these objects, they are deleted and recreated. Default tablespace are used for user and temporary data.

You can edit WS65.SQL if needed to suit local security policies. However, restricting user rights to the wInsight database may result in loss of functionality.

Related Topics and Procedures

Databases Overview

Select a wInsight Database

Create a wInsight Data Source

Repair and Compact a Database

wInsight Database Fields


Create a wInsight Data Source

A data source is a named connection to a database. Before you can build a connection to a database, you must first have a database in which to connect.

For more information on setting up a new wInsight 6.x database, see Create a New (Blank) Database.

A data source is a nickname for a database. It is not the actual file name, such as SAMPLE.MDB, which is a wInsight Microsoft Access database. It also contains information about the location and its database type.

wInsight supports three types of databases:

  • Microsoft Access

  • Oracle

  • SQL Server

Data source definition information is stored in WSDATA.INI, which must be in the same directory as WSDSRC.DLL. The default location of the DLL file is in the following folder:

C:\Program Files\Deltek\wInsight 6.5\bin

wInsight uses a single database to store both cost and schedule data. wInsight provides a sample contract called MOH-2 and stores it in SAMPLE.MDB, an Access database. The data source for this database is WE:Sample.

To create a wInsight data source, complete the following steps:

  1. Start wInsight. Make sure no data sources are open. Click Window » Close All to close all open windows, if necessary.

  2. On the Menu bar, click File » Select Database.... The Select Data Source dialog box displays.

  3. Click Add. The New Data Source dialog box displays.

  4. Enter a name for the new data source, and click OK to display the Data Link Properties dialog box. The Provider tab displays by default.

  5. Select the appropriate database provider for your database:

  6. MS Access — Microsoft Jet 4.0 OLE DB

  7. Oracle — Microsoft OLE DB Provider for Oracle

  8. MS SQL Server — Microsoft OLE DB Provider for SQL Server

  6. Click Next to display the Connection tab. The Connection tab contents are different for each database provider.

  7. Select a database:

  • MS Access — Click the ellipses (...) button to browse and select a wInsight 6.x .MDB file.

  • Oracle — Obtain the Server Name and Database Name from your IT representative.

  • SQL Server — Obtain the Server Name and Database Name from your IT representative.

  8. Enter the corresponding user name and password for a database.

  9. MS Access — Enter Admin in the User Name field, leave the Password field blank, and select Blank Password option.

  10. Oracle — Obtain the user name and password from your IT representative. If there is a password, do not select the Blank Password option.

  11. SQL Server — Obtain the user name and password from your IT representative. If there is a password, do not select the Blank Password option.

Deltek recommends that you use the default wInsight user account for these databases – User name is winst and Password is winstpwd.

Allow Saving Password

  1. If this option is selected, the Password is encrypted and saved on disk.

  2. If this option is selected, you are not be prompted for the User Name and Password.

  3. If this option is not selected, you are prompted for the User Name and Password.

  4. In either case, you still have to get through application-level security, if it has been enabled.

Testing the Connection

  1. Deltek recommends that you click the Test Connection option to verify that the data source information is correct.

  2. When you are finished, click OK to close the Data Link Properties dialog box and return to the Select Data Source dialog box. The new data source should be selected.

  3. Click OK to close the Select Data Source dialog box.

Related Topics and Procedures

Databases Overview

Select a wInsight Database

Create a New (Blank) Database

Repair and Compact a Database

wInsight Database Fields


Repair and Compact a Database

If a database behaves unpredictably (possibly after a power loss, system crash, or unexpected shutdown) it may need to be repaired. Compacting or packing a database de-fragments the database file, recovers disk space previously used by deleted records, and may improve performance. You should compact your database after deleting a user-defined field.

To do this, you must utilize the repair and compact functions provided by the database application itself. wInsight does not provide them. Your database administrator should perform any needed database maintenance.

Since efforts to fix a database are not always successful, it is highly recommended that you periodically back up your contracts to minimize the possibility of data loss.

Related Topics and Procedures

Databases Overview

Select a wInsight Database

Create a New (Blank) Database

Create a wInsight Data Source

wInsight Database Fields

Back Up a Contract

Restore a Contract


wInsight Database Fields

This section describes several wInsight default fields and user-defined fields that allow you to perform the following tasks:

  • Define Sort window columns

  • Sort the Sort window

  • Filter the Sort window

  • Create custom charts

  • Enter element EACs using forecasting data fields

Summing Fields

Since version 6.0, you have been able to add user-defined fields to the wInsight database. However, because of the complexities involved in supporting MS Access, Oracle, and SQL Server databases, no user-defined fields can sum data up the structures.

As a workaround, ten numeric fields (field names in wInsight are Number1 through Number10) that sum values up the structures have been added to the Earned Value spreadsheet in wInsight Administrator. You must use the Recalculate command in wInsight Administrator to sum the data in these fields up the structures. In wInsight, you can display these fields on Sort windows and plot them on charts.

Field Definitions

Field

Definition

AcwpAdj

Current period Actual Cost of Work Performed adjustment

AcwpCum

Cumulative Actual Cost of Work Performed

AcwpCur

Current period Actual Cost of Work Performed

Alias

Not used

AmtBilled

Invoice Amounts Billed on the NASA 533M report, Block 5a

Analyst

Contract's (financial) analyst

ApprName

Approval authority's name

ApprOrg

Approval authority's organization

ApprTitle

Approval authority's title

AuthUnpr

Authorized unpriced work

AwdFeePaid

Award Fee that has been paid

AwdFeeRem

Award Fee remaining on the contract

Bac

Budget at Completion

BaselineRevDate

Baseline Revision Date at the bottom of the NASA 533M report

BaselineRevNum

Baseline Revision Number at the bottom of the NASA 533M report

BcwpAdj

Current period Budgeted Cost of Work Performed adjustment

BcwpCum

Cumulative Budgeted Cost of Work Performed

BcwpCur

Current period Budgeted Cost of Work Performed

Bcwr

Budgeted Cost of Work Remaining

BcwsAdj

Current period Budgeted Cost of Work Scheduled adjustment

BcwsCum

Cumulative Budgeted Cost of Work Scheduled

BcwsCur

Current period Budgeted Cost of Work Scheduled

CaoEpc

On-site Government representative's Estimated Price at Completion for the Performance Measurement Baseline

CaoSym

Acronym for the on-site Government representative

CBB

Contract Budget Base

ChgPct

Change threshold in percent - controls the arrows that appear in the color columns in the Sort window

Colors

Color indicators; single field color indicators are extracted from this string

ContrCeiling (Contract)

Original contract ceiling amount

ContrCeiling (Cpr)

Current contract ceiling amount

ContrCompl (Contract)

Original contract completion date

ContrCompl (Cpr)

Current contract completion date

ContrDefinit

Contract definitization date

ContrName

wInsight contract name

ContrNum

Contract number

ContrStart

Contract start date

ContrType

Contract type (Cost Performance Report or Cost/Schedule Status Report)

CPIAdj

Cumulative Cost Performance Index since the Over Target Baseline date

CPIAdjToEac

Cumulative CPI since the OTB date minus To Complete Performance Index to the Budget at Completion

CPICirAdj

Cumulative CPI since the OTB date color indicator:

  • B - blue

  • G - green

  • Y - yellow

  • R - red

CpiClrCum

Cumulative CPI color indicator:

  • B - blue

  • G - green

  • Y - yellow

  • R - red

CpiClrCur

Current period CPI color indicator:

  • B - blue

  • G - green

  • Y - yellow

  • R - red

CpiCum

Cumulative Cost Performance Index

CpiCum3

Three period moving average Cumulative Cost Performance Index

CpiCur

Current period Cost Performance Index

CPIDirAdj

Cumulative CPI since the OTB date trend indicator since the prior period:

  • D - down arrow

  • U - up arrow

  • F - flat arrow

CpiDirCum

Cumulative CPI trend indicator since the prior period:

  • D - down arrow

  • U - up arrow

  • F - flat arrow

CpiDirCur

Current period CPI trend indicator since the prior period:

  • D - down arrow

  • U - up arrow

  • F - flat arrow

CpiSpi

CPI*SPI statistical Estimate at Completion forecast formula

CpiSpiAdj

CPI since the OTB date*SPI since the OTB date statistical EAC forecast formula

CpiToBac

Cumulative CPI minus To Complete Performance Index to the Budget at Completion

CpiToEac

Cumulative CPI minus To Complete Performance Index and the Estimate at Completion

CpiToEacClr

Cumulative CPI minus TCPI-EAC color indicator:

  • B - blue

  • G - green

  • Y - yellow

  • R - red

CpiToEacDir

Cumulative Cpi minus TCPI-EAC trend indicator since the prior period:

  • D - down arrow

  • U - up arrow

  • F - flat arrow

CpiToEacTr

Cumulative CPI minus TCPI-EAC color flag and trend arrow

CpiToUserEac

Cumulative CPI minus TCPI-User EAC

CpiTrAdj

Cumulative CPI since the Over Target Baseline date color flag and trend arrow

CpiTrCum

Cumulative CPI color flag and trend arrow

CpiTrCur

Current period CPI color flag and trend arrow

CtrEstCompl

Current estimated contract completion date

CtrSym

Acronym for the contractor

CumComplBEI

Cumulative Actual Completions over Cumulative Planned Completions

CurComplBEI

Current Actual Completions over Current Planned Completions

CumActualCompl

Cumulative Actual Completions

CumCpiFc

Cumulative CPI statistical EAC forecast formula

CumCpiFcAdj

Cumulative CPI since the OTB date statistical EAC forecast formula

CumActualStarts

Cumulative Actual Starts

CumPlannedCompl

Cumulative Planned Completions

CumPlannedStarts

Cumulative Planned Starts

CumStartsBEI

Cumulative Actual Starts over Cumulative Planned Starts

CurActualCompl

Current Actual Completions

CurActualStarts

Current Actual Starts

CurCpiFc

Current period CPI statistical EAC forecast formula

CurPlannedCompl

Current Planned Completions

CurPlannedStarts

Current Planned Starts

CurStartsBEI

Current Actual Starts over Current Planned Starts

CvAdj

Cumulative Cost Variance since the OTB date

CvClrAdj

Cumulative CV since the OTB date color indicator:

  • B - blue

  • G - green

  • Y - yellow

  • R - red

CvClrCum

Cumulative CV color indicator:

  • B - blue

  • G - green

  • Y - yellow

  • R - red

CvClrCur

Current period CV color indicator:

  • B - blue

  • G - green

  • Y - yellow

  • R - red

CvCum

Cumulative Cost Variance

CvCur

Current period Cost Variance

CvDirAdj

Cumulative CV since the OTB date trend indicator since the prior period:

  • D - down arrow

  • U - up arrow

  • F - flat arrow

CvDirCum

Cumulative CV trend indicator since the prior period:

  • D - down arrow

  • U - up arrow

  • F - flat arrow

CvDirCur

Current period CV trend indicator since the prior period:

  • D - down arrow

  • U - up arrow

  • F - flat arrow

CvpAdj

Cumulative CV percentage since the OTB date

CvpCum

Cumulative CV percentage

CvpCur

Current period CV percentage

CvTrAdj

Cumulative CV since the OTB date color flag and trend arrow

CvTrCum

Cumulative CV color flag and trend arrow

CvTrCur

Current period CV color flag and trend arrow

Eac

Estimate at Completion

EacEff

EAC Effectiveness - Budget at Completion divided by Estimate at Completion

EacMax

Worst cast Estimate at Completion

EacMin

Best cast Estimate at Completion

EacML

Most likely Estimate at Completion

ElemDesc

15 character name/title of a contract element

ElemHier

Internally generated hierarchical code used to sort contract structures

ElemID

Internally generated element ID number

ElemLevel

Level at which an element appears in the contract structure

ElemSeq

A reserved field:

  • 9994 - Overhead

  • 9995 - Cost of Money

  • 9996 - General and Administrative expenses

  • 9997 - Undistributed Budget

  • 9998 - Performance Measurement Baseline

  • 9999 - Management Reserve

ElemType

When wInsight is used in conjunction with a Deltek "Connect" product, this field stores the element type. For example, MPM Connect identifies elements as:

  • C = Cost Account

  • W = Work Package

  • P = Planning Package

  • O = Other Package

Otherwise, this is an open field. wInsight allows you to enter any one- or two-character text.

Email

Email address used by wInsight Alerts

EndDate

Period-ending date

EstCeiling

Estimated Contract Ceiling

EstPrice

Estimated Contract Price

Etc

Estimate to Complete

EVM

When wInsight is used in conjunction with a Deltek "Connect" product, this field is used to store the earned value method. For example, MPM Connect identifies the various earned value methods as: 1-9, P, or K.

Otherwise, this is an open field. wInsight allows you to enter any one- or two-character text value.

EvmsAppr

Cost Performance Report (March 2005) Earned Value Management System Acceptance date

FixedFee (Contract)

Original Fixed Fee amount

Fixed Fee (Cpr)

Current Fixed Fee amount

Fmt5Var

CPR Format 5 Variance Analysis Report indicates if an element has breached a Format 5 reporting threshold:

  • C - cumulative cost breach

  • c - current cost breach

  • S - cumulative schedule breach

  • s - current period schedule breach

  • V - variance at completion breach

Funding

Funding Scorecard Status Metric field color flag and trend arrow

FundLimit

Fund Limitation on the NASA 533M report, Block 4

FundsObl

Obligated Funds, Current Funding

GreenPct

Upper limit threshold setting (in percent) for the Green color performance indicator

Incentives

Incentive Fee for the current period

LasContrChg

Identifier for the last contract change

LastItemDlv (Contract)

Original last item delivery date

LastItemDlv (Cpr)

Current last item delivery date

LastOTB

Over Target Baseline date

LinkVal

Field used to link an element in wInsight to its schedule tasks when using Glue or the Glue Viewer

LinRegr

Linear Regression statistical EAC forecast formula

LongDesc

50-character field for long names of contract elements

Lowest

Lowest level flag/indicator

Manager

Contract manager

MaxFee (Contract)

Original maximum fee percentage

MaxFee (Cpr)

Current maximum fee percentage

Micom

MICOM statistical Estimate at Completion forecast formula

MinFee (Contract)

Original minimum fee percentage

MinFee (Cpr)

Current minimum fee percentage

MovAvg3

Three Period Moving Average Cost Performance Index statistical EAC forecast formula

MovAvg6

Six Period Moving Average CPI statistical EAC forecast formula

NAFlag

A flag indicating whether a contract element is an Add (its values are summed into its parent element) or Non-Add item (its values are not summed onto its parent element):

  • 0 - indicates it is an Add item

  • 1 or greater - indicates it is a Non-Add item (indirect cost elements may be 1 or greater)

NegCost (Contract)

Original Negotiated Cost amount

NeCost (Cpr)

Current Negotiated Cost amount

NonAdd

Not used

NonFeeBearCost (Contract)

Original Non Fee Bearing Cost amount

NonFeeBearCost (Cpr)

Current Non Fee Bearing Cost amount

Number1 thru Number10

10 number fields that will sum values (entered into the Earned Value spreadsheet in wInsight Administrator) up the contract structures

NumChild

Number of immediate subordinate (or child) elements that a contract element has, not including grandchild elements, and so on.

OffExt

Phone number of the element's manager

OffSum

Office symbol of the element's manager

OrigAwdFee

Original Award Fee amount

ParentID

The element ID number of the element's parent element

PctCmp

Percent Complete

PctSch

Percent Scheduled

PctSpent

Percent Spent

PerfFctr

Performance Factor statistical EAC forecast formula

PeriodID

Internally generated period ID number

PerNum

The period number designator of a period of data within a calendar/fiscal year. For example, for monthly earned value collection there are 12 periods in a year; weekly would have up to 52 periods.

PlanCompl

CPR Format 3 Planned Completion Date

PmtRcvd

Total Payments Received on the NASA 533M report, Block 5b

PoEpc

Government program office's Estimated Price at Completion for the PMB

PoEstCompl

Government program office's Estimated Completion Date

ProdQty

Production quantity

ProgName

Program Name

ProgNum

Program Number

ProgOffName

Program Office name

ProgOffSym

Program Office symbol

ProgType

Program Type, for example RDT&E

ProjOff

Project Officer/CAM/IPT Leader/Manager for a contract element

PubLevel

The publish level for the user (wInsight)

PubLevel

The publish level for the period (wInsight Administrator)

RDQty

R&D quantity

RedPct

Threshold setting (in percent) for the Red color performance indicator

ReprogBdg

Budget Reprogramming Adjustment

ReprogCost

Cost Reprogramming Adjustment

ReprogSch

Schedule Reprogramming Adjustment

Risk

Risk Scorecard Status Metric field color flag and trend arrow

RiskColor

Level of risk (letter and color) associated with an element:

  • L - low/blue

  • M - medium/green

  • H - high/red

RiskLevel

Level of risk associated with an element:

  • L - low/blue

  • M - medium/green

  • H - high/red

RptEndDt

Report End Date

RptStartDt

Report Start Date

RptType

Report type:

  • 0 - CPR

  • 1 - C/SSR

Satisfaction

Satisfaction Scorecard Status Metric field color flag and trend arrow

SecurityText

Security classification

ShareAbove (Contract)

Original share ratio above

ShareAbove (Cpr)

Current share ratio above

ShareBelow (Contract)

Original share ratio below

ShareBelow (Cpr)

Current share ratio below

SortVal

Element sort field

SpiAdj

Cumulative Schedule Performance Index since the Over Target Baseline date

SpiClrAdj

Cumulative SPI since the OTB date color indicator:

  • B - blue

  • G - green

  • Y - yellow

  • R - red

SpiClrCum

Cumulative SPI color indicator:

  • B - blue

  • G - green

  • Y - yellow

  • R - red

SpiClrCur

Current period SPI color indicator:

  • B - blue

  • G - green

  • Y - yellow

  • R - red

SpiCum

Cumulative Schedule Performance Index

SpiCum3

Three period moving average SpiCum

SpiCum6

Six period moving average SpiCum

SpiCur

Current Period Schedule Performance Index

SpiDirAdj

Cumulative SPI since the OTB date trend indicator since the prior period:

  • D - down arrow

  • U - up arrow

  • F - flat arrow

SpiDirCum

Cumulative SPI trend indicator since the prior period:

  • D - down arrow

  • U - up arrow

  • F - flat arrow

SpiDirCur

Current period SPI trend indicator since the prior period:

  • D - down arrow

  • U - up arrow

  • F - flat arrow

SpiTrAdj

Cumulative SPI since the OTB date color flag and trend arrow

SpiTrCum

Cumulative SPI color flag and trend arrow

SpiTrCur

Current period SPI color flag and trend arrow

Staffing

Staffing Scorecard Status Metric field color flag and trend arrow

StruID

A sequential number indicating the structure that an element belongs to:

  • 1 - WBS element

  • 2 - OBS element

  • 3 - Indirect element

  • 4 - IPT element, and so on.

SubmDate

Report submission date

SvAdj

Cumulative Schedule Variance since the OTB date

SvClrAdj

Cumulative SV since the OTB date color indicator:

  • B - blue

  • G - green

  • Y - yellow

  • R - red

SvClrCum

Cumulative SV color indicator:

  • B - blue

  • G - green

  • Y - yellow

  • R - red

SvClrCur

Current period SV color indicator:

  • B - blue

  • G - green

  • Y - yellow

  • R - red

SvCum

Cumulative Schedule Variance

SvCur

Current period Schedule Variance

SvDirAdj

Cumulative SV since the OTB date trend indicator since the prior period:

  • D - down arrow

  • U - up arrow

  • F - flat arrow

SvDirCum

Cumulative SV trend indicator since the prior period:

  • D - down arrow

  • U - up arrow

  • F - flat arrow

SvDirCur

Current period SV trend indicator since the prior period:

  • D - down arrow

  • U - up arrow

  • F - flat arrow

SvpAdj

Cumulative SV percentage since the OTB date

SvpCum

Cumulative SV percentage

SvpCur

Current period SV percentage

SvTrAdj

Cumulative SV since the OTB date color flag and trend arrow

SvTrCum

Cumulative SV color flag and trend arrow

SvTrCur

Current period SV color flag and trend arrow

TAB

Total Allocated Budget

TcpiBac

To Complete Performance Index to Budget at Completion

TcpiEac

To Complete Performance Index to Estimate at Completion

TcpiUserEac

To Complete Performance Index to User EAC

Technical

Technical Scorecard Status Metric field color flag and trend arrow

Tfloat

Total Float in day for the contract. Appears on the Independent Variance at Completion Chart. Entered in the CPR Header spreadsheet in wInsight Administrator

TgtFeeDol (Contract)

Original Target Fee in dollars

TgtFeeDol (Cpr)

Current Target Fee in dollars

TgtFeePct (Contract

Original Target Fee in percent

TatFeePct (Cpr)

Current Target Fee in percent

TgtPrice (Contract)

Original Target Price

TgtPrice (Cpr)

Current Target Price

TotalAwdFee

Total Award Fee

TotalCV

Total Cost Variance = Cumulative Budgeted Cost of Work Performed - Cumulative Actual Cost of Work Performed + Reprogramming Cost

TotalFund

Total projected funding

TotalNegChg

Total negotiated contract changes

Trends

Trend indicators; single field trend indicators are extracted from this string

UnfillOrd

Unfilled Orders Outstanding on the NASA 533M report, Column 10

UnitID

A sequential number indicating the active (currently selected) units:

  • 1 - dollars

  • 2 - hours

  • 3 - equivalent persons, and so on.

UserEac

User entered most likely (Independent) Estimate at Completion

UserEacMax

User entered worst cast (Independent) Estimate at Completion

UserEacMin

User entered best case (Independent) Estimate at Completion

UserKpi 6 - 10

Five undefined Scorecard Status Metric field color flag and trend arrow

UserMethod

Most likely User EAC method

UserMethodMax

Worst cast User EAC method

UserMethodMin

Best Case User EAC method

UserSum

User's identifier or acronym

UserVac

User Variance at Completion = Budget at Completion minus most likely User EAC

UserVacClr

User VAC = BAC minus most likely User EAC

UserVacClr

User VAC color indicator:

  • B - blue

  • G - green

  • Y - yellow

  • R - red

UserVacDir

User VAC trend indicator since the prior period:

  • D - down arrow

  • U - up arrow

  • F - flat arrow

UserVacp

User VAC percentage

UserVacTr

User VAC color flag and trend arrow

Vac

Variance at Completion

VacClr

VAC color indicator:

  • B - blue

  • G - green

  • Y - yellow

  • R - red

VacDir

VAC trend indicator since the prior period:

  • D - down arrow

  • U - up arrow

  • F - flat arrow

Vacp

VAC percentage

VacTr

VAC color flag and trend arrow

VarLastUser

Used by wInsight Alerts, the variance analysis report reviewer's name

VarState

Used by wInsight Alerts, the reviewer's assessment of the Cost Account Manager's variance analysis report

VarTimeStamp

Used by wInsight Alerts, the date of the reviewer's assessment of the CAM's VAR

WbsNum

WBS number, Element identifier

WorkStart

Contract Work Start date

WtCostSch

Weighted Cost/Schedule statistical EAC forecast formula

YellowPct

Upper limit threshold setting (in percent) for the Yellow color performance indicator

wInsight calculates the BEI metric values for the column spreadsheet (or the wInsight main spreadsheet) when the related BEI data, such as Cumulative Planned Completions and Current Actual Starts, have been created or entered in wInsight Administrator.

Related Topics and Procedures

BEI and Monthly Percent Hit Chart

Create a New (Blank) Database

Create a wInsight Data Source

Databases Overview

Non-Add Flag Dialog Box

Repair and Compact a Database

Select a wInsight Database


Select Data Source Dialog Box

Use the Select Data Source dialog box to select a contract database that wInsight or wInsight Administrator uses. This dialog box contains the following field and buttons:

Data Source

Select a data source from the list of available data sources.

Add

Click this button to display the New Data Source dialog box, which allows you to add a new data source.

Delete

Click this button to remove the selected data source from the list.

Location

To display the Select Data Source dialog box, on the Menu bar, click File » Select Database....

In wInsight, verify first that no data source is open to view the Select Database... command. Click Window » Close All to close all open windows, if necessary.

Related Topics and Procedures

Select a wInsight Database

Select a wInsight Administrator Database

wInsight Administrator File Menu

wInsight File Menu


New Data Source Dialog Box

Use the New Data Source dialog box to create a new data source for wInsight or wInsight Administrator.

Name

Enter a name for a data source that you want to add.

When you click OK, the Data Link Properties dialog box displays, allowing you to configure and add the data source to the list of available data sources.

Location

To display the New Data Source Dialog Box, complete the following steps:

  1. On the Menu bar, click File » Select Database.... The Select Data Source dialog box displays.

  2. Click Add.

In wInsight, verify first that no data sources are open to view the Select Database... command. Click Window » Close All to close all open windows, if necessary.

Related Topics and Procedures

Select Data Source Dialog Box

Select a wInsight Database

Select a wInsight Administrator Database


Contracts (Data Sets) Overview

The following topics describe how to open one or more wInsight contracts, open multiple contracts at the same time, and apply a prefilter to restrict the elements opened within a contract:

  • Open a New Contract (Data Set)

  • Open a Recently Used Contract (Data Set)

  • Open All Contracts (Data Sets)

  • Open Data Set Dialog Box

  • Change the Active Data Set

  • Close a Data Set

  • Drill Down on a Contract Structure

  • Drill Up a Contract Structure

  • Element Prefilters Overview


Open a New Contract (Data Set)

This procedure assumes that you have installed the demonstration contract (MOH-2) that comes with wInsight. If you do not have the demonstration contract, you can use one of your own contracts.

To open a new data set, complete the following steps:

  1. on the Standard toolbar, click [image] Open, or on the Menu bar, click File » Open. The Open Data Set dialog box displays. All contracts in the wInsight database are listed.

    • If a data source has not been defined, wInsight prompts you to select and/or create one.

    • If security is enabled, wInsight prompts you for an application user name and password.

  2. Double-click the MOH-2 contract.

  3. Click JAN 04 to select it as the active period of data.

  4. Select the WBS structure.

  5. Select Dollars as the unit.

  6. Select (All Elements) as the prefilter. See Apply an Element Prefilter to a Contract for more information on creating and using prefilters.

  7. Optionally, select the Apply this filter to each new data set option to apply the selected prefilter the next time you open a contract. The selection is retained for all data sets until you change it.

  8. Click OK.

The MOH-2, JAN 04, WBS, Dollars data set is now open. The wInsight title bar shows the active data set (MOH-2 WBS JAN 04 Dollars). The Sort window title bar shows that all elements are sorted by the element hierarchy (ElemHier, the order they appear in the structure). The Status bar at the bottom of the Main window indicates the active WBS element, the structure, the units, whether all or only lowest level elements are displayed, whether a filter is applied, the rows currently displayed in the Sort window, and the total number of rows in the data set.

Contract elements without data (no Actual Cost of Work Performed (ACWP), Budgeted Cost of Work Performed (BCWP), Budgeted Cost of Work Scheduled (BCWS), Budget at Completion (BAC), or Estimate at Completion (EAC)) do not display on the Sort window.

Related Topics and Procedures

Contracts (Data Sets) Overview

Open a Recently Used Contract (Data Set)

Open All Contracts (Data Sets)

Open Data Set Dialog Box

Change the Active Data Set

Close a Data Set

Apply an Element Prefilter to a Contract


Open a Recently Used Contract (Data Set)

Use this procedure to open the recent used contract.

To open one of the last four previously opened data sets, complete the following steps:

  1. On the Menu bar, click File.

  2. From the list of files at the bottom of the menu, select a recently used data set. Each data set is identified by contract name, structure, period of data, and unit.

Related Topics and Procedures

Contracts (Data Sets) Overview

Open a New Contract (Data Set)

Open All Contracts (Data Sets)

Open Data Set Dialog Box

Change the Active Data Set

Close a Data Set

Element Prefilters Overview


Open All Contracts (Data Sets)

Use this procedure to open all contracts.

To open all of your wInsight contracts, complete the following steps:

  1. Start wInsight.

  2. On the Menu bar, click File » Open. The Open Data Set dialog box displays.

  3. Select (All Contracts). You do not have to double-click to display the available periods of data.

  4. You can select a different structure, different units, and/or apply a filter.

  5. Click OK. A Sort window opens containing a Level 1 element for all the contracts listed in the Open Data Set dialog box.

Related Topics and Procedures

Contracts (Data Sets) Overview

Open a New Contract (Data Set)

Open a Recently Used Contract (Data Set)

Open Data Set Dialog Box

Change the Active Data Set

Close a Data Set

Element Prefilters Overview

Apply an Element Prefilter to a Contract


Open Data Set Dialog Box

Use the Open Data Set dialog box to select and open a contract from the list of all the contracts contained in an active database.

Data Source

This field displays the name of an active database.

Contract

Select a contract from the list by double-clicking it. If the contract that you want does not appear in the list, click File » Select Database and select a different database.

Period

Select a period of data from the list by double-clicking it. The list is not populated until you select a contract.

Structure

Select a contract structure from the following options:

  • WBS — This option refers to the Work Breakdown Structure. WBS is the default value.

  • OBS — This option refers to the Organizational Breakdown Structure.

  • IPT — This option refers to the Integrated Product Team.

  • Other user-defined structures

Units

Select a unit from the following options:

  • Dollars — This option is the default value.

  • Hours

  • EQP — This option refers to the Equivalent Persons.

  • Other user-defined units

Filter

Select a prefilter from the drop-down list. Only elements meeting the filter condition display. The default value is (All Elements).

Apply this filter to each new data set

Select this option to retain the selected prefilter for all new data sets (until you change the prefilter).

Location

To display the Open Data Set dialog box, complete the following steps.

  1. In wInsight, verify that no window is open.

  2. On the Menu bar, click File » Open....

Related Topics and Procedures

Contracts (Data Sets) Overview

Open a New Contract (Data Set)

Open a Recently Used Contract (Data Set)

Open All Contracts (Data Sets)

Change the Active Data Set

Close a Data Set

Element Prefilters Overview


Change the Active Data Set

Use this procedure to change the active data set.

To change the active data set, complete the following steps:

  1. On the Menu bar, click Options » Toolbars » Dataset. The Dataset toolbar displays anywhere below the Title bar.

  2. Select the contract from the first drop-down list. The second drop-down list updates to display the available periods of data for the new contract, and selects the most recent period by default.

  3. Select the period of data from the second drop-down list.

  4. Click [image] Structure to switch among the Work Breakdown Structure (WBS), Organizational Breakdown Structure (OBS), Integrated Product Team (IPT), and other user-defined structures.

  5. Click [image] Unit to switch among dollars, hours, equivalent persons (EQP), elements of cost (EOCs), and other user-defined units.

Related Topics and Procedures

Contracts (Data Sets) Overview

Open a New Contract (Data Set)

Open a Recently Used Contract (Data Set)

Open All Contracts (Data Sets)

Open Data Set Dialog Box

Close a Data Set

Element Prefilters Overview


Close a Data Set

Closing a data set closes all windows associated with the data set. There are a number of commands associated with the Main window that are only available when all data sets are closed (such as selecting a database and implementing security).

To close a single data set, complete the following steps:

  1. Select a window associated with the data set you want to close, either by clicking it with the mouse or selecting it from the Window menu.

  2. Click File » Close. When the last Sort window associated with a data set is closed, the data set itself closes automatically.

To close all currently opened data sets, click Window » Close All. wInsight remains open.

Related Topics and Procedures

Contracts (Data Sets) Overview

Open a New Contract (Data Set)

Open a Recently Used Contract (Data Set)

Open All Contracts (Data Sets)

Open D ata Set Dialog Box

Change the Active Data Set

Element Prefilters Overview


Drill Down on a Contract Structure

wInsight supports drill-down capability of a contract structure. Use this feature to display the children elements of a selected contract element. Drill down only displays the children elements at the next level down. It does not necessarily expand the structure all the way down to the lowest level.

To drill down on a contract structure, complete the following steps:

  1. Open a contract.

  2. Right-click the row containing the contract element. A Shortcut menu displays.

  3. Click Drill Down to replace the elements in the Sort window with the level 3 children elements of the selected contract element.

Related Topics and Procedures

Contracts (Data Sets) Overview

Drill Up a Contract Structure


Drill Up a Contract Structure

wInsight supports drill-up capability a contract structure. Use this feature to display the parent element and sibling elements of a selected contract element. Drill up only displays the parent element and its sibling elements at the next level up. It does not necessarily display the structure all the way up to the total contract level.

To drill up a contract structure, complete the following steps:

  1. Open a contract.

  2. Right-click any row containing a contract element. A Shortcut menu displays.

  3. Click Drill Up from the shortcut menu to replace the elements in the Sort window with the parent element of the selected contract element as well as all of the other level two elements in the structure.

  4. Performing another drill up from this point displays the level 1 element as well as all of the elements in the entire structure.

Related Topics and Procedures

Contracts (Data Sets) Overview

Drill Down on a Contract Structure


Element Prefilters Overview

An element prefilter can greatly reduce the time required to open a large data set, particularly if the database resides on a network. You can apply element prefilters when opening a single contract or all contracts (cross-contract data sets). You can also use element prefilters to limit the elements seen by a user.

Prefilters are normal wInsight filters that are available when opening a data set. You cannot create prefilters from the Open Data Set dialog box.

An element prefilter is applied at the database level, prior to loading the data set. By contrast, wInsight’s ordinary filters are applied to filter the elements displayed after the data set is loaded from the database. The element prefilter itself is an SQL expression which is appended to the end of wInsight’s normal element query, which acts to further filter the contract elements at the database level.

More precisely, when you open a data set in the absence of an element prefilter, wInsight executes a query with the general form:

SELECT [Fields] FROM Element

WHERE [Contract ID] = (selection) AND [Element Type] = (selection)

When an element prefilter is applied, the query becomes:

SELECT [Fields] FROM Element

WHERE [Contract ID] = (selection) AND [Element Type] = (selection)

AND [Element Filter]

The contract and structure selections in the Open Data Set dialog box determine the contract ID and element type.

Related Topics and Procedures

Contracts (Data Sets) Overview

Apply an Element Prefilter to a Contract

Open Data Set Dialog Box


Apply an Element Prefilter to a Contract

Use this procedure to apply a prefilter when opening a contract.

To apply an element prefilter, complete the following steps:

  1. Start wInsight.

  2. Click File » Open to display the Open Data Set dialog box.

  3. Select a contract by double-clicking it to display the available periods of data.

  4. Select a period of data.

  5. Optionally, select a different contract structure and/or different units.

    Units

    Units can be any of the following types:

    • dollars

    • hours

    • equivalent persons (EQP)

    • other user-defined units

    Click [image] to toggle the units.

    Structures

    Structures can be any of the following types:

    • Work breakdown structure (WBS)

    • Organization breakdown structure (OBS)

    • Integrated product team (IPT)

    • Other user-defined structures

    Click [image] to toggle the structure.

  6. Select the desired prefilter or (All Elements) from the Filter drop-down list. Alternatively, you can select the Apply this filter to each new data set option to apply the selected prefilter the next time you open a contract. The selection is retained for all data sets until you change it.

  7. Click OK. A Sort window opens containing the selected contract and all elements meeting the prefilter criteria.

If you selected the Apply this filter to each new data set option on the Open Data Set dialog box, the selected prefilter is retained for all data sets until you change it.

Related Topics and Procedures

Contracts (Data Sets) Overview

Element Prefilters Overview

Open Data Set Dialog Box


Linked Files Overview

You can link each element in each period to an external file such as a document or presentation file. If the specified file is associated with an application, you can launch the application and open the file directly from within wInsight, as if you double-clicked the file in Windows Explorer.

You must assign the linked file to an element before you can open the linked file from within wInsight.

Related Topics and Procedures

Assign a Linked File to an Element

Open a Linked File

Linked File Dialog Box


Assign a Linked File to an Element

Use this procedure to assign a linked file to an element.

To assign a linked file to an element, complete the following steps:

  1. Start wInsight.

  2. Open a wInsight contract.

  3. Make an element the active element by double-clicking it in the wInsight Sort window.

  4. Open the Linked File dialog box.

  5. Enter or locate the name of the file to be linked to the active element. Use the Next and Previous buttons to navigate to other contract elements, or double-click an element in the Sort window.

  6. Click Close to close the Linked File dialog box.

  7. Repeat steps 1 through 6 for each period.

Related Topics and Procedures

Linked Files Overview

Open a Linked File


Open a Linked File

Use this procedure to open a linked file.

To open a linked file, complete the following steps:

  1. Start wInsight.

  2. Open a wInsight contract.

  3. Make an element with a linked file the active element by double-clicking it in the wInsight Sort window.

  4. Open the Linked File dialog box.

  5. If a linked file is identified in the Linked File field, click Open. If an application is associated with the linked file, the application will be launched and the linked file opened. See your Windows documentation for instructions on how to associate an application with a file.

Related Topics and Procedures

Linked Files Overview

Assign a Linked File to an Element


Linked File Dialog Box

Use the Linked File dialog box to link each element in each period to an external file, such as a document or presentation file. This dialog box contains the following fields:

Contract

This field displays the name of a selected contract.

Period

This field displays the current element or row in the selected contract.

WBS

This field displays the WBS number or unique identifier of the selected period.

Description

This field displays the description of an active (currently selected) element in the Sort window.

Linked File

Enter the name of the file that you need to link to the active element. Alternatively, you can click Browse to locate and select the appropriate file.

Open

Click this button to display the selected linked file.

You can use the Next and Previous buttons to navigate to other contract elements, or double-click an element in the Sort window. Click Close to exit the dialog box.

Location

To display the Linked File dialog box, take one of the following actions:

  • On the Standard toolbar, click [image] Linked File.

  • On the Menu bar, click Input » Linked File.

Related Topics and Procedures

Assign a Linked File to an Element

Open a Linked File

wInsight Standard Toolbar


Sort Windows Overview

Use Sort windows to identify problem areas quickly. Sort windows display data sets, and are the primary user interface and control elements for wInsight. They can also collect data across multiple projects at a detailed or summary level. This provides a powerful tool to collect performance data for a given manager or organization across multiple projects, or to provide a top-level executive information system (EIS) with drill-drown capabilities. When you open a contract, it opens in the Main window, with the data sets listed in the Sort window.

Sort windows do not display elements without performance data.

The following items display in a default Standard Sort window:

  • Contract element description

  • Level of the element

  • A check mark indicates an element is a lowest-level element

  • Color-coded performance indicators with trend arrows for Schedule Variance Percentage (SV%), Cost Variance Percentage (CV%), and Variance at Completion Percentage (VAC%)

  • A flag column that indicates if contractual Variance Analysis Report (VAR) thresholds for Cost "C," Schedule "S," or Variance at Completion "V" have been breached

  • Cumulative Schedule Variance (SV), Cost Variance (CV), and Variance at Completion (VAC); the units displayed depend on the Unit icon (on the Dataset toolbar) toggle setting

    Units

    Units can be any of the following types:

    • dollars

    • hours

    • equivalent persons (EQP)

    • other user-defined units

    Click [image] to toggle the units.

However, Sort window columns are customizable so that you can choose the metrics with which to manage. You also have complete control over the rows (elements) displayed, by employing custom or pre-defined filters. For example, you can choose to display only the rows for a given Integrated Product Development Team (IPDT), or all the rows for a given Integrated Product Development Team that are more than 15% complete and have exceeded reporting thresholds. wInsight's unique "sum button" allows you to generate a "virtual element" that is the sum of the filtered rows, and to view reports and charts based on that virtual element. When you select a new element in the sort window, all open charts and reports are automatically updated to the new element.

Each row in the Sort window displays a single contract element. At any given time, one of these elements is the active element. Many wInsight features (for example, charts and reports) operate based on the active element. To make an element the active element, either double-click somewhere in the element's row, or use the ARROW keys to move the cursor (focus rectangle) to a cell in the element's row and press the ENTER key.

The focus rectangle (see graphic below) functions like a cursor. You can move it with the ARROW keys or mouse. It can move freely without activating an element; thus, it is not necessarily always positioned on the active element.

The columns displayed for each row make up a Sort window view. As indicated in the figure above, the far left column is always a row header, and first row in each column is always a column header. A narrow column sizer separates columns. Click the large button in the upper left to select the entire window for copying.

The Contract Tree has properties similar to the Sort window regarding the display of performance indicators and controlling the active element. See Contract Trees Overview for more information.

Related Topics and Procedures

Elements Displayed in Sort Windows

Sort Window Performance Indicators

Color and Trend Thresholds

Open Multiple Sort Windows

Sorting the Sort Window Overview

Toggling the Display of Sort Window Data Overview

Working with Sort Window Columns Overview

Working with Views (Custom Sort Windows) Overview

Printing Overview


Elements Displayed in Sort Windows

wInsight opens a limited set of rows (elements) and fields (columns) to reduce the amount of memory required to analyze large projects. For example, elements without any earned value data are not shown in the Sort window.

One implication of this feature is that as you toggle between the various contract units, the list of contract elements may change. Thus, you may have ten elements with earned value data in terms of dollars, eight elements with hourly earned value data, and only seven elements with EQP earned value data.

Units

Units can be any of the following types:

  • dollars

  • hours

  • equivalent persons (EQP)

  • other user-defined units

Click [image] to toggle the units.

wInsight and wInsight Administrator have facilities for displaying the complete contract structure.

  • In wInsight, the Contract Tree displays all contract elements. However, elements without earned value data or elements for which you do not have access privileges do not have any color or trend performance indicators displayed.

  • In wInsight Administrator, the CFSR Elements Spreadsheet displays all the elements in the structure.

Related Topics and Procedures

Sort Windows Overview

Total Contract and Performance Measurement Baseline (PMB) Elements

Sort Window Performance Indicators

Color and Trend Thresholds

Analysis with the Sort Window


Total Contract and Performance Measurement Baseline (PMB) Elements

The wInsight Sort window contains an element showing the Performance Measurement Baseline (PMB) as well as an element showing the total contract (at Level 1). This makes statistical forecasts, trends, charts, and reports available at both the Total Contract (also called the Contract Budget Base (CBB)) and the PMB.

Related Topics and Procedures

Sort Windows Overview

Elements Displayed in Sort Windows

Sort Window Performance Indicators

Color and Trend Thresholds

Contractual Variance Analysis Reporting (VAR) Thresholds

Analysis with the Sort Window


Sort Window Performance Indicators

wInsight provides two types of performance indicators, keyed to two different sets of thresholds – colors/trends and contractual thresholds. Both sets of thresholds apply to current period as well as cumulative data. Variance Analysis Report (VAR) indicators simultaneously display current period, cumulative, and at completion threshold breaches.

wInsight provides a third type of performance indicator called Scorecard metrics. These also utilize colors and trend arrows to convey status; however, they are not based on threshold values.

Related Topics and Procedures

Analysis with the Sort Window

Color and Trend Thresholds

Contractual Variance Analysis Reporting (VAR) Thresholds

Elements Displayed in Sort Windows

Scorecard Status Metric Fields

Sort Windows Overview

Thresholds Dialog Box

Total Contract and Performance Measurement Baseline (PMB) Elements


Color and Trend Thresholds

The Schedule Variance (SV), Contract Variance (CV), and Variance at Completion (VAC) performance indicator columns in the standard Sort window view display color-coded performance and trend information based on current period (SvTrCur and CvTrCur fields) or cumulative (SvTrCum, CvTrCum, and VacTr fields) Schedule Variance Percentage (SV%) Contract Variance Percentage (CV%), and Variance at Completion Percentage (VAC%), respectively.

The following table describes how colors and trend arrows are determined (more on trend arrows later):

Display | Condition
Red | Unsatisfactory (If ≤ red threshold then red, else)
Yellow | Marginal (If ≤ yellow threshold then yellow, else)
Green | Good (If ≤ green threshold then green, else)
Blue | Excellent (blue)
Horizontal Arrows | No Significant Change Since Last Period
Up Arrow | Significantly Better Since Last Period
Down Arrow | Significantly Worse Since Last Period

The colors and arrows are determined by the user-defined percentage value and the change threshold settings established for the contract. View the thresholds settings in the Thresholds dialog box by clicking Options » Thresholds. The Thresholds dialog box displays the percentage values used to determine color codes and trend arrows for current period and cumulative SV%, CV%, and VAC%.

The thresholds are user-defined percentages that you assign on a per-contract basis. Cclick Options » Thresholds to display the Thresholds dialog box.

You enter the thresholds on the Contracts Spreadsheet in wInsight Administrator; you cannot change them in wInsight.

The dialog box floats on top of all other windows; you can leave it open for reference and move it to any convenient location, even outside the wInsight Main window. To close the dialog box, click it and press the ESC key, or click Close in the upper right corner. You can open a separate dialog box for each unique data set.

Arrow Direction

The fundamental principles to keep in mind to understand how arrow direction is determined are:

  • This period’s cumulative data is compared to last period’s cumulative data.

  • This period’s current data is compared to last period’s cumulative data (not current to current).

The math to determine the percent change is straightforward. The basic equation is (Last means last period, This means this period):

% Change = [(Last Cum Value – This Cum/Cur Value) / Last Cum Value] x 100.

The following comparison is then used to determine arrow direction (ABS stands for absolute value):

If ABS(% Change) < Arrow Change Threshold then the arrow is flat/horizontal; otherwise, the arrow is up or down.

The math is slightly more complicated for index values:

% Change = 100 x [((Last Cum CPI - 1) x 100) - ((This Cum/Cur CPI - 1) x 100)] / ((Last Cum CPI - 1) x 100)

Related Topics and Procedures

Sort Windows Overview

Elements Displayed in Sort Windows

Total Contract and Performance Measurement Baseline (PMB) Elements

Sort Window Performance Indicators

Contractual Variance Analysis Reporting (VAR) Thresholds

Scorecard Status Metric Fields

Analysis with the Sort Window


Contractual Variance Analysis Reporting (VAR) Thresholds

The variance analysis thresholds are contractual reporting thresholds used to determine when a formal written explanation of variances is required. The Fmt5Var field in the Standard view (labeled VAR) is used to determine if VAR thresholds have been breached for current period and cumulative Contract Variance (CV), Schedule Variance (SV), and the Variance at Completion (VAC).

The following codes indicate the type of contractual threshold breach:

VAR Column Code | Meaning
C (Upper Case) | Cumulative cost variance breach
c (Lower Case) | Current period cost variance breach
S (Upper Case) | Cumulative schedule variance breach
s (Lower Case( | Current period schedule variance breach
V (Upper Case) | Variance at complete breach

The Sort window VAR column displays all contractual threshold breaches. However, a Sort window based on dollars displays the breaches related to dollar data, whereas a Sort window based on hours displays hour breaches.

VAR thresholds can be based on a variance amount and/or percentage and can change over the life of the element (based on the percent complete of the element). You set VAR thresholds on an element-by-element basis and can establish different thresholds for each type of unit. You define VAR thresholds and assign them to elements in wInsight Administrator.

Units

Units can be any of the following types:

  • dollars

  • hours

  • equivalent persons (EQP)

  • other user-defined units

Click [image] to toggle the units.

Related Topics and Procedures

Sort Windows Overview

Elements Displayed in Sort Windows

Total Contract and Performance Measurement Baseline (PMB) Elements

Sort Window Performance Indicators

Color and Trend Thresholds

Scorecard Status Metric Fields

Analysis with the Sort Window


Scorecard Status Metric Fields

wInsight provides 10 Scorecard fields that you can insert into the Sort window. These fields use colors to convey status and arrows to convey progress for a number of project metrics.

By default the metrics are:

  • Risk (UserKpi1)

  • Technical (UserKpi2)

  • Funding (UserKpi3)

  • Staffing (UserKpi4)

  • Satisfaction (UserKpi5)

  • unnamed fields UserKpi 6 – 10

KPI stands for Contract Performance Indicator.

You can enter titles for the unnamed fields into the Title field of the Column Definition dialog box as you are adding the field to the Sort window. You can also enter titles for these fields into the Alias field of the Column table in the wInsight database.

Color indicators are set, not calculated, for each contract element, including summary elements:

  • R – red

  • Y – yellow

  • G – green

  • B – blue

Arrows, which are calculated, indicate the change from the previous period:

For example, if the condition was yellow last period and this period it is green, the condition has improved and an up arrow displays. If it is red this period, the condition has worsened and a down arrow displays.

You set color indicators in wInsight Administrator in the Scorecard spreadsheet. Arrow direction is determined during the recalculate phase.

Related Topics and Procedures

Sort Windows Overview

Elements Displayed in Sort Windows

Total Contract and Performance Measurement Baseline (PMB) Elements

Sort Window Performance Indicators

Color and Trend Thresholds

Contractual Variance Analysis Reporting (VAR) Thresholds

Analysis with the Sort Window

Insert Scorecard Fields


Analysis with the Sort Window

The Sort window is an analysis tool for locating and assessing a magnitude of problems. For example, you can use the Sort window to build custom views containing database fields of choice. You can filter the Sort window to display elements of interest and to display the elements in a certain order.

wInsight provides the following features to support the analysis process:

  • Custom Views — You can customize sort windows to display almost any field in the database which allows you to name and reuse custom views.

  • Filtering — You can apply a filter to narrow the data set by element name/number, Project Officer, office symbol, threshold breach, and so on.

  • Sorting — By default, Sort windows order elements by the elements' hierarchy within a contract structure. However, wInsight allows you to develop custom sorts and provides numerous preset sort functions via the Sort drop-down list. When sorted, the Sort window orders elements to bring the worst element to the top of the Sort window, based upon the criteria selected.

  • Defining the Data Displayed — Sort windows have a number of built-in toggles which you use to define and condition the data displayed such as dollars, hours, or equivalent persons (EQP).

  • Summary Totals — You can generate column totals for the elements displayed by clicking [image] Sum on the Standard toolbar.

  • Comparing Data — You can open multiple Sort windows for either a single data set or multiple data sets for comparison purposes.

Related Topics and Procedures

Sort Windows Overview

Elements Displayed in Sort Windows

Total Contract and Performance Measurement Baseline (PMB) Elements

Sort Window Performance Indicators

Color and Trend Thresholds

Contractual Variance Analysis Reporting (VAR) Thresholds

Scorecard Status Metric Fields


Open Multiple Sort Windows

Click File » Open to open multiple Sort windows for different data sets. Functions such as sorting, filtering, and changing the period of data via the Dataset toolbar apply only to the active Sort window. Since you can configure the windows independently, it is possible, for example, to compare cost and schedule drivers for the same contract by sorting one window on cost variance and another on schedule variance.

To open multiple sort windows using the Open command, complete the following steps:

  1. On the Menu bar, click File » Open. The Open Data Set dialog box displays.

  2. Open a data set, for example, the MOH-2, Jan 04, WBS, Dollars data set. A Sort window opens.

  3. On the Menu bar, click File » Open again.

  4. Open the MOH-2, Jan 04, OBS, Dollars data set (or Organizational Breakdown Structure for the contract of your choice). A second Sort window opens.

  5. On the Menu bar, click Window » Tile Vertically to display the two Sort windows side-by-side.

  6. Click the first Sort window and sort it by Cost Var Cum.

  7. Click the second Sort window and sort it by Sch Var Cum.

To open multiple sort windows using the New Window command, complete the following steps:

Click Window » New Window to open multiple Sort windows for the active data set. Functions such as sorting, filtering, and changing the period of data via the Dataset toolbar apply only to the active Sort window.

  1. Select the dataset.

  2. Click Window » New Window. A new Sort window opens for the active data set. The Sort window that opens is the one designated as the default view.

  3. Click Window » Tile Vertically to display the Sort windows side-by-side.

Alternative Procedure

To display a single Sort Window, open a contract on the Main window.

Related Topics and Procedures

Sort Windows Overview

Sorting the Sort Window Overview

Toggling the Display of Sort Window Data Overview

Working with Sort Window Columns Overview

Working with Views (Custom Sort Windows) Overview


Find an Element

To find a particular contract element or row in the Sort window, click Edit » Go To. The designated element or the element on the designated row becomes the active element. This command also works with the contract tree.

To find an element or row, complete the following steps:

  1. Activate the Sort window you want to use by clicking it, or by selecting it from the Window menu.

  2. Take one of the following actions to display the Go To dialog box:

    • On the Standard toolbar, click [image] Go to.

    • On the Menu bar, click Edit » Go To....

  3. Fill in the needed filter.

  4. Click OK. The Go To dialog box closes, wInsight jumps to the designated element or row (bringing it into view if necessary), and updates the status bar to reflect the new active element. If the element or row is not found, you will hear a beep instead.

Related Topics and Procedures

Sort Windows Overview

Set the Active Element


Set the Active Element

You can set a data set's active element from either the Sort window or the Contract Tree window. All open windows associated with the active data set automatically update to the new element.

Do not confuse selecting an element with making an element active. Select and highlight elements for copying into other MS Windows applications through the Windows clipboard.

To set the active element from a Sort window, complete the following steps:

  1. Select a Sort window containing the contract element to be made active.

  2. Scroll the window, if necessary, to bring the element into view.

  3. Either double-click in the row containing the element, or place the focus rectangle on the row, and press ENTER.

  4. Check the status bar to ensure the active element has been updated.

To set the active element from a contract tree window, complete the following steps:

  1. Select a Contract Tree window containing the contract element to be made active.

  2. Scroll the window, if necessary, to bring the element into view.

  3. Either double-click the text description of the element, or ensure the element description is highlighted, and press ENTER.

  4. Check the status bar to ensure the active element has been updated.

Related Topics and Procedures

Sort Windows Overview

Open Multiple Sort Windows


Format Numbers

You can control how numbers display in the Sort window by clicking Options » Format. However, you cannot apply leading symbols such as a $ or trailing symbols such as k for thousands.

When defining units in wInsight Administrator (on the Units Spreadsheet), include the denomination in the name of the units (for example, Dols in k or K Dollars). This information displays in the Sort window title bar.

To format numbers, complete the following steps:

  1. Activate the Sort window you want to format by clicking it, or selecting it from the Window menu.

  2. On the Menu bar, click Options » Format. The Format dialog box displays.

  3. Select the formatting options.

  4. Click OK to close the Format dialog box and apply the selected formatting options.

Related Topics and Procedures

Sort Windows Overview


Limit the Number of Rows Displayed

As the amount of data opened in wInsight at one time increases, system performance may decrease. You can prevent this by restricting the number of rows (or elements) displayed in the Sort window at one time.

To restrict the number of rows displayed in the Sort window, complete the following steps:

  1. Activate the Sort window you want to control by clicking it, or selecting it from the Window menu.

  2. On the Menu bar, click Rowset » Row Limit to display the Row Limit dialog box.

  3. In the Rows field, enter the number of rows to display at one time, and click OK.

  4. Use Rowset (on either the Rowset menu or the Rowset toolbar) to step through and view the remaining contract elements in the data set.

To display all the contract elements in the Sort window, complete the following steps:

  1. Follow the above procedures for restricting the number of rows, but this time enter 0 (zero) as the number of rows to display.

  2. Apply a sort, apply a filter, or select another data set from the Dataset toolbar to display all of the available contract elements in the Sort window.

Related Topics and Procedures

Sort Windows Overview


Insert Scorecard Fields

Use this procedure to insert Scorecard fields.

To insert scorecard fields, complete the following steps:

  1. On the Menu bar, click Input » Scorecard. The Scorecard dialog box displays.

  2. On the Sort window, double-click a contract element. Alternatively, click Next or Previous to select the element. The Scorecard dialog box indicates the active element.

  3. On the Scorecard dialog box, select an element from the list. The Performance Indicator field updates to indicate the active metric.

  4. From the Color drop-down list, select a status color.

  5. Continue selecting performance indicators and status colors as appropriate for the active element.

  6. Continue selecting contract elements and statusing their performance indicators for the active data set.

  7. Click Close to save all performance indicator settings and update with colors and arrows (provided there are colors set in the prior period).

Related Topics and Procedures

Sort Windows Overview

Scorecard Dialog Box

Scorecard Status Metric Fields


Format Dialog Box

Use the Format dialog box to format numbers that affect the presentation of data in the Sort window.

Use Commas

Select this option to separate thousands, millions, and so on with a comma.

Show Decimal

Select this option to display values in hundreds (primary units with 1-9 decimal places). When you select this option, the field beside it becomes enabled. Select or enter the number of decimal places from 1 to 9.

Show Negative in Red

Select this option to display negative numbers in red.

Location

To display the Format dialog box, take one of the following actions:

  • On the Menu bar, click Options » Format....

  • On the Sort window, right click anywhere then select Format....

Related Topics and Procedures

Format Numbers

Sort Windows Overview


Go To Dialog Box

Use the Go To dialog box to locate and activate a specified element or row in the Sort window or Contract Tree. This dialog box contains the following fields:

WBS

Enter the WBS number of the contract element that you want to locate.

Row

Enter the row number that you want to locate.

Location

To display the Go To dialog box, take one of the following actions:

  • On the Standard toolbar, click [image] Go to....

  • On the Menu bar, click Edit » Go To.

Related Topics and Procedures

Find an Element

wInsight Edit Menu

wInsight Standard Toolbar


Scorecard Dialog Box

wInsight provides 10 Scorecard fields that you can insert into the Sort window. You can set color indicators in wInsight Administrator in the Scorecard spreadsheet. The arrow direction is determined during the recalculate phase. You can also set color indicators in wInsight. In this case, arrow direction is determined automatically.

Color indicators are set for each contract element, including summary elements:

  • R – red

  • Y – yellow

  • G – green

  • B – blue

Arrows indicate the change from the previous period:

Arrow direction determination is straightforward. For example, if the condition was yellow last period and this period it is green, the condition has improved and an up arrow displays. If it is red this period, the condition has worsened and a down arrow displays.

The Scorecard dialog box appears when you begin to status these metrics. The following fields are present on this dialog box:

Contract

Identifies the active contract.

Period

Identifies the active period of data.

WBS

Displays the WBS number of the active element.

Description

Displays the title of the active element.

Performance Indicator

Select a Performance Indicator (metric) to status.

Color

Set the status of the selected performance indicator:

  • Blue - Excellent

  • Green - Good

  • Yellow - Marginal

  • Red - Unsatisfactory

Next

Click this button to view the next element's performance indicators.

Previous

Click this button to view the previous element's performance indicators.

Close

Click this button to close the dialog box.

Location

To display the Scorecard dialog box, on the Menu bar, click Input » Scorecard.

Related Topics and Procedures

Sort Windows Overview

Insert Scorecard Fields

Scorecard Status Metric Fields


Row Limit Dialog Box

Use the Row Limit dialog box to specify the maximum number of rows to return at one time.

Row

Enter a maximum number of rows to return at one time. Enter zero (0) to return all rows.

The limit that you set in this dialog box only takes effect when you click [image] Refresh on the Standard toolbar, or open a new Data Input spreadsheet.

Location

To display the Row Limit dialog box, on the Menu bar, click Rowset » Row Limit....

Alternatively, you can set the row limit in the Max Row Input field found in the Rowset toolbar. To display the toolbar, click Options » Toolbars » Rowset.

Related Topics and Procedures

wInsight

Limit the Number of Rows Displayed

wInsight Rowset Menu

wInsight Rowset Toolbar

wInsight Administrator

Limit the Number of Rows Displayed

wInsight Administrator Rowset Menu

wInsight Administrator Rowset Toolbar


Sorting the Sort Window Overview

wInsight’s sorting functions provide a powerful analysis tool for identifying problem areas and assessing their magnitude. For example, to order the Sort window by cumulative cost variance (worst to best), click Sort » Cost Var Cum to bring the largest cost variance drivers (in terms of the active units) to the top of the Sort window.

Units

Units can be any of the following types:

  • dollars

  • hours

  • equivalent persons (EQP)

  • other user-defined units

Click [image] to toggle the units.

wInsight also supports multi-level sorting. For example, you can sort the Sort window by CAM/IPT, then by cost or schedule variance. Try several of the other sort parameters to bring current period cost drivers, cumulative schedule drivers, and so on, to the top of the Sort window.

Related Topics and Procedures

Sort Windows Overview

Sort In Ascending Order

Sort in Descending Order

Perform a Custom Sort

More Sorts Dialog Box


Sort In Ascending Order

To use a pre-defined sort, choose a sort function from the Sort menu. The default sort order is ascending.

Related Topics and Procedures

Sort Windows Overview

Sorting the Sort Window Overview

Sort in Descending Order

Perform a Custom Sort

More Sorts Dialog Box


Sort in Descending Order

Use this procedure to sort contents in descending order.

To sort on a visible column, complete the following steps:

  1. Right-click anywhere in the column to be used to sort the Sort window. A Shortcut menu displays.

  2. Select Sort Descending. The Sort window sorts appropriately based on the contents of the selected column.

Related Topics and Procedures

Sort Windows Overview

Sorting the Sort Window Overview

Sort In Ascending Order

Perform a Custom Sort

More Sorts Dialog Box


Perform a Custom Sort

Use this procedure to customize the way you want wInsight to sort data.

To perform a custom sort, complete the following steps:

  1. On the Standard toolbar, click [image] Sort. to display the More Sorts dialog box. Alternatively, you can click Sort » More Sorts on the Menu bar.

  2. Select a field or fields on which to sort and the sort order.

  3. Click OK. The description of the fields available for sorting can be found in the wInsight Database Fields section.

Related Topics and Procedures

Sort Windows Overview

Sorting the Sort Window Overview

Sort In Ascending Order

Sort in Descending Order

More Sorts Dialog Box


More Sorts Dialog Box

The More Sorts dialog box contains the following fields:

Sort By

Select the primary sort field from the drop-down list, and specify ascending or descending sort order.

Then By

Select the secondary sort field from the drop-down list, and specify ascending or descending sort order. You can leave the field name blank if a secondary sort is not required.

Then By

Select the tertiary sort field from the drop-down list, and specify ascending or descending sort order. You can leave the field blank if a tertiary field is not required.

Location

To display the More Sorts dialog box, take one of the following actions:

  • On the main menu, click Options » Sorts » More Sorts....

  • On the main spreadsheet or the Sort window, right-click anywhere to display the shortcut menu then click More Sorts....

Related Topics and Procedures

Sort Windows Overview

Sorting the Sort Window Overview

Sort In Ascending Order

Sort in Descending Order

Perform a Custom Sort

wInsight Database Fields


Toggling the Display of Sort Window Data Overview

Sort windows have a number of built-in toggles that are useful in doing analysis. In addition to the procedures described in this section, you can access these toggles by clicking Options » Toggle.

The following toggles affect the active Sort window only:

  • WBS/description toggle

  • Lowest/all toggle

  • Indent/outdent toggle

The Summary Row feature is another option that performs as a toggle. You can access this feature by clicking Options » Summary Row.

In addition to the Sort window, the following toggles affect all open windows associated with the active data set. These toggles are located on the Dataset toolbar:

  • Units toggle

  • Structure toggle

Related Topics and Procedures

Sort Windows Overview

Display an Element's Description or WBS Number

Display Lowest Element or All Elements

Indent or Outdent WBS Elements

Display or Hide a Summary Row

Display or Hide Units

Display or Hide Structures


Display an Element's Description or WBS Number

To toggle between an element's description and its WBS number, click [image] WBS/Desc on the Standard toolbar. The Description column switches between the WBS number and the element's description. This command is not available if one of the Description columns (ElemDesc field or LongDesc field) is not included in the selected view.

You can display both the description and WBS number by inserting a new column in the Sort window. See Working with Sort Window Columns for information on inserting columns.

Related Topics and Procedures

Sort Windows Overview

Toggling the Display of Sort Window Data Overview

Display Lowest Element or All Elements

Indent or Outdent WBS Elements

Display or Hide a Summary Row

Display or Hide Units

Display or Hide Structures


Display Lowest Element or All Elements

To toggle between all elements and only the lowest-level elements, click [image] Lowest/All on the Standard toolbar. A lowest-level-only filter turns on or off in addition to any other active filter. The status bar indicates the current state.

Related Topics and Procedures

Sort Windows Overview

Toggling the Display of Sort Window Data Overview

Display an Element's Description or WBS Number

Indent or Outdent WBS Elements

Display or Hide a Summary Row

Display or Hide Units

Display or Hide Structures


Indent or Outdent WBS Elements

To toggle the indenting feature on and off, click [image] Indent on the Standard toolbar. The Description column switches between left-justified and indented-by-level.

This command is not available if one of the Description columns (ElemDesc field or LongDesc field) is not included in the selected view.

You can get a clear picture of the parent-child-sibling relationships in a contract by clicking Sort » WBS Hierarchy and setting this toggle on.

Related Topics and Procedures

Sort Windows Overview

Toggling the Display of Sort Window Data Overview

Display an Element's Description or WBS Number

Display Lowest Element or All Elements

Display or Hide a Summary Row

Display or Hide Units

Display or Hide Structures


Display or Hide a Summary Row

Use these procedures to display and hide a summary row.

To display a summary row, complete the following steps:

  1. Activate the Sort window you want by clicking it, or selecting it from the Window menu.

  2. Filter the Sort window to display the elements you want. See Filter Overview for more information.

  3. Display the summary row by clicking [image] Sum on the Standard toolbar, or by clicking Options » Summary Row on the main menu. The summary row is calculated and displayed at the bottom of the view.

In the Sort window and in all charts and reports, the element description for the summary row is the name of the currently active filter and the WBS number for the summary row is (Aggregate).

To hide a summary row, complete the following steps:

  1. Activate the Sort window you want by clicking it, or selecting it from the Window menu.

  2. Hide the summary row by again clicking [image] Sum on the Standard toolbar, or by clicking Options » Summary Row on the main menu. The summary row is removed.

Related Topics and Procedures

Sort Windows Overview

Toggling the Display of Sort Window Data Overview

Display an Element's Description or WBS Number

Display Lowest Element or All Elements

Indent or Outdent WBS Elements

Display or Hide Units

Display or Hide Structures


Display or Hide Units

Use this procedure to define how charts, reports, and the Sort window appear on the interface.

To toggle displaying units of dollars, hours, EQP, or other user-defined units, complete the following steps:

  1. On the Menu bar, click Options » Toolbars » Dataset. The Dataset toolbar displays.

  2. On the Dataset toolbar, click [image] Unit. Affected fields switch to the next available units (for example, from dollars to hours). The title bar of all open windows and the status bar indicate the current state of the toggle. You can also click the Unit drop-down list and select the units.

    Units

    Units can be any of the following types:

    • dollars

    • hours

    • equivalent persons (EQP)

    • other user-defined units

    Click [image] to toggle the units.

Related Topics and Procedures

Sort Windows Overview

Toggling the Display of Sort Window Data Overview

Display an Element's Description or WBS Number

Display Lowest Element or All Elements

Indent or Outdent WBS Elements

Display or Hide a Summary Row

Display or Hide Structures


Display or Hide Structures

Use this procedure to define how charts, reports, and the Sort window appear on the interface.

To toggle between displaying the WBS, OBS, IPT, and other user-defined structures:

  1. On the Menu bar, click Options » Toolbars » Dataset. The Dataset toolbar displays.

  2. On the Dataset toolbar, click [image] Structure. Affected windows switch to displaying element information for the next available structure (for example, from WBS to OBS). The title bar of all open windows and the status bar indicate the current state of the toggle. You can also click the Structure drop-down list and select the structure.

    Structures

    Structures can be any of the following types:

    • Work breakdown structure (WBS)

    • Organization breakdown structure (OBS)

    • Integrated product team (IPT)

    • Other user-defined structures

    Click [image] to toggle the structure.

Related Topics and Procedures

Sort Windows Overview

Toggling the Display of Sort Window Data Overview

Display an Element's Description or WBS Number

Display Lowest Element or All Elements

Indent or Outdent WBS Elements

Display or Hide a Summary Row

Display or Hide Units


Working with Sort Window Columns Overview

You can adjust Sort windows in several ways. These include locking columns into place to keep them visible while scrolling, resizing to fit data, inserting or deleting columns, changing column width, or modifying a column's title, alignment, or datafield.

Related Topics and Procedures

Sort Windows Overview

Lock and Unlock Columns and Row

Change Column Width

Insert a Column

Modify a Column

Delete a Column

Column Definition Dialog Box


Lock Columns and Rows

Lock and Unlock Columns and Rows

You can lock sort window rows and columns in place to keep them visible while scrolling.

To lock rows and columns, complete the following steps:

  1. Place the focus rectangle in the cell immediately below and to the right of the area that is to remain locked. The selected cell becomes the upper left corner of the scrolling region; rows above it and columns to its left are locked.

  2. On the Menu bar, click Options » Freeze Panes.

To unlock rows and columns, click Options » Unfreeze Panes.

If you scroll the Sort window from its initial position when the Freeze Panes command is invoked, any rows and columns already scrolled out of view remain inaccessible until you unlock the window.

Related Topics and Procedures

Sort Windows Overview

Working with Sort Window Columns Overview

Change Column Width

Insert a Column

Modify a Column

Delete a Column

Column Definition Dialog Box


Change Column Width

You can size sort window columns manually or automatically.

To size a column manually, complete the following steps:

  1. Place the mouse over the right edge of the top row of the desired column. The mouse cursor changes to a double-sided arrow when the mouse is correctly positioned over the column sizer.

  2. Click and drag until the column is the size you want.

To size a column automatically, complete the following steps:

  1. Place the mouse over the right edge of the top row of the column. The mouse cursor changes to a double-sided arrow when the mouse is correctly positioned over the column sizer.

  2. Double-click the column sizer. The column sizes itself to the minimum width required to display column text without truncating.

Alternatively, you can complete the following steps:

  1. Double-click the column header of the column you want to size, or click somewhere in the column and then click Options » Column » Define. The Column Definition dialog box opens.

  2. Click Best Fit to specify the minimum width that contains the column title and text without truncating.

Related Topics and Procedures

Sort Windows Overview

Working with Sort Window Columns Overview

Lock and Unlock Columns and Rows

Insert a Column

Modify a Column

Delete a Column

Column Definition Dialog Box


Insert a Column

You can insert any number of columns into a Sort window, with each column chosen from a list of over 200 available database fields.

To insert a column, complete the following steps:

  1. Activate the Sort window you want to modify by clicking it, or selecting it from the Window menu.

  2. Select a column to the right of where the new column is to be inserted by clicking somewhere in the column. The column you insert appears to the left of the selected column.

You cannot add a column directly to the right end of the Sort window. Instead, insert a duplicate of the rightmost column just to the left of the rightmost column, then modify the rightmost column to have the desired characteristics.

  3. Press INSERT, or click Options » Column » Insert to display the Column Definition dialog box.

  4. Specify the desired characteristics for the new column. Enter a title for the column, otherwise the field name will be used. See wInsight Database Fields for a description of the fields that are available for defining a column.

  5. Click OK to return to and apply the changes to the active Sort window, or click Best Fit to specify the minimum width that contains the column title and text without truncating.

You can quickly edit an existing column by double-clicking in the column header.

Related Topics and Procedures

Sort Windows Overview

Working with Sort Window Columns Overview

Lock and Unlock Columns and Rows

Change Column Width

Modify a Column

Delete a Column

Column Definition Dialog Box


Modify a Column

You can modify any Sort window column to change its title, width, text alignment, or data field.

To modify a column, complete the following steps:

  1. Activate the Sort window you want to modify by clicking it, or selecting it from the Window menu.

  2. Double-click the column header of the column you want to modify, or click somewhere in the column and then click Options » Column » Define. The Column Definition dialog box opens.

  3. Specify the new characteristics for the column. Enter a title for the column, otherwise the field name will be used. See wInsight Database Fields for a description of the fields that are available for defining a column.

  4. Click OK to return to and apply the changes to the active Sort window, or click Best Fit to specify the minimum width that contains the column title and text without truncating.

Related Topics and Procedures

Sort Windows Overview

Working with Sort Window Columns Overview

Lock and Unlock Columns and Rows

Change Column Width

Insert a Column

Delete a Column

Column Definition Dialog Box


Delete a Column

You can delete any Sort window column except the row header column at the far left.

To delete a column, complete the following steps:

  1. Activate the Sort window you want to modify by clicking it or selecting it from the Window menu.

  2. Click somewhere in the column to be deleted.

  3. On your keyboard, press DELETE. Alternatively, on the Menu bar, click Options » Column » Delete.

Related Topics and Procedures

Sort Windows Overview

Working with Sort Window Columns Overview

Lock and Unlock Columns and Rows

Change Column Width

Insert a Column

Modify a Column

Column Definition Dialog Box


Column Definition Dialog Box

Use the Column Definition dialog box to define the characteristics of a Sort window column. This dialog box contains the following fields:

Field

Select the field to be displayed from the drop-down list. See wInsight Database Fields for a description of the fields that are available for defining a column.

Title

Enter a title for the column. The default value is the field name.

Align Title

Select how the column title should be aligned by choosing a setting from the drop-down list:

  • Left

  • Center

  • Right

Align Data

Select how the data in the column should be aligned by choosing a setting from the drop-down list:

  • Left

  • Center

  • Right

Width

Enter a value for the width of the column. One unit equals the average character width of the current font. You can also set the column width by clicking and dragging the right edge of the column header.

Best Fit

Click Best Fit to specify the minimum width which contains the column title and text without truncating. You can also set best fit width by double-clicking the right edge of the column header.

Location

To display the Column Definition dialog box, take one of the following actions:

  1. On the menu bar, click Options » Column » Define... or Insert....

  2. On the main spreadsheet or the Sort window, right-click anywhere to display the shortcut menu then click Column » Define... or Insert....

Related Topics and Procedures

Change Column Width

Delete a Column

Insert a Column

Modify a Column

Lock and Unlock Columns and Rows

Sort Windows Overview

Working with Sort Window Columns Overview


Working with Views (Custom Sort Windows) Overview

You can create, save, and reuse custom Sort window arrangements, called views. You can customize sort windows by inserting, deleting, or changing the contents of a column. You can save the modified Sort window to a data set at any time.

Adding or changing columns makes only temporary changes to the Sort window. The changes are not saved automatically upon exiting wInsight. To save the changes click Options » View » More Views.

Click File » Export Custom Items to use a form of backup by saving your custom views, filters, and charts to an .XML file. See Transferring from 6.x to 6.x for more information.

Related Topics and Procedures

Sort Windows Overview

Apply a View

Set the Default View

Create a View Based on the Sort Window

Create a View Based on an Existing View

Modify a View

Delete a View

More Views Dialog Box

View Definition Dialog Box


Apply a View

You can create and save custom views, and switch between views. You can create views for any number of activities, such as analysis, reporting, and data validation.

When you apply a view to a data set, wInsight replaces the current columns in the Sort window with the columns specified in the view. Only columns specified in the view are shown in the Sort window.

To select a view from the View menu, complete the following steps:

  1. Select the Sort window.

  2. Click Options » View. The name of the currently active view has a check mark.

  3. Select a view from the View menu.

To select a view from the More Views dialog box, complete the following steps:

  1. Select the Sort window.

  2. Click [image] Views on the Standard toolbar or click Options » View » More Views on the main menu to display the More Views dialog box.

  3. Highlight the view and click Apply, or double-click the name of the view.

Related Topics and Procedures

Sort Windows Overview

Working with Views (Custom Sort Windows) Overview

Set the Default View

Create a View Based on the Sort Window

Create a View Based on an Existing View

Modify a View

Delete a View

More Views Dialog Box

View Definition Dialog Box


Set the Default View

Use this procedure to set the view that you want to display by default.

To set the default view, complete the following steps:

  1. On the Standard toolbar, click [image] Views. The More Views dialog box displays. Alternatively, on the Menu bar, you can click Options » View » More Views....

  2. Highlight the view you want to make the default.

  3. At the bottom of the Views list, select Default View.

  4. When you are done, either click Apply to close the dialog box and apply the selected view, or click Close without changing views.

If you clear the Default View option without specifying a new default view, the Standard view becomes the default.

Related Topics and Procedures

Sort Windows Overview

Working with Views (Custom Sort Windows) Overview

Apply a View

Create a View Based on the Sort Window

Create a View Based on an Existing View

Modify a View

Delete a View

More Views Dialog Box

View Definition Dialog Box


Create a View Based on the Soft Window

Create a View Based on the Sort Window

Use this procedure to customize a view using the Sort window as template.

To create a custom view based on the Sort window, complete the following steps:

  1. Start with any existing view (Sort window), then insert, modify, and delete columns as required.

  2. On the Standard toolbar, click [image] Views. The More Views dialog box displays. Alternatively, on the Menu bar, you can or click Options » View » More Views.... Standard is wInsight’s default view.

  3. Click Copy to import the modified view into the More Views dialog box. A copy of the current view is highlighted in the Views list. The view is named View 1 (or whatever is the next available sequential number).

  4. Click Edit to change the name of the view to something more meaningful than View 1. The View Definition dialog box displays.

  5. After you rename the view, click OK to close the View Definition dialog box and save your changes.

  6. When you are done, either click Apply to close the dialog box and apply the selected view, or click Close without changing views.

Related Topics and Procedures

Sort Windows Overview

Working with Views (Custom Sort Windows) Overview

Apply a View

Set the Default View

Create a View Based on an Existing View

Modify a View

Delete a View

More Views Dialog Box

View Definition Dialog Box


Create a View Based on an Existing View

Use this procedure to customize a view using an existing view as template.

To create a custom view based on an existing view, complete the following steps:

  1. On the Standard toolbar, click [image] Views. The More Views dialog box displays. Alternatively, on the Menu bar, you can or click Options » View » More Views.... Standard is wInsight’s default view.

  2. Highlight the view you want to use as a template.

  3. Click Copy. A copy of the selected view is highlighted in the Views list.

  4. Click Edit. The View Definition dialog box displays.

  5. Make any additional changes. You will probably want to change the name, if nothing else. This is also the most convenient place to re-order columns.

  6. Click OK to accept your changes, or Cancel to dismiss the dialog box. The More Views dialog box reopens.

  7. To make the new view the default, select the Default View check box.

  8. Click Apply to close the dialog box and apply the new view, or Close without changing views.

Related Topics and Procedures

Sort Windows Overview

Working with Views (Custom Sort Windows) Overview

Apply a View

Set the Default View

Create a View Based on the Sort Window

Modify a View

Delete a View

More Views Dialog Box

View Definition Dialog Box


Modify a View

Use this procedure to modify an existing view.

To modify a view, complete the following steps:

  1. On the Standard toolbar, click [image] Views. The More Views dialog box displays. Alternatively, on the Menu bar, you can or click Options » View » More Views.... Standard is wInsight’s default view.

  2. Highlight the view you want to modify.

  3. Click Edit. The View Definition dialog box displays.

  4. Make any changes.

  5. Click OK to accept your changes, or Cancel to dismiss the dialog box. The More Views dialog box reopens.

  6. To make the new view the default, select the Default View check box.

  7. Click Apply to close the dialog box and apply the modified view, or Close to close the dialog box without changing views.

Related Topics and Procedures

Sort Windows Overview

Working with Views (Custom Sort Windows) Overview

Apply a View

Set the Default View

Create a View Based on the Sort Window

Create a View Based on an Existing View

Delete a View

More Views Dialog Box

View Definition Dialog Box


Delete a View

Use this procedure to remove a view from the list of views.

To delete a view, complete the following steps:

  1. On the Standard toolbar, click [image] Views. The More Views dialog box displays. Alternatively, on the Menu bar, you can or click Options » View » More Views.... Standard is wInsight’s default view.

  2. Highlight the view you want to delete.

  3. Click Delete. A confirmation message displays.

  4. Click Yes to confirm or No to cancel without deleting.

Related Topics and Procedures

Sort Windows Overview

Working with Views (Custom Sort Windows) Overview

Apply a View

Set the Default View

Create a View Based on the Sort Window

Create a View Based on an Existing View

Modify a View

More Views Dialog Box

View Definition Dialog Box


More Views Dialog Box

The More Views dialog box allows you to add, delete, and select custom views. It contains the following fields:

Views

To apply, copy, edit, or delete an existing view, select its name from the list. You can select and apply a view by double-clicking its name.

<Current> refers to the active sort window and lets you modify the active view (either from the Sort window itself or by clicking Edit) and then import it (by clicking Copy) into the More Views dialog box, thereby making the changes permanent.

Apply

Use this button to invoke the highlighted view and close the dialog box.

Close

Use this button to close the dialog box without change.

Copy

Use this button to create a copy of an existing view so that you can edit the copy.

Edit

Use this button to edit the highlighted view. The View Definition dialog box displays.

Delete

Use this button to delete the highlighted view.

Default View

Select this check box to make the highlighted view the default view for all new Sort windows. All subsequently opened Sort windows are based on this view (for example, they contain the columns specified by the view).

Location

To display the More Views dialog box, take one of the following actions:

  • On the menu bar, click Options » View » More Views....

  • On the main spreadsheet or Sort window, right-click anywhere to display the shortcut menu then click View » More Views....

Related Topics and Procedures

Apply a View

Create a View Based on the Sort Window

Create a View Based on an Existing View

Delete a View

Modify a View

Set the Default View

Sort Windows Overview

View Definition Dialog Box

Working with Views (Custom Sort Windows) Overview


View Definition Dialog Box

Use the View Definition dialog box to modify a selected view. This dialog box the contains the following fields:

Name

Enter a unique name for the view.

Show in View Menu

Select this option to display the view on the View menu. If you do not select this option, you can still display the view by selecting the view from the View list on the More Views dialog box.

Column/Title/Align Title/Align Data/Width

Select a column that you want to modify, copy, or delete for the selected view from the list of available columns with defined characteristics.

Edit

Click this button to edit an existing column. Clicking this button displays Column Definition dialog box.

Copy

Click this button to add a new column to the view. Copy an existing column and then edit the definition to change the database field (column) used.

Delete

Click this button to remove the highlighted item from the view.

Up

Click this button to move the highlighted item left one column.

Down

Click this button to move the highlighted item right one column.

Location

To display the View Definition dialog box, complete the following steps:

  1. On the Menu bar, click Options » View » More Views.... The More Views dialog box displays.

  2. Click Edit.

Alternatively, you can right-click anywhere on the main spreadsheet or the Sort window to display the shortcut menu. Follow the rest of the instructions.

Related Topics and Procedures

Apply a View

Create a View Based on the Sort Window

Create a View Based on an Existing View

Delete a View

Modify a View

More Views Dialog Box

Set the Default View

Sort Windows Overview

Working with Views (Custom Sort Windows) Overview


Keyboard Shortcuts for Sort Windows

This section presents the following table describing additional keyboard assignments available in the Sort window:

Keystrokes | Actions
LEFT ARROW | Move to the previous column
RIGHT ARROW | Move to the next column
UP ARROW | Move to the previous row
DOWN ARROW | Move to the next row
CTRL+UP ARROW | Move to the first row
CTRL+DOWN ARROW | Move to the last row
CTRL+LEFT ARROW | Move to the first column
CTRL+RIGHT ARROW | Move to the last column
SHIFT+UP ARROW | Select/Unselect row and move up one row
SHIFT+DOWN ARROW | Select/Unselect row and move down one row
SHIFT+LEFT ARROW | Select/Unselect column and move left
SHIFT+RIGHT ARROW | Select/Unselect column and move right
INSERT | Inserts a column to the left of the selected column. If no column is selected, does nothing.
DELETE | Deletes the selected column. If more than one column is selected, or no column is selected, does nothing.

Related Topics and Procedures

Sort Windows Overview


Filters Overview

wInsight features several filters, including user-defined filters, to help you perform the following tasks:

  • Narrow the data set that is already opened, to find certain elements

  • Prefilter when opening a data set, allowing you to open only the data that concerns you

  • Restrict access to wInsight data down to the element level

Related Topics and Procedures

Apply a Filter

Create a Filter

Create an Interactive Filter

Compound Filters Overview

Delete a Filter

Determine the Active Filter

Filter Definition Dialog Box

Filter Item Definition Dialog Box

Filter Value Format Dialog Box

Filter Values Dialog Box

Modify a Filter

More Filters Dialog Box


Apply a Filter

Use any of these procedures in applying a filter.

To select a filter from the Filter menu, complete the following steps:

  1. Activate the Sort window you want to filter by clicking it, or selecting it from the Windows menu.

  2. On the Menu bar, click Options » Filter. The name with the check mark is the active filter.

  3. Select a filter from the menu.

  4. If you select an interactive filter, the Filter Values dialog box displays, prompting you for additional input. Click OK to apply the filter and close the dialog box, or click Apply to apply the filter but leave the dialog box open.

To select a filter from the More Filters dialog box, complete the following steps:

  1. Activate the Sort window you want to filter by clicking it, or selecting it from the Windows menu.

  2. On the Standard toolbar, click [image] Filter. The More Filters dialog box displays. Alternatively, you can click Options » Filter » More Filters....

  3. From the drop-down list of the Filters field, select a filter.

  4. Click Apply, or double-click the filter name.

To turn off a filter and re-display all elements, apply the <All Elements> filter.

Related Topics and Procedures

Filters Overview

Compound Filters Overview

More Filters Dialog Box

Filter Definition Dialog Box

Filter Item Definition Dialog Box

Filter Value Format Dialog Box


Determine the Active Filter

You can have more than one data set open at a time. You can also have multiple Sort windows open for a single data set. You can filter each Sort window independently.

To determine how a Sort window is filtered, complete the following steps:

  1. Activate the desired Sort window by clicking it with the mouse, or selecting it from the Window menu.

  2. Read the active filter name from the Filter pane on the status bar, or click Options » Filter to display the Filter menu. The active filter has a check mark next to it.

Related Topics and Procedures

Filters Overview

Compound Filters Overview

More Filters Dialog Box


Create a Filter

Use this procedure in creating a new filter.

To create a filter, complete the following steps:

  1. Activate the Sort window you want to filter by clicking it with the mouse, or selecting it from the Window menu.

  2. On the Standard toolbar, click [image] Filter. The More Filters dialog box displays. Alternatively, you can click Options » Filter » More Filters....

  3. Click New. A new filter appears highlighted in the dialog box and is named as Filter 1, Filter 2, and so on. You can rename the filter.

  4. Click Edit. The Filter Definition dialog box displays.

  5. This step is optional. Replace the default filter name in the Name field.

  6. If you want the filter to appear in the Filter menu, select the Show in Filter Menu option.

  7. Click Insert. The Filter Item Definition dialog box displays.

  8. If you intend to create a compound filter, specify in the Pre-logic box how you want to combine this test with prior tests.

Skip this step if you are creating a simple filter or a filter with only a single filter item.

  9. From the Field list, select a data field to test. See wInsight Database Fields for descriptions of the fields that are available for filtering.

  10. From the Test list, select a test to perform.

  11. In the Value list, enter or select a value to test against. When using text fields, you must use single quotes around the value (for example, 'Smith').

  12. If you intend to create a compound filter, specify in the Post-logic list how you want to combine this test with subsequent tests.

Skip this step if you are creating a filter with only a single filter item.

  13. Click OK to accept your changes and return to the Filter Definition dialog box.

  14. Repeat steps 7 through 13 for each filter item.

  15. Click OK to accept your changes and return to the More Filters dialog box.

  16. On the More Filters dialog box, click Apply to run the filter immediately (it should already be highlighted/selected), or Close to quit without applying the filter.

Related Topics and Procedures

Filters Overview

More Filters Dialog Box

Filter Value Format Dialog Box

Filter Values

Filter Tests

Compound Filters Overview


Create an Interactive Filter

wInsight enables you to build interactive filters that prompt the user for the information (criteria) to be used in the filter. Interactive filters provide flexibility and help reduce the number of filters you need to build. For example, instead of building one filter for CAM equals Smith and one for CAM equals Jones, and so on, you can simply build one interactive filter that prompts you for the Cost Account Manager's name. Thus, one filter can be used to retrieve information for any CAM.

To create an interactive filter, complete the following steps:

  1. Follow steps 1 through 7 of the Create a Filter procedure. The Filter Item Definition dialog box should be displayed.

  2. Instead of entering a specific value, click the ellipses (...) button to the right of the Value field to display the Filter Value Format dialog box. The field for the filter item is identified on the Field line.

  3. In the Value or Prompt field, enter the text that will be used to prompt the user for an input when the filter is run.

  4. Select Yes from the Prompt for Value drop-down list. This tells wInsight that the filter is an interactive filter.

  5. In the Data Type field, select the type of data that the user is to supply when prompted by the filter. The options are Number, Text, and Date. Based on the selections you make, wInsight displays the correctly formatted prompt in the Formatted Value field.

  6. Click OK to close the Filter Value Format dialog box and return to the Filter Item Definition dialog box. The correctly formatted prompt displays in the Value field.

  7. Click OK to close the Filter Item Definition dialog box and return to the Filter Definition dialog box.

  8. Click OK to close the Filter Definition dialog box and return to the More Filters dialog box.

With interactive filters, the OK button applies the filter but closes the dialog box. However, the Apply button applies the filter and leaves the dialog box open.

Related Topics and Procedures

Filters Overview

Create a Filter

More Filters Dialog Box

Filter Definition Dialog Box

Filter Item Definition Dialog Box

Filter Value Format Dialog Box

Filter Values

Filter Tests

Compound Filters Overview


Modify a Filter

Use this procedure in modifying an existing filter

To modify a filter, complete the following steps:

  1. Activate the Sort window you want to filter by clicking it with the mouse, or selecting it from the Window menu.

  2. On the Standard toolbar, click [image] Filter. The More Filters dialog box displays. Alternatively, you can click Options » Filter » More Filters....

  3. In the Filter list, highlight the name of the filter to be modified.

  4. Take one of the following actions to modify a filter:

  5. Click Edit to modify an existing filter, click Edit.

  6. Click Copy to create a new filter based on an existing filter, then click Edit. The Filter Definition dialog box displays.

  5. Modify the filter.

  6. Click OK to accept your changes and return to the More Filters dialog box.

  7. Click Apply to run the filter immediately, or Close to quit without applying.

Related Topics and Procedures

Filters Overview

Filter Item Definition Dialog Box

Filter Value Format Dialog Box


Delete a Filter

Use this procedure to delete a filter in the list.

To delete a filter, complete the following steps:

  1. Activate a Sort window by clicking it with the mouse, or selecting it from the Window menu.

  2. On the Standard toolbar, click [image] Filter. The More Filters dialog box displays. Alternatively, you can click Options » Filter » More Filters....

  3. Highlight the name of the filter to be deleted in the Filters list.

  4. Click Delete. A confirmation message displays.

  5. Click Yes to confirm or No to cancel without deleting.

Related Topics and Procedures

Filters Overview

Filter Definition Dialog Box

Filter Item Definition Dialog Box

Filter Value Format Dialog Box


Filter Values

Use the Value drop-down list of the Filter Item Definition dialog box to specify the criteria to display a contract element. Enter values in any of the following ways:

  • Create a simple filter by entering a specific value or selecting a specific value from the drop-down list.

  • Create a calculated filter.

  • Create an interactive filter. When the filter is applied, a window displays prompting you to enter a value.

  • Create a wildcard filter by replacing one or more characters with a percent sign (%) or an underscore (_).

    • The percent sign matches one or more characters.

    • The underscore matches any single character.

For example, P_P and P%P both match POP, PIP and PUP. However, P%P also match POOOP, PIIIP, and PUUUP.

Wildcard filters must use Like or Not Like instead of equals (=) as the test.

  • You can combine formats within a single test.

When using text fields, you must surround the value entry by single quotes (for example, 'Smith'). The WBSNum field is commonly mistaken for a numeric field but it is a text field (for example, AB, 1.1, A.1). Thus, a WBS number value must have single quotes (for example, 'AB', '1.1', 'A.1').

The Value field displays in bold in the following examples:

Filter Item | Result
Field: ProjOff; Test: =; Value: 'Smith' | Elements with Project Officer equal to Smith
Field: BAC; Test: <; Value: EAC | Elements for which BAC is less than EAC (unfavorable VAC)
Field: ProjOff; Test: =; Value: '(Enter Name)' | This produces an interactive filter. Elements with Project Officer equal to a user-supplied name.
Field: BAC; Test: <=; Value: 200 | Field: BAC; Test: <= Value: 200
Field: WBSNum; Test: Like; Value: '3__0' | Elements with a WBS number beginning with 3 followed by any two characters (two underscores _ were used), and ending in 0.
Field: ElemDesc; Test: Like; Value: '%management%' | Finds all elements with the word "management" anywhere in the element's description.

Related Topics and Procedures

Create a Filter

Create an Interactive Filter

Filter Definition Dialog Box

Filters Overview

Filter Tests

Filter Values Dialog Box

More Filters Dialog Box


Filter Tests

The Test drop-down list on the Filter Item Definition dialog box provides a list of tests that you can use to determine if a match exists between an element field and a specified filter value. The complete list of available tests is shown in the following table:

Test | Description
= | The field equals the value.
<> | The field does not equal the value.
< | The field is less than the value.
<= | The field is less than or equal to the value.
> | The field is greater than the value.
>= | The field is greater than or equal to the value.
In | The field is one of a set of values (a, b, c).
Not In | The field is not in one of a set of values (a, b, c).
Like | The field matches a wildcard value.
Not Like | The field does not match a wildcard value.
Is | The field is null (empty, it contains no data).
Is Not | The field is not null (not empty, it contains data).

Related Topics and Procedures

Filters Overview

Create a Filter

Create an Interactive Filter

Filter Values

More Filters Dialog Box

Filter Definition Dialog Box


More Filters Dialog Box

Use the More Filters dialog box to apply, add, edit, and delete user-defined filters. The following fields are present on this dialog box:

Filters

Select a filter to apply, edit, copy, or delete. Double-clicking an entry or pressing the ENTER closes the dialog box and applies the selected filter.

Apply

Use this button to invoke the highlighted filter and close the dialog box.

Close

Use this button to close the dialog box without making changes.

New

Use this button to create a new filter. Then click Edit to build the filter.

Copy

Use this button to create a copy of an existing filter. You can then click Edit to edit the copy.

Edit

Use this button to edit the highlighted filter. This option is unavailable for the <All Elements> filter. The Filter Definition dialog box opens.

Delete

Use this button to delete the highlighted filter. This option is unavailable for the <All Elements> filter.

Location

To display the More Filters dialog box, take one of the following actions:

  1. On the Menu bar, click Options » Filter » More Filters....

  2. On the main spreadsheet or Sort window, right-click anywhere to display the shortcut menu then click Filter » More Filters....

Related Topics and Procedures

Filters Overview

Apply a Filter

Determine the Active Filter

Create a Filter

Create an Interactive Filter

Modify a Filter

Delete a Filter

Filter Item Definition Dialog Box

Filter Value Format Dialog Box


Filter Definition Dialog Box

Use the Filter Definition dialog box to build and edit user-defined filters, and to specify whether they are to display on the Filter menu. The following fields are present on this dialog box:

Name

Enter a unique name for a filter.

Show in Filter Menu

Select this option to display the filter on the Filter menu. If you do not select this option, you can still display the filter by selecting it from the Filters list on the More Filters dialog box and clicking Apply.

Pre-Logic/Field/Test/Value/Post-Logic

This field displays the characteristics of any available user-defined filter that you set on the Filter Item Definition dialog box. Select a filter that you want to modify, copy, or delete.

Edit

Click this button to edit an existing filter item. The Filter Item Definition dialog box displays.

Insert

Use this button to add a new filter item to the filter. The Filter Item Definition dialog box displays to allow you to specify the filter item characteristics.

Copy

Click this button to copy a filter that you select or highlight in the Pre-Logic/Field/Test/Value/Post-Logic field.

Delete

Click this button to remove the highlighted item from the filter.

Up

Click this button to move the highlighted item up one row.

Down

Click this button to move the highlighted item down one row.

Moving an item up or down determines the order in which wInsight applies the filter's tests. In some cases, this can significantly change the behavior of the filter. See Filter Values for more information.

Location

To display the Filter Definition dialog box, complete the following steps:

  1. On the Menu bar, click Options » Filter » More Filters.... The More Filters dialog box displays.

  2. Click Edit.

Alternatively, you can right-click anywhere on the main spreadsheet or the Sort window to display the shortcut menu. Follow the rest of the instructions.

Related Topics and Procedures

Apply a Filter

Create a Filter

Create an Interactive Filter

Delete a Filter

Determine the Active Filter

Filter Value Format Dialog Box

Filters Overview

Modify a Filter


Filter Item Definition Dialog Box

Use the Filter Item Definition dialog box to specify the characteristics of an item in a user-defined filter. The following fields are present on this dialog box:

Pre-Logic

Specify how you want to combine this test with the prior or subsequent tests. Selecting And or Or in this field and leaving the remaining fields blank creates a filter group. See Compound Filters for more information.

Field

Select the data field to be tested from the drop-down list. See wInsight Database Fields for a description of the fields that are available for filtering.

Test

Select the comparison test from the drop-down list. See Filter Tests for more information.

Value

Enter a value against which the selected field will be compared, or pick a value from the drop-down list. You can also select a value from the list, then edit it. See Filter Values for more information.

Post-Logic

Specify how you want to combine this test with the prior or subsequent tests. Selecting And or Or in this field and leaving the remaining fields blank creates a filter group.

Location

To display the Filter Item Definition dialog box, complete the following steps:

  1. On the Menu bar, click Options » Filter » More Filters.... The More Filters dialog box displays.

  2. Click Edit. The Filter Definition dialog box displays.

  3. Click Insert or Edit.

Related Topics and Procedures

Apply a Filter

Create a Filter

Create an Interactive Filter

Delete a Filter

Determine the Active Filter

Filter Definition Dialog Box

Filters Overview

Filter Value Format Dialog Box

Modify a Filter

More Filters Dialog Box


Filter Value Format Dialog Box

The Filter Value Format dialog box contains the following fields:

Field

The filter item is identified on this line.

Value or prompt

Enter the text that is used to prompt for an input when a wInsight user runs the filter.

Prompt for value?

Select Yes to tell wInsight that the filter is an interactive filter.

Data type

Select the type of data that you want to supply when prompted by the filter. The options are:

  • Number

  • Text

  • Date

Formatted value

Based on the selection made in Data type, wInsight displays the correctly formatted prompt.

Location

To display the Filter Value Format Definition dialog box, complete the following steps:

  1. On the Menu bar, click Options » Filter » More Filters.... The More Filters dialog box displays.

  2. Click Edit. The Filter Definition dialog box displays.

  3. Click Insert or Edit. The Filter Item definition dialog box displays.

  4. Click the ellipsis (...) button.

Related Topics and Procedures

Filters Overview

Apply a Filter

Determine the Active Filter

Create a Filter

Create an Interactive Filter

Modify a Filter

Delete a Filter

More Filters Dialog Box

Filter Definition Dialog Box

Filter Item Definition Dialog Box


Filter Values Dialog Box

Use the Filter Values dialog box to modify existing filter prompts.

Value

Enter a value to replace an interactive filter or a criteria to display a contract element.

With interactive filters, clicking OK applies the filter and closes the dialog box, and clicking Apply applies the filter but leaves the dialog box open for continued use.

Location

To display the Filter Values dialog box, take one of the following actions:

  • On the Menu bar, click Options » Filter » <any interactive filter>.

  • On the Sort window, right-click then select Filter » <any interactive filter>.

Related Topics and Procedures

Apply a Filter

Create an Interactive Filter

Filters Overview

Filter Values


Compound Filters Overview

A compound filter is composed of two or more criteria that contract elements must meet if they are to be displayed. Use the Pre-logic and Post-logic fields of the Filter Item Definition dialog box to specify how filter items are combined. See wInsight Database Fields for a description of the fields that are available for filtering.

The following options are available in the Pre-logic and Post-logic fields:

Blank

Select the blank option when you do not need pre-logic or post-logic, such as when creating a filter with only one filter item. The Pre-logic of the first filter item and the Post-logic of the last filter item should be either blank or a bracket.

Open and Closed Brackets

Select the open ({)or the closed (})bracket to control the order in which filter items are evaluated. They function the same as when solving complex mathematical equations where the computation (or evaluation, in this case) is first performed within the brackets and the result is then used at the next level of computation or processing (or compared to the next filter item, in this case). The Pre-logic of the first filter item and the Post-logic of the last filter item should be either blank or a bracket.

And

Select the AND option to require an element to meet both current and preceding (if Pre-logic)/subsequent (if Post-logic) criteria to pass the filter.

OR

Select the OR option to require an element to meet either the current or the preceding (if Pre-logic)/subsequent (if Post-logic) criteria to pass the filter.

NOT

Select the NOT option to perform a logical negation of an expression. Stated another way, Not returns all elements that do not match the specified criteria. For example, Not Project Officer = 'Hall' returns all elements where the project officer (CAM) is not equal to Hall.

When using Not in a compound filter, you still need Ands/Ors to connect the filter items, as shown in the second compound filter example.

The filter item evaluation scheme is as follows: Nots are evaluated first; then within or across parenthesis, Ands are evaluated before Ors; otherwise, filter items are evaluated in the order they occur.

For more information about compound filters, see the following examples:

  • Compound Filters: Example 1

  • Compound Filters: Example 2

Related Topics and Procedures

Filters Overview

Filter Item Definition Dialog Box

Filter Definition Dialog Box

More Filters Dialog Box


Compound Filters: Example 1

Suppose Smith wants to see all elements for which he has responsibility and that have an unfavorable cost or schedule variance. He constructs the filter:

Project Officer Equals Smith | And
SV Dollars Less Than 0 | Or
CV Dollars Less Than 0 |

The filtered list contains all elements for which Smith is the Project Officer and that also have an unfavorable schedule variance, and any element which has an unfavorable cost variance, regardless of Project Officer. This is not what Smith has in mind!

However, the following filter gives the desired result:

Project Officer Equals Smith | And
(SV Dollars Less Than 0 | Or
CV Dollars Less Than 0) |

Placing parentheses around the SV and CV filter items guarantees that they will be evaluated together, as intended.

Related Topics and Procedures

Filters Overview

Compound Filters Overview


Compound Filters: Example 2

The following example displays all elements where Project Officer name begins with a 'B,' except for those elements where Project Officer equals Blair:

Project Officer Like 'B%' | And
Not Project Officer Equal 'Blair' |

In the sample MOH-2 contract, if you run this filter you will get elements for Brown and Bond. If you run the filter without the second filter item, you will also get elements for Blair.

Related Topics and Procedures

Filters Overview

Compound Filters Overview


Narrative Input Windows Overview

Use Narrative Input windows to review and enter narratives for any contract element in the active structure (work breakdown structure, organization breakdown structure, and so on). The Narrative Input windows support Hypertext Markup Language (HTML), providing sophisticated editing capabilities, including support for tabs, bullets, text alignment, multiple fonts, and cut, copy, and paste functions. You can also insert graphics and add hyperlinks to Internet or Intranet Web pages.

Hyperlinks and linked files can provide alternatives to entering narratives in wInsight.

You link Narrative Input windows to the active element; wInsight updates them automatically when the active element changes. In addition, you can print narratives via the Reports menu.

Related Topics and Procedures

Narrative Types

Access Narrative Input Windows

Enter Narratives

Add Hyperlinks

Add Graphics

Picture Dialog Box

Customizing Narrative Input Windows Overview

Data Elements for Custom Reports and Custom Narratives Overview


Narrative Types

wInsight supports the following narratives types:

  • Element EAC Narratives allows you to enter a supporting rationale for an Estimate-At-Completion (EAC) value that you entered or the forecast method that you selected for lowest level elements.

  • Format 5 Narratives should discuss the status of the element, cause of a problem, corrective action being taken, impact to the cost and schedule performance at completion, and impacts to other elements. You can enter Format 5 Narratives for each contract element and for each period of data. You can set up separate templates for each contract.

In wInsight, each contract element's (such as WBS, OBS, and IPT) CPR Format 5 narrative is limited to 64K of alphanumeric and special characters, which include hidden HTML formatting characters. To maximize the amount of narrative overall, Deltek recommends that you enter narratives alongside their own elements (as opposed to entering all narratives into the top-level element). You can also strip out hidden formatting characters by copying text into Windows Notepad.

For more information and samples, see CPR Format 5 — Explanations and Problem Analysis (August 1996) and CPR Format 5 — Explanations and Problem Analysis (March 2005).

  • User Narratives are convenient places for entering general notes, collecting raw data, and inserting exhibits and other data items. You can enter User Narratives for each contract element and for each period of data.

  • Scope of Work Narratives should provide work breakdown structure (WBS) dictionary type information. You can enter them for each contract element.

  • Tripwire Narratives allow you to briefly explain the metric results as presented on the report. Explanations typically focus on metric results that were unexpected or that did not meet the metric thresholds.

The storage capacity of all narratives in wInsight has been increased from 32K to 64K worth of data. If a narrative exceeds the maximum capacity, an error message displays requesting that you remove some text or reduce formatting until you can store the data.

Related Topics and Procedures

Narrative Input Windows Overview

Access Narrative Input Windows

Add Hyperlinks

Add Graphics

Customizing Narrative Input Windows Overview

Data Elements for Custom Reports and Custom Narratives Overview

Element EAC Dialog Box

Enter Narratives

Picture Dialog Box

PMR Narr Tab of EAC/Funding/MR Inputs Dialog Box


Access Narrative Input Windows

Use the following sets of procedures to access narrative input windows.

To access the Element EAC Input window, complete the following steps:

  1. Take one of the following actions:

  2. On the Standard toolbar, click [image] EAC Fcst.

  3. On the main menu, click Input » Format 5 Narrative (ALT+I,N).

The Element EAC dialog box displays.

  2. Click Narrative.

The Element EAC Input window opens and displays any available information for an active element.

To access the Format 5 Input window, take one of the following actions:

  1. On the Standard toolbar, click [image] Format 5 Input.

  2. On the main menu, click Input » Format 5 Narrative (ALT+I,N).

The Format 5 Input window opens and displays any available information for an active element.

To access the User Narrative Input window, take one of the following actions:

  1. On the Standard toolbar, click [image] User Input.

  2. On the main menu, click Input » User Narrative (ALT+I,U).

The User Narrative Input window opens and displays any available information for an active element.

To access the Scope of Work Input window, take the following action:

On the main menu, click Input » Scope of Work (ALT+I,W). The Scope of Work Input window opens and displays any available narrative information for an active element.

To access the Tripwire Narrative Input window, take the following action:

On the main menu, click Input » Tripwire (ALT+I, T). The Tripwire Narrative Input window opens and displays any available information for an active element.

Related Topics and Procedures

Narrative Input Windows Overview

Customizing Narrative Input Windows Overview

Data Elements for Custom Reports and Custom Narratives Overview

Narrative Types


Enter Narratives

Use these procedures to enter narratives.

All wInsight narratives support alphanumeric and special characters with a maximum length of 64k. If a narrative exceeds the maximum capacity, an error message displays requesting that you remove some text or reduce formatting until you can store the data.

To enter a narrative manually, complete the following steps:

  1. Open the appropriate Narrative Input window following the procedures described in Access Narrative Input Windows.

  2. Enter or edit narrative information for an element.

  3. Apply text formatting using the Format toolbar or the Format menu. The menu only displays when a Narrative Input window is the active window.

  4. Create hyperlinks or insert graphics.

  5. Either click [image] Save on the Standard toolbar or click File » Save Changes on the Menu bar.

To paste narrative data from another application, complete the following steps:

  1. Copy the text information to the clipboard using the appropriate commands in the source application. For best results, the source application should support HTML.

  2. Open the appropriate Narrative Input window following the procedures described in Access Narrative Input Windows.

  3. If you want to replace the existing information, click Edit » Select All. This action highlights the existing text that you want to replace.

  4. Either click [image] Paste on the Standard toolbar or click Edit » Paste on the Menu bar to paste the new information into the window.

  5. Either click [image] Save on the Standard toolbar or click File » Save Changes on the Menu bar.

To copy narrative data to another application, complete the following steps:

  1. Open the appropriate Narrative Input window following the procedures described in Access Narrative Input Windows.

  2. Highlight the text that you want to copy, using one of the following techniques:

  • Click the start of the selected text, hold down the left mouse button, and then drag the cursor over the entire selection.

  • Press SHIFT+ARROW KEY.

  • To copy the entire narrative, click Edit » Select All on the Menu bar.

  3. Either click [image] Copy on the Standard toolbar or click Edit » Copy on the Menu bar to copy the information into the clipboard. You can now paste the selected wInsight information into another Windows application using standard the Windows Edit, Paste or Edit, Paste Special commands.

Related Topics and Procedures

Narrative Input Windows Overview

Narrative Types

Access Narrative Input Windows

Customizing Narrative Input Windows Overview

Data Elements for Custom Reports and Custom Narratives Overview


Add Hyperlinks

Use this procedure to add hyperlinks.

To add a hyperlink, complete the following steps:

  1. Open the appropriate Narrative Input window following the procedures described in Access Narrative Input Windows.

  2. Enter a text description.

  3. Highlight the text that you want to link to a particular location or site. On the Format toolbar , the [image] Hyperlink icon becomes available.

  4. Click the icon to display the Hyperlink dialog box.

  5. In the Type drop-down list, select the type of link to establish. The URL box updates with the appropriate URL address prefix. There are 10 hyperlink types to choose from, but the most used types are as follows:

  • http: — Select this option to establish a link to a Web site.

  • file: — Select this option to establish a link to a file on a computer.

  • ftp: — Select this option to establish a link to a Web site where you can upload and/or download files.

  6. Enter the address or path that you want to create a link to in the URL field.

  7. Click OK to save your selections and close the Hyperlink dialog box. The highlighted text is underlined to indicate a hyperlink.

Hyperlinks are not active in the Narrative Input windows. However, they are visible (underlined) and active when you view the associated narrative report. Use the Browse toolbar to help navigate between the Internet and wInsight when viewing narrative reports with hyperlinks.

Related Topics and Procedures

Narrative Input Windows Overview

Narrative Types

Access Narrative Input Windows

Customizing Narrative Input Windows Overview

Data Elements for Custom Reports and Custom Narratives Overview


Add Graphics

Use this procedure to add or insert an image into a narrative.

When an image file is inserted into a Narrative text, a link, rather than the image itself is embedded into the narrative. If you intend to display the image in other wInsight products, such as wInsight Web or wInsight Dashboard, so that other users can view it, you must store the image in a common location accessible to all by the same link. The location could either be a shared network drive mapped as the same drive letter for all users (including servers) or a URL to an image.

To add a graphic, complete the following steps:

  1. Open the appropriate Narrative Input window following the procedures described in Access Narrative Input Windows.

  2. Position the cursor where you want the graphic to be displayed.

  3. On the Format toolbar, click [image] Image. The Picture dialog box displays.

  4. In the Picture Source field, either enter the path and file name of the graphic or click Browse to open the Picture dialog box and then select the graphic file. wInsight supports multiple graphic formats, such as .JPG, .GIF, and .BMP.

  5. Browse your available drives for the graphic file you want inserted, select it, and click Open. The Picture dialog box closes and the Picture Source field displays the path and file name of the selected graphic.

  6. Enter alternate text that you want displayed in place of the graphic when images are turned off or are unavailable.

  7. Layout options allow you to choose where you want to place or align the graphic in the text and how thick the border around the graphic will be.

  8. Spacing allows you to specify horizontal and vertical separation from the main body of text or other graphics.

  7. Click OK to close the Picture dialog box and insert the selected graphic into the Narrative Input window.

Related Topics and Procedures

Narrative Input Windows Overview

Narrative Types

Access Narrative Input Windows

Picture Dialog Box

Customizing Narrative Input Windows Overview

Data Elements for Custom Reports and Custom Narratives Overview


View Narrative Reports

Use this procedure to view narrative reports.

To view a narrative report, take any of the following actions:

  • Click Reports » Format 5 Narrative.

  • Click Reports » Scope of Work.

  • Click Reports » User Narrative.

  • Click Reports » DCMA Reports » Program Tripwires Summary.

You can print the selected report by clicking either [image] Print on the Standard toolbar or File » Print on the main menu.

Related Topics and Procedures

Narrative Input Windows Overview

Narrative Types

Access Narrative Input Windows

Customizing Narrative Input Windows Overview

Data Elements for Custom Reports and Custom Narratives Overview


Picture Dialog Box

Use the Picture dialog box to specify the graphic file to use and how the graphic should be positioned in the Narrative Input window and associated report. This dialog box contains the following fields:

Picture Source

Enter the path and file name of the graphic file or click Browse to locate the file.

Alternate Text

Enter the text you want displayed in place of the graphic when images are turned off or when images are unavailable on the recipient's computer. The alternate text also displays when the image is loading.

Alignment

Select a position from the drop-down list for the image to appear on the page. The following options are available:

  • Bottom or Baseline — This option allows you to align the bottom of the image with the baseline of the text.

  • Middle — This option allows you to align the middle of the image with the baseline of the text.

  • Top — This option allows you to align the top of the image with the top of the largest item in a line.

  • Left — This option allows you to align the image with the left margin, allowing text to wrap around the image.

  • Right — This option allows you to align the image with the right margin, allowing text to wrap around the image.

  • Texttop — This option allows you to align the top of the image with the top of the surrounding text.

  • Absmiddle — This option allows you to align the middle of the image with the middle of the line of text.

  • Absbottom — This option allows you to align the bottom of the image with the bottom of the line.

Border Thickness

Enter a number between 0 and 999 to specify the size in pixels of the image border.

Horizontal

Enter a number between 0 and 999 to add a space in pixels to the sides of the image.

Vertical

Enter a number between 0 and 999 to add a space in pixels to the top and bottom of the image.

Location

To display the Picture dialog box, complete the following steps:

  1. Click Input » <Any of the Narrative Input>. The selected Narrative Input window displays.

  2. Click Format » Image.

Related Topics and Procedures

Narrative Input Windows Overview

Narrative Types

Access Narrative Input Windows

Add Graphics


Customizing Narrative Input Windows Overview

You can customize wInsight narrative input windows by editing their underlying template with an HTML editor, such as MS FrontPage®. The underlying template controls the content and layout of wInsight generated data displayed in the screen.

You use a narrative input window template to predefine or preformat text that displays whenever you open a blank narrative field with an input screen. For example, assume that you would like your Cost Account Managers (CAM)/Integrated Project Teams (IPT) to address the Cause, Impact, and Corrective Action in the Format 5 Narrative Analysis. To remind them that these areas are to be covered, create a template that has these items.

When the Cost Account Manager or Integrated Product Team member opens the empty narrative field, the input window displays the text or dynamic data generated by the template. The CAM/IPT needs to enter the appropriate narrative information into the sections you have provided. Once you save the input, the template no longer regenerates the standard text or data, which is now static, since that would overwrite what has already been entered.

If you want to regenerate the dynamic data, you should clear the narrative field by clicking Edit » Clear All and clicking Save, and then re-opening the narrative input. If you have entered narrative inputs, you should copy those inputs into the clipboard so that you can paste the inputs back in to the narrative field after the dynamic data is updated.

Using a Template without Existing Narratives

A narrative input template displays whenever you open an empty narrative input screen. Empty in this case means that you have not yet entered a narrative for the element in the active reporting period. The input screen displays the dynamic data generated by the template. You need to enter the appropriate narrative information into the input screen.

Once you save the input, the template no longer re-generates the standard text/data (it is now static), since that would overwrite what has already been entered.

Using a Template with Existing Narrative

A narrative input template displays whenever you open an empty narrative input screen. If you have existing narratives and then start using an input screen template, however, the template data does not display when you first open the narrative input screen. In this situation, you must remove the narrative temporarily, refresh the narrative input screen, and then paste the narrative back into the input screen.

Using Templates with the Copy Forward

In wInsight Administrator, you can click Utilities » Copy Forward to copy narratives (and template-generated data) from one reporting period to another. However, no template-generated data is updated to reflect the new period's data. For example, if you copy Jan 2009 narratives and template data to Feb 2009, the template-generated data displayed in February still reflects the January data. In this situation, the template-generated data needs to be updated. See Copy Forward Overview for more information.

Format 5 Templates by Contract

wInsight supports contract-specific Format 5 input templates. Basically, a Format 5 template is needed for each contract with the contract name added to the beginning of the template name.

These templates must be stored in the wInsight folder along with WINST.EXE. The default location of the .EXE file is C:\Program Files\Deltek\wInsight 6.5\winst.

  1. Make a copy of your Format 5 template. wInsight provides a default template called FMT5_TEMPLATE.HTM.

  2. Add the contract name to the beginning of the file name, followed by an underscore. For example, for the MOH-2 contract the template name would be MOH-2_FMT5_TEMPLATE.HTM. If there are spaces in the contract name, there should be spaces in the input template name.

Related Topics and Procedures

Narrative Input Windows Overview

Create a Custom Narrative Template

Data Elements for Custom Reports and Custom Narratives Overview


Create a Custom Narrative Template

Use this procedure to create a custom narrative template.

To create a custom narrative template, complete the following steps:

  1. Use an HTML editor, such as Microsoft FrontPage, to edit the appropriate template. The table below identifies the wInsight input screen templates and the input screens that these templates support.

    2. Template | Input Screen
Eacnarr_template.htm | Element EAC Narrative
Fmt5_template.htm | Format 5 Narrative
Tripwirenarr_template.htm | Program Tripwires Summary
Sow_template.htm | Scope of Work
Usernarr_template.htm | User Narrative

  2. Add the appropriate fields to a report. To determine the wInsight field name, proceed to step 3. Otherwise, skip the next step and proceed to step 4.

  3. On the wInsight menu, click Options » Column » Insert. In the Column Definition dialog box, review the items in the drop-down list, and then return to the HTML editor.

  4. Save your changes.

  5. Close the HTML editor.

Related Topics and Procedures

Narrative Input Windows Overview

Customizing Narrative Input Windows Overview


Data Elements for Custom Reports and Custom Narratives Overview

This section lists and directs you to various data types that display on a custom report or input screen:

  • Structure

  • Unit

  • Contract

  • Contractor

  • Period, CPR

  • Earned Value

  • FutureEtc

Related Topics and Procedures

Reports Overview

Narrative Input Windows Overview

Customizing Narrative Input Windows Overview

Create a Custom Narrative Template


Structure

You can toggle between the structure name and description.

Identify field names between a set of (| and |), for example, (|fieldname goes here|). In some cases you may need to include the table name prior to the field name, separated by a single |. The example below instructs the report to pull the StruName (structure name) from the Structure table by preceding StruName with Structure (|Structure|StruName|). If you do not see the field name in the drop-down list from wInsight you should enter the table name prior to the field name as shown below.

HTML Code

<B>Structure</B>

<HR>

StruName: (|Structure|StruName|)<BR>

StruDesc: (|Structure|StruDesc|)<BR>

<BR>

Output

StruName: WBS

StruDesc: Work Breakdown Structure

Related Topics and Procedures

Reports Overview

Narrative Input Windows Overview

Customizing Narrative Input Windows Overview

Create a Custom Narrative Template

Data Elements for Custom Reports and Custom Narratives Overview


Unit

The unit name honors the toggle features in wInsight.

HTML Code

<B>Unit</B>

<HR>

UnitName: (|Unit|UnitName|)<BR>

<BR>

Output

UnitName: Dollars

Related Topics and Procedures

Reports Overview

Narrative Input Windows Overview

Customizing Narrative Input Windows Overview

Create a Custom Narrative Template

Data Elements for Custom Reports and Custom Narratives Overview


Contract

This data type allows you to pull fields from the contract table.

HTML Code

<B>Contract</B>

<HR>

ContrName : (|ContrName|)<BR>

Analyst: (|Contract|Analyst|)<BR>

NegCost : (|Contract|NegCost|)<BR>

<BR>

Output

ContrName : MOH-2

Analyst: MR E. MONEY

NegCost : 19,529

Related Topics and Procedures

Reports Overview

Narra tive Input Windows Overview

Customizing Narrative Input Windows Overview

Create a Custom Narrative Template

Data Elements for Custom Reports and Custom Narratives Overview


Contractor

This data type shows you how to pull fields from the contract table.

HTML Code

<B>Contractor</B>

<HR>

CtrName : (|Contractor|CtrName|)<BR>

Abbr: (|Contractor|Abbr|)<BR>

<BR>

Output

CtrName : MEGA HERZ ELEC & VEN

Abbr: MEGA

Related Topics and Procedures

Reports Overview

Narrative Input Windows Overview

Customizing Narrative Input Windows Overview

Create a Custom Narrative Template

Data Elements for Custom Reports and Custom Narratives Overview


Period, CPR

HTML Code

<B>Period, Cpr</B>

<HR>

This Period: (|Period|EndDate|)<BR>

Period-2 : (|Period|EndDate|(-2)|)<BR>

Period-1 : (|Period|EndDate|(-1)|)<BR>

Period+0 : (|Period|EndDate|(+0)|[%B %d, %Y]|)<BR>

Period+1 : (|Period|EndDate|(+1)|)<BR>

Period+2 : (|Period|EndDate|(+2)|)<BR>

NegCost: (|NegCost|)<BR>

<BR>

Output

This Period: 01/31/04

Period-2 : 11/30/03

Period-1 : 12/31/03

Period+0 : January 31, 2004

Period+1 :

Period+2 :

NegCost: 20,796

Related Topics and Procedures

Reports Overview

Narrative Input Windows Overview

Customizing Narrative Input Windows Overview

Create a Custom Narrative Template

Data Elements for Custom Reports and Custom Narratives Overview


Earned Value

You can pull data prior to or after the active period by entering a positive or negative number after the field identifier. Also, identifying the unit type after the field causes the item not to toggle. This is useful if you want to mix units in reports (for example, dollars/hours).

If you are trying to pull future period Budgeted Cost of Work Scheduled (BCWS) or Estimate To Completion (ETC) data, you should pull it from the FutureEtc table, not the earned value table.

In addition, take note of the following:

  • BcwsCum-1 pulls the BcwsCum value for the prior period (one period back). It also toggles in the report since no unit type is defined.

  • BcwsCum-0 pulls the active period BcwsCum and toggles.

  • CpiCum shows the CpiCum for the current period with 4 decimal places.

  • BAC (Dollars), BAC (Hours), and BAC (EQP) do not toggle in the report since the unit type is defined. This is useful if you are designing a report that includes mixed unit types (for example, dollars and hours).

HTML Code

<B>EarnedValue</B>

<HR>

BcwsCum-1 : (|BcwsCum|(-1)|)<BR>

BcwsCum-0 : (|BcwsCum|)<BR>

BcwsCum+1 : (|BcwsCum|(+1)|)<BR>

CvCum : (|CvCum|)<BR>

CpiCum : (|CpiCum|[n4]|)<BR>

Bac (Dollars) : (|Bac|Dollars|)<BR>

Bac (Hours) : (|Bac|Hours|)<BR>

Bac (EQP) : (|Bac|EQP|)<BR>

<BR>

Output

BcwsCum-1 : 5,633.2

BcwsCum-0 : 7,278.6

BcwsCum+1 :

CvCum : -499.0

CpiCum : 0.9321

Bac (Dollars) : 20,796.2

Bac (Hours) : 245,460.1

Bac (EQP) : 1,410.9

Related Topics and Procedures

Reports Overview

Narrative Input Windows Overview

Customizing Narrative Input Windows Overview

Create a Custom Narrative Template

Data Elements for Custom Reports and Custom Narratives Overview


FutureEtc

This data type allows you to pull data prior to or after the active period by entering a positive or negative number after the field identifier.

HTML Code

<B>FutureEtc</B>

<HR>

Bcws, Etc {-1} : (|FutureEtc|EndDate|{-1}|)- (|FutureEtc|Bcws|{-1}|) (|FutureEtc|Etc|{-1}|)BR>

Bcws, Etc {+0} : (|FutureEtc|EndDate|{+0}|)- (|FutureEtc|Bcws|{+0}|), (|FutureEtc|Etc|{+0}|)<BR>

Bcws, Etc {+1} : (|FutureEtc|EndDate|{+1}|) – (|FutureEtc|Bcws|{+1}|), (|FutureEtc|Etc|{+1}|)<BR>

<BR>

Bcws, Etc (-1) {+2} : (|FutureEtc|EndDate|(-1)|{+2}|) – (|FutureEtc|Bcws|(-1)|{+2}|), (|FutureEtc|Etc|(-1)|{+2}|)<BR>

Bcws, Etc (-0) {+2} : (|FutureEtc|EndDate|(-0)|{+2}|) – (|FutureEtc|Bcws|(-0)|{+2}|), (|FutureEtc|Etc|(-0)|{+2}|)<BR>

Output

Bcws, Etc {-1} : - ,

Bcws, Etc {+0} : - ,

Bcws, Etc {+1} : 28-Feb-2004 - 1,261.4, 1,309.0

Bcws, Etc (-1) {+2} : - ,

Bcws, Etc (-0) {+2} : 31-Mar-2004 - 1,387.6, 1,439.9

Related Topics and Procedures

Reports Overview

Narrative Input Windows Overview

Customizing Narrative Input Windows Overview

Create a Custom Narrative Template

Data Elements for Custom Reports and Custom Narratives Overview


Charts Overview

Use charts to display historical trend data in a graphical presentation and project data trends into the future. wInsight supports a wide range of analysis and management charts. This application also allows you to create custom charts.

Charts fall into two major categories: Analysis Charts and Management Charts. The main distinction between the two is the degree of modification and creation that is available to you as you work with them. See the following topics for more information and links to the appropriate chart descriptions:

  • Analysis Charts

  • Management Charts

In addition to these charts, wInsight features the following types of charts:

  • Contract Tree (described in the Getting Started help)

  • Bar Chart

  • Dual-axis Chart

  • Gauge Chart

Related Topics and Procedures

wInsight Charts Menu

Viewing Chart Information Overview

Chart Milestones Overview

Scaling Charts Overview

Custom Charts Overview

Chart Descriptions and Examples Overview

Printing Overview


Analysis Charts

All analysis charts share the following characteristics:

  • They can be modified completely.

  • They are available at all levels of the contract structure.

  • They can display color threshold backgrounds.

  • They can serve as the basis for custom analysis charts.

List of Analysis Charts

Use the following links to display topics specific to each type of analysis chart:

  • DCMA Tracking Critical Path Length Index Chart

  • BEI and Monthly Percent Hit Chart - Starts

  • BEI and Monthly Percent Hit Chart - Completions

  • DCMA Cost/Schedule Variance Trends Chart

  • DCMA Contractor EAC Validity Chart

  • DCMA Cost/Schedule Variance Trends (OTB) Chart

  • DCMA Contractor EAC Validity (OTB) Chart

  • Cumulative Variance

  • Cumulative Variance %

  • Current Variance

  • Current Variance %

  • Schedule Performance Index (SPI)

  • Cost Performance Index (CPI)

  • Estimate at Completion (EAC)

  • Cumulative Time Phased Analysis

  • Current Time Phased Analysis

Related Topics and Procedures

Charts Overview

Management Charts

Viewing Chart Information Overview

Custom Charts Overview

Printing Overview


Management Charts

All management charts share the following characteristics:

  • Only the legend, line color, and line style can be modified. You cannot add data to the chart or remove data from it.

  • Some charts are available only at Level 1 (see the individual chart descriptions).

  • Some charts cannot display color threshold backgrounds.

  • You cannot create custom charts.

List of Management Charts

Use the following links to display topics specific to each type of management chart:

  • Manpower

  • Cumulative Element Performance

  • Current Element Performance

  • Bull’s-eye

  • Aggregate Bull's-eye

  • Cost/Schedule Variance

  • Contract Performance

  • Cost/Schedule Variance Trends

  • Army Cost/Schedule Variance Trends

  • Over Target Baseline (OTB)

  • Independent Variance at Completion (IVAC)

  • Baseline Analysis

  • Funding

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Custom Charts Overview

Printing Overview


Viewing Chart Information Overview

This section provides links to the overview of the following tasks that you can accomplish to view information of a wInsight chart:

  • Display a Chart

  • Display Units on Charts

  • Display Previous Periods

  • Display All Periods

  • Display Optional Data

  • Display Tick Marks

  • Display Milestones


Display a Chart

Charts are linked to an active element of their data set. wInsight updates charts automatically when the active element changes.

Some charts display only Level 1 data. If you make a lower-level element active, the chart displays a message informing you that it is available at Level 1 only or that there is no data.

To display a chart, complete the following steps:

  1. Select a Sort window containing the element to report.

  2. Make the element the active element by taking any of the following actions:

  • Double-click anywhere in a row where your desired element is located.

  • Verify that the focus rectangle is in the desired row, and press ENTER.

Check the status bar to make sure that the correct element is the active element.

  3. On the main menu, click Charts. The Charts menu displays the following pre-defined wInsight charts:

    • Tracking Critical Path Length Index

    • Baseline Execution Index Starts

    • Baseline Execution Index Completions

    • C/S Variance Trends

    • Contractor EAC Validity

    • C/S Variance Trends (OTB)

    • Contractor EAC Validity (OTB)

  4. Select a chart. The chart window displays.

Related Topics and Procedures

Charts Overview

BEI and Monthly Percent Hit Chart

Viewing Chart Information Overview

Chart Descriptions and Examples Overview

Analysis Charts

Management Charts


Display Units on Charts

Use this procedure to toggle charts to display information in dollars, hours, equivalent persons (EQP), or other user-defined units.

To display units on a chart, take one of the following actions:

  • On the Dataset toolbar, click [image] Unit to toggle between the available units. The chart changes units, for example, from dollars to hours. Consequently, the title of the chart, the title bar of all open windows, and the status bar change to reflect the active unit.

  • On the Dataset toolbar, click the Unit drop-down list to select a unit.

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Analysis Charts

Management Charts


Display Previous Periods

By default, a chart window opens to the most recent twelve periods of data. If the contract being displayed has more than twelve periods of history, you can scroll the chart to display earlier periods. This capability is not available for all charts.

Use the following keystrokes to scroll:

Keystrokes | Actions
LEFT ARROW | Moves back one period
RIGHT ARROW | Moves forward one period
PAGE DOWN | Moves back twelve periods
PAGE UP | Moves forward twelve periods
HOME | Displays earliest twelve periods
END | Displays most recent twelve periods

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Analysis Charts

Management Charts


Display All Periods

Use this procedure to display all periods.

By default, a chart window opens to the most recent twelve periods of data. You can zoom the chart to view all periods of data. Click Options » Zoom to toggle. Zooming a second time returns the chart to its normal display. When you open the same chart later, wInsight applies the most recent zoom state for the chart. This function is not available for all charts.

To display all periods, complete the following steps:

  1. On the Charts menu, select a chart. If a chart is already open, click or select it from the Window menu. The Zoom option becomes available.

  2. Either click [image] Zoom on the Standard toolbar or click Options » Zoom on the main menu. The chart redraws to display all periods.

Due to space constraints, the date scale and data values in the legend are not visible when you zoom a chart to display all periods.

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Analysis Charts

Management Charts


Display Optional Data

Use this procedure to display optional data. wInsight also allows you to display tick marks and milestones.

To hide or display optional data on charts, complete the following steps:

  1. On the Charts menu, select a chart. If a chart is already open, click or select it from the Window menu. The commands in the table displayed in this section become available on the Options menu.

  2. From the Options menu, select one of the commands identified in the table for the active chart. The display state changes in accordance with optional data identified in the table.

wInsight maintains the display setting on a chart-by-chart basis and the setting remains in effect until you change it. A check mark next to the command on the Options menu indicates that the option is selected and that additional data is being displayed.

Chart | Optional Data | Options Menu Command
Cumulative Variance | Thresholds Color Background | Optional Data
Cumulative Variance % | Thresholds Color Background | Optional Data
Current Variance | Thresholds Color Background | Optional Data
SPI | Thresholds Color Background | Optional Data
CPI | Thresholds Color Background | Optional Data
EAC | Thresholds Color Background | Optional Data
Tracking Critical Path Length Index | Thresholds Color Background | Optional Data
Baseline Execution Index | Thresholds Color Background | Optional Data
DCMA C/S Variance Trends | Undistributed Budget | Optional Data
DCMA C/S Variance Trends (OTB) | Undistributed Budget | Optional Data
DCMA Contractor EAC Validity | Percent of PMB | Optional Data
DCMA Contractor EAC Validity (OTB) | Percent of PMB | Optional Data
Manpower | Manpower BAC | Optional Data
Cumulative Element Performance | ETC; BAC and EAC | Optional Data Zoom
Current Element Performance | ETC; CV Cum and SV Cum | Optional Data Zoom
Bull's-eye Chart | Thresholds Color Background; Line Connecting Data Points | Optional Data Ticks
Aggregate Bull's-eye | Thresholds Color Background; Box around Red and Blue Centroids | Optional Data Ticks
Cost/Schedule | Thresholds Color Background | Optional Data
Contract Performance | Baseline Data to Contract Completion; Additional y-axis Scale Indicating Percent of PMB | Optional Data
C/S Variance Trends | Undistributed Budget | Optional Data
Army Cost/Schedule | TAB, Initial Target Cost & Price, Funds Available | Optional Data
OTB Chart | Undistributed Budget | Optional Data
IVAC Chart | Bar Chart of BAC & EAC %s | Optional Data
Baseline Analysis | Additional y-axis Scale Indicating Percent of PMB | Optional Data
Funding | Additional y-axis Scale Indicating Percent of PMB | Optional Data

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Analysis Charts

Management Charts


Display Tick Marks

Use this procedure to display or hide tick marks. All charts can display tick marks that identify data points. Tooltips with data values display when you position the mouse cursor over a chart tick mark. On the Bull's-eye chart, instead of tick marks, a line connects the data points in sequence.

To hide or display tick marks on charts, complete the following steps:

  1. On the Charts menu, select a chart. If a chart is already open, click or select it from the Window menu.

  2. On the main menu, click Options » Ticks to change the tick marks display state.

wInsight maintains the display setting on a chart-by-chart basis, and the setting remains in effect until you change it. A check mark next to the Ticks command on the Options menu indicates that tick marks are being displayed.

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Analysis Charts

Management Charts


Display Milestones

All charts, except the Bull's-eye charts, can display milestones that identify key contract schedule dates. Milestones for which no actual date has been entered display with an outlined arrow. Milestones for which an actual date has been entered display with a filled-in arrow.

For more information, see Chart Milestones Overview.

To hide or display milestones on charts, complete the following steps:

  1. On the Charts menu, select a chart. If a chart is already open, click or select it from the Window menu.

  2. Click Options » Milestones to change the milestone display state.

wInsight maintains the display setting on a chart-by-chart basis, and the setting remains in effect until you change it. A check mark next to the Milestones command on the Options menu indicates that milestones are being displayed.

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Analysis Charts

Management Charts


Chart Milestones Overview

You can display milestones on any chart. However, you must first enter the milestones in wInsight by clicking Input » Milestones. For each milestone, you can enter a scheduled completion date and an actual completion date.

  • Milestones for which no actual date has been entered display with an outlined arrow.

  • Milestones for which an actual date has been entered display with a filled-in arrow.

Related Topics and Procedures

Charts Overview

Display Milestones

Add a Milestone

Edit a Milestone

Delete a Milestone

Milestones Dialog Box

Milestone Definition Dialog Box


Add a Milestone

Use this procedure to add a milestone. The milestone names and arrows display on top of each other if you enter too many milestones, if the milestones have long names, or if milestone dates are close to each other.

To add a milestone, complete the following steps:

  1. On the main menu, click Input » Milestones. The Milestones dialog box displays.

  2. Click Add. The Milestone Definition dialog box displays.

  3. In the Name field, enter an identifier for the milestone. You can use up to 30 alphanumeric and special characters.

  4. Specify a date either by manually entering a Scheduled date for the milestone using the DD-MMM-YYYY format, or selecting a date from the drop-down list.

  5. Enter an Actual date for the milestone, if there is any, or leave the field blank. To specify a date, use the DD-MMM-YYYY format or select a date from the drop-down list. You must select the check box for the actual date to be plotted on the chart.

  6. Repeat steps 2 through 5 as necessary.

  7. Either click OK to save your changes or click Cancel to dismiss the dialog box without saving.

Related Topics and Procedures

Charts Overview

Chart Milestones Overview

Display Milestones

Milestones Dialog Box

Milestone Definition Dialog Box


Edit a Milestone

Use this procedure to modify an existing milestone.

To edit a milestone, complete the following steps:

  1. On the Menu bar, click Input » Milestones. The Milestones dialog box displays.

  2. Highlight the milestone you want to edit.

  3. Click Edit. The Milestone Definition dialog box displays.

  4. Modify the Name, Scheduled, and Actual fields as necessary.

  5. Repeat steps 2 through 4, if necessary.

  6. Either click OK to save your changes or Cancel to dismiss the dialog box without saving.

Related Topics and Procedures

Charts Overview

Chart Milestones Overview

Display Milestones

Milestones Dialog Box

Milestone Definition Dialog Box


Delete a Milestone

Use this procedure to remove a milestone from the list.

To delete a milestone, complete the following steps:

  1. On the Menu bar, click Input » Milestones. The Milestones dialog box displays.

  2. Highlight the milestone you want to delete.

  3. Click Remove.

  4. Repeat steps 2 and 3 if necessary.

  5. Either click OK to save your changes or Cancel to dismiss the dialog box without saving.

Related Topics and Procedures

Charts Overview

Chart Milestones Overview

Display Milestones

Milestones Dialog Box

Milestone Definition Dialog Box


Milestones Dialog Box

Use the Milestones dialog box to view or modify available milestones. This dialog box contains the following field and buttons:

Name, Scheduled, Actual

Select a milestone that you want to edit or delete from the milestones list. This field displays the name, scheduled completion date for a milestone, and actual completion date for the milestone.

Add

Click this button to create a new milestone. The Milestone Definition dialog box displays.

Edit

Click this button to edit the selected milestone. The Milestone Definition dialog box displays.

Remove

Click this button to delete the selected milestone.

Location

To display the Milestones dialog box, click Input » Milestones....

Related Topics and Procedures

Charts Overview

Chart Milestones Overview

Display Milestones

Milestone Definition Dialog Box


Milestone Definition Dialog Box

Use the Milestone Definition dialog box to create a new milestone or modify a selected milestone in the Milestones dialog box. This dialog box contains the following fields:

Name

Enter a milestone name using a maximum of 30 alphanumeric and special characters.

Scheduled

Enter the scheduled completion date for a milestone using the DD-MMM-YYYY format, or select a date in the drop-down list.

Actual

Enter an actual completion date for the milestone using the DD-MMM-YYYY format, or select a date in drop-down list.

Leave the field blank if the milestone has yet to occur. This option must be selected to plot the actual date on a chart.

Location

To display the Milestone Definition dialog box, complete the following steps:

  1. Click Input » Milestones. The Milestones dialog box displays.

  2. Click Add or Edit.

Related Topics and Procedures

Charts Overview

Chart Milestones Overview

Display Milestones

Milestones Dialog Box


Scaling Charts Overview

Use scaling to change the magnification that you are using to view data. For example, if you are looking at very large dollar amounts, you can change the magnification (or scaling) to see dollars in millions, billions, and so on and so forth.

By default, wInsight scales charts vertically based on the data for the 12 most recent periods. In some cases, you can override the default scale with one of your own.

Related Topics and Procedures

Charts Overview

Automatic Vertical Scaling

Adjust the Vertical Scale

Scaling Techniques

Horizontal Scaling

Range Dialog Box


Automatic Vertical Scaling

By default, the vertical scale on charts is optimized for the data first displayed, which is usually the 12 most recent periods, rather than for all periods. The chart re-scales automatically when zoomed.

The following chart appears as it was first opened. Notice that the scale has been optimized so that the data points use the available chart space to the maximum extent possible.

As the chart is scrolled back in time (using the LEFT ARROW key), the VAC line starts to go off the chart. However, the vertical scale adjusts in order to keep the data visible. Notice how the scale on the following chart has changed from the one on the previous chart.

If for some reason the vertical axis fails to adjust, try zooming out (to show the entire life of the contract) and then back in (to display just 12 periods of data), by clicking Options » Zoom. wInsight automatically re-scales the chart, again optimizing the y-axis scale for the data displayed.

Related Topics and Procedures

Charts Overview

Scaling Charts Overview

Adjust the Vertical Scale

Range Dialog Box


Adjust the Vertical Scale

Although wInsight automatically adjusts the vertical scale of a chart, in some cases you may want to override the default scale with one of your own. For example, you may want to adjust the scale if a single data point is well outside the normal range.

wInsight maintains the range settings on a chart-by-chart basis. The settings remain in effect until you change them.

To adjust the vertical scale:

  1. On the Charts menu, select a chart. If a chart is already open, click or select it from the Window menu.

  2. Open the Range dialog box either by clicking [image] Range on the Standard toolbar or clicking Options » Range on the main menu. The dialog box allows you to set a custom data range for the active chart. Custom settings remains in effect only until you close the active window.

  3. Specify new maximum and minimum y-axis values, the graduation steps desired, and scaling for the chart.

  4. Either click OK to apply your changes or Cancel to close without making changes.

To restore the default scale:

  1. On the Charts menu, select a chart. If a chart is already open, click or select it from the Window menu.

  2. Open the Range dialog box either by clicking [image] Range on the Standard toolbar or clicking Options » Range on the main menu.

  3. Either click Default to apply the default settings for the selected chart or Cancel to close without making changes.

Related Topics and Procedures

Charts Overview

Scaling Charts Overview

Automatic Vertical Scaling

Scaling Techniques

Range Dialog Box


Scaling Techniques

Use scaling to change the magnification that you are using to view data. For example, if you are looking at very large dollar amounts, you may want to change the magnification (or scaling) to see dollars in millions, or in billions, and so on.

Both wInsight and wInsight Administrator allow you to control scaling:

  • In wInsight, you control the viewing magnification by adjusting the Scale setting on the Range dialog box. This action controls how you view the data, but not how you enter it.

  • In wInsight Administrator, you control the units scaling via the Units spreadsheet. You define the denomination in which data is entered— in thousands, in millions, and so on— to control how the data is entered and viewed.

If you change the scaling in one place, you may not have to (or want to) change it in the other place. Otherwise, you may get magnification on top of magnification. For example, by default dollars are already entered in thousands in wInsight. Thus, a view scaling of "x1" is all you need in order to view dollars in thousands. If you change the display scaling to "x1000" you will be viewing "dollars in millions." On the other hand, the default denomination for hours is single units. Thus, in order to view hours "in thousands" you need to set the viewing scale to "x1000."

The following table describes how wInsight default dollars, hours, and EQP display at various scale settings:

Scale Option | Displays wInsight's Default Dollars in | Displays wInsight's Default Hrs/EQP in
x1 | Thousands | Single Units
x1000 | Millions | Thousands
x1 Million | Billions | Millions
x1 Billion | Trillions | Billions

Related Topics and Procedures

Charts Overview

Scaling Charts Overview

Range Dialog Box

Adjust the Vertical Scale

Horizontal Scaling


Horizontal Scaling

You can change the horizontal date scale by zooming in and out. Other than that, you cannot adjust the horizontal date scale. Thus, it is important to understand how wInsight determines the horizontal line.

The beginning of the horizontal scale starts at the first period of data for most charts. The Manpower chart starts two periods earlier, if present, than the current period of data opened. Otherwise, the Manpower chart also starts at the first period of data.

As for the end of the horizontal scale, Analysis charts stop the horizontal scale at the Time Now line (for example, up to and including the period of data that is currently opened). The Cumulative Element Performance and Current Element Performance charts stop the horizontal scale at the end of the time phased future period data. The remaining Management charts that show contract completion stop the horizontal scale when it goes past the "end date" of the contract.

For the purposes of showing you how the chart appears, the end date is the latest of the following:

  • Original Contract Completion (Contracts spreadsheet in wInsight Administrator)

  • Current Contract Completion (CPR Header spreadsheet in wInsight Administrator)

  • Contractor's Estimated Completion (CPR Header spreadsheet in wInsight Administrator)

  • Program Office Estimated Completion (EAC/Funding/MR Inputs dialog box in wInsight)

  • Or, if all else fails, the end date of the period of data currently opened

The absence of these completion dates can cause the horizontal axis on all charts to be illegible and overcrowded with dates starting as far back as 1963.

Related Topics and Procedures

Charts Overview

Scaling Charts Overview

Scaling Techniques

Range Dialog Box


Range Dialog Box

Use the Range dialog box to set a custom data range for the active chart. Custom settings remains in effect only until you close the active window. The following fields are present in this dialog box:

Minimum

Enter the minimum value for the y-axis. The initial value corresponds to the actual minimum data value plotted on the y-axis of the chart.

Maximum

Enter the maximum value for the y-axis. The initial value corresponds to the actual maximum data value plotted on the y-axis of the chart.

Step

Enter the graduation steps.

Scale

Change the scaling to see information in single units, in thousands, in millions, and so on. The default scale is:

  • x1 for dollars

  • x1000 for hours

  • x1 for EQP

Default

Click this button to restore the chart to its default settings.

Location

To display the Range Dialog box, complete the following steps:

  1. Click Chart » <Any of the charts>. The selected chart displays.

  2. Right-click anywhere on the chart

  3. Click Range....

Related Topics and Procedures

Charts Overview

Scaling Charts Overview

Scaling Techniques


Custom Charts Overview

You can create custom analysis charts (line or bar style) to display performance data not captured by the standard charts. You can plot both standard wInsight fields and user-defined fields created in wInsight Administrator on charts.

The more lines or bars you plot, the more space wInsight allots for the chart's legend, leaving less space for the data to be plotted.

You can use the File » Export Custom Items command as your backup to save your custom views, filters, and charts to an .XML file.

Related Topics and Procedures

Charts Overview

Create a Custom Chart

Create a Custom Chart from an Existing Chart

More Charts Dialog Box

Chart Definition Dialog Box

Line Definition Dialog Box

Export to an XML Transfer File


Create a Custom Chart

Use this procedure to create a custom chart.

To create a custom chart, complete the following steps:

  1. On the Standard toolbar, click [image] Charts. The More Charts dialog box displays. Alternatively, on the Menu bar, you can click Charts » Custom Charts » More Charts....

  2. Verify if Analysis is selected by default. If not, click it.

  3. Click New. A new chart displays in the Charts list. By default, wInsight names the charts Chart 1, Chart 2, and so on and so forth.

  4. Highlight the new chart and click Edit. The Chart Definition dialog box displays.

  5. In the Name field, modify the name of the chart.

  6. If you want the chart to appear in the Custom Charts menu, select the Show in Chart Menu option. If you do not select this option, the chart still becomes available in the More Charts dialog box.

  7. Click Insert. The Line Definition dialog box displays. It allows you to specify the characteristics of a data item in a user-defined chart.

  8. In the Axis field, select either the Left or Right axis. You must assign at least one item (field) to plot to the left axis.

  9. From the Units list, select one of the following types of data that you want to display:

  10. Primary — Select this option for dollars, hours, EQP, and so on.

  11. Percent

  12. Index

  13. Gauge — Select this option for creating a Gauge chart.

  10. From the Field drop-down list, select a data field.

See wInsight Database Fields for a description of available fields.

  11. In the Legend field, either enter an item label or accept the default value.

  12. From the Color drop-down list, either select a line color or accept the default value.

  13. From the Style drop-down list, select the line style.

  14. In the Width field, set the line width ranging from 0 (thinnest) to 10 (thickest).

  15. Repeat steps 7 through 14 to add more items to the chart. Use Up and Down to order the chart items on the legend as desired.

  16. When you are done, either click OK to accept your entries or click Cancel to close the dialog box without saving your changes.

  17. Verify the chart that you have just added. It should be highlighted in the More Charts dialog box. Click Display to open the chart, or click Close to close the dialog box without opening the chart.

Related Topics and Procedures

Charts Overview

Custom Charts Overview

More Charts Dialog Box

Chart Definition Dialog Box

Line Definition Dialog Box


Create a Custom Chart from an Existing Chart

Use this procedure to create a custom chart from an existing chart.

To create a custom chart based on an existing chart, complete the following steps:

  1. On the Standard toolbar, click [image] Charts. The More Charts dialog box displays. Alternatively, on the Menu bar, you can click Charts » Custom Charts » More Charts....

  2. Verify if Analysis is selected by default. If not, click it.

  3. Highlight the chart to be used as the basis for a new chart and click Copy. wInsight creates a copy of the chart, adds it to the Charts list, and highlights the copy.

  4. Click Edit. The Chart Definition dialog box displays.

  5. In the Name field, modify the name of the chart.

  6. If you want the chart to appear in the Custom Charts menu, select the Show in Chart Menu option. If you do not select this option, the chart still becomes available in the More Charts dialog box.

  7. Click Insert. The Line Definition dialog box displays. It allows you to specify the characteristics of a data item in a user-defined chart.

  8. In the Axis field, select either the Left or Right axis. You must assign at least one item (field) to plot to the left axis.

  9. From the Units list, select one of the following types of data that you want to display:

  10. Primary — Select this option for dollars, hours, EQP, and so on.

  11. Percent

  12. Index

  13. Gauge — Select this option for creating a Gauge chart.

  10. From the Field drop-down list, select a data field.

See wInsight Database Fields for a description of available fields.

  11. In the Legend field, either enter an item label or accept the default value.

  12. From the Color drop-down list, either select a line color or accept the default value.

  13. From the Style drop-down list, select the line style.

  14. In the Width field, set the line width ranging from 0 (thinnest) to 10 (thickest).

  15. Repeat steps 7 through 14 to add more items to the chart. Use Up and Down to order the chart items on the legend as desired.

  16. When you are done, either click OK to accept your entries or click Cancel to close the dialog box without saving your changes.

  17. Verify the chart that you have just added. It should be highlighted in the More Charts dialog box. Click Display to open the chart, or click Close to close the dialog box without opening the chart.

Related Topics and Procedures

Charts Overview

Custom Charts Overview

More Charts Dialog Box

Chart Definition Dialog Box

Line Definition Dialog Box


Modify a Chart

You can customize any Analysis charts, including both user-defined and standard charts. You can also change legends, line colors, and line styles of all Management charts. wInsight saves any changes you make between sessions, and these saved changes remain in effect until you modify them.

The more lines or bars you plot, the more space wInsight allots for the chart's legend, leaving less space for the data to be plotted.

To modify an open chart, complete the following steps:

  1. Activate a chart by selecting one from the Charts menu. If a chart is already open, click it or select it from the Window menu.

  2. On the main menu, click Options » Define Chart. The Chart Definition dialog box displays.

  3. Modify the chart.

  4. For Analysis charts, you can add, reorder, and remove lines. You can also change the field, label, width, and color of individual lines.

  5. For Management charts, you can only modify the legend, line style, and line width.

  4. When you are done, either click OK to save your changes, or Cancel to close the dialog box without saving.

To modify a selected chart, complete the following steps:

  1. On the Standard toolbar, click [image] Charts. The More Charts dialog box displays. Alternatively, on the Menu bar, you can click Charts » Custom Charts » More Charts....

  2. In the Charts list, highlight the name of the chart that you want to delete.

  3. Click Edit. The Chart Definition dialog box displays.

  4. Modify the chart.

  5. For Analysis charts, you can add, reorder, and remove lines. You can also change the field, label, width, and color of individual lines.

  6. For Management charts, you can only modify the legend, line style, and line width.

  5. When you are done, either click OK to save your changes, or Cancel to close the dialog box without saving.

Related Topics and Procedures

Charts Overview

Custom Charts Overview

More Charts Dialog Box

Chart Definition Dialog Box

Line Definition Dialog Box


Restore Default Settings

Use the following procedure to return a customized chart to its default settings.

To restore default settings, complete the following steps:

  1. On the Charts menu, activate a chart by selecting one from list. If a chart is already open, click it or select it from the Window menu.

  2. On the main menu, click Options » Define Chart.... The Chart Definition dialog box displays.

  3. Click Reset. The Chart Item list returns to its default settings.

  4. When you are done, either click OK to save your changes, or Cancel to close the dialog box without saving.

Related Topics and Procedures

Charts Overview

Custom Charts Overview

More Charts Dialog Box

Chart Definition Dialog Box

Line Definition Dialog Box


Delete a Chart

You can delete user-defined charts when they are no longer needed, but you cannot delete standard wInsight charts.

To delete a chart, complete the following steps:

  1. On the Standard toolbar, click [image] Charts. The More Charts dialog box displays. Alternatively, on the Menu bar, you can click Charts » Custom Charts » More Charts....

  2. In the Charts list, highlight the name of the chart that you want to delete.

  3. Click Delete. A confirmation dialog box displays.

  4. Click Yes to confirm the deletion, or click No to cancel the process.

Related Topics and Procedures

Charts Overview

Custom Charts Overview

More Charts Dialog Box

Chart Definition Dialog Box

Line Definition Dialog Box


More Charts Dialog Box

Use the More Charts dialog box to open, add, edit, and delete most wInsight charts. This dialog box contains the following fields:

Charts

Select a chart to display, edit, or delete. Double-click an entry to close the dialog box and display the selected chart.

Analysis

Select this option to display all Analysis charts in the Charts list.

Management

Select this option to display all Management charts in the Charts list.

Display

Click this button to display the selected chart.

Close

Click this button to close the dialog box without making changes.

New

Click this button to create a new chart. The new chart displays in the Charts list. By default, wInsight names the charts Chart 1, Chart 2, and so on.

Copy

Click this button to create a copy of an existing chart. You can then edit the copy.

Edit

Click this button to edit the highlighted chart. The Chart Definition dialog box displays.

Delete

Click this button to delete the highlighted chart. This option is unavailable if the selected chart is one of wInsight's standard pre-defined charts.

Location

To display the More Charts dialog box, click Charts » Custom Charts » More Charts....

Related Topics and Procedures

Charts Overview

Custom Charts Overview

Chart Definition Dialog Box

Line Definition Dialog Box


Chart Definition Dialog Box

Use the Chart Definition dialog box to define the contents and look of the chart. This dialog box contains the following options and buttons:

Name

Enter a unique name for a custom or user-defined chart. This field, however, is disabled for standard charts, which you cannot edit.

Examples of user-defined charts are Snake chart, Gauge Sample chart, and Dual-axis Sample chart.

Reset

Click this button to revert to the previously saved chart characteristics. This button is not available on custom charts.

Show in Chart Menu

Select this option if you want the chart to appear in the Custom Charts menu. If you do not select this options, you can still open the chart from the More Charts dialog box. This option is only available for user-defined charts.

Shade Interior

Select this option if you want the new chart to appear with a color background. Displaying the threshold colors background overrides a shaded interior. To display the thresholds colors, click Options » Optional Data.

Field/Legend/Axis/Style Window

Lists the charts items or the data fields plotted on the chart.

Edit

Click this button to edit an existing item. The Line Definition dialog box displays.

Insert

Click this button to specify the chart item characteristics. The Line Definition dialog box displays.

Copy

Click this button to copy a highlighted item in the chart.

Delete

Click this button to remove the highlighted item from the chart.

Up

Click this button to move the highlighted item up one row. Moving an item up or down determines the position in which the item description appears in the chart's legend.

Down

Click this button to move the highlighted item down one row. Moving an item up or down determines the position in which the item description appears in the chart's legend.

Location

To display the Chart Definition dialog box, complete the following steps:

  1. Click Charts » Custom Charts » More Charts.... The More Charts dialog box displays.

  2. Click Edit.

Related Topics and Procedures

Charts Overview

Custom Charts Overview


Line Definition Dialog Box

Use the Line Definition dialog box to specify the characteristics of a data item in a user-defined chart. The following fields are present in this dialog box:

Axis

Select either the Left or Right axis. You must assign at least one item (field) to plot to the left axis.

Units

Select the unit the you want to display on the chart. The unit can be as follows:

  1. Primary — Select this option for dollars, hours, EQP, and so on.

  2. Percent

  3. Index

  4. Gauge — Select this option for creating a Gauge chart.

Field

Select the data field to display. The available fields differ by unit type.

See wInsight Database Fields for descriptions of the available fields.

Legend

Enter a description of the data item. The value in this field is user-defined but defaults to the selected field name.

Color

Select the line color from the drop-down list.

Style

Select the chart style (line or bar) from the drop-down list.

Width

Specify the line width. You can select a value ranging from 0 (thinnest) through 10 (thickest).

Location

To display the Line Definition dialog box, complete the following steps:

  1. On the Menu bar, click Charts » Custom Charts » More Charts.... The More Charts dialog box displays.

  2. Click Edit. The Chart Definition dialog box displays.

  3. Click Insert or Edit.

Related Topics and Procedures

Charts Overview

Custom Charts Overview

More Charts Dialog Box

Chart Definition Dialog Box


Line Definition (Baseline) Dialog Box

Use the Line Definition (Baseline) dialog box to specify the characteristics of a data item in the Baseline Analysis chart.

This dialog box contains the following fields:

Type

This field contains the following options:

  • Relative — Select this option to select baselines based on the data from x-number of periods ago (relative to the current period).

For examples, selecting Current – 0 plots the baseline from the current reporting period, selecting Current – 1 plots the baseline from one period ago, and selecting Current – 2 plots the baseline from two periods ago.

  • Absolute — Select this option to select a specific baseline to plot.

For example, you might select the baseline from Dec 02, Nov 02, and Oct 02. In this case, as new periods of data are entered into wInsight, the baselines plotted will stay the same (always Dec 02, etc.).

Period

Select a report period date either relative to the current reporting period or based on specific reporting dates.

Legend

Enter a description of the data item. This field is user-defined but defaults to the selected field name.

Color

Select the line color from the drop-down list.

Style

Select the chart style (line or bar) from the drop-down list.

Width

Specify the line width. You can select a value ranging from 0 (thinnest) through 10 (thickest).

Location

To display the Line Definition (Baseline) dialog box, complete the following steps:

  1. On the Menu bar, click Charts » Baseline Analysis Chart. The Baseline Analysis chart displays.

  2. Right-click anywhere on the chart, and select Define Chart... from the context menu. The Chart Definition dialog box displays.

  3. In the Field field, select one of the Baseline items to edit.

  4. Click Edit.

Related Topics and Procedures

Baseline Analysis Chart

Charts Overview

Custom Charts Overview


Line Definition (CFSR) Dialog Box

Use the Line Definition (CFSR) dialog box to specify the characteristics of a data item in the Funding chart.

This dialog box contains the following fields:

Series

Select a spread from the drop-down list.

Legend

Enter a description of the data item. This field is user-defined but defaults to the selected field name.

Color

Select the line color from the drop-down list.

Style

Select the chart style (line or bar) from the drop-down list.

Width

Specify the line width. You can select a value ranging from 0 (thinnest) through 10 (thickest).

Location

To display the Line Definition (CFSR) dialog box, complete the following steps:

  1. On the Menu bar, click Charts » Funding Chart. The Funding chart displays.

  2. Right-click anywhere on the chart, and select Define Chart... from the context menu. The Chart Definition dialog box displays.

  3. In the Field column of the Field/Legend/Axis/Style field, select a field with one of the following Legend column values to edit:

    • Automated Spread

    • Billings

    • Budget

    • Contractor Spread

    • Custom Spread

    • Forecasts

    • Est. Termination Cost

    • Line 12c

These fields usually display in the last three rows.

  4. Click Edit.

Related Topics and Procedures

Charts Overview

Custom Charts Overview

Funding Chart


Line Definition (Time Phase) Dialog Box

Use the Line Definition (Time Phase) dialog box to specify the characteristics of a data item in a Current Time Phased Analysis chart or Cumulative Time Phased Analysis chart. These charts, however, allow you to modify any two periods of time-phased future period BCWS and ETC data.

This dialog box contains the following fields:

Type

This field contains the following options:

  • Relative — Select this option to display and select future period data based on the data from x-number of periods ago (relative to the current period).

For examples, selecting Current – 0 plots the future period data from the current reporting period and selecting Current – 1 plots the future period data from one period ago, Current – 2 plots the future period data from two periods ago.

  • Absolute — Select this option to display and select specific future period data to plot.

For example, you might select the future period data from Dec 02 and Nov 02. In this case, as new periods of data are entered into wInsight, the future period data plotted will stay the same (always Dec 02 and Nov 02).

Period

Select a report period date either relative to the current reporting period or based on specific reporting dates.

Field

Select either the future period BCWS or ETC data that you want to plot.

Legend

Enter a description of the data item. This field is user-defined but defaults to the selected field name.

Color

Select the line color from the drop-down list.

Style

Select the chart style (line or bar) from the drop-down list.

Width

Specify the line width. You can select a value ranging from 0 (thinnest) through 10 (thickest).

Location

To display the Line Definition (Time Phase) dialog box, complete the following steps:

  1. On the Menu bar, click Charts » Cum Time Phased Analysis Chart or Cur Time Phased Analysis Chart. The Cum Time Phased Analysis chart or Cur Time Phased Analysis chart displays, depending on the chart the you select.

  2. Right-click anywhere on the chart, and select Define Chart... from the context menu. The Chart Definition dialog box displays.

  3. In the Field field, select one of the BCWS or ETC items to edit.

  4. Click Edit.

Related Topics and Procedures

Charts Overview

Custom Charts Overview

Cumulative Time Phased Analysis Chart

Current Time Phased Analysis Chart


Keyboard Shortcuts for Charts

This section presents the following table describing additional keyboard assignments available in chart windows:

Keystrokes | Actions
LEFT ARROW | Pressing this key moves data back one period.
RIGHT ARROW | Pressing this key moves data forward one period.
PAGE DOWN | Pressing this key moves data back 12 periods.
PAGE UP | Pressing this key moves data forward 12 periods.
HOME | Pressing this key displays earliest twelve periods.
END | Pressing this key displays most recent twelve periods.
CTRL+D | Pressing this key combination displays the Optional Data command.
CTRL+M | Pressing this key combination displays the Milestones command.
CTRL+T | Pressing this key combination displays the Ticks command.
CTRL+Z | Pressing this key combination displays the Zoom command.

Related Topics and Procedures

Charts Overview


Chart Descriptions and Examples Overview

Charts display information for the active element. You can toggle options to show this information in terms of dollars, hours, or equivalent persons (EQP), and other user-defined units. Each topic listed below includes information about possible display options, such as thresholds color background, additional data, tick marks, and milestones.

For related information and links to the display procedures, see Viewing Chart Information Overview.

The sample charts are as follows:

  • Cumulative Variance Chart

  • Cumulative Variance % Chart

  • Current Variance Chart

  • Current Variance % Chart

  • Schedule Performance Index (SPI) Chart

  • Cost Performance Index (CPI) Chart

  • Estimate at Completion (EAC) Chart

  • Cumulative Time Phased Analysis Chart

  • Current Time Phased Analysis Chart

  • DCMA Tracking Critical Path Length Index Chart

  • DCMA Baseline Execution Index Chart

  • DCMA Cost/Schedule Variance Trends Chart

  • DCMA Contractor EAC Validity Chart

  • DCMA Cost/Schedule Variance Trends (OTB) Chart

  • DCMA Contractor EAC Validity (OTB) Chart

  • Manpower Chart

  • Cumulative Element Performance Chart

  • Current Element Performance Chart

  • Bull’s-eye Chart

  • Aggregate Bull's-eye Chart

  • Cost/Schedule Variance Chart

  • Cost/Schedule Variance Trends Chart

  • Contract Performance Chart

  • Army Cost/Schedule Variance Trends Chart

  • Over Target Baseline (OTB) Chart

  • Independent Variance at Completion (IVAC) Chart

  • Baseline Analysis Chart

  • Funding Chart

  • Bar Chart

  • Dual-Axis Chart

  • Gauge Chart

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Custom Charts Overview


Cumulative Variance Chart

The Cumulative Variance chart displays trend data for the cumulative Cost Variance (CV), Schedule Variance (SV), and Variance at Completion (VAC).

Sample Chart

Display Options

Display Options | Options Menu Command
Thresholds Color Background | Optional Data
Milestones | Milestones
Tick Marks | Ticks
Time Scale - 12 Periods/Entire Life | Zoom

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Cumulative Variance % Chart

The Cumulative Variance % chart displays trend data for the cumulative Cost Variance percentage (CV%), Schedule Variance percentage (SV%), and Variance at Completion percentage (VAC%).

Sample Chart

Display Options

Display Options | Options Menu Command
Thresholds Color Background | Optional Data
Milestones | Milestones
Tick Marks | Ticks
Time Scale - 12 Periods/Entire Life | Zoom

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Current Variance Chart

The Current Variance chart displays trend data for the current period Cost Variance (CV) and Schedule Variance (SV).

Sample Chart

Display Options

Display Options | Options Menu Command
Thresholds Color Background | Optional Data
Milestones | Milestones
Tick Marks | Ticks
Time Scale - 12 Periods/Entire Life | Zoom

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Current Variance % Chart

The Current Variance % chart displays trend data for the current period Cost Variance percentage (CV%) and Schedule Variance percentage (SV%).

Sample Chart

Display Options

Display Options | Options Menu Command
Thresholds Color Background | Optional Data
Milestones | Milestones
Tick Marks | Ticks
Time Scale - 12 Periods/Entire Life | Zoom

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Schedule Performance Index (SPI) Chart

The Schedule Performance Index (SPI) chart displays the cumulative and current period SPI.

Sample Chart

Display Options

Display Options | Options Menu Command
Thresholds Color Background | Optional Data
Milestones | Milestones
Tick Marks | Ticks
Time Scale - 12 Periods/Entire Life | Zoom

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Cost Performance Index (CPI) Chart

The Cost Performance Index (CPI) chart displays the current period and cumulative:

  • Cost Performance Index

  • To Complete Performance Index to the Budget at Completion ( TCPI-BAC)

    TCPI-BAC

    The TCPI-BAC indicates the level of efficiency at which the work remaining must be accomplished to achieve the budget value.

    The TCPI-BAC formula is as follows:

    TCPI-BAC = (BAC-BCWP)/(BAC-ACWP)

  • To Complete Performance Index to the Estimate at Completion ( TCPI-EAC)

    TCPI-EAC

    The TCPI-EAC indicates the level of efficiency at which the work remaining must be accomplished to achieve the Estimate at Completion value.

    The TCPI-EAC formula is as follows:

    TCPI-EAC = (BAC-BCWP)/(EAC-ACWP)

Comparing the CPI to the TCPI-BAC provides a good indication as to whether the budget can be achieved.

Comparing the CPI to the TCPI-EAC provides a good indication as to whether the Estimate at Completion can be achieved.

Sample Chart

Display Options

Display Options | Options Menu Command
Thresholds Color Background | Optional Data
Milestones | Milestones
Tick Marks | Ticks
Time Scale - 12 Periods/Entire Life | Zoom

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Estimate at Completion (EAC) Chart

The Estimate at Completion chart displays the Budget at Completion (BAC), the Estimate at Completion (EAC), and the cumulative CPI statistical forecast EAC.

Sample Chart

Display Options

Display Options | Options Menu Command
Thresholds Color Background | Optional Data
Milestones | Milestones
Tick Marks | Ticks
Time Scale - 12 Periods/Entire Life | Zoom

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Cumulative Time Phased Analysis Chart

The Cumulative Time Phased Analysis chart is similar to the Cumulative Element Performance chart. However, the Cumulative Time Phased Analysis chart lets you plot any two periods of time-phased future period Budgeted Cost of Work Scheduled (BCWS) and Estimate to Complete (ETC) data.

The following future period data is plotted by default; however, you can modify the chart to display other future period data:

  • Current reporting period time-phased future period cumulative BCWS and ETC data.

  • Time-phased future period cumulative BCWS and ETC data from the prior reporting period.

Sample Chart

Display Options

Display Options | Options Menu Command
BAC and EAC | Zoom
Milestones | Milestones
Tick Marks | Ticks
Time Scale - 12 Periods/Entire Life | Zoom

Modifying This Chart

You can modify the Cumulative Time Phased Analysis chart with chart-specific options:

  1. On the Charts menu, select the Cum Time Phased Analysis chart.

  2. Right click anywhere on the chart, and select Define Chart... from the shortcut menu. The Chart Definition dialog box displays.

  3. Select one of the BCWS or ETC fields to edit, and click Edit. The Line Definition dialog box displays.

  4. The Type options allow you to select BCWS or ETC future period data (listed in the Period field) based on their report period date, either relative to the current reporting period or based on specific reporting dates:

  5. The Relative option allows you to select future period data based on the data from x-number of periods ago (relative to the current period). For example, selecting Current – 0 plots the future period data from the current reporting period. Selecting Current – 1 plots the future period data from one period ago, Current – 2 plots the future period data from two periods ago, and so on. Thus, as you enter new periods of data in wInsight, the future period data plotted changes, but they are always the same "relative" to the current period of data.

  6. The Absolute option allows you to specify future period data to plot. For example, you might select the future period data from Dec 08 and Nov 08. In this case, as you enter new periods of data into wInsight, the future period data plotted stays the same (always Dec 08 and Nov 08).

Related Topics and Procedures

Charts Overview

Chart Descriptions and Examples Overview

Line Definition (Time Phase) Dialog Box

Viewing Chart Information Overview


Current Time Phased Analysis Chart

The Current Time Phased Analysis chart is similar to the Current Element Performance chart. However, the Current Time Phased Analysis chart lets you plot any two periods of time-phased future period Budgeted Cost of Work Scheduled (BCWS) and Estimate to Complete (ETC) data.

The following future period data is plotted by default; however, you can modify the chart to display other future period data:

  • Current reporting period time-phased future period incremental BCWS and ETC data

  • Time-phased future period incremental BCWS and ETC data from the prior reporting period

Sample Chart

Display Options

Display Options | Options Menu Command
CV Cumulative and SV Cumulative | Zoom
Milestones | Milestones
Tick Marks | Ticks
Time Scale - 12 Periods/Entire Life | Zoom

Modifying This Chart

You can modify the Current Time Phased Analysis chart with chart-specific options:

  1. On the Charts menu, select the Cur Time Phased Analysis chart.

  2. Right click anywhere on the chart, and select Define Chart... from the shortcut menu. The Chart Definition dialog box displays.

  3. Select one of the BCWS or ETC fields to edit and click Edit. The Line Definition dialog displays.

  4. The Type options allow you to select BCWS or ETC future period data (listed in the Period field) based on their report period date, either relative to the current reporting period or based on specific reporting dates.

  5. The Relative option allows you to select future period data based on the data from x-number of periods ago (relative to the current period). For example, selecting Current – 0 plots the future period data from the current reporting period. Selecting Current – 1 plots the future period data from one period ago, Current – 2 plots the future period data from two periods ago, and so on. Thus, you enter as new periods of data in wInsight, the future period data plotted changes, but they are always the same "relative" to the current period of data.

  6. The Absolute option allows you to specify specific future period data to plot. For example, you might select the future period data from Dec 08 and Nov 08. In this case, as you enter new periods of data are entered in wInsight, the future period data plotted stays the same (always Dec 08 and Nov 08).

Related Topics and Procedures

Charts Overview

Chart Descriptions and Examples Overview

Line Definition (Time Phase) Dialog Box

Viewing Chart Information Overview


DCMA Tracking Critical Path Length Index Chart

The DCMA Tracking Critical Path Length Index (CPLI) chart contains metrics that indicate the likelihood of whether a program can achieve its baseline completion date.

In determining the CPLI metric, wInsight calculates and graphically displays the longest, continuous sequence of tasks/activities through the network from contract start (or the current status date) to contract completion and other major program milestones. wInsight always assumes a 5-day work week regardless of the source project calendar (such as 5-day, 7-day, holidays, or non-working days).

CPLI = (Critical Path Length + Total Float)/Critical Path Length

If you enter a negative float, wInsight subtracts the total float from the critical path length.

Total Float is the total amount of time that a task can be delayed without delaying the completion of the contract.

The target ratio is 1.00; less than 1.00 is not favorable.

You enter the number of days on the critical path and the number of days of float on the CPR Header spreadsheet in wInsight Administrator.

Example

Through April, the supplier network schedule calculates a program critical path length of 720 working days (3 years) with 60 working days (3 months) of negative float from contract award to completion.

CPLI = (( 720 - 60) / 720) = 0.917

The supplier’s CPLI of less than 1.00 indicates that the program is not likely to achieve its baseline completion date without corrective action.

Sample Chart

For more information about how the Trend Line is calculated, see the Linear Regression Formulas section of this help.

The Milestone used for CPLI field that displays on the header section of this report reflects the same value as the ProgramOrMilestone column on the CPR Header spreadsheet for the program/data period. However, if the ProgramOrMilestone column is NULL at the time that wInsight creates the Program Tripwires Summary report, the Milestone used for CPLI field displays "Total Program."

When the DCMA Program Tripwires Summary report is displayed for a milestone, the data only displays those previous periods in which wInsight computes the milestone. If the CPLI has always been computed for the total program, the chart displays the CPLI data back to the beginning of the program.

Display Options

Display Options | Options Menu Command
Thresholds Color Background | Optional Data
Milestones | Milestones
Tick Marks | Ticks

Related Topics and Procedures

BEI and Monthly Percent Hit Chart

Chart Descriptions and Examples Overview

Charts Overview

Viewing Chart Information Overview


BEI and Monthly Percent Hit Chart

The Baseline Execution Index (BEI) and Monthly Percent Hit chart shows, on a monthly basis, whether the contract is hitting milestones and scheduled tasks on time. It displays planned cumulative values, actual cumulative values, and indications of the Monthly % Hit percentage. This chart has one of the following subheadings, depending on the option that you select on the DCMA Charts menu:

  • BEI and Monthly Percent Hit Chart - Starts

  • BEI and Monthly Percent Hit Chart - Completions

Use the Monthly % Hit to indicate the efficiency with which actual work has been accomplished when measured against the baseline. The target efficiency ratio is 1.00; less than 1.00 is not favorable.

In calculating the BEI for the contract level (level 1), you can enter data manually on the CPR Header spreadsheet of the wInsight Administrator. Furthermore, you can choose to derive the values to calculate BEI for all WBS levels, including level 1, by recalculating with the Derive Tripwire Metrics option selected on the Recalculate Options dialog box.

For the Monthly % Hit computation, however, the only way to populate the values and get results is by importing schedule data into C/S Glue Viewer and then recalculating using the Derive Tripwire Metrics option.

In calculating the Monthly % Hit, wInsight uses the following formulas for starts and completions, respectively:

  • Current period actual starts / Current period planned starts

  • Current period actual completions / Current period planned completions

Criteria for Calculating Monthly % Hit

In determining the number of the current period actual and planned tasks, wInsight uses the following conditions:

  • The current actual starts equals the number of discrete tasks where the actual start date is <= current period end date and <= the baseline start date, and the baseline start date is <= current period end date and > the previous period's end date. In other words, this is the number of this period’s tasks started on or ahead of their baseline schedule.

  • The current planned starts equals the number of discrete tasks where the baseline scheduled start date is <= current period end date and > the previous period's end date. In other words, this is the number of this period’s tasks scheduled to be started in the baseline schedule.

  • The current actual completions equals the number of discrete tasks where the actual completion date is <= current period end date and <= the baseline completion date, the baseline start date is <= the current period end date, and the baseline scheduled completion date is <= current period end date and > the previous period's end date. In other words, this is the number of this period’s tasks completed on or ahead of their baseline schedule.

  • The current planned completions equals the number of discrete tasks where the baseline scheduled completion date is <= current period end date and > the previous period's end date. In other words, this is the number of this period’s tasks scheduled to be completed in the baseline schedule.

In determining those totals, wInsight ignores the following schedule items:

  • All zero (0) duration tasks (even those that are not marked as milestones)

  • Milestones

  • Summary tasks

  • Level of Effort (LOE) tasks

  • Tasks without a baseline

  • Tasks that are not mapped to WBS

The specified condition in determining the totals also applies to the CumPlannedStarts, CumActualStarts, CumPlannedCompl, and CumActualCompl BEI metrics. In calculating BEI, it does not matter if tasks finish on or ahead of their baseline schedule. As long as the tasks finished (early, on time, or late), wInsight counts them.

  • For contract level (level 1) elements, wInsight pulls the CumPlannedStarts, CumActualStarts, CumPlannedCompl, and CumActualCompl values from the CPR Header spreadsheet. You can enter data manually, or have those entries derived by recalculating using the Derive Tripwire Metrics option. If you enter the data manually, you do not need to recalculate to get the Monthly % Hit since wInsight computes it once the chart displays.

  • For lower level elements, wInsight pulls the CumPlannedStarts, CumActualStarts, CumPlannedCompl, and CumActualCompl values from the new BEI database table. You cannot enter data manually into the table, which is only populated using the Derive Tripwire Metrics option. You can insert BEI table fields, such as the CurActualCompl, into the Sort window in wInsight, but you cannot edit any stored data in that table.

Sample Charts

In the sample BEI and Monthly Percent Hit charts below, the red bars as well as the Monthly % Hit data line under the x-axis represent the Monthly % Hit values. The green and blue lines represent different tasks for starts and completions.

For BEI and Monthly Percent Hit Chart - Starts, the green line represents cumulated planned task starts through a given period and the blue line represents cumulative actual task starts through a given period.

For BEI and Monthly Percent Hit Chart - Completions, the green line represents cumulated planned task completions through a given period and the blue line represents cumulative actual task completions through a given period.

Display Options

Display Options | Options Menu Command
Thresholds Color Background | Optional Data
Milestones | Milestones
Tick Marks | Ticks

Related Topics and Procedures

Chart Descriptions and Examples Overview

Charts Overview

DCMA Tracking Critical Path Length Index Chart

Program Tripwires Summary Report

Viewing Chart Information Overview


DCMA Cost/Schedule Variance Trends Chart

This graph, along with cost variance values and schedule variance values, includes the contract budget base (CBB) and total allocated budget (TAB). Trend metrics can be useful in determining whether a project is likely to result in an over target baseline (OTB) condition.

Sample Chart

Display Options

Display Options | Options Menu Command
Milestones | Milestones
Tick Marks | Ticks

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


DCMA Cost/Schedule Variance Trends (OTB) Chart

This graph, along with cost variance values, schedule variance values, and the over target baseline amount, includes the contract budget base (CBB) and total allocated budget (TAB).

Trend metrics can be useful in helping to determine whether a project is likely to result in an over target baseline (OTB) condition. The OTB-adjusted DCMA Cost/Schedule Variance Trends (OTB) chart provides a view of performance data that accurately displays the total cost and schedule variances after an OTB.

Sample Chart

Display Options

Display Options | Options Menu Command
Percent of PMB | Optional Data
Milestones | Milestones
Tick Marks | Ticks

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


DCMA Contractor EAC Validity Chart

This chart presents cumulative Cost Performance Index (CPI) and Cost Performance Index * Schedule Performance Index (CPI * SPI) statistics, along with Contract Budget Base/Total Allocated Budget (CBB/TAB) values, the Contractor’s Estimate-at-Completion (EAC) numbers, and the Program Manager’s estimates. These formulas project an EAC value based on cumulative performance to date.

Sample Chart

Display Options

Display Options | Options Menu Command
Percent of PMB | Optional Data
Milestones | Milestones
Tick Marks | Ticks

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


DCMA Contractor EAC Validity (OTB) Chart

This chart presents cumulative Cost Performance Index (CPI) and Cost Performance Index * Schedule Performance Index (CPI * SPI) statistics, along with Contract Budget Base/Total Allocated Budget (CBB/TAB) values, the Contractor’s Estimate-at-Completion (EAC) numbers, and the Program Manager’s estimates. This version plots the "adjusted" formulas (since the Over Target Baseline); the formulas project an EAC value based on cumulative performance since the OTB.

Sample Report

Display Options

Display Options | Options Menu Command
Percent of PMB | Optional Data
Milestones | Milestones
Tick Marks | Ticks

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Manpower Chart

The Manpower chart displays Manpower data for the most recent three periods and projected to the end of the contract. The Manpower chart is available at all levels of the Organizational Breakdown Structure (OBS). However, it is available only at Level 1 for all other structures. The following Manpower chart is displayed without the Budget At Completion (BAC) line.

Sample Chart

Display Options

Display Options | Options Menu Command
Manpower BAC | Optional Data
Milestones | Milestones
Tick Marks | Ticks

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Cumulative Element Performance Chart

The Cumulative Element Performance chart displays cumulative BCWS, BCWP, ACWP, BAC, and EAC for all past periods, as well as future period cumulative BCWS and ETC. Thus, it provides a start-to-finish view of performance for any element at any level.

  • In the zoomed-out mode, the chart displays BAC and EAC as well as all periods of data.

  • In the zoomed-in mode, the chart displays the 12 most recent periods of data without BAC or EAC.

For the Level 1 element (total contract), MR and UB BAC are evenly spread over the future periods and are included in the BCWS values plotted on the right side of the Time Now line.

The Cumulative Element Performance chart can display up to three performance indices and three Independent Estimates At Completion values (IEACs). These items display on the chart in the zoomed-out mode when you view all periods of the contract (when you select Zoom from the Options menu).

The chart’s legend indicates the data point of all lines on the Time Now line. The following discussion focuses on the ACWP and ETC lines.

For this discussion, assume that Jan 04 is the current reporting period.

If ETC data only exists for future periods and forward (in other words, for Feb 04, Mar 04, and so on), then the ETC line starts from where the ACWP line ends. In this case, the values reported in the legend for ACWP and ETC are identical. The following figure of the Future Period-ETC spreadsheet in wInsight Administrator shows the future period ETC data for the sample MOH-2 contract and illustrates this condition.

However, if you enter ETC data in the Future Period-ETC spreadsheet for Jan 04 and before (in other words, Jan 04, Dec 03, Nov 03, and so on), it is plotted on the Cum Element Performance chart. Then the ETC line has its own data leading up to (and past) the Time Now line. More than likely, this will result in the ACWP and ETC lines not being the same at the Time Now line. By entering this data, you can compare how ACWP tracks against the ETC plan.

The following indices and IEACs display by default; however, you can modify the chart to display other items:

  • Indices

  • Cumulative Cost Performance Index

  • Three Period Moving Average Cumulative Cost Performance Index

  • To Complete Cost Performance Index to the Estimate at Completion

  • Independent Estimates At Completes

  • Cumulative Cost Performance Index statistical Estimate At Completion forecast formula

  • Cost Performance Index*Schedule Perfomance Index statistical Estimate At Completion forecast formula

  • Three Period Moving Average Cumulative Cost Performance Index statistical Estimate At Completion forecast formula

Display Options

Display Options | Options Menu Command
ETC | Optional Data
BAC and EAC | Zoom
Milestones | Milestones
Tick Marks | Ticks
Time Scale - 12 Periods/Entire Life | Zoom

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Current Element Performance Chart

The Current Element Performance chart displays current period Budgeted Cost of Work Scheduled (BCWS), Budgeted Cost of Work Performed (BCWP), Actual Cost of Work Performed (ACWP), Cost Variance (CV), and Schedule Variance (SV) values for all past periods, as well as future period current BCWS and Estimate to Complete (ETC). Thus, it provides a start-to-finish view of performance for any element at any level.

In the zoomed-out mode, the chart displays CV Cumulative and SV Cumulative values, as well as displaying all periods of data. In the zoomed-in mode, the chart displays the 12 most recent periods of data without CV Cumulative or SV Cumulative values.

Sample Chart

Display Options

Display Options | Options Menu Command
ETC | Optional Data
CV Cumulative and SV Cumulative | Zoom
Milestones | Milestones
Tick Marks | Ticks
Time Scale - 12 Periods/Entire Life | Zoom

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Bull's-eye Chart

The Bull’s-eye Chart plots Cost Variance Percentage Cumulative versus Schedule Variance Percentage Cumulative or Cost Performance Index Cumulative versus Schedule Performance Index Cumulative for all periods for the active element.

  • For percent values, the center of the chart is always Cost Variance Percentage = 0.0 and Schedule Variance Percentage = 0.0. A variance value of 0.0 means that the actual costs or the actual work performed exactly equals the planned cost or schedule.

  • For index values, the center of the chart is always Cost Performance Index = 1.0 and Schedule Performance Index = 1.0. A cost or variance performance index equal to 1.0 indicates the actual costs or the actual work performed exactly equals the planned cost or schedule.

In either case, the central rectangle indicates +/- 10% boundaries.

The Bull’s-eye chart makes it easy to spot trends in the data. Data points are numbered, and the most recent period (indicated by a 0), is boxed for easier visibility. A 1 identifies the data point from the pervious period (1 period ago), a 2 identifies the data point from two periods ago, and so on.

You can perform the following tasks:

  • Reset defaults for the Bull's-eye chart.

  • Adjust the variance indicator box settings.

  • Redefine the axis for this chart to plot cumulative Cost Performance Index versus Schedule Performance Index.

  • Create a WSCUSTOM.XML File that Defines the Axis as CPI vs. SPI.

Sample Chart

Display Options

Display Options | Options Menu Command
Thresholds Color Background | Optional Data
Line Connecting Data Poings | Ticks

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview

Redefine the Axis as CPI vs. SPI

Create a WSCUSTOM.XML file that Defines the Axis as CPI vs. SPI

Import a Chart with the Axis Defined as CPI vs. SPI

Adjust the Variance Indicator Box

Reset Defaults for the Bull's-eye Chart


Aggregate Bull's-eye Chart

The Aggregate Bull's-eye chart is similar to the standard Bull's-eye chart. However, the Aggregate Bull's-eye chart displays the most recent data points for all elements shown in the active Sort window. By contrast, the standard Bull's-eye chart displays all historical data points for a selected element. The purpose of the Aggregate Bull's-eye chart is to compare how various cost account managers, elements, contracts, and so on are performing as compared to their peers.

The Aggregate Bull’s-eye chart automatically creates a centroid, which is a weighted average of selected/common data points. The weighted average is based on the cost/schedule performance of the data points and the Budget at Completion (BAC) for each element. The centroid is controlled by what you select in the Sort window. By default, the centroid is based on the first column of the first row in the active Sort window.

Sample Chart

Display Options

Display Options | Options Menu Command
Thresholds Color Background | Optional Data
Box around Red and Blue centroids | Ticks

Filters

Since you can use filters to adjust the elements that display in a Sort window, a great deal of flexibility is available when generating the Aggregate Bull’s-eye chart. For example, you could choose to generate an Aggregate Bulls-eye chart for a given Cost Account Manager (CAM)/Integrated Product Team (IPT) that has many accounts or compare performance between many contracts at Level 1.

Below are two examples on using the Aggregate Bull's-eye Chart in conjunction with different cuts of the data.

Example 1

The following example focuses on the accounts of a specific Cost Account Manager (CAM):

  1. Click File » Open. The Open Data Set dialog box displays.

  2. Select or double the sample contract MOH-2.

  3. Click Options » Views » More Views and select the IPT view. The IPT view appears which contains the column labeled CAM.

  3. Click Lowest Level so that summary elements are removed in the Sort window.

  4. Click Charts » Aggregate Bull’s-eye. The Aggregate Bull's-eye Chart appears.

  5. Double-click the name Tideman in one of the cells of the CAM column. The Aggregate Bull's-eye Chart updates for Tideman. The color threshold background is displayed in the following chart by clicking Options » Optional Data.

The Aggregate Bull’s-eye chart now displays Tideman’s elements with red dots and the centroid for Tideman in the red square, as shown above. Also note in the upper right hand corner of the chart is the field selected CAM and the name Tideman below indicating to what the red points are related. Note that there is another centroid that is a blue square. This blue square centroid displays the centroid for all accounts in the sort window. You can now see the accounts and centroid for Tideman, as well as how it compares to other elements shown in the Sort window.

Placing the cursor over the various data points or the centroid displays a popup window that shows the element description and associated values. For example, if the cursor is placed over the red square, the element is identified. If you do not find the centroid useful, turn it off by clicking Options » Ticks.

Example 2

The following example focuses on using the Aggregate Bull's-eye Chart when looking at all contracts (at level 1) in wInsight:

  1. Click File » Open. The Open Data Set dialog box displays.

  2. Select (All Contracts). Select the Level 1 Only filter from the filter drop-down list, and click OK. A Sort window displays containing the level 1 element for each contract in the active database.

  3. Click Charts » Aggregate Bull’s-eye. The Aggregate Bull's-eye Chart displays, showing the aggregate value (centroid) for all contracts displayed as a blue square.

The contract highlighted in the Sort window displays as a red square. The red square changes, depending upon which contract you select in the Sort window. All other contracts display as blue diamonds.

Taking the multiple contracts example a little further, if you wanted to display contracts that have a common attribute such as R&D, you would insert the ProgType column into the Sort window and double-click one of the cells in that column that displays the word RDTE. This would turn all RDTE contracts into red dots and create a centroid for those contracts.

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Cost/Schedule Variance Chart

The Cost/Schedule Variance chart displays trend lines of Cost Variance Percentage (CV%) and Schedule Variance Percentage (SV%), with the actual values displayed below. Other notable items are the contractor and Government estimates at completion (primary units and percent), funding available/required, and Management Reserve. This chart is only available for the Level 1 contract element (total contract).

You can display a narrative in the blank area in the lower portion of the chart. You enter text on the PMR Narrative tab of the EAC/Funding/MR Inputs dialog, which is displayed by clicking Input » EAC/Funding.

For more information, see PMR Narr Tab of EAC/Funding/MR Inputs Dialog.

Sample Chart

Display Options

Display Options | Options Menu Command
Thresholds Color Background | Optional Data
Milestones | Milestones
Tick Marks | Ticks

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Cost/Schedule Variance Trends Chart

The Cost/Schedule Variance Trends chart displays trend lines of Cost Variance (CV), Schedule Variance (SV), Management Reserve (MR), and 10% threshold bands. It also displays the projected completion date with contractor and Government Variance at Completion. This chart is only available for the Level 1 contract element (total contract).

Sample Chart

Display Options

Display Options | Options Menu Command
Undistributed Budget | Optional Data
Milestones | Milestones
Tick Marks | Ticks

Adjusting the Threshold Lines

The C/S Variance Trends chart's threshold lines are set at +/- 10% of Budgeted Cost of Work Performed cumulative. You can modify the threshold value.

To modify the threshold value:

  1. Start wInsight but do not open a contract.

  2. Click File » Export Custom Items.... The Save As dialog box displays.

  3. Save your existing chart, filter, and view definitions to a new WSCUSTOM.XML file (or .XML file name of your choosing) in a location where you will be able to find the file in the next step.

  4. Open the .XML file created in the previous step in a text editor, such as Notepad or WordPad.

  5. Scroll down in the file until you locate the <Charts> section and then locate C/S Variance Trends. (Another method is to click Edit » Find to find the section.)

  6. At the end of the first line, locate exopt=””. Between the two sets of quotation marks, insert the amount of percent variance. For example, if to make the threshold lines +/- 15%, insert 15 (if you leave the exopt setting blank it defaults to 10%).

  7. Save your changes and exit the text editor. In order to use the modified chart definition, you must now import the definition into wInsight.

  8. Start wInsight but do not open a contract.

  9. Click File » Import Custom Items.... An Open dialog box displays.

  10. Browse and select the .XML file you modified, and then click Open. The Import Custom Items dialog box displays.

  11. Select an option, and click OK. The C/S Variance Trends chart displays threshold lines that are +/- 15% of BCWPcum.

You have three options, but you would most likely want to select option 2 or 3. If you select option 1, wInsight does not import the settings you modified.

To reset the default settings:

  1. Start wInsight.

  2. Open a contract.

  3. Click Charts » C/S Variance Trends. The C/S Variance Trends chart displays.

  4. Select Options » Define Chart.... The Chart Definition dialog box displays.

  5. Click Reset. wInsight resets the threshold value so that the C/S Variance Trends chart displays +/-10% threshold lines.

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Contract Performance Chart

The Contract Performance chart displays Budgeted Cost of Work Scheduled (BCWS), Budgeted Cost of Work Performed (BCWP), and Actual Cost of Work Performed (ACWP). It also displays the contract start date, projected completion date, target cost, contractor Estimate at Completion (EAC), and Government EAC. This chart is only available for Level 1 contract element (total contract).

wInsight uses the largest of the ContrCompl, CtrEstCompl, and PO Estimated Completion dates to determine the placement of the Complete line. You enter the first two numbers in the CPR Header spreadsheet in wInsight Administrator. You enter the last number in wInsight by clicking Input » Eac/Funding.

The baseline plot for the Level 1 element includes Management Reserve and Undistributed Budget.

Sample Chart

Display Options

Display Options | Options Menu Command
Baseline Data to Contract Completion; Additional y-axis Scale Indicating Percent of PMB | Optional Data
Milestones | Milestones
Tick Marks | Ticks

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Army Cost/Schedule Variance Trends Chart

The Army Cost/Schedule Variance Trends chart displays the cost/schedule variances from the inception of the contract. It also displays the projected Variance at Completion (VAC) and completion date. This chart is only available for the Level 1 contract element (total contract).

Sample Chart

Display Options

Display Options | Options Menu Command
TAB, Initial Target Cost, Initial Target Price, and Funds Available | Optional Data
Milestones | Milestones
Tick Marks | Ticks

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Over Target Baseline (OTB) Chart

The Over Target Baseline (OTB) chart is similar to the standard Cost/Schedule Variance chart. However, the OTB-adjusted Cost/Schedule Variance Trends chart provides a view of performance data that accurately displays the total cost and schedule variances after an OTB. The new zero line that displays on the chart for each OTB reset and is off-set by the amount of the cost variance adjustment. This chart is only available for the Level 1 contract element (total contract).

None of the information displays in wInsight unless you enter an OTB date in wInsight Administrator (in the LastOTB field of the CPR Header spreadsheet). You must run a recalculation to populate the adjusted OTB performance values.

Sample Chart

Display Options

Display Options | Options Menu Command
Undistributed Budget | Optional Data
Milestones | Milestones
Tick Marks | Ticks

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Independent Variance at Completion (IVAC) Chart

The Independent Variance at Complete (IVAC) chart displays several key pieces of information related to Estimate at Completion (EAC) and Variance at Completion (VAC) projections. This includes plots of standard variances, total float in days, and a bar chart of various percentages for the Budget at Completion (BAC) and EAC. The chart also includes a variety of tabular performance data. This chart is only available for the Level 1 contract element (total contract).

Sample Chart

The sample chart is shown with Optional Data, Milestones, and Tick Marks. It has been zoomed to show the contract to completion.

Display Options

Display Options | Options Menu Command
Bar Chart of Various BAC and EAC %s | Optional Data
Milestones | Milestones
Tick Marks | Ticks

The following data items display on the IVAC Chart (top-to-bottom, left-to-right):

  • POP — This item refers to the Period of Performance.

  • BCWS — This item refers to the Budgeted Cost of Work Scheduled to date.

  • BCWP — This item refers to the Budgeted Cost of Work Performed to date.

  • ACWP — This item refers to the Actual Cost of Work Performed to date.

  • BAC — This item refers to the original Budget at Complete.

  • EAC — This item refers to the Contractor’s Estimate at Completion.

  • MR BAC — This item refers to the Management Reserve Remaining based upon BAC.

  • MR EAC — This item refers to the Management Reserve Remaining based on EAC.

  • 3 Period CPI — This item refers to the Average Cost Performance Index measured over the latest 3 periods of performance.

  • 6 Period CPI — This item refers to the Average Cost Performance Index measured over the latest 6 periods of performance.

  • CUM CPI — The Cumulative Cost Performance Index is based on performance from the start of the contract to time now. Based on cost performance (BCWPcum/ACWPcum).

  • TCPI to EAC — To Complete Performance Index to the EAC indicates the level of efficiency required on the work remaining to achieve the EAC forecast.

  • Eff to Complete — This item refers to the Projected Efficiency Index from start of the contract to contract completion based upon attaining the contractor’s EAC.

  • CUM SPI — The Cumulative Schedule Performance Index is based on performance from the start of the contract to time now (BCWPcum/BCWScum).

  • OTBI — Over Target Baseline Index compares the OTB to the original BAC (for example, an OTBI of 1.05 represents a new performance measurement target that is 5% above the contractual BAC).

  • CUM CPI IVAC — This item refers to the forecasted Variance at Completion (VAC) if the Cumulative Cost Performance Index Independent Variance at Completion is realized. The symbol is depicted on the dotted Contract Completion line.

  • WT COST SCH IVAC — This item refers to the forecasted VAC if the Weighted Cost/Schedule Estimate at Completion is realized. The symbol is depicted on the dotted Contract Completion line.

  • CPI*SPI IVAC — This item refers to the forecasted VAC if the Cost Performance Index*Schedule Performance Index Estimate at Completion is realized. The symbol is depicted on the dotted Contract Completion line.

  • Cost Variance — This item refers to the Cumulative Budgeted Cost of Work Performed – Cumulative Actual Cost of Work Performed.

  • Schedule Variance — This item refers to the Cumulative Budgeted Cost of Work Performed – Cumulative Budgeted Cost of Work Scheduled.

  • Variance at Completion — This item refers to the Budget at Completion – Contractor’s Estimate at Completion.

  • Total Float — Total Float from schedule system is displayed as days and is tracked to the right axis.

There are up to three (when Optional Data is selected) different vertical axes displayed on the IVAC Chart. Viewing from left to right, these axes dispaly as follows:

  • Vertical Axis 1 — This axis represents the variance range in primary units, for example, dollars, hours, or EQP.

  • Vertical Axis 2 — This axis represents the Total float by day.

  • Vertical Axis 3 — This axis represents the Bar chart by percentage.

The bar chart displayed on the right side of the IVAC chart show two columns, one for BAC (left column) and the other for EAC (right column). The red box extending downward from the BAC or EAC represents the % of MR to either the BAC or EAC. A green box shows the amount of UB for each. The bars are displayed in percent values, where the BAC is always equal to 100% and the EAC column can be more or less than 100%. MR and UB are displayed as a percentage of the BAC or EAC depending on the column. The left column displays the BAC line at 100%, the % Complete, and UB/MR to the BAC. The right column displays the EAC, % Spent, and UB/MR to the EAC. The bars will not display negative MR or UB.

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Baseline Analysis Chart

The Baseline Analysis chart is similar to the standard Contract Performance chart, in terms of the data plotted up to time now (for example, CPR Format 1 cumulative values). However, past time now, the Baseline Analysis chart displays up to three baselines (for example, CPR Format 3 End of Period values). This chart is only available for the Level 1 contract element (total contract).

The baseline plot for the Level 1 element includes Management Reserve and Undistributed Budget.

The following baseline information is plotted by default; however, you can modify the chart to display other baselines:

  • Current period baseline

  • Baselines from the prior two reporting periods

Sample Chart

Display Options

Display Options | Options Menu Command
Additional y-axis Scale Indicating Percent of PMB | Optional Data
Milestones | Milestones
Tick Marks | Ticks

Modifying This Chart

To modify the Baseline Analysis chart:

  1. On the Charts menu, select Baseline Analysis. The Baseline Analysis chart displays.

  2. Right click anywhere on the chart to display the shortcut menu.

  3. Select Define Chart.... The Chart Definition dialog box displays.

  4. Select one of the Baseline fields to edit, and click Edit. The Line Definition dialog box appears.

  5. The Type options allow you to select baselines (listed in the Period field) based on their report period date either relative to the current reporting period or based on specific reporting dates.

  • The Relative option allows you to select baselines based on the data from x-number of periods ago (relative to the current period). For example, selecting Current – 0 plots the baseline from the current reporting period. Selecting Current – 1 plots the baseline from one period ago, Current – 2 plots the baseline from two periods ago, and so on. Thus, as you enter new periods of data into wInsight, the baselines plotted change, but they are always the same "relative" to the current period of data.

  • The Absolute option allows you to specify a specific baseline to plot. For example, you might select the baseline from Dec 02, Nov 02, and Oct 02. In this case, as you enter new periods of data into wInsight, the baselines plotted stay the same (always Dec 02, and so on).

Related Topics and Procedures

Charts Overview

Chart Descriptions and Examples Overview

Viewing Chart Information Overview

Line Definition (Baseline) Dialog Box


Funding Chart

The Funding chart displays a chart similar to the standard Contract Performance chart, in terms of the data plotted up to time now. However, past time now, the Funding chart displays up to three lines of CFSR funding information. This chart is only available for the Level 1 contract element (total contract).

The baseline plot for the Level 1 element includes Management Reserve and Undistributed Budget.

The following funding information is plotted by default; however, you can modify the chart to display other CFSR funding information:

  • Contractor Funding Spread

  • CFSR Line 12C (Open Commitments + Accrued Expenditures)

  • Custom Funding Spread plotted

Sample Chart

Display Options

Display Options | Options Menu Command
Additional y-axis Scale Indicating Percent of PMB | Optional Data
Milestones | Milestones
Tick Marks | Ticks

Related Topics and Procedures

Charts Overview

Chart Descriptions and Examples Overview

Line Definition (CFSR) Dialog Box

Viewing Chart Information Overview


Bar Chart

wInsight supports bar style charts. Four different bar styles are available, including solid bars.

Sample Chart

Display Options

Display Options | Options Menu Command
Thresholds color background | Optional Data
Milestones | Milestones
Time Scale - 12 Periods/Entire Life | Zoom

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Dual-Axis Chart

wInsight supports charts with both a left and right axis. This feature allows a single chart to display any two of three types of data – primary units (dollars, hours, equivalent persons, and so on), percentages, and indexes.

Sample Chart

Display Options

Display Options | Options Menu Command
Thresholds color background | Optional Data
Milestones | Milestones
Tick Marks | Ticks
Time Scale - 12 Periods/Entire Life | Zoom

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


Gauge Chart

wInsight supports charts with gauges. These types of charts display data in a "car dashboard" manner similar to a fuel gauge. You can create charts with one or more gauges, each displaying a different data item.

Sample Chart

Display Options

Display Options | Options Menu Command
Display Two Prior Periods of Data | Optional Data
Display Graduation Steps on Color Bars | Ticks

Related Topics and Procedures

Charts Overview

Viewing Chart Information Overview

Chart Descriptions and Examples Overview


wInsight Reports Overview

Report windows provide a textual description of contract performance. wInsight provides a number of reports for use in analysis and reporting. The Executive Summary Report and Contract Funds Status Reports are available only at the total contract level, for the Level 1 contract element. The remaining reports are available for all levels of the contract structure.

Use reports to display key performance data for each element. Reports include incremental values, cumulative values, statistical estimates at completion, and an "artificial intelligence" narrative that explains in plain English what the earned value data indicates.

You can manipulate report windows in several ways to aid analysis and reporting functions. Among the tasks that you can perform are as follows:

  • Resize and display wInsight reports simultaneously with other reports, charts, or Sort windows.

  • Access report properties, such as Copy, by right-clicking anywhere on the report window.

  • Print or plot reports to any Windows-compatible device or copy them to the clipboard for pasting into other Windows applications.

Reports can display HTML data like text, graphics, and links, and support browsing to other Web links, such as threaded discussions, documents, spreadsheets, and so on. The Browse toolbar provides Internet navigation features when viewing wInsight reports.

You can customize reports by editing their underlying template with an HTML editor, such as MS FrontPage. The template controls the content and layout of a report.

For best performance, we highly recommend that Internet Explorer (IE) 5.0 or later be installed for viewing and printing reports. It does not need to be the default browser for the system. wInsight 6.x uses the IE display engine to display reports and online help. Internet Explorer 3.0 or later is required to view online help; IE 4.0 or later is required to view reports.

Related Topics and Procedures

Display a Report

Save a Report to a File

Report Types Overview

Customizing Reports Overview

Printing Overview


Display a Report

Reports link to the active element of their data set. wInsight updates the reports automatically when the active element changes. You can toggle some reports to display information in dollars, hours, equivalent persons (EQP)/heads, or other user-defined units.

For more information, see Display or Hide Units.

The Browse toolbar provides standard Internet navigation features when viewing wInsight reports— back, forward, home, and stop. These features, for example, allow you to follow any link on the Internet and then return to the report window in wInsight by simply clicking Home.

To display a report, complete the following steps:

  1. Select a Sort window containing the element to report.

  2. Verify if the focus rectangle is in the desired row. Otherwise, double-click the row containing the element.

  3. Press ENTER. Check the Status bar to ensure the correct active element has been updated.

  4. On the main menu, click Reports. The Reports menu displays.

  5. Select the report. A report window opens.

Related Topics and Procedures

Reports Overview

Save a Report to a File

Keyboard Shortcuts for Reports

Report Types


Save a Report to a File

You can save a report to an HTML file and distribute it after it has been displayed. You can then view the report by any application capable of displaying HTML files, such as MS Word or Internet Explorer.

To save a report to a file, complete the following steps:

  1. Display a report.

  2. Either click [image] Save on the Standard toolbar, or click File » Save As HTML on the main menu. The Save As dialog box displays, allowing you to name the file and select the folder where the HTML file is saved.

  3. In the File Name field, enter a name for the file.

  4. Click Save.

Related Topics and Procedures

Reports Overview

Display a Report


Keyboard Shortcuts for Reports

This section presents the following table that lists keyboard assignments available in report windows for all versions of wInsight:

Keystroke | Action
UP ARROW | Pressing this key moves the current view upward or to the previous line.
DOWN ARROW | Pressing this key moves the current view downward or to the next line.
CTRL+HOME | Pressing this key combination moves the current view to the uppermost part of the report or the topmost line.
CTRL+END | Pressing this key combination moves the current view to the lowest part of the report or the bottom line.

Related Topics and Procedures

Reports Overview

Display a Report


Report Types Overview

wInsight reports display information for an active element. You can toggle settings on some reports to show this information in terms of dollars, hours, equivalent persons (EQP)/heads, and other user-defined units.

This section provides you with the following samples of wInsight reports:

  • Artificial Intelligence Narrative Report

  • Six Period Summary Report

  • Validity Report

  • Format 5 Narrative Report

  • Scope of Work Report

  • User Narrative Report

  • Element of Cost Report

  • Executive Summary Report

  • OMB Table IIA Report

  • OMB Change Report

  • CFSR Reconciliation Report

  • CFSR Funding Requirements Contractor Spread Report

  • CFSR Funding Requirements Automated Spread Based on EPC Report

  • CFSR Funding Requirements Custom Spread Report

  • CFSR Funding Requirements Spread Summary Report

  • Program Tripwires Summary Report

  • Performance Measurement Baseline (PMB) Revisions Report

Related Topics and Procedures

Reports Overview

Display a Report

Save a Report to a File

Customizing Reports Overview


Artificial Intelligence Narrative Report

The Artificial Intelligence (AI) Narrative report generates paragraphs of text based upon the quantitative performance data and pre-defined (hard coded) set of rules.

  • Sections one and two of the report focus on cumulative cost and schedule performance.

  • Section three discusses the cost performance and to-completion performance indices.

  • Section four lists statements regarding the status of the element.

Related Topics and Procedures

Reports Overview

Report Types Overview


Six Period Summary Report

The Six Period Summary report displays detailed performance data and calculations for the last six periods.

  • The first section includes current period data.

  • The second section displays cumulative data.

  • The third section has completion data.

  • The fourth section displays the statistical estimates at completion.

You can calculate statistical and independent forecasts at the lowest level and have the results summed up the contract tree, or you can calculate them independently at each level based on the earned value data at that level. The bottom of the report notes which method is used when you recalculate the data in wInsight Administrator.

Sample Report

Related Topics and Procedures

Reports Overview

Report Types Overview


Validity Report

The Validity report generates statements based upon a set of rules. These rules utilize simple mathematical checks to determine if the data appears to be valid.

Related Topics and Procedures

Reports Overview

Report Types Overview


Format 5 Narrative Report

The Format 5 Narrative report displays the narrative analysis supplied by the contractor regarding the status of the element. The report should discuss the cause of the problem, corrective action being taken, and impact to the cost and schedule at completion.

You can enter Format 5 Narratives for each contract element and for each period of data by accessing the narrative input window of this particular report.

Related Topics and Procedures

Reports Overview

Report Types Overview


Scope of Work Report

The Scope of Work report displays the narrative describing the scope of work for the active contract element. This information is also referred to as the WBS dictionary. You can use wInsight Administrator to import and export Scope of Work information, along with other performance data, via XML transfer files.

You can enter a WBS dictionary type information for a contract element by accessing the narrative input window of this particular report.

Related Topics and Procedures

Reports Overview

Report Types Overview

Importing Data Overview


User Narrative Report

The User Narrative report displays the general narrative inputs for any contract element.

You can enter User Narratives for each contract element and for each period of data by accessing the narrative input window of this particular report.

Related Topics and Procedures

Reports Overview

Report Types Overview


Element of Cost Report

The Element of Cost (EOC) report displays the element(s) of cost and their variances for the active contract element. Elements of cost are data categories such as labor, material, travel, subcontractor, and so on.

You define EOCs in the Units spreadsheet in wInsight Administrator along with other data units such as dollars, hours, and EQP. The RptSeq column in the Units spreadsheet controls the order in which elements of cost are listed in this report and whether or not a defined unit even appears on the Element of Cost report. You enter EOC data, like other earned value data, in the Earned Value spreadsheet.

Related Topics and Procedures

Reports Overview

Report Types Overview


Executive Summary Report

The Executive Summary report, which is only available at the Level 1 of the contract structure, displays total contract level data for the selected contract. It displays the contract value, period of performance, and other contractual data, as well as the last two periods of performance indicators and various estimates at completion.

Related Topics and Procedures

Reports Overview

Report Types Overview


OMB Table IIA Report

The OMB Table IIA report replaced the previous OMB 300 and OMB 300 BY09 reports to comply with the format for Budget Year 2011 (BY11). wInsight now generates the OMB Table IIA report data based on the imported EVM data and the WBS elements to OBS milestones mapping.

You create an OMB structure and map OMB milestones to WBS elements in wInsight Administrator.

This report displays the following pieces of information:

  • Descriptions of milestones

  • Total cost data

  • Planned and actual start dates

  • Planned and actual completion dates

  • Planned and actual percent complete values

The Planned Percent Complete and the Actual Percent Complete values are determined based on all of the WBS elements having data that are also mapped to the OMB milestone. For date columns, this report considers all detailed non-summary tasks linked to the WBS element as well as summary tasks which come from the schedule software product and that are linked to that WBS element. This report, however, does not consider any Summary tasks created by wInsight Administrator during a recalculate process with the Generate summary schedule tasks option selected.

If there is a problem with the data imported, you need to correct the data at its source and import the data again, and then rerun the report.

To make sure that the correct pieces of information display on the report, the following conditions must be considered:

  • OMB Milestones in the OMB structure are linked to WBS elements, rather than summary level WBS’s

  • Earned Value (EV) or cost data comes from WBS elements, rather than tasks in the schedule

  • Date information comes from tasks in the schedule, rather than WBS elements

Setting Up an OMB Structure

The structure for the OMB milestones must specifically be called OMB, which is the only structure name that this report recognizes. You map the WBS elements to the OMB milestones in wInsight Administrator.

  1. If the Table IIA report does not find a structure for OMB, or if there are WBS elements that are not mapped to the OMB milestones, the report does not display any data.

  2. If a milestone does not contain any data for any of the columns, wInsight does not present the milestone as a record on the report.

  3. If all of the tasks of all the WBS elements mapped to an OMB milestone do not have actual completion dates, the Actual Completion Date for the OMB milestone displays as NULL.

For more information, see OMB Table IIA Report Setup Tasks.

Generating the Report

wInsight generates the Table IIA report data based on the imported EVM data and the WBS elements to OMB milestones mapping. You create an OMB structure, and map the monthly WBS earned value data to it, in wInsight Administrator.

wInsight allows you to export the report in CSV or XML format. For more information, see Export OMB Table IIA Data.

To generate this report, on the Menu bar, click Reports » OMB Table IIA Report.

Context Menu Options

The OMB Table IIA report features standard context menu options, most of which are available on other wInsight reports. The options include Copy, Select All, Save as HTML, Export OMB Table IIA Data, and Define Reports. The Copy and Define Reports options are always disabled on the OMB Table IIA report. The Export OMB Table IIA Data only displays on this report.

Right-click anywhere on the report to view these options.

Sample Report

Related Topics and Procedures

Link or Unlink Elements

Reports Overview

Report Types Overview

WBS Mapper Dialog Box


OMB Change Report

Use the OMB Change report to view changes between the current period's OMB Table IIA Report and the previous period's OMB Table IIA report.

This report contains the same data as the OMB Table IIA report. The only difference is that it highlights any of the following changes in blue:

  • All changes in data fields, such as an amount, a date, or a percentage complete, from the previous period’s report

This report does not highlight changes in characters in the element description/milestone name from the previous period's report.

  • All new OMB milestone lines that did not exist for the previous reporting period

Before you run the OMB Change report for the first time, you should import data for the previous and current periods and recalculate with the Calculate element hierarchy option selected on the Recalculate Options dialog box. Doing so allows wInsight to compare data elements from both periods, and ensures that the only highlighted OMB Milestone lines or data fields are those that are new or updated.

Generating this Report

To generate this report, on the Menu bar, click Reports » OMB Change Report.

Sample Report

Related Topic

Report Types Overview


CFSR Reconciliation Report

The Contrat Funds Status Reconciliation (CFSR) report, which is only available at the Level 1 of the contract structure, reconciles key data elements between the Cost Performance Report and the CFSR at level one of the contract. Since many of these items are not intended to reconcile to the penny, wInsight applies user-defined thresholds to identify whether the items are within an acceptable range.

Items reconciled include the following:

  • Period End Date

  • Target Price vs. Definitized Contract Work Authorized

  • Authorized But Unpriced Work vs. Not Definitized Contract Work

  • Cumulative Actual Cost of Work Performed (ACWP) vs. Accrued Expenditures to Date

  • Estimated Price - CPR vs. Forecast of Billings - At Completion - CFSR

You enter all data for this report, including CFSR thresholds, in wInsight Administrator. For more information, see Contract Funds Status Report Overview.

Related Topics and Procedures

Reports Overview

Report Types Overview


CFSR Funding Requirements Contractor Spread Report

The Funding Requirements Contractor Spread report, which is only available at the Level 1 of the contract structure, displays the time-phased funding requested by the contract/supplier by funds source, appropriation, and fiscal year.

You enter all data for this report in wInsight Administrator.

Estimated funding required is calculated using the following formula:

Est Funding = Est Open Commitments (Block 12a) + Est Expenditures (Block 12b) + Est Termination Costs (Block 14).

Related Topics and Procedures

Reports Overview

Report Types Overview


CFSR Funding Requirements Automated Spread Based on EPC Report

The Funding Requirements Automated Spread Based on EPC report, whic is only available at the Level 1 of the contract structure, takes the contractor's time-phasing of funding requests and spreads the funding request to the government's Estimated Price at Completion (EPC) number as opposed to the contractor's EPC.

You enter most data for this report in wInsight Administrator. However, you enter the government's EPC in wInsight by clicking Input » EAC/Funding on the EAC/Funding tab in the PO PAC field.

Related Topics and Procedures

Reports Overview

Report Types Overview


CFSR Funding Requirements Custom Spread Report

The Funding Requirements Custom Spread report, which is only available at the Level 1 of the contract structure, displays a user-defined profile of funding. You enter most data for this report in wInsight Administrator. However, you enter the government's EPC in wInsight by clicking Input » EAC/Funding on the EAC/Funding tab in the PO EAC at PMB field.

You enter the Calc EPC value at the bottom of the report in wInsight Administrator in the AtComplete field on the Custom Spread row in the CFSR Block 12,13,14 spreadsheet.

Related Topics and Procedures

Reports Overview

Report Types Overview


CFSR Funding Requirements Spread Summary Report

The Funding Requirements CFSR Spread Summary report, which is only available at the Level 1 of the contract structure, displays information from the Contractor Spread, Automated Spread, and Custom Spread Reports in one format for comparison purposes. You enter most data for this report in wInsight Administrator. However, you enter the government's EPC in wInsight by clicking Input » EAC/Funding on the EAC/Funding tab in the PO EAC at PMB field.

You enter the Calc EPC value at the bottom of the report in wInsight Administrator in the AtComplete field on the Custom Spread row in the CFSR Block 12,13,14 spreadsheet.

Related Topics and Procedures

Reports Overview

Report Types Overview


Program Tripwires Summary Report

The Program Tripwires Summary Report indicates whether the schedule is going well or progressing poorly against baseline estimates. This report features the following metrics:

  • Baseline Execution Index (BEI)

    Use the BEI metric to indicate the efficiency with which actual work has been accomplished when measured against the baseline. The target efficiency ratio is 1.00; less than 1.00 is not favorable.

    Example

    Through August 2006, the supplier network schedule shows 1,955 total tasks/activities to have been completed from contract start through the current reporting period; 1,516 total tasks/activities have actually been completed.

    Cumulative BEI = 1,516 Actual / 1,955 Baseline = 0.78 efficiency through the current reporting period.

    In this example, the BEI of 0.78 indicates that a significant portion of the schedule is not being completed as planned.

  • Schedule Performance Index (SPI)

    The SPI is an index on contract performance calculated by dividing the BCWP by the BCWS. It can be calculated with cumulative or current period data. The SPI is an indication of the amount of work planned (in dollars, hours, or EQP) versus the amount of work actually accomplished at budgeted rates.

    For example, if the SPI were equal to .80, an amount equal to 80% of the work planned has been earned. A SPI equal to 1.0 would indicate that an amount equal to the plan has been earned, where as a SPI equal to 1.1 would indicate more work has been earned than planned.

    The SPI tells you nothing about the actual cost of the work, whether the work that was actually accomplished was the work planned, and gives no insight into whether the item is on the critical path.

  • Critical Path Length Index (CPLI)

    In determining the CPLI metric, wInsight calculates the critical path length using the longest, continuous sequence of tasks/activities through the network from contract start (or the current status date) to contract completion. The critical path length can also be computed for milestones using the milestone’s start (or current status date) and completion dates.

    CPLI = (Critical Path Length +/- Total Float) / Critical Path Length

    Total Float is the total amount of time that a task can be delayed without delaying the completion of the contract.

    The target ratio is 1.00; less than 1.00 is not favorable.

    Example

    Through April, the supplier network schedule calculates a program critical path length of 720 working days (3 years) with 60 working days (3 months) of negative float from contract award to completion.

    CPLI = (( 720 - 60) / 720) = 0.917

    The supplier’s CPLI of less than 1.00 indicates that the program is not likely to achieve its baseline completion date without corrective action.

  • Cost Performance Index (CPI)

    The CPI is an index of contract performance calculated by dividing the BCWP by the ACWP. It can be calculated with cumulative or current period data. The CPI is an indication of the cost efficiency with which work has been accomplished.

    For example, if assuming the CPI were equal to .80, then for every budgeted dollar spent, 80 cents in value was received. A CPI equal to 1.0 would indicate that cost is on target where as a CPI equal to 1.1 would indicate a cost under-run (higher efficiency). Comparison of the CPI to the TCPI-EAC is a very useful analysis technique.

  • To Complete Performance Index (TCPI)

    The TCPI indicates the level of efficiency that the work remaining must be accomplished. For more details, see the next subsection, Entering Related Information.

You can also check changes in the contract value and any baseline revisions.

wInsight allows you to create a template that can assist you in entering narratives for the Program Tripwires Summary report. For more information, see Create a Custom Narrative Template.

Entering Related Information

wInsight is capable of performing the following tasks, depending on the information that you enter information on the Program Tripwires Summary report:

  • To explain schedule items for the report, enter Tripwire Narrative by clicking Input » Tripwire Narrative in wInsight.

  • To support the CPLI calculation, enter the number of days on the critical path and the number of days of float on the CPR Header spreadsheet in wInsight Administrator.

  • To support the BEI calculation at the top level, you enter the planned tasks and actual tasks (cumulative and current) started and finished on the CPR Header spreadsheet in wInsight Administrator.

If you have computed BEI related data from imported schedules, you can edit the planned tasks and actual tasks (cumulative and current,) started and finished for the top level in the CPR Header spreadsheet. You cannot modify intermediate level BEI related data.

  • To compute for the To Complete Performance Index (TCPI) in the ICPI – TCPII* metric, use one of the following formulas:

The TCPI value differs based on whether or not there is an Over Target Baseline (OTB). The EACktr (Estimate at Completion) in these formulas represents the supplier’s Most Likely Management EAC found in block 6c on the CPR Format 1 report.

TCPI when OTB exists, use the following formula:

(TAB (includes MR) - BCWPcum) / (EACktr - ACWPcum)

(Total Allocated Budget (includes Management Reserve) – Cumulative Budgeted Cost of Work Performed / (Most Likely Management EAC – Cumulative Actual Cost of Work Performed)

TCPI when no OTB exists, use the following formula:

(BAC (no MR) - BCWPcum) / (EACktr - ACWPcum)

(Budget at Completion (no MR) – Cumulative Budgeted Cost of Work Performed) / (Most Likely Management EAC – Cumulative Actual Cost of Work Performed)

  • To compute for the Contract Mods tripwire, use the following formula:

(Contract Budget Base less Original Negotiated Cost) / Original Negotiated Cost

Values for Contract Budget Base and Original Negotiated Cost are current displayed in blocks 5e and 5a, respectively, on the CPR Format 3 report.

In addition, you set the System and Baseline indicators in wInsight Administrator. Click Data Input » Report Setup » CPR Header Spreadsheet, and create the following entries:

  • TripWireSystemIndicator — This is a subjective evaluation. A non-zero value causes the System Indicator to display in red on the report.

    • 0 = acceptable

    • 1 or any non-zero value = not acceptable

  • TripWireBaselineIndicator — This is a subjective evaluation. A non-zero value causes the Baseline Indicator to display in red on the report.

    • 0 = acceptable

    • 1 or any non-zero value = not acceptable

Verifying Related Information

You can verify the values and other information that you enter on this report.

  • To view and verify CPLI data on the Program Tripwires Summary report when metrics are recalculated based on a milestone, click Reports » DCMA Reports » CPLI Milestone in wInsight.

  • To identify if a certain milestone or the total program is used to calculate the report’s CPLI, check the Milestone used for the CPLI: <Program/Milestone name> line on the header section of this report. The information displayed in the line can be configured in the Recalculate Options dialog box of wInsight Administrator.

  • To let the Recalculate process derive CPLI tripwire metric data for a certain milestone, select the Derive Tripwire Metrics option, and then select the milestone in the Milestone used for the Tripwire CPLI field on the Recalculate Options dialog box of wInsight Administrator.

Generating the Report

To generate this report, click Reports » DCMA Reports » Program Tripwires Summary.

wInsight allows you to establish program specific threshold values in the Contracts spreadsheet of the wInsight Administrator. If you have not yet entered or changed any values, wInsight Administrator uses its currently defined trip values for the computation.

During the wInsight report generation process, wInsight computes the BEI and CPLI values automatically based on the entered data in wInsight Administrator. It also allows you to recalculate at the Total Program level when the contract has a schedule data that has no milestones in it.

Sample Report

You can enter a Tripwire narrative for each contract element by accessing the narrative input window of this particular report.

Related Topics and Procedures

Reports Overview

Report Types Overview

Narrative Input Windows Overview

BEI and Monthly Percent Hit Chart

DCMA Tracking Critical Path Length Index Chart


Performance Measurement Baseline (PMB) Revisions Report

PMB Revisions Report

The PMB Revisions report shows whether the baseline values set in the Performance Measurement Baseline vary significantly over time.

  • For each period, wInsight determines the high and low estimated End of Period (EOP) Baseline values.

  • wInsight calculates the Percent Change from the low value to the high value for each period.

  • The time-phased Adjustment PMB for each period is the rolling average of Percent Change over the prior six periods.

  • wInsight displays data for the current reporting period and prior periods.

Generating this Report

To generate this report, click Reports » DCMA Reports » PMB Revisions. You can set the number of periods (columns) that you want this report to display by right-clicking anywhere on the report and selecting Define Report. The Report Definition dialog box then displays.

In the Periods to Display field, you can enter any number from 1 through 12. The default value is 6. If you do not enter any value, the field still displays "6". In addition, the number of columns that you set in the Periods to Display field is equal to the number of periods of data listed on the Periods spreadsheet.

Sample Report

Related Topics and Procedures

Reports Overview

Report Types Overview


CPLI Milestone Report

Use the CPLI Milestone report to verify CPLI (Critical Path Length Index) data on the Program Tripwires Summary report when CPLI related data is recalculated based on a milestone.

Regardless of the source project calendar (such as 5-day, 7-day, holidays, or non-working days), wInsight always assumes a 5-day work week in calculating CPL.

The milestone data displayed in this report is similar to the milestone populated in the ProgramOrMilestone column during the Recalculate process. The column is found on the CPR Header report of wInsight Administrator. Here are sample scenarios:

  1. If the ProgramOrMilestone column is NULL, or says "Total Program" or "Milestone," this report does not display a record.

  2. If the ProgramOrMilestone column specifies a milestone value other than "Milestone," the milestone name, critical path length, and schedule float for the report come from the corresponding columns in the CPR Header. The UID, Start, and End dates come from imported data for the milestone. If the imported data for one of these fields is NULL for the milestone, the report then displays that column as NULL.

To generate this report, click Reports » DCMA Reports » CPLI Milestone.

Sample Report

Columns in the Milestone Report

The following table describes each column in the Milestone report:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
Milestone | Milestone Name | Text | Integer | CPR Header Spreadsheet, ProgramOrMilestone | Default = blank
UID | Unique Identifier | Number |  |  |
Start Date | Milestone Forecast Start Date | Date | 10 |  | mm/dd/ccyy; Default = blank
Finish Date | Milestone Forecast End Date | Date | 10 |  | mm/dd/ccyy; Default = blank
Critical Path Length | The series of tasks that must finish on time for the entire project to finish on schedule | Number | Integer | CPR Header Spreadsheet, CriticalPathLength | Default = 0
Sched Float | The difference between the amount of time available for performing a milestone and the time required to complete the milestone. | Number | Integer | CPR Header Spreadsheet, SchedFloat | Default = 0

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Related Topics and Procedures

wInsight Reports Menu

Reports Overview


Customizing Reports Overview

You can customize a wInsight report by editing its underlying template, which controls the content and layout of the report. There is no limit to the number of custom reports that you define.

Process

The basic process for creating a custom report is as follows:

  • Copy an Existing Report Template.

  • Edit the Report Template.

  • Create a Report and Link it to the Template.

Related Topics and Procedures.

Reports Overview

Report Types Overview


Copy an Existing Report Template

This procedure allows you to copy an existing report template.

To copy a report template, complete the following steps:

  1. In Windows Explorer, navigate to the default report template location:

C:\Program Files\Deltek\wInsight 6.5\winst

  2. Use the following table to help you decide which template to copy:

Template | Report
Rainarr_template.htm | Artificial Intelligence (AI) Narrative
Reoc_template.htm | Element of Cost
Rexecsum_template.htm | Executive Summary
Rfmt5_template.htm | Format 5 Narrative
Rsixper_template.htm | Six Period Summary
Rsow_template.htm | Scope of Work
Rusernarr_template.htm | User Narrative
Rvalidity_template.htm | Validity

  3. Copy the template you want to another folder and label it.

Related Topics and Procedures

Reports Overview

Report Types Overview

Customizing Reports Overview

Edit the Report Template

Create a Report and Link it to the Template


Edit the Report Template

This procedure allows you to edit a report template that you have copied.

To edit the template, complete the following steps:

  1. Open the HTML editor that you are using to format the copied report template.

  2. Add fields. If you need to check the wInsight field name, on the Menu bar, click Options » Column » Insert and review the drop-down list.

  3. This step is optional. You may include custom Java scripts to perform calculations and formula.

  4. When you are finished editing, save your changes and exit the HTML editor.

Related Topics and Procedures

Reports Overview

Report Types Overview

Customizing Reports Overview

Copy an Existing Report Template

Create a Report and Link it to the Template

wInsight Database Fields

Data Elements for Custom Reports and Custom Narratives Overview


Create a Report and Link it to a Template

Create a Report and Link it to the Template

This procedure allows you to create a report and link to a template.

To create the report and link it to your edited template, complete the following steps:

  1. On the Menu bar, click Reports » Custom Reports » More Reports.... The More Reports dialog box displays, which you can use to add a new report to the wInsight Custom Reports menu.

  2. Click New to create a new report. Report 1 is added to the list of reports.

  3. Click Edit. The Report Definition dialog box displays.

  4. In the Name field, enter a name for the new report.

  5. In the Template File field, enter the name of the report template file you edited. If necessary, click Browse to locate and select the template.

  6. Select the Show in Report menu option to add the report to the list of reports shown on the Custom Reports menu.

  7. Click OK.

Related Topics and Procedures

Reports Overview

Report Types Overview

Customizing Reports Overview

Copy an Existing Report Template

Edit the Report Template

More Reports Dialog Box

Report Definition Dialog Box


Example: Custom Six Period Summary Report

This section shows you what a modified Six Period Summary Report template might look like in FrontPage. Note that period based data elements display their off-set from the current month, for example, -2,-1,-0,+1,+2,+3, and that no unit type is specified in order to allow the report to toggle. Tables are used in FrontPage to format the rows, and columns and to apply shading.

The following FrontPage screen shot is out of date. Field names should be surrounded by ”r;(| and |)” instead of ”r;||” as shown.

The customized Six Period Summary report is shown in the following figure.

Related Topics and Procedures

Reports Overview

Report Types Overview

Customizing Reports Overview


Thresholds and Weights Reporting

The fields in the Threshold and the Weight database tables are available for use in custom report templates.

  • The Threshold table stores CPR Format 5 reporting thresholds.

  • The Weight table stores parameters used in the Weighted Cost/Schedule and the Performance Factor independent EAC forecast formulas.

A sample report template is provided, which illustrates one possible use of the Thresholds fields in a report. The template file is RELEM_THRESH_TEMPLATE.HTM and is stored in the wInsight folder. It can serve as a guide for accessing the Threshold and Weight fields.

To create a wInsight report using this template, complete the following steps:

  1. On the Menu bar, click Reports » Custom Reports » More Reports.... The More Reports dialog box displays, which you can use to add a new report to the wInsight Custom Reports menu.

  2. Click New to create a new report. A Report 1 is then added to the list of reports.

  3. Click Edit. The Report Definition dialog box displays.

  4. In the Name field, enter an appropriate name for the new report.

  5. In the Template File field, enter the name of the appropriate report template file to use for this report. Alternatively, you can click Browse to locate and select the template. The template is stored in the wInsight folder.

  6. Select Show in Report menu to add the report to the list of reports shown on the Custom Reports menu.

  7. Click OK.

Related Topics and Procedures

Reports Overview

Report Types Overview

Customizing Reports Overview

More Reports Dialog Box

Report Definition Dialog Box


CPR Templates for Custom Reports

wInsight installs the CPR formats specified in the March 2005 Contract Performance Report DID, DI-MGMT-81466. The report templates are installed into the wInsight folder. The previous CPR formats are also installed in that same folder.

The new templates include M1 in the file name, which distinguishes them from the previous templates. For example, the new CPR Format 1 template is named RCPR1M1_TEMPLATE.HTM, whereas the previous CPR Format 1 template is named RCPR1_TEMPLATE.HTM.

The main difference between the CPR reports found in wInsight Administrator and those found in wInsight are that the wInsight CPR templates are banded reports. That means that they report all contract elements; there is no capability to filter the elements or roll up the structure.

To create a wInsight report using one of these templates, complete the following steps:

  1. On the Menu bar, click Reports » Custom Reports » More Reports.... The More Reports dialog box displays, which you use to add a new report to the wInsight Custom Reports menu.

  2. Click New to create a new report. A Report 1 is then added to the list of reports.

  3. Click Edit. The Report Definition dialog box displays.

  4. In the Name field, enter an appropriate name for the new report.

  5. In the Template File field, enter the name of the appropriate report template file to use for this report. Alternatively, you can click Browse to locate and select the template. The templates are stored in the wInsight folder.

  6. Select the Show in Report menu check box to add the report to the list of reports shown on the Custom Reports menu.

  7. Click OK.

Related Topics and Procedures

Reports Overview

Report Types Overview

Customizing Reports Overview


OMB Table IIA Report Setup Tasks

Before you can generate an OMB Table IIA report in wInsight, you must perform the following setup tasks in wInsight Administrator. If the Table IIA report does not find an OMB structure and WBS elements that are mapped to the OMB milestones, the report will not display any data.

To set up for the OMB Table IIA report, complete the following steps:

  1. Add an OMB structure. To do this, see Add a Structure.

  2. Add OMB elements to a contract. To do this, see Add a New Contract Element.

Before you can add elements to the new structure, you must first establish a top level element (level 1) on the CPR Elements spreadsheet. You add elements individually for each contract.

  3. Link WBS elements to OMB milestones. To do this, see Link or Unlink Elements.

For all of the start and completion dates, only dates from detail level tasks that are directly connected to the WBS element mapped to the OMB milestone are considered. Dates existing on any Summary tasks that are created by wInsight Administrator during a recalculate process with the Generate summary schedule tasks option selected are not used.

  4. Recalculate a contract with at least the Calculate element hierarchy option selected. To do this, see Recalculate a Contract.

Related Topics

Insert Dialog Box

Insert Element Dialog Box

Recalculate Command Overview

Recalculate Options Dialog Box

WbsMap Dialog Box


Export OMB Table IIA Data

This procedure allows you to export the OMB Table IIA report to either CSV or XML format.

The Export OMB Table IIA option only displays on the OMB Table IIA report.

To export OMB Table IIA data, complete the following steps:

  1. On the Menu bar, click Report » OMB Table IIA Report. The OMB Table IIA report displays.

  2. Right-click anywhere on the report, and select Export OMB Table IIA. A standard Windows Save As dialog box displays.

  3. Select or enter necessary data in the following fields:

  • Save In — Select a location where you want to save the output file. Initially, if you do not specify the path for the export file, wInsight uses the My Documents folder by default. The next time you export a file, wInsight uses the path that you used previously.

  • File name — Either enter a name for the file that you are going to export or select an existing file name within the folder selected in the Save in field.

  • Save as type — Select either CSV files (*.csv) or XML files (*.xml) format. The CSV files (*.csv) setting is the default for this field. If you change this setting and save the file as .XML, the generated XML file conforms to the OMB Table IIA Report XML file schema specification.

wInsight allows you to use up to 255 alphanumeric and special characters, including spaces, for the path and file name.

  4. When you are done, either click Save to generate a CSV or XML file, depending on your selected format, or Cancel to close the dialog box without generating the output file.

Related Topics and Procedures

Reports Overview

Report Types Overview


More Reports Dialog Box

Use the More Reports dialog box to open, add, edit, and delete most wInsight reports. This dialog box contains the following buttons and field:

Reports

Select a report to display, edit, or delete. Double-click an entry to close the dialog box and display the selected chart.

Display

Click this button to view a selected report.

Close

Click this button to close the dialog box without making changes.

New

Click this button to create a new report. The new report displays in the Reports list. By default, wInsight names the reports Report 1, Report 2, and so on.

Copy

Click this button to create a copy of an existing report. You can then edit the copy.

Edit

Click this button to edit the highlighted report. The Report Definition dialog box displays.

Delete

Click this button to delete the highlighted report. This option is unavailable if the selected report is one of wInsight’s standard pre-defined reports.

Location

To display the More Reports dialog box, click Reports » Custom Reports » More Reports....

Related Topics and Procedures

wInsight Reports Overview

Report Types Overview

Customizing Reports Overview

Report Definition Dialog Box


Report Definition Dialog Box

Use the Report Definition dialog box to edit a report name and attach a template file to a report. This dialog box contains the following fields, options, and a button:

Name

Enter an appropriate name for the new report.

Template File

Enter the name of the appropriate report template file to use for the report.

Browse

Click this button to locate and select the template.

Show in Report menu

Select this option to add the report to the list of reports shown on the Custom Reports menu.

Periods to Display

This field only exists when you right-click anywhere on the PMB Revisions report, and select Define Report. All the other fields in the Report Definition dialog box are disabled. Enter the number of periods that you want the PMB Revisions report to generate. The value that you set in this field controls the number of columns that display on the PMB Revisions report.

The default value is 6. You can enter any digit from 1 through 12. If you enter zero (0), a number less than 0 or greater than 12, or non-numeric values, an error occurs. If you do not enter any value, the field still displays "6".

Location

To display the Report Definition dialog box, complete the following steps:

  1. On the Menu bar, click Reports » Custom Reports » More Reports. The More Reports dialog box displays.

  2. Click Edit.

Related Topics and Procedures

Customizing Reports Overview

More Reports Dialog Box

wInsight Reports Overview

Report Types Overview


Estimates at Completion Overview

Estimates at Completion (EAC) Overview

The Estimate at Completion (EAC) is the amount representing actual direct costs plus indirect costs allocable to the contract plus the estimate of cost (direct and indirect) for authorized work remaining.

In addition to the contractor's EACs, wInsight supports two levels of independent EACs as follows:

  • EACs for lowest level elements

  • EACs for the total contract (Level 1)

An analyst traditionally generates lowest-level estimates, whereas the program manager provides the Level 1 estimate. You can enter best case, most likely, and worst case estimates for lowest-level elements. You can enter all estimates in terms of dollars, hours, equivalent persons (EQP), and other user-defined units.

In wInsight Administrator, click Utilities » Copy Forward to copy wInsight independent estimates from one reporting period to another. For more information, see Copy Forward Procedure in the wInsight Administrator help.

Related Topics and Procedures

Enter Lowest-Level EACs

Element EAC Dialog Box

Enter Level One EACs, Funding, and Management Reserve


Enter Lowest-Level EACs

After analyzing the cost and schedule data at the lowest element level, you must develop an estimate of costs at completion for each element and enter the estimate in the wInsight database, along with supporting narrative rationale. The data you enter are automatically summed up the tree. You can enter estimate-at-completion data and narratives for lowest-level elements only.

Field names that correspond to best, most likely, and worst case EACs are as follows:

  • UserEacMin and UserMethodMin — Thess field names are used for the best case EAC.

  • UserEac and UserMethod — These field names are used for the most likely EAC.

  • UserEacMax and UserMethodMax — These field names are used for the worst case EAC.

The most likely analyst estimate (or summed estimates at higher levels) displays on the Six Period Summary Report labeled User EAC in the Statistical and Independent Forecasts section of the report. You can display all lowest-level EACs on customized charts such as the EAC chart.

Element EAC windows are linked to the active element of their data set and are updated automatically when the active element changes. The window is only available for lowest-level elements. If a summary element is made active while the Element EAC window is open, the input fields become unavailable (shaded gray). For this reason, you may find it convenient to apply [image] Lowest/All on the Standard Toolbar (to hide summary elements) when entering lowest level EACs.

To enter lowest-level EAC values, complete the following steps:

  1. On the Dataset Toolbar, click [image] Structure to select a contract structure.

    Structures

    Structures can be any of the following types:

    • Work breakdown structure (WBS)

    • Organization breakdown structure (OBS)

    • Integrated product team (IPT)

    • Other user-defined structures

    Click [image] to toggle the structure.

  2. On the same toolbar, click [image] Unit to select a unit.

    Units

    Units can be any of the following types:

    • Dollars

    • Hours

    • Equivalent persons (EQP)

    • Other user-defined units

    Click [image] to toggle the units.

  3. Make an element in the Sort window the active element. It must be a lowest-level element.

  4. Either click [image] EAC Fcst on the Standard Toolbar, or click Input » Element EAC on the Menu bar. The Element EAC dialog box displays.

  5. Select the type of estimate you are entering. The options include the following:

    1. Minimum

    2. Most Likely

    3. Maximum

  6. From the Forecast drop-down list, select the forecast method.

For more information, see wInsight Database Fields.

  7. Click Narrative. The Element EAC dialog box displays.

  8. Enter supporting text to explain your rationale for the EAC.

  9. To save your entries and move to another element, click Next or Previous on the Element EAC dialog box or double-click an element in the Sort window.

  10. Continue with entering EAC levels, using the preceding steps as necessary.

  11. When you are done, click Close to save the EAC, method, and narrative and close both the Element EAC dialog box and Element EAC Input dialog box.

Related Topics and Procedures

Estimates at Completion (EAC) Overview

Element EAC Dialog Box

Enter Level One EACs, Funding, and Management Reserve


Enter Level One EACs, Funding, and Management Reserve

You enter management input for Estimate at Completion (EAC) values, funding information, management reserve (MR), contract completion date, and so on, at the total contract level (Level 1).

For each EAC, enter data, such as Government estimates, funding information, the projected contract completion date, Management Reserve usage estimates, and narrative text. This information is used in various ways on the following charts/reports:

  • Cost/Schedule Variance chart

  • Contract Performance chart

  • C/S Variance Trends chart

  • Army Cost/Schedule Variance Trends chart

  • Executive Summary report

To enter Level One EACs, complete the following steps:

  1. On the Menu bar, click Input » EAC/Funding.... The EAC/Funding/MR Inputs dialog box displays.

  2. Make selections and enter values on the following tabs:

  • EAC/Funding

  • MR Usage

  • PMR Narr

  • Total EAC

  3. When you are done, either click OK to close the dialog box and save your changes for all tabs, or click Cancel to dismiss the dialog box without saving your work.

Related Topics and Procedures

Estimates at Completion (EAC) Overview

Enter Lowest-Level EACs

Element EAC Dialog Box


Element EAC Dialog Box

Use the Element EAC dialog box to enter an estimate-at-completion for lowest level elements in the active structure, along with supporting rationale. The Element EAC dialog box displays various statistical EACs contained in the wInsight database along with an Analyst’s Estimate option.

The header of the Element EAC dialog box lists the contract, period, WBS, and description. It also contains the following fields:

Minimum/Most Likely/Maximum

Select one of these options to indicate the type of estimate you are entering.

Forecast

From the drop-down list, select a standard EAC forecast or a user-defined Analyst’s Estimate. Use the Analyst’s Estimate setting if you want to enter an estimate instead of using one of the statistical EACs.

For more information, see wInsight Database Fields.

Method

This field displays an abbreviated description of the selected Forecast method. It is non-editable for all forecasts except the Analyst’s Estimate. If this field is enabled, you can enter a description of up to 10 characters for the forecast method used.

EAC

This field displays the EAC associated with the selected Forecast method. It is non-editable for all forecasts except the Analyst’s Estimate. If this field is enabled, enter a value for the element estimate at completion.

Close

Click this button to save the window contents to the database and exit the dialog box. If any elements of the window have changed, the changes are saved. Your input is saved in the database as you navigate from element to element using the Next and Previous buttons.

Next/Previous

Click any of these buttons to navigate from element to element to enter lowest-level EACs. Alternatively, you can double-click an element in the Sort window to change the active element.

Narrative

Click this button to open a narrative window and enter a justification for the entered EAC value or the selected forecast method.

Location

To display the Elements EAC dialog box, take one of the following actions:

  • On the Standard toolbar, click [image] EAC Fcst.

  • On the Menu bar, click Input » Element EAC.

  • On your keyboard, press ALT+I then E.

Related Topics and Procedures

Estimates at Completion (EAC) Overview

Enter Lowest-Level EACs

Enter Level One EACs, Funding, and Management Reserve


EAC/Funding Tab of EAC/Funding/MR Inputs Dialog Box

Use the EAC/Funding tab to display and enter program office and on-site Government representatives' estimates at completion.

This dialog box contains the following fields:

Contract

This field displays the current contract.

Date

This field displays the selected period for the contract.

Unit

Select the units in which EACs are entered. Price at Completion (PACs) and Funding information are in dollars only.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

EACs do not include MR EAC

This pane displays four group boxes of EAC fields, which include PO, DCMC, Estimated at Completion, and Funding. These group boxes refer to the EAC at Performance Measurement Baseline (PMB) estimates that do not include the total Management Reserved usage estimates.

PO – EAC at PMB

Enter the Government analyst's estimate at completion.

PO – PAC

Enter the price at completion in dollars.

DCMC – EAC at PMB

Enter the on-site Government representative’s estimate at completion.

DCMC – PAC

Enter the on-site Government representative's estimated price at completion in dollars.

Estimated Completion – Date

Enter the Government analyst’s estimated completion date using the DD-MMM-YYYY format. This date is used in some management charts to display the projected completion date. It can also control the drawing of the right side of the vertical axis’s time scale on all charts.

Funding – Current

Enter the funding, in dollars, that has been released or received for the contract.

Funding – Projected

Enter total funding, in dollars, that is identified or approved for the contract.

Location

To display the EAC/Funding tab, complete the following steps:

  1. Click Input » EAC/Funding.... The Eac/Funding/MR Inputs dialog box displays.

  2. Verify if the EAC/Funding tab displays by default. Otherwise, click the tab.

Related Topics and Procedures

Estimates at Completion (EAC) Overview

Enter Lowest-Level EACs

Element EAC Dialog Box

Enter Level One EACs, Funding, and Management Reserve


MR Usage Tab of EAC/Funding/MR Inputs Dialog

MR Usage Tab of EAC/Funding/MR Inputs Dialog Box

Use the MR Usage tab to display and enter total Management Reserve usage in selected units, for example, dollars, hours, or equivalent persons.

This tab contains the following fields:

Contract

This field displays the current contract.

Date

This field displays the selected period for the contract.

Unit

From the drop-down list, select a unit in which Management Reserve usage estimates are entered.

Column 1 (labeled KTR by default)

Displays the contractor's estimate for the MR usage.

Column 2 (labeled PO by default)

Enter the Government analyst's estimate for the MR usage.

Column 3 (labeled DCMC by default)

Enter the on-site Government representative's estimate for the MR usage.

Location

To display the MR Usage tab, complete the following steps:

  1. Click Input » EAC/Funding.... The Eac/Funding/MR Inputs dialog box displays.

  2. Click the MR Usage tab.

Related Topics and Procedures

Estimates at Completion (EAC) Overview

Enter Lowest-Level EACs

Element EAC Dialog Box

Enter Level One EACs, Funding, and Management Reserve


PMR Narr Tab of EAC/Funding/MR Inputs Dialog

PMR Narr Tab of EAC/Funding/MR Inputs Dialog Box

Use the PMR Narr tab to allow the Government analyst to explain major cost or schedule drivers that impact the contract. Text entered here displays on the Cost/Schedule Variance chart.

PMR Narrative

Enter an explanation of any major cost or schedule drivers that impact the contract.

Location

To display the PMR Narr tab, complete the following steps:

  1. Click Input » EAC/Funding.... The Eac/Funding/MR Inputs dialog box displays.

  2. Click the PMR Narr tab.

Related Topics and Procedures

Estimates at Completion (EAC) Overview

Enter Lowest-Level EACs

Element EAC Dialog Box

Enter Level One EACs, Funding, and Management Reserve


Total EAC Tab of EAC/Funding/MR Inputs Dialog Box

The Total EAC tab displays the Estimate at Completion (EAC) values for the various organizations. This tab is also provided for reference purposes. You can view Total EAC data for each contract structure in the unit of your choice.

This tab contains the following fields:

Contract

This field displays the current contract.

Date

This field displays the selected period for the contract.

Unit

From the drop-down list, select a unit.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Structure

From the drop-down list, select a contract structure.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

EACs include MR EAC

This pane displays three group boxes of EAC fields, which include PO, KTR, and DCMC. These group boxes refer to the EAC at Performance Measurement Baseline (PMB) estimates, which are entered on the EAC/Funding tab, plus the MR Usage tab estimates.

PO – EAC

This field displays the EAC at PMB value that you enter on the PO panel of the EAC/Funding tab.

PO – User EAC

The displayed value of this field is calculated from the analysts' EAC inputs at the lowest level of the contract structures.

PO – S/L (straight line) EAC

The displayed value of this field is calculated using the Cumulative CPI forecast method.

KTR – EAC

This field displays the KTR value that you enter in the MR Usage tab.

DCMC – EAC

This field displays the EAC at PMB value that you enter on the DCMC panel of the EAC/Funding tab.

Location

To display the Total EAC tab, complete the following steps:

  1. Click Input » EAC/Funding.... The Eac/Funding/MR Inputs dialog box displays.

  2. Click the Total EAC tab.

Related Topics and Procedures

Estimates at Completion (EAC) Overview

Enter Lowest-Level EACs

Element EAC Dialog Box

Enter Level One EACs, Funding, and Management Reserve


Over Target Baseline (OTB) Overview

The Over Target Baseline is a Performance Measurement Baseline (PMB) resulting from a formal reprogramming by the contractor, with customer approval, and that establishes budget allocation in excess of the Contract Budget Base (CBB).

You establish the OTB date in the LastOTB field of the CPR Header spreadsheet of the wInsight Administrator. You must also run a recalculation to populate the new adjusted OTB performance values.

wInsight has a number of capabilities for analyzing performance data after the OTB as follows:

  • The OTB-adjusted Cost/Schedule Variance Trends chart provides a view of performance data that accurately displays the total cost and schedule variances after an OTB.

  • A number of database fields contain adjusted performance data since the OTB date, such as CVAdj, SVAdj, CPIAdj and SPIAdj (look for fieldnames with "Adj" in wInsight Database Fields.

  • Use the Over Target Baseline (OTB) Chart to see the total cost and schedule variances after an OTB.

The algorithms used in wInsight for analysis after an OTB assume that both cost and schedule variances were zeroed out in the OTB implementation.

Related Topics and Procedures

Enhanced Metrics for Analysis after an OTB

Sample wInsight Calculations to Support OTB Analysis


Enhanced Metrics for Analysis after an OTB

After an OTB (or a number of OTBs), wInsight calculates cumulative data since the last OTB by adding current period values since the OTB to determine "adjusted" cumulative values for the:

  • Budgeted Cost of Work Scheduled (BCWS)

    BCWS

    Budgeted Cost of Work Scheduled. The sum of the budgets for all work packages and planning packages scheduled to be accomplished (including in-process work packages), plus the amount of level of effort and apportioned effort scheduled to be accomplished within a given time period.

  • Budgeted Cost of Work Performed (BCWP)

    BCWP

    Budgeted Cost of Work Performed. The sum of the budgets for completed work packages and completed portions of open work packages, plus the applicable portion of the budgets for level of effort and apportioned effort.

  • Actual Cost of Work Performed (ACWP)

    ACWP

    Actual Cost of Work Performed. The costs actually incurred and recorded in accomplishing the work performed within a given time period.

With these new data points, wInsight then generates adjusted indices, such as the Cost Performance Index (CPI), and adjusted statistical forecasts based upon the new cumulative "adjusted" values. You can display these adjusted values in charts, reports and sort windows for analysis.

The adjusted values are identified with adj in the field name. The sample Sort window that follows displays the adjusted CPI ( CpiAdj) and the adjusted CPISPI Forecast ( CpiSpiAdj):

Related Topics and Procedures

Over Target Baseline (OTB) Overview

Sample wInsight Calculations to Support OTB Analysis


Sample wInsight Calculations to Support OTB Analysis

This section presents an example that walks through the process and methodology that wInsight uses to perform analysis after an OTB has been implemented on a contract. Tthis process also works with multiple OTBs.

It is important to work through the entire worksheet; however, it is particularly important to review Table G to see how performance indices and forecasts can be distorted based solely on data from a Cost Performance Report (CPR) after an OTB. wInsight provides new cumulative values from the OTB date forward for "adjusted" Budgeted Cost of Work Scheduled (BCWS), Budgeted Cost of Work Performed (BCWP), and Actual Cost of Work Performed (ACWP) that are used in "adjusted" indices and forecast calculations. This removes the distortion caused by the OTB when using the cumulative Cost Performance Report values for indices and forecasts.

Table A

In Table A the OTB was incorporated between the end of period 5 and beginning of period 6 by setting BCWS and BCWP equal to ACWP (based upon the end of period 5 data). Period 5.5 does not truly exist in wInsight, nor will there likely be a CPR for that period. The period 5.5 numbers are displayed for explanation purposes only. In the example, period 5.5 BCWS and BCWP are set equal to ACWP of 110. Period 6 is then executed to the OTB plan, which most likely has added BCWS to period 6 (and all other future periods). Period 6 shows a Cost Variance (CV) = -3 and Schedule Variance (SV) = -3, indicating that they are over cost and behind schedule relative to OTB with the new target of 250.

Table B

Table B is the result of removing cumulative data and disregarding period 5.5. The current period values for period 6 appear distorted:

Table C

Table C items are the result of calculations based on Table A data, disregarding period 5.5:

Table D

Now OTB adjustments are made to help with our analysis. The process of removing cumulative data for current period values in Table B for period 6 means that those values do not match what is shown here in Table D. The difference is that Table D takes into account period 5.5. wInsight assumes that after period 5, the cumulative BCWS and cumulative BCWP are set equal to the cumulative ACWP value (in order to zero out cost and schedule variances).

In Table D, BCWS and BCWP are each set to 110 in period 5.5. This provides a current period BCWS of 15 (period 6 cumulative BCWS = 125, period 5.5 cumulative BCWS = 110, thus current BCWS period 6 = 15) and 12 for current BCWP. Another way to look at it might be, for period 6 the reprogramming adjustment for cost is backed out of the current BCWP and the reprogramming adjustment for schedule is backed out of the current BCWS to give us the true current period values for that period. Note that after an OTB that zeros out cost/schedule variances, cumulative and current variances should match in the subsequent period (and they do for period 6 after the adjustment).

Table E

Table E is the result of running cumulative value calculations for the current period data forward from Table C.

Table F

Table F items result from calculations based on Table D. The following methodology was used in calculating adjusted statistical forecasts:

  • Formula used: ((BAC - Cumulative BCWP)/Performance Factor) + Cumulative ACWP

  • Use unadjusted Cumulative BCWP in work remaining portion of calculation (BAC - Cumulative BCWP)

  • Use unadjusted Cumulative ACWP when adding actuals spent to-date

  • Use adjusted Cumulative BCWP, BCWS, and ACWP in Performance Factor calculation

For example, the Adjusted Cumulative CPI Forecast for Period 6 would be = ((250-122)/.8)+125 =285.

Table G

The most import thing to note in Table G is that the cumulative Cost Performance Index, cumulative Schedule Performance Index, cumulative Cost Variance Percentage, and cumulative Schedule Variance Percentage calculated from the Cost Performance Report have a great deal of inertia from the OTB period forward that would mask true performance (good or bad). This is because the denominator of "Cumulative BCWP" in those calculations is very large and the relative dollar variances are very small because of the OTB reset. Therefore, you should look at the adjusted indices and percent variances since the OTB and use forecasts that use the adjusted Performance Factor values. The To Complete Performance Index (TCPI) values do not require any adjustment since those calculations are based upon work remaining (not performance to-date); however, we do recommend that you compare the TCPI to the adjusted cumulative Cost Performance Index, not the CPI calculated directly from the Cost Performance Report.

Related Topics and Procedures

Over Target Baseline (OTB) Overview

Enhanced Metrics for Analysis after an OTB


Printing Overview

wInsight allows you to print a Sort window, chart, or report. Moreover, you can control how the active window is printed based on the settings, which you can change. In addition to data set information, the Sort window header identifies the name of the active view and active filter, and how the Sort window is filtered.

Print options allow you to select the destination printer and its connection.

Related Topics and Procedures

Define the Page Setup

Reports Setup

Preview Output

Print a Sort Window, Chart, or Report

Page Setup Dialog Box

Print Dialog Box


Define the Page Setup

The settings for Sort windows, report windows, and chart windows can be set independently, and remain in force until you change them.

To define the page setup, complete the following steps:

  1. Open wInsight.

  2. On the Menu bar, select the Sort, chart, or report window to be printed. The selected window displays.

  3. On the Menu bar, click File » Page Setup. The Page Setup dialog box displays.

  4. Adjust print settings as desired.

  5. When you are done, either click OK to save your changes, or Cancel to close the dialog box without saving.

Related Topics and Procedures

Printing Overview

Reports Setup

Preview Output

Print a Sort Window, Chart, or Report

Page Setup Dialog Box

Print Dialog Box


Reports Setup

For best performance, it is highly recommend that Internet Explorer (IE) 7.0 or later be installed for viewing and printing reports. It does not need to be the default browser for the system. wInsight 6.x uses the IE display engine to display reports and online help. Internet Explorer 3.0 or later is required to view online help, IE 4.0 or later is required to view reports.

Internet Explorer 5.0 or later controls some report printing features, such as shading on reports. To print a wInsight report with shading the Print background colors and images printing option must be selected. In Internet Explorer 5.0, you can access this option by clicking Tools » Internet Options, then clicking Advanced. Look for the Printing section.

Furthermore, wInsight sets the margins to 1/4 inch on each border, and the orientation to landscape. wInsight does not set these settings back to their default values because Internet Explorer does not notify wInsight when it is done printing. Thus, it is recommended that you view File » Page Setup before you print again from IE.

Related Topics and Procedures

Printing Overview

Define the Page Setup

Preview Output

Print a Sort Window, Chart, or Report

Page Setup Dialog Box

Print Dialog Box


Preview Output

Print Preview applies only to Sort windows and charts, not reports.

To preview output prior to printing, complete the following steps:

  1. On the Menu bar, select the Sort window or chart to be printed. The selected window displays.

  2. On the Menu bar, click File » Print Preview. The Print Preview screen displays.

  3. Use the Print Preview toolbar to control your view of the preview window.

  4. Click Close on the Print Preview toolbar to return to the main screen.

The quality of the print preview may vary depending on your operating system, display size, and the fonts installed on your machine. The preview is generally most accurate at the highest level of magnification (zoom).

Related Topics and Procedures

Printing Overview

Define the Page Setup

Reports Setup

Print a Sort Window, Chart, or Report

Page Setup Dialog Box

Print Dialog Box


Print a Sort Window, Chart, or Report

In addition to data set information, the Sort window header identifies the name of the active view and active filter, and how the Sort window is filtered or arranged. Print options allow you to select the destination printer and its connection.

To print a Sort window, chart, or report, complete the following steps:

  1. On the Menu bar, select the Sort, chart, or report window to be printed. The selected window displays.

  2. Either click [image] Print on the Standard toolbar, or click File » Print on the Menu bar. The Print dialog box displays.

The Print dialog box may look different for reports than for Sort windows and/or charts. It should look similar to the Print dialog box that appears when printing from Internet Explorer 5.0.

  3. Set any desired printing options.

  4. When you are done, either click OK to begin printing, or Cancel to stop the process without printing.

A Print Status dialog box displays while wInsight is sending output to the printer. The page number indicates the progress of the print job. To stop printing, click Cancel.

Related Topics and Procedures

Printing Overview

Define the Page Setup

Reports Setup

Preview Output

Page Setup Dialog Box

Print Dialog Box


Page Setup Dialog Box

Use the Page Setup dialog box to configure or modify the settings of a page before printing or viewing. This dialog box contains the following options and fields:

Paper Size

Select your desired paper size in the Size drop-down list.

Paper Source

Select your desired paper tray in the Source drop-down list. Some printers offer multiple trays for different paper sources.

Orientation

Select one of the following options:

  1. Portrait

  2. Landscape

Margins

Enter your desired values in inches in the Left, Right, Bottom, and Top fields.

Printer

Click this button to select a new printer and to define printer properties.

Location

To display the Page Setup dialog box, on the Menu bar, click File » Page Setup....

Related Topics and Procedures

Printing Overview

Define the Page Setup

Reports Setup

Preview Output

Print a Sort Window, Chart, or Report

Print Dialog Box


Print Dialog Box

Use the Print Dialog box to select or specify properties to be used in a print job.

This dialog box displays differently for reports and for Sort windows and/or charts. It should look similar to the Print dialog box that appears when printing from Internet Explorer 5.0.

This dialog box contains the following fields and options:

Printer Name

This field displays the active printer and printer connection. Use the default printer or select one of the currently installed printers in the drop-down list. Printers are installed and ports configured using the Windows Control Panel or by clicking Start » Settings » Printers.

Properties

Click this button to display the Properties dialog box, which allows you to specify how the document is printed.

Print Range

Specify the pages that you want to print by selecting one of the following options:

  • All

  • Pages — If you select this option, you need to specify the page range in the From and To fields.

  • Selection

Copies

Specify or select the number of copies for each page that you want to print.

Collate

Select this option to print copies in page number order, instead of separated multiple copies of each page.

Print to File

Select this option to print the selected output to a new file in the drive that you specify instead of routing the output directly to a printer. You print to a file so that you can print to a printer other than the one you are using when you originally created the document.

When you click OK, a dialog box opens allowing you to enter a new file name.

Location

To display the Print dialog box, take one of the following actions:

  1. On the Menu bar, click File » Print....

  2. On the Standard toolbar, click [image] Print.

  3. On your keyboard, press CTRL+P.

Related Topics and Procedures

Printing Overview

Define the Page Setup

Reports Setup

Preview Output

Print a Sort Window, Chart, or Report

Page Setup Dialog Box


Recalculate Command Overview

Use the Recalculate command to update a contract's database after data import and other changes which affect totals, such as Cost Performance Report (CPR) and Contract Funds Status Report (CFSR) data.

The Recalculate command calculates standard forecast formulas, current period values, and indices, then summarizes data up the contract structures and marks items related to management thresholds.

Related Topics and Procedures

When to Recalculate

Recalculate a Contract

Recalculating All Contracts

Automatically Recalculating During Import

Recalculate Dialog

Recalculate Options Dialog


When to Recalculate

You must recalculate data after you perform any of the following tasks:

  • Enter new data either manually or via import.

  • Make corrections to prior data.

  • Modify the contract structures or the add/non-add settings of individual elements. In these cases, you should recalculate the entire contract, from the first period of data forward.

    Structures

    Structures can be any of the following types:

    • Work breakdown structure (WBS)

    • Organization breakdown structure (OBS)

    • Integrated product team (IPT)

    • Other user-defined structures

    Click [image] to toggle the structure.

  • Change contract or management thresholds.

  • Change forecasting parameters, which involve cost and schedule weights and performance factors.

  • Change Sum Forecast or other recalculate options.

  • Change the Publish Level for a period or a user.

Related Topic

Recalculate Command Overview


Recalculate a Contract

When you import data from a Deltek Connect product such as Project Connect, wInsight Administrator automatically recalculates the data.

To recalculate a contract, complete the following steps:

  1. Open the Recalculate dialog box.

  2. In the Contract list, select one or more contracts to be recalculated. Double-clicking a contract name displays the periods of data for that contract.

  3. In the Period list, select one or more periods of data to recalculate.

  4. To recalculate all periods of data for the selected contract(s), select <All Periods>.

  5. To select individual periods, first double-click a contract name to display the available periods, then make your selections.

  4. Select or clear the Recalculate options.

  5. Click OK to proceed with the recalculation, or Cancel to dismiss the dialog box without recalculating. A new Recalculate dialog box displays with status information during the recalculate process.

  6. Click Close when the recalculate process is done. If you encountered problems, click Save Log to save the status comments. The comments will assist the technical support analyst in solving the problem.

Related Topics and Procedures

Recalculate Command Overview

When to Recalculate

Recalculating All Contracts


Recalculate All Contracts

Use this procedure to recalculate all contracts.

To recalculate all contracts, complete the following steps:

  1. Open the Recalculate dialog box.

  2. In the Contract list, select all contracts. <All Periods> is the only available option in the Period list when all contracts are selected. When you recalculate all contracts, all periods of data are calculated.

  3. Select or clear the Recalculate options.

  4. Click OK to proceed with the recalculation, or Cancel to dismiss the dialog box without recalculating. A new Recalculate dialog box displays with status information during the recalculate process.

  5. Click Close when the recalculate process is done. If you encountered problems, click Save Log to save the status comments. The comments will assist the technical support analyst in solving the problem.

Related Topics and Procedures

Recalculate Command Overview

When to Recalculate

Recalculate a Contract


Automatically Recalculate During Import

Select the Recalculate after import option on the Import File dialog box to have wInsight or wInsight Administrator recalculate data automatically.

Using this import option has two implications as follows:

  • First, import warnings display quickly in the Import Message Log dialog box and do not pause for your review. You do not have an opportunity to click Import Options to select or clear data items to import. Instead, wInsight or wInsight Administrator uses the last import option settings for the contract. For new contracts, it uses the default settings.

  • Second, wInsight or wInsight Administrator uses the last recalculate settings for the contract. For new contracts, it uses the default settings. Deltek recommends that you manually import and recalculate new contracts so that the appropriate options and settings can be established for subsequent imports using the Recalculate after import option.

Related Topics and Procedures

Recalculate Command Overview

When to Recalculate

Importing Data Overview


Recalculate Dialog Box

Use the Recalculate dialog box to recalculate a contract. This dialog box contains the following options:

Contract

Select one or more contracts to recalculate from the list.

Period

Select <All Periods> to recalculate the entire contract. Otherwise, select specific periods of data to calculate. Double-click the contract name to display the periods of data for a contract. If you do not select <All Periods>, clicking OK displays the individual periods of data for the highlighted contract.

Options

Displays the Recalculate Options dialog box.

Location

To display Recalculate dialog box, take one of the following actions:

  1. In wInsight, make sure that no data sets are opened. On the Menu bar, click File » Utilities » Recalculate....

  2. In wInsight Administrator, on the Menu bar, click Utilities » Recalculate....


Recalculate Options Dialog Box

Use the Recalculate Options dialog box to set options that affect how data is calculated or to determine whether certain data is calculated at all during the recalculation process. The Recalculate Options settings for each contract default to the settings used the last time the contract was recalculated.

This dialog box contains the following options:

Sum forecasts from lowest levels

When you select this option, wInsight Administrator generates forecasts at the lowest level of the contract structures, then sums up the tree to generate subtotals and the Level 1 total.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

When you clear this option, wInsight Administrator generates forecasts at each level independently based on the element’s performance data.

  • For lowest-level elements, the setting has no effect.

  • For summary elements, however, the two techniques usually give different results. If you manually calculate a forecast for a summary element using performance data for that element, it should agree with the value in wInsight when this option is cleared. On the other hand, if you manually calculate a forecast for a summary element by summing the forecasts values of its children, it should agree with the value in wInsight when this option is selected.

Calculate EQP

When you select this option, wInsight Administrator calculates equivalent heads/persons (EQP) by dividing the number of hours for an element by the number of hours in the period, as defined in the contract's calendar. Select this option when EQP data is not directly loaded (not manually entered nor imported from an earned value system).

When you clear this option, wInsight Administrator uses EQP data that has been loaded directly—either manually entered or imported from an earned value system.

Do not select this option when EQP data is directly loaded. Otherwise, the data is replaced by wInsight's calculated EQP values. In that event, you must re-enter or re-import the data.

Derive baseline

When you select this option, wInsight Administrator calculates Baseline data (CPR Format 3) using prior and current period data as well as time-phased future period data. Select this option when Baseline data is not directly loaded (not manually entered nor imported from an earned value system). When you select this option, wInsight performs the following tasks:

  • Calculates Beginning of Period (BOP) data by using future period Estimate to Complete (ETC) data for the prior reporting period

  • Calculates End of Period (EOP) data by using future period ETC data for the current reporting period

EOP data can be calculated by using the current period's data; however, BOP data cannot be calculated unless there is a prior period of data. Furthermore, since future period data is used in calculating baseline data, when you select this option you should also select the Process future period data option.

When you clear this option, wInsight uses baseline data that has been loaded directly—either manually entered or imported from an earned value system.

Do not select this option when baseline data is loaded directly (entered or imported); otherwise, the data will be replaced by wInsight's calculated baseline values. In that event, you must re-enter or re-import the data.

Derive manpower

When you select this option, wInsight Administrator calculates Manpower data (CPR Format 4) using prior and current period data as well as time-phased future period data. Select this option when Manpower data is not directly loaded (not manually entered nor imported from an earned value system). Since future period data is utilized in the calculation of Manpower data, if you select this option you should also select the Process future period data recalculate option. If Format 4 is to be reported in units of EQP, you should also select the Calculate EQP option.

When you clear this option, wInsight Administrator uses Manpower data that has been directly loaded—either manually entered or imported from an earned value system.

Do not select this option when Manpower data is directly loaded (entered or imported); otherwise, the data will be replaced by wInsight's calculated Manpower values. In that event, you must re-enter or re-import the data.

Process future period data

When you select this option, wInsight Administrator sums up future period time-phased data to summary levels, and calculates future period EQP. This process, however, can take a long time and this information is not required when submitting CPR data. Thus, there are occasions when you may not want to calculate this data.

Calculate element hierarchy

When you select this option, wInsight Administrator calculates the contract structures from parent-child relationships. Deltek recommends that you run this option after you make structure changes. Selecting this option each time has no negative effect other than lengthening the recalculation time.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

The WBS Hierarchical sort in wInsight is not accurate if the element hierarchy is not calculated. This is also the default sort for elements on CPR reports and the element data grids in wInsight Administrator.

Generate summary schedule tasks

When you select this option, wInsight Administrator creates summary schedule tasks based on a contract's structures. For this to happen, you must have detailed schedule activities in the database and you must tie them to lowest-level elements in the various structures (via the Link column in the CPR Elements spreadsheet).

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

When you clear this option, wInsight Administrator does not create summary schedule tasks.

After summary tasks have been created, they are maintained in the database even if this option is not selected when the contract is again recalculated.

Derive Tripwire Metrics

When you select this option, the Recalculate process performs one of the following actions, depending on the value that you enter in the Milestone used for Tripwire CPLI field:

  • It derives the Critical Path Length (CPL) and Schedule Float CPLI metrics that the Program Tripwires Summary report uses from an imported milestone schedule data if a valid milestone has been selected in the Milestone used for Tripwire CPLI field. In addition, regardless of the source project calendar, wInsight always assumes a 5-day work week in calculating CPL.

The derived values replace any existing values on the CPR Header spreadsheet of wInsight Administrator.

CPL refers to the series of tasks that must finish on time for the entire project to finish on schedule. Schedule Float refers to the difference between the amount of time available for performing a milestone and the time required to complete the milestone.

The recalculate process also populates the ProgramOrMilestone column of the CPR Header spreadsheet with the value in the Milestone used for Tripwire CPLI field.

  • It uses the entire program in calculating the CPLI metric data on the CPR Header spreadsheet for the Program Tripwires Summary report, if Total Program is selected in the Milestone used for Tripwire CPLI field or if a contract has a schedule data that has no milestone in it.

By default, this option is not selected. In this case, you can use data that is manually entered in each of the columns on the CPR Header spreadsheet. The EndDate and ProgramOrMilestone columns, however, are not editable. Moreover, the Recalculate process does not populate or make any changes to the ProgramOrMilestone column on the CPR Header spreadsheet.

When you derive tripwire metrics for the entire program, and wInsight Administrator determines the Schedule Float, you have to observe the following algorithm:

  • The task with the latest end date in the program is used.

  • If multiple tasks share the same latest ending date, the task sharing the latest end date and having the latest start date is used.

  • If more than one of these tasks with the latest ending date share the latest start date, the task with the highest task number is used.

If there is no scheduled data imported for a selected period and you try to select the Derive Tripwire Metrics option, a warning message displays, informing you that wInsight Administrator will not derive any metric data.

When you select the Derive Tripwire Metrics option and recalculate, winsight Administrator derives data used to compute the BEI metric at all WBS levels. The following table displays other possible values that may be available when you recalculate:

Values | The Recalculate Function computes:
Cumulative Planned Completions | The number of project-to-date (cumulative) planned completions, using data for all tasks that are non-LOE (level of effort), non-milestones, and non-summary level.
Cumulative Actual Completions | The number of project-to-date (cumulative) actual completions, using data for all tasks that are non-LOE, non-milestones, and non-summary level, and that are scheduled to have started work by the end of the current period.
Current Planned Completions | The number of current period planned completions, by subtracting the prior period cumulative planned completions from the current period cumulative planned completions.
Current Actual Completions | The number of current period actual completions, by subtracting the prior period cumulative actual completions from the current period cumulative actual completions.
Cumulative Planned Starts | The number of project-to-date (cumulative) planned starts, using data for all tasks that are non-LOE, non-milestones, and non-summary level.
Cumulative Actual Starts | The number of project-to-date (cumulative) actual starts, using data for all tasks that are non-LOE, non-milestones, and non-summary level, and that are scheduled to have started work by the end of the current period.
Current Planned Starts | The number of current period planned starts, by subtracting the prior period cumulative planned starts from the current period cumulative planned starts.
Current Actual Starts | The number of current period actual starts, by subtracting the prior period cumulative actual starts from the current period cumulative actual starts.

When the Recalculate function derives BEI related data for all WBS levels, this function populates the CPR Header spreadsheet with BEI related data for the total program. If a task does not have a baseline start or finish date, the task is filtered out of the computation.

Milestone used for Tripwire CPLI

This field allows you to select a particular milestone for which the CPLI related data must be calculated. When you select the Derive Tripwire Metrics option, this field becomes enabled and its value automatically defaults to Total Program. If you click the drop-down list to select a value, Total Program displays at the top of the list.

The value of this field depends on the following scenarios:

  • If you choose to have CPLI calculated based on imported data for the program or if the CPLI is computed based on manually entered data, "Total Program" is appended to the Milestone used for CPLI line on the header section of the Program Tripwires Narrative report.

  • If you select a particular milestone, this field displays the milestone task name followed by the UID number that is enclosed in parentheses, for example, Milestone used for CPLI: Launch (3236). In addition, you can find a particular value or milestone name by clicking the drop-down list and entering a character or vice versa. wInsight Administrator then displays all existing milestones that closely match the entered characters.

The Recalculate process updates the ProgramOrMilestone column on the CPR Header spreadsheet with the same value of the Milestone used for Tripwire CPLI field.

The next time that you open the Recalculate Options dialog box, the Derive Tripwire Metrics option and the Milestone used for Tripwire CPLI field automatically default to the same settings that you used previously.

Location

To display the Recalculate Options dialog box, complete the following steps:

  1. Take one of the following actions:

    1. In wInsight, make sure that no data sets are opened. On the Menu bar, click File » Utilities » Recalculate....

    2. In wInsight Administrator, on the Menu bar, click Utilities » Recalculate....

The Recalculate dialog box displays.

  2. Click Options.

Related Topics

Recalculate Command Overview

wInsight Reports Menu


Importing Data Overview

Data import updates contract information, the contract structures, and period data. For a new contract, the import automatically creates the contract structures and populates much of the initial contract data.

wInsight and wInsight Administrator contain functions for importing contract earned value data in text format via the following transfer file formats:

Format | Conforms to | Default Extension | Use to Import Data for
X12 | ASC X12 839 EDI specification (versions 3040, 3050, and 4010) | .TRN | Cost Performance Reports (CPR) Cost/Schedule Status Reports (C/SSR)
XML | wInsight's XML file definition | .XML | Cost Performance Reports (CPR) Cost/Schedule Status Reports (C/SSR) Contract Funds Status Reports (CFSR) NASA 533M Reports UN/CEFACT XML Files (see below)

UN/CEFACT XML Files

The UN/CEFACT XML schemas are an international data exchange standard format that replaces the older ANSI X12 electronic data interchange (EDI) format such as the 839 transaction set, used to submit Contract Performance Reports (CPRs) electronically to government customers. These schemas are designed to support the exchange of program management related cost and schedule data between all project stakeholders.

For more information about the schemas, see the UN/CEFACT Web site (www.unece.org/cefact) or the Defense Contract Management Agency (DCMA) Web site (www.dcma.mil). The DCMA Web site includes industry guidelines for using the schemas.

wInsight Administrator can import and export CPR Format 1-5 data from/to UN/CEFACT XML transfer files.

Related Topics and Procedures

X12 Transfer File Contents

Comparison of Transfer File Types

Import a Transfer File

Import File Dialog Box

Import Options Dialog Box

Import Message Log Dialog Box

Sample Import Messages

Automatically Recalculating During Import

PLUG Elements


X12 Transfer File Contents

The ANSI X12 839 4010 specification, officially adopted in August 1998, includes a Year-2000-compliant date format.

See the DoD Electronic Data Interchange (EDI) Convention, ASC X12 Transaction Set 839 Project Cost Reporting (versions – 3040, 3050, and 4010) guide for complete information on this file type.

In the X12 Transfer File

NOT in the X12 Transfer File

A standard X12 transfer file contains one period of data for Formats 1-5 of the CPR and the WBS/Functional Structures.

This includes:

  • Performance data for the period

  • Contract data for the period

  • Initial contract information

  • WBS/Functional structures (number, name, and hierarchy)

A standard X12 file does not contain the following data.

  • CPR data in hours

  • Fiscal calendar

  • Future period BCWS or ETCs

  • Project Officer/CAM and related information

  • XREF and CLIN information

  • Format 5 or Management Thresholds

  • Long element description

  • Forecasting factors

  • Risk level

  • SOW

  • Subcontractor ID

  • User-defined field data

  • CFSR data

  • NASA 533M

Thus, you may have to enter the data manually.

wInsight Administrator can generate and use an X12 file that contains this additional information. You must select the Allow X12 Extensions and Export Hours compatibility options when creating a transfer file.

If you specify a version prior to 6.5 for the compatibility setting on the X12 Export Options dialog box, any narratives over 32K are truncated during export.

It is unlikely that an application other than wInsight Administrator could accept the additional data, or that a transfer file generated by an application other than wInsight Administrator could contain the additional information.

wInsight Administrator, however, still imports the data if it is present in an X12 file using the recommended format. Otherwise, you should enter the additional information manually.

Related Topic

Importing Data Overview


Comparison of X12 and XML Transfer Files

Comparison of Transfer File Types

wInsight and wInsight Administrator supports the import and export of data via X12 transfer files. However, the X12 specification does not support more than two contract structures (WBS and OBS) or other wInsight items.

Deltek developed an XML transfer file for earned value data that is more comprehensive than the X12. The XML format supports additional contract structures, as well as all data related to a contract, not just the monthly CPR data.

You can also specify that wInsight Administrator format an XML file to conform to UN/CEFACT XML standards.

For more information, see Export to a UN/CEFACT XML Transfer File .

The differences between the transfer files are summarized in the following table:

Transfer File Type | Data Content | Periods of Data | Validation
XML | Can transfer all contract information including CPR and CFSR data. Can transfer contract data UN/CEFACT XML format. | Can contain all periods of data in a single file. | Can be validated via the Document Type Definition (DTD) file. Can be validated by UN/CEFACT XML schema files. The UN/CEFACT XML schema files are in the Util folder; you can verify that transfer files are correct before you import them.
X12 | Mainly transfer CPR data. Limited to two structures (WBS/OBS) and $/hours only. | Contains only one period of data per file. | Cannot be validated prior to import.

Recommendations

In general, if you are sending data to a wInsight 6.x user, we recommend using the XML format. If you are generating an interface from an existing system to wInsight, we also recommend the XML format. It is much easier to find XML experts and diagnose errors in an XML file than in an X12 file.

Related Topics and Procedures

Importing Data Overview

Export to a UN/CEFACT XML Transfer File


Import a Transfer File

wInsight and wInsight Administrator can read and import data from X12, XML, and UN/CEFACT XML transfer files.

  • If no contract exists for the selected file, wInsight Administrator creates a new contract, and loads it with data from the transfer file.

  • If a contract exists and transfer errors are suspected, error messages indicate the type and origin of the error prior to importing the data.

After you update, whether you import the data or enter it manually, you must recalculate it. When entering data, you must recalculate it manually. However, you can have wInsight or wInsight Administrator recalculate imported data automatically.

To import a transfer file, complete the following steps:

  1. Open the Import File dialog box.

  2. In the Transfer File(s) field, enter the full name and path of the transfer file to be imported. When importing multiple files, use the Browse button to select the files easily.

  3. Click Options to display the Import Options dialog box, where you can check which data items are to be imported and whether new elements are to be added to the contract structures.

The next step is optional.

  4. Select a target contract from the drop-down list for the Merge With field to specify that the contents of the selected transfer file(s) be merged with existing contract data, provided certain conditions are met. This feature is useful when combining inputs from multiple sub-contractors or team members working within the same contract structure.

This section contains more information about Merge With field.

Merge Function

Use the merge function to combine the data of two different contracts that have common contract elements. Merge With allows data from one contract to be imported into another contract. The merge function is not to be used when simply importing earned value data into its own contract.

Normally, if a transfer file contains data for an existing contract and period, the Import File function replaces the existing data with the data in the transfer file. However, in a merge, data in the transfer file is added to existing contract data when a matching WBS number is found at the lowest level.

  • Elements (and their data) that appear in the import file but not in the target contract can be added to the contract or ignored.

  • Elements that appear in target contract but not in the import file will not be modified.

Select the target contract from the drop-down list. The contract structures of the selected contract should match that specified in the import file. If the contract selected matches the contract specified (contract name) in the transfer file(s), the merge operation is not performed.

The following criteria must be met to ensure a successful merge:

  • The receiving contract name must not match the contract name specified in the transfer file. This check ensures that the receiving contract is not doubled inadvertently.

  • All contract structures of the two contracts should match. Especially important is the top level element's WBS number. Discrepancies are flagged as warnings, not errors, so the import can proceed even if the match is not exact.

  • All fiscal calendar/period dates of the incoming data must match the fiscal calendar dates of the receiving contract. Discrepancies are flagged as warnings, not errors, so the import can proceed even if the match is not exact. However, data might be forced into an incorrect period and future period data might be hidden from view.

The next step is optional.

  5. Select the Recalculate after import option to recalculate imported data automatically. You cannot use this option in conjunction with the Generate import messages only option. See Automatically Recalculating During Import. This setting is not saved for subsequent import sessions.

The next step is optional.

  6. Select the Generate import messages only option if you want to display import messages but do not want to import data. Messages display in both the File Import and Import Message Log dialog boxes. See Sample Import Messages for an example. Use this option if you want to do a dry run of potential import data to analyze any implications before actually importing data. You cannot use this option in conjunction with the Recalculate after import option. This setting is not saved for subsequent import sessions.

  7. If you are importing a UN/CEFACT XML, take the following steps:

  1. Select the Convert Transfer File(s) from UN/CEFACT XML to wInsight XML option if you want to create a wInsight XML file, in case you want to go into the transfer file and look for data. (The wInsight XML format is easier to read than the UN/CEFACT XML format.)

  2. In the Output File Converted from UN/CEFACT XML field, enter a path for the output file.

  3. Select the Automatically import the UN/CEFACT XML after conversion option if you want to import the translated UN/CEFACT XML transfer file into wInsight.

  8. Click OK to begin the import. The File Import dialog box displays status messages for a few seconds then the Import Message Log dialog box displays file information, error and warning messages, and affected import file lines prior to proceeding with a transfer file import.

    The import file line contains the offending line, which points to the location in the file where the problem is encountered. This information allows users to easily find and work through errors in order.

    To read all the error details, adjust the column width, use the scroll bar, or sort the contents of the Import File Line column.

If a contract exists and transfer errors are suspected, error messages indicate the type and origin of the error (such as file missing elements or structures that do not match).

  9. Review any warning or error messages. If there are no errors, you can proceed with the import by clicking OK to accept the transfer file into the current contract and complete the import process. (The OK button is not available if errors preventing import are present in the file.) The Import Messages Log dialog box closes and you are returned to the File Import dialog box.

  10. Click Close when the import process is done. If problems were encountered, click Save Log to save the status comments. The comments will assist the technical support analyst in solving the problem.

  11. Recalculate the contract when the import is complete.

Related Topics and Procedures

Importing Data Overview

Recalculate Command Overview


Import File Dialog Box

Use the Import File dialog box to import transfer files, including UN/CEFACT XML files.

Transfer File(s)

Enter the full name and path of the transfer file to be imported. When importing multiple files, you may find it easiest to use the Browse button to select them.

Browse

Click this button to browse for the transfer file(s). A standard Windows file dialog box displays. The file selected automatically displays in the Transfer File(s) field. The selected directory is saved as the default directory for import/export operations. If you select more than one file to import, the input line displays (Multiple Files).

Options

Click this button to display the Import Options dialog box, which you use to select the data to be imported.

Merge With

Select the target contract from the drop-down list. The contract structures of the selected contract should match the structures in the import file. However, if the contract selected matches the contract specified (contract name) in the transfer file(s), the merge operation is not performed.

You can specify that the contents of the selected transfer file(s) be merged with existing contract data, provided certain conditions are met. This feature is useful when combining inputs from multiple sub-contractors or team members working within the same contract structure. The merge function combines the data of two different contracts that have common contract elements. Thus, you can import data from one contract into another contract. Do not use the merge function when importing earned value data into its own contract.

Normally, if a transfer file contains data for an existing contract and period, import replaces the existing data with the data in the transfer file. However, in a merge, wInsight Administrator adds data in the transfer file to existing contract data when it finds a matching WBS number at the lowest level. You can add to the contract— or ignore— elements (and their data) that appear in the import file but not in the target contract. Elements that appear in the target contract but not in the import file are not modified.

To make sure the merge is successful, check that your settings meet the following criteria:

  • The receiving contract name must not match the contract name specified in the transfer file. This check ensures that the receiving contract is not doubled inadvertently.

  • All contract structures of the two contracts should match. Especially important is the top level element's WBS number. Discrepancies are flagged as warnings, not errors, so the import can proceed even if the match is not exact.

  • All fiscal calendar/period dates of the incoming data must match the fiscal calendar dates of the receiving contract. Discrepancies are flagged as warnings, not errors, so the import can proceed even if the match is not exact. However, data might be forced into an incorrect period and future period data might be hidden from view.

For more information, see Prime Contractor and Subcontractor Consolidation Features Overview.

Recalculate after import

Select this option to recalculate the imported data automatically. You cannot use this option in conjunction with the Generate import messages only option. This setting is not saved for subsequent import sessions.

For more information, see Automatically Recalculating During Import.

Generate import messages only

Select this option to display import messages, only, without actually importing data. Messages display in both the File Import and Import Message Log dialog boxes. Use this option if you want to do a dry run of potential import data to analyze any implications before actually importing data. You cannot use this option in conjunction with the Recalculate after import option. This setting is not saved for subsequent import sessions.

For examples, see Sample Import Messages.

Convert Transfer File(s) from UN/CEFACT XML to wInsight XML

Select this option if you want to create a wInsight XML file from a UN/CEFACT XML file, in case you want to go into the transfer file and look for data. (The wInsight XML format is easier to read than the UN/CEFACT XML format.)

Output File Converted from UN/CEFACT XML

Enter a path for the output file, if you are importing a UN/CEFACT XML file.

Automatically import the UN/CEFACT XML after conversion

Select this option if you want to import the translated UN/CEFACT transfer file into wInsight.

Location

To display Import File dialog box, take one of the following actions:

  1. In wInsight, make sure that no data sets are opened. On the Menu bar, click File » Utilities » Import File....

  2. In wInsight Administrator, on the Menu bar, click Utilities » Import File....

Related Topics

Exporting Data Overview

Importing Data Overview


Import Options Dialog Box

Use the Import Options dialog box to set options related to importing a transfer file.

Add New Elements from Import File

Select this option to add new elements found in the transfer file to existing contract structures. This option controls the addition of both Cost Performance Report (CPR) and Contract Funds Status Report (CFSR) contract elements. Prior versions of wInsight's import facility asked whether new elements should be added to the current structure. This is no longer the case. However, the Import Message Log dialog box still identifies new elements found in the transfer file.

Structures

Select the contract structure(s) you want to import.

Units

Select the unit(s) you want to import.

Baseline/Manpower

Select this option to import Baseline (CPR Format 3) and Manpower/Staffing (CPR Format 4) information. This information can be generated during the recalculate process.

Format 5 Narratives

Select this option to import elements' CPR Format 5 narratives. In wInsight, each contract element's CPR Format 5 narrative is limited to 64,000 alphanumeric and special characters, which include hidden HTML formatting characters.

To maximize the amount of narrative overall, Deltek recommends that you enter narratives alongside their own elements (as opposed to entering all narratives into the top-level element). You can also strip out hidden formatting characters by copying text into Windows Notepad.

Future Bcws/Etc

Select this option to import lowest-level elements' time-phased, future period Budgeted Cost of Work Scheduled (BCWS) and Estimate to Completes (ETCs).

Contract Detail

Select this option to import additional contract information, such as the contract manager's name, program office information, organizational acronyms, and color and trend settings.

Element Detail

Select this option to import the element description as well as additional element information, such as the manager's name, phone number, office symbol, risk level, and subcontractor information.

Thresholds and Weights

Select this option to import CPR Format 5 reporting thresholds and Estimate at Completion (EAC) forecasting formula performance factor parameters' weights.

CFSR Data

Select this option to import Contract Funds Status Report (CFSR) data.

Alternate Dates

Select this option to import the alternate calendar dates. These dates, which are usually the prime contractor’s period ending dates, can be substituted for your normal calendar dates during export.

Element Links

Select this option to import the links or mapping between WBS elements and elements in other contract structures created by the WBS Mapper.

SOW Narratives

Select this option to import elements' scope of work narratives.

Analysis Inputs

Select this option to import analysts' independent Estimate at Completion (EAC) and narrative inputs for lowest-level elements.

Milestones

Select this option to import contract level milestones.

Schedule Data

Select this option to import schedule information for the selected contract and period of data.

User Fields and Data

Select this option to import user-defined fields (including formulas) and their associated data.

User (Security) Data

Select this option to import user name, password, and contract access information.

Tripwire Narrative

Select this option to import elements' Tripwire narratives.

Loading Factors

Select this option to import the rates for applying fees and calculating indirects.

Select All

Select this option to select all options on the dialog box.

Clear All

Select this option to clear all selected option on the dialog box.

Location

To display the Import Options dialog box, complete the following steps:

  1. On the Menu bar, click Utilities » Import File.... The Import File dialog box displays.

  2. Click Options.

Related Topics and Procedures

Importing Data Overview

Recalculate Command Overview

Prime Contractor and Subcontractor Consolidation Features Overview

Earned Value Data Entry with WBS Mapper


Import Message Log Dialog Box

Use the Import Message Log dialog box to display file information, error and warning messages, and affected import file lines prior to importing a transfer file. The import file line contains the offending line, which points to the exact location in the file where the problem is encountered. The information provided allows you to find and work through errors easily.

If a contract exists and transfer errors are suspected, error messages indicate the type and origin of the error, such as missing elements or structures that do not match.

To read all information pertaining to a particular error, adjust the column width, use the scroll bar, or sort the contents of the Import File Line column.

This dialog box contains the following details:

  • Import File — This field displays the name of the file that you select to import.

  • File Contains <X> Errors and <X> Warnings — This field specifies the total number of errors and warnings encountered, where X refers to a positive integer.

  • Proceed with Import? — This text is only available if no problem is encountered during the import process.

  • Error/Warning Log — This pane contains two columns, one describing the error messages and the other specifying the import file lines.

The Import Message Log dialog box also has the following buttons and option:

  • OK To All — Clicking this button allows you to import the current file and any remaining files without further prompting. The message log only displays for those files that contain errors preventing import.

  • Options — Click this button to display the Import Options dialog box, which you use to select the data items that you want to import.

  • Hide Warnings — Select this option to prevent warnings from showing in the Error/Warning Log pane. Unlike errors, warnings do not prevent the import from proceeding.

Click OK to proceed with the import. This button, however, is not available if errors preventing import are present in the file. Otherwise, click Cancel.

Location

To display the Import Message Log dialog box, complete the following steps:

  1. Take one of the following actions:

    1. In wInsight, make sure that no data sets are opened. On the Menu bar, click File » Utilities » Import File....

    2. In wInsight Administrator, on the Menu bar, click Utilities » Import File....

The Import File dialog box displays.

  2. In the Target File(s) field, enter or browse for the file that you want to import. You may also configure other import settings.

  3. Click OK.

Related Topics and Procedures

Import a Transfer File

Import Options Dialog Box


Sample Import Messages

This section presents sample messages from an import session.

Note that the informational, error, and warning messages for each import session display in two dialog boxes— the Import Message Log dialog box and the File Import dialog box.

Related Topics and Procedures

Importing Data Overview

Import a Transfer File

Import File Dialog Box

Import Options Dialog Box

Import Message Log Dialog Box


Exporting Data Overview

You can export data in X12 or XML format. You can also set options that translate exported data into UN/CEFACT XML format. Moreover, you can set rollup options for data to be exported. The procedure for doing so is fundamentally the same whichever transfer file format you are using.

If a version prior to 6.5 is specified in the compatibility setting on the XML Export Options dialog box and X12 Export Options dialog box, any narratives over 32K are truncated during export.

Other export options vary according to a transfer file format. The following table summarizes the format types and their uses, and lists the topics specific to working with each format:

Format

Conforms to

Default Extension

Use for these purposes

See these topics for procedures and option descriptions

X12

ASC X12 839 EDI specification (versions 3040, 3050, and 4010)

The non-standard X12 format used by Performance Analyzer (PA) versions 4.0 and later are also supported.

.TRN

Exporting the following reports:

  • Cost Performance (CPR)

  • Cost/Schedule Status (C/SSR)

Note that the X12 specification does not support more than two contract structures (WBS and OBS) or other wInsight items.

Setting X12 Transfer File Export Options

X12 Export Options Dialog Box

Export to an X12 Transfer File

Export File Dialog Box

XML

wInsight's XML file definition

.XML

  • Sending data to a wInsight user

  • Generating an interface from an existing system to wInsight

  • Exporting the following reports:

  • Contract Funds Status (CFSR)

  • NASA 533M

  • Exporting data in UN/CEFACT XML format

The XML file contains all data related to a contract including CFSR and NASA 533M, not just the monthly CPR data contained in the X12 file format.

Also, it is much easier to diagnose errors in an XML file than in an X12 file.

Setting XML Transfer File Export Options

XML Export Options Dialog Box

Export to an XML Transfer File

Export to a UN/CEFACT XML Transfer File

Export File Dialog Box

UN/CEFACT XML Files

The UN/CEFACT XML schemas refer to an international data exchange standard format, which replaces the older ANSI X12 electronic data interchange (EDI) format, such as the 839 transaction set, that is used to submit Contract Performance Reports (CPRs) electronically to government customers. These schemas are designed to support the exchange of program management related cost and schedule data between all project stakeholders.

For more information about the schemas, see the UN/CEFACT Web site (www.unece.org/cefact) or the Defense Contract Management Agency (DCMA) Web site (www.dcma.mil). The DCMA Web site includes industry guidelines for using the schemas.

wInsight Administrator can import and export CPR Format 1-5 data from and to UN/CEFACT XML transfer files.

Related Topics and Procedures

Comparison of X12 Transfer Files and XML Transfer Files

Read Rollup Options from a Template File

Rollup Options Dialog Box

Save Rollup Settings in a Template File

Set Rollup Options

Setting X12 Transfer File Export Options

Setting XML Transfer File Export Options

X12 Transfer File Contents


Set Rollup Options for Exported Data

Use this procedure to set rollup options for exported data.

To set rollup options, complete the following steps:

  1. Open the Export File dialog box.

  2. Click Rollup. The Rollup Options dialog box displays.

  3. From the drop-down list for the Structure field, select the contract structure. The structure displays in the dialog's list box.

    Structures

    Structures can be any of the following types:

    • Work breakdown structure (WBS)

    • Organization breakdown structure (OBS)

    • Integrated product team (IPT)

    • Other user-defined structures

    Click [image] to toggle the structure.

  4. Expand or collapse branches until only those elements that you want exported in the transfer file are visible. Expand or collapse the tree by clicking the expand (+) and collapse (-) buttons, or by using the Level Number Control option.

  5. Repeat steps 3 and 4 for the other structures, if needed.

  6. Click OK to apply the options you selected or click Cancel to dismiss the dialog without applying the options.

Once you have the rollup settings you want, you can save the settings to a template (.RTT) file and re-use them in the future. You can also use the template file to roll up the structures prior to exporting data.

Related Topic

Exporting Data Overview


Save Rollup Settings in a Template File

Use this procedure to save rollup settings in a template file.

To save the rollup settings, complete the following steps:

  1. Open the Export File dialog box.

  2. Click Rollup. The Rollup Options dialog box displays.

  3. In the Export Name field, specify a name for the contract or accept the default. You might want to specify a different name if you intend to create additional wInsight contracts.

  4. Click Save. A standard Save As dialog box displays, allowing you to name the template file and specify the folder in which to save it.

  5. In the Save in field, specify the folder in which to save the template file.

  6. In the File name field, enter a name for the template file. Since rollup settings are usually contract-specific, consider including the contract name as part of the template file name.

  7. In the Save as type field, select Rollup Templates (*.rtt).

  8. Click Save to save the template file in the specified folder or click Cancel to dismiss the dialog box.

Related Topic

Exporting Data Overview


Read Rollup Options from a Template File

Use this procedure to set rollup options for exported data.

To read rollup options from a template file, complete the following steps:

  1. Open the Export File dialog box.

  2. Click Rollup. The Rollup Options dialog box displays.

  3. Click Open to display a standard Open dialog box.

  4. In the File Name field, enter the name of the template file (.RTT). Alternatively, use the browsing capabilities of the dialog box to find the template file.

  5. Click Open on the Open dialog box to load the template file. You are returned to the Rollup Options dialog box.

When specifying rollup options for a transfer file, the contract name specified in the template file overrides any previous contract name. If you subsequently change the contract name in the Export File dialog box, the rollup settings from the template file are ignored.

Related Topic

Exporting Data Overview


Rollup Options Dialog Box

You can display the Rollup Options dialog box both in wInsight and wInsight Administrator. In wInsight, you use this dialog box to set rollup options for exported data. In wInsight Administrator, you use this dialog box to roll Up Data to Different Levels .

Contract

This non-editable field displays the active contract. Rollup settings are contract-specific.

Rollup Template

This non-editable field displays the name of the selected template file.

Export Name

Enter the name for the contract if you want to change the name of the contract during export.

Structure

Select the contract structure for which the rollup is to be defined from the drop-down list.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

Level Number Control

Use this unlabeled field (at the lower right corner of the dialog) to specify the lowest level of the structure to display. Using this field can save you time when you are working with large structures. In addition, you can use the + and - controls to fine tune individual branches of the structure.

Open

Click this button to display a standard Open dialog box that allows you to select a rollup template (.RTT) file.

Save

Click this button to display a standard Save As dialog box to save the current settings in a rollup template (.RTT) file.

(+)

Click this button to expand the individual branch by one level.

(-)

Click this button to collapse the individual branch by one level.

Location

To display the Rollup Options dialog box, complete the following steps:

wInsight

  1. Click Utilities » Export File.... The Export File dialog box displays.

  2. Click Rollup.

wInsight Administrator

  1. In the Navigation pane, click Reports » <any of the reports>. The selected report displays.

  2. Right-click anywhere on the report.

  3. On the menu bar, click Options » Rollup Options....

Related Topics and Procedures

wInsight

Exporting Data Overview

wInsight Administrator

Roll Up Data on Reports Overview

Roll Up Data to a Single Level (Uniform Roll Ups)

Roll Up Data to Different Levels (Non-Uniform Roll Ups)

Remove a Roll Up

Use a Template File to Roll Up Data

Save Roll Up Settings to a Template File


Setting X12 Transfer File Export Options

Use the X12 Export Options dialog box to specify compatibility information before you generate an X12 transfer file. The creator of a transfer file has the responsibility for ensuring that the transfer file is readable by the receiving organization.

If you specify a version prior to 6.5 for the compatibility setting, any narratives over 32K are truncated during export.

Guidelines

When selecting compatibility options, observe the following guidelines:

  • For X12 839 3040 compatibility, select wInsight 3.x from the drop-down list for the Compatibility option.

  • For X12 839 3050 compatibility, select wInsight Administrator 2.0 or wInsight Administrator 4.0 from the drop-down list for the Compatibility option and clear the Allow X12 extensions option.

  • For X12 839 4010 compatibility, select wInsight Administrator 5.0+ from the drop-down list for the Compatibility option and clear the Allow X12 extensions option.

Additional Data

Use the X12 Export Options dialog box to select additional data to be included in the X12 transfer file. This additional data might include performance data in hours, fiscal calendar information, future period data in dollars and hours, and the cost account manager name.

Most applications other than wInsight Administrator are not able to accept this additional data. A transfer file generated by an application other than wInsight Administrator will not contain this additional information. wInsight Administrator imports this data if it is present in an X12 file (and in the format expected by wInsight Administrator). Otherwise, you must enter this additional information manually.

Related Topics and Procedures

X12 Export Options Dialog

Export to an X12 Transfer File

Export File Dialog Box


X12 Export Options Dialog Box

Use the X12 Export Options dialog box to export a data item to an X12 Transfer File.

If you specify a version prior to 6.5 for the compatibility setting, any narratives over 32K are truncated during export.

Compatibility

From the drop-down list, select the application that you will use to import the transfer file. When selecting compatibility options, observe the following guidelines:

  • For X12 839 3040 compatibility, select wInsight 3.x from the drop-down list for the Compatibility option.

  • For X12 839 3050 compatibility, select wInsight Administrator 2.0 or wInsight Administrator 4.0 from the drop-down list for the Compatibility option and clear the Allow X12 extensions option.

  • For X12 839 4010 compatibility, select wInsight Administrator 5.0+ from the drop-down list for the Compatibility option and clear the Allow X12 extensions option.

Use record numbers

Specify whether record number or segment identifiers should be used in the export file:

  • wInsight 3.0 and later recognize both.

  • wInsight 2.0 and all versions of Performance Analyzer recognize record numbers only.

  • If the export file is to be sent through an EDI system, select the option used by the system.

Allow X12 extensions

Select this option to allow wInsight Administrator to export additional information not currently covered by the X12 implementation guide, including performance data in hours, fiscal calendar information, future period data in dollars and hours, and the cost account manager name.

Export Hours

Select this option to allow wInsight Administrator to export the following additions to standard X12 data, in dollars:

  • Performance data in hours

  • Fiscal calendar information

  • Future period data in hours

This option is available only if you select wInsight Administrator 4.0 or above for the Compatibility option, and if you select the Allow X12 extensions option. When you select wInsight Administrator 4.0 compatibility, you must also select the Allow X12 extensions option.

Strip HTML from narratives

Select this option to remove HTML codes from Format 5 narratives so that only plain text is exported. HTML codes specify items such as font type, font size, bolding, bullets, and so on. When imported by applications that do not support HTML, these codes appear within the text (for example, 10pt; FONT-FAMILY: Arial; mso-bidi-font-size: 12.0pt">; &nbsp; ><).

When you select this option, wInsight Administrator removes most text formatting but maintains paragraph and line breaks to the extent possible given the limitations of the X12 format (lines are limited to 132 characters in length). As a result, line breaks and text wrapping may produce unexpected results. wInsight Administrator removes blank lines.

wInsight Administrator performs the following conversions:

  • Em-dash and en-dash to hyphen

  • Left and right quote to straight quote

  • Left and right apostrophe to straight apostrophe

  • Bullet to plus sign

Settings are compatible with:

This setting indicates which of the programs listed are believed to be compatible with the settings specified. Programs believed to be compatible display normally; others are shaded (grayed out).

Element Separator

Enter the character used to separate individual fields in the X12 file (ordinarily ’r;~’ or ’r;*’). Accept the default value unless your EDI system requires a specific character.

Segment Separator

Enter the hexadecimal code used to separate individual records in the X12 file (0A by default). Accept the default value unless your EDI system requires a specific character.

CR-LF Translation (Text)

Select this option if the output file should contain carriage return-line feed pairs. By default, this option is selected. Use the default value unless the importing program is running on a Macintosh or Unix-based system.

Location

To display the X12 Export Options dialog box, take the following steps:

  1. Click Utilities » Export File.... The Export File dialog box displays.

    2. In wInsight, make sure that no data sets are opened; Utilities display on the File menu. In wInsight Administrator, Utilities display on the Menu bar.

  2. In the Format drop-down list, select X12.

  3. Click Options.

Related Topic

Setting X12 Transfer File Export Options


Export to an X12 Transfer File

Use this procedure to export a data item to an X12 transfer file.

To export a data item, complete the following steps:

  1. On the Menu bar, click Utilities » Export File to display the Export File dialog box.

  2. In the Contract list, double-click the contract name to export from, or highlight the name and press ENTER. The Period(s) list is populated.

  3. In the Period(s) list, highlight the period(s) of data you want to export. Select <All Periods> to export all periods of data.

  4. In the Export Name field, enter or accept the contract name to be associated with the transfer file. By default, the name of the selected contract is used as the export name.

  5. In the Format field, select X12 as the export file format.

  6. In the Export File field, enter the full name and path of the transfer file to be created. You can use the Default and Browse buttons to generate a file name and identify the folder in which to save the file.

  7. If necessary, click Options to specify custom export options in the X12 Export Options dialog box.

  8. If necessary, click Rollup to open the Rollup Options dialog box and specify how the contract structure should be rolled up upon export.

  9. Click OK to begin the export or Cancel to close the dialog box without exporting. A File Export dialog box displays status messages during the export process.

  10. Click Close when the export process is done. If you encountered problems, click Save Log to save the status comments. The comments will assist the technical support analyst in solving the problem.

Related Topic

Setting X12 Transfer File Export Options


Export File Dialog Box

Use the Export File dialog box to export a data item to an X12 transfer file, an XML transfer file, or a UN/CEFACT XML transfer file.

Contract

Select the contract from which you want to export data. Double-click the contract, or highlight it and press ENTER to populate the Period(s) list.

Period(s)

Select the period(s) from which you want to export data. Select the <All Periods> setting to export all periods of data. You can select multiple periods by clicking and dragging them, by pressing SHIFT and clicking them, by pressing the SHIFT+ARROW keys, or by pressing the CTRL key and clicking the selected periods.

Export Name

By default, wInsight Administrator uses the name of the selected contract as the export name. You can accept the default or enter a different name, which you may want to do if you are exporting data into a separate reporting database.

Format

Select one of the following export file formats:

  • X12

  • XML

Export File

Enter the full name and path of the transfer file(s) to be exported. You can use Default and Browse to generate a file name. If you select more than one period, default names for the files are generated based on the contract name and period of data, but export uses the path specified in the input line. If you do not specify a path, export generates the output files in the working directory.

Convert Export File to UN/CEFACT XML and output in the same directory

Select this option if you are exporting wInsight data to a UN/CEFACT XML file The UN/CEFACT XML schemas are an international data exchange standard format that replaces the older ANSI X12 electronic data interchange (EDI) format such as the 839 transaction set, used to submit Contract Performance Reports (CPRs) electronically to government customers.
These schemas are designed to support the exchange of program management related cost and schedule data between all project stakeholders.

For more information about the schemas, see the UN/CEFACT web site (www.unece.org/cefact/) or the Defense Contract Management Agency (DCMA) web site (www.dcma.mil/xsd/). The DCMA web site includes industry guidelines for the using the schemas.

wInsight Administrator can import and export CPR Format 1-5 data from/to UN/CEFACT XML transfer files.. wInsight Administrator performs all necessary translations.

If you select this option, wInsight Administrator creates two files in UN/CEFACT XML format in the same directory, with these file name extensions:

  • -xsdContractSummaryData.xml

  • -xsdPeriodBasedCostData.xml

Default

Click this button to create a default name for the transfer file based on the contract name and period of data being exported.

Browse

Click this button to locate the transfer file. A standard File dialog box displays. The file that you select displays in the Export File field. wInsight Administrator saves the selected directory as the default directory for import or export operations.

Options

Click this button to specify export options to make the transfer file readable by the receiving system and to include additional data in the transfer file. For format-specific guidance on setting options, see one of the following topics:

  • Setting X12 Transfer File Export Options

  • Setting XML Transfer File Export Options

If a version prior to 6.5 is specified in the compatibility setting on the XML Export Options dialog box and X12 Export Options dialog box, any narratives over 32K are truncated during export.

Rollup

Click this button to specify how the export file should be rolled up to summary levels. If you do not specify rollup options, wInsight Administrator exports the entire contract structure.

Location

To display Export File dialog box, take one of the following actions:

  1. In wInsight, make sure that no data sets are opened. On the Menu bar, click File » Utilities » Export File....

  2. In wInsight Administrator, on the Menu bar, click Utilities » Export File....

Related Topics and Procedures

Exporting Data Overview

Set Rollup Options for Exported Data


Setting XML Transfer File Export Options

Use the XML Export Options dialog box to specify compatibility information before you generate an XML transfer file. The creator of a transfer file has the responsibility for ensuring that the transfer file is readable by the receiving organization.

When selecting compatibility options, observe the following guidelines:

  • wInsight 6.2 and 6.1 cannot import Alternate Dates, Element Links, and Loading Factors.

  • wInsight 6.0 cannot import Alternate Dates, Element Links, Loading Factors, CFSR data, NASA 533M data, and WBS numbers with more than 30 characters.

If you specify a version prior to 6.5 for the compatibility setting, any narratives over 32K are truncated during export.

Related Topics and Procedures

Export File Dialog Box

Export to a UN/CEFACT XML Transfer File

Export to an XML Transfer File


XML Export Options Dialog Box

Use the XML Export Options dialog box to export a data item to an XML Transfer File or to a UN/CEFACT XML Transfer File.

Substitute Alternate Dates

Select this option to substitute the prime contractor's calendar dates for the subcontractor’s during export. This way, the dates will match up when the prime contractor merges in the subcontractor's data.

Structures

Select the contract structure(s) for which you want to export data.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

Units

Select the units in which you wish to export data.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Baseline/Manpower

Select this option to export Baseline (CPR Format 3) and Manpower/Staffing (CPR Format 4) information. This information can be generated during the recalculate process.

Format 5 Narratives

Select this option to export elements' CPR Format 5 narratives.

Future Bcws/Etc

Select this option to export lowest-level elements' time-phased, future period Budgeted Cost of Work Scheduled (BCWS) and Estimate to Complete (ETC) values.

User Fields and Data

Select this option to export user-defined fields (including formulas) and their associated data.

Contract Detail

Select this option to export additional contract information such as the contract manager's name, program office information, organizational acronyms, color settings, and trend settings.

Element Detail

Select this option to export additional element information such as the manager's name, phone number, office symbol, risk level, and subcontractor information.

Thresholds and Weights

Select this option to export CPR Format 5 reporting thresholds and Estimate at Completion (EAC) forecasting formula performance factor parameters' weights.

CFSR Data

Select this option to export Contract Funds Status Report (CFSR) data.

Alternate Dates

Select this option to export the alternate calendar dates. It does not perform any date substitutions, as the Substitute Alternate Dates export option does. These dates (usually the prime contractor's period ending dates) can be substituted for your normal calendar dates during export.

Element Links

Select this option to export the links (mapping) between WBS elements and elements in other contract structures created by the WBS Mapper.

SOW Narratives

Select this option to export elements' scope of work narratives.

Analysis Inputs

Select this option to export analysts' independent Estimate at Completion (EAC) and narratives for lowest level elements.

Milestones

Select this option to export contract level milestones.

Summary Data

Select this option to export data for summary elements, in addition to exporting data for lowest level elements.

Calculated Data

Select this option to export lowest-level elements' data that is normally calculated by wInsight (for example, current period data, Estimate at Completion forecasts, and color and trend information), in addition to cumulative earned value data.

Schedule Data

Select this option to export schedule information for the selected contract and period of data.

User (Security) Data

Select this option to export user name, password, and contract access information.

Tripwire Narrative

Select this option to export elements' Tripwire narratives.

Loading Factors

Select this option to export the rates for applying fee and calculating indirects.

Compatibility

Select the wInsight version with which you want the export file to be compatible.

If you specify a version prior to 6.5 as the compatibility setting, any narratives over 32K are truncated during export.

Select All

Select this option to select all options on the dialog box.

Clear All

Select this option to clear all selected option on the dialog box.

Location

To display the XML Export Options dialog box, take the following steps:

  1. Click Utilities » Export File.... The Export File dialog box displays.

    2. In wInsight, make sure that no data sets are opened; Utilities display on the File menu. In wInsight Administrator, Utilities display on the Menu bar.

  2. In the Format drop-down list, select XML.

  3. Click Options.

Related Topics

Earned Value Data Entry with WBS Mapper

Prime Contractor and Subcontractor Consolidation Features Overview

Setting XML Transfer File Export Options


Export to an XML Transfer File

To export wInsight data in UN/CEFACT XML format, see the alternative procedure Export to a UN/CEFACT XML Transfer File.

To export to an XML Transfer File, complete the following steps:

  1. Open the Export File dialog box.

  2. In the Contract list, double-click the contract name to export from, or highlight the name and press ENTER. The Period(s) list is populated.

  3. In the Period(s) list, highlight the period(s) of data you want to export. Select <All Periods> to export all periods of data.

  4. In the Export Name field, enter or accept the contract name to be associated with the transfer file. By default, the name of the selected contract is used as the export name.

  5. In the Format field, select XML as the export file format.

  6. In the Export File field, enter the full name and path of the transfer file to be created. You can use the Default and Browse buttons to generate a file name and identify the folder in which to save the file.

  7. If necessary, click Options to specify custom export options on the XML Export Options dialog box.

  8. If necessary, click Rollup to open the Rollup Options dialog box and specify how the contract structure should be rolled up upon export.

  9. Click OK to begin the export or Cancel to close the dialog box without exporting. A File Export dialog box displays status messages during the export process.

  10. Click Close when the export process is done. If you encountered problems, click Save Log to save the status comments. The comments will assist the technical support analyst in solving the problem.

Related Topic

Setting XML Transfer File Export Options


Export to a UN/CEFACT XML Transfer File

The UN/CEFACT XML schemas are an international data exchange standard format that replaces the older ANSI X12 electronic data interchange (EDI) format such as the 839 transaction set, used to submit Contract Performance Reports (CPRs) electronically to government customers.

These schemas are designed to support the exchange of program management related cost and schedule data between all project stakeholders. For more information about the schemas, see the UN/CEFACT web site (www.unece.org/cefact/) or the Defense Contract Management Agency (DCMA) web site (www.dcma.mil/xsd/). The DCMA web site includes industry guidelines for the using the schemas.

wInsight Administrator can import and export CPR Format 1-5 data from/to UN/CEFACT XML transfer files.

To export to a UN/CEFACT XML transfer file, complete the following steps:

  1. Open the Export File dialog box.

  2. In the Contract list, double-click the contract name to export from, or highlight the name and press ENTER. The Period(s) list is populated.

  3. In the Period(s) list, highlight the period(s) of data you want to export. Select <All Periods> to export all periods of data.

  4. In the Export Name field, enter or accept the contract name to be associated with the transfer file. By default, the name of the selected contract is used as the export name.

  5. From the drop-down list for the Format field, select XML as the export file format.

  6. In the Export File field, enter the full name and path of the transfer file to be created. You can use the Default and Browse buttons to generate a file name and identify the folder in which to save the file.

  7. If necessary, click Options to specify custom export options in the XML Export Options dialog box, then return to the Export File dialog box.

  8. If necessary, click Rollup to open the Rollup Options dialog box and specify how the contract structure should be rolled up upon export, then return to the Export File dialog box.

  9. Select the Convert Export File to UN/CEFACT XML and output in the same directory option.

  10. Click OK to begin the export or Cancel to close the dialog box without exporting. A File Export dialog box displays status messages during the export process. wInsight Administrator creates two files in UN/CEFACT XML format in the same directory, with these file name extensions:

  11. -xsdContractSummaryData.xml

  12. -xsdPeriodBasedCostData.xml

  11. Click Close when the export process is done. If you encountered problems, click Save Log to save the status comments. The comments will assist the technical support analyst in solving the problem.

Related Topic

Setting XML Transfer File Export Options


Back Up a Contract

You can back up one or more contracts into a single, compressed archive file with a .WSA file extension. Backing up contracts is useful for protecting your data, and as a means of transferring entire contracts between systems.

Transferring and replacing an entire contract can overwrite existing, unique contract data at the receiving end such as project officer (CAM) names and independent estimate-at-completion values.

To back up a contract, complete the following steps:

  1. Open the Backup Contracts dialog box.

  2. Double-click a single contract in the Contract list. A default archive name and path display in the Archive File box. Or, select multiple contracts to backup.

  3. In the Archive File box, you can modify the default file name, by entering a new name and path, by clicking the Default button, or by using the Browse button. The default location for the archive file is the wInsight database directory. Selecting a path with the Browse button makes that directory the default for future archive operations.

  4. Click OK to proceed with the operation, or Cancel to dismiss the dialog box. A new Backup Contracts dialog box displays status information during the backup process.

  5. Click Close when the archive process is done. If you encountered problems, click Save Log to save the status comments. The comments will assist the technical support analyst in solving the problem.

Related Topics and Procedures

Backup Contracts Dialog Box

Restore a Contract


Backup Contracts Dialog Box

Use the Backup dialog box to back up a contract. This dialog box contains the following fields:

Contract

Select the contract(s) to be backed up.

Archive File

Enter the path and name of the archive file to be created. Double-clicking a contract automatically generates a default path and file name. The default name is based on the contract selected; the default directory is the wInsight database directory.

Default

Click this button to generate a default Archive File path and name for the archive file to be created. The default name is based on the contract selected; the default directory is the wInsight database directory. If you select multiple contracts, the default name is based on the active data source name instead of a contract name.

Browse

Click this button to search for an archive file. A standard Windows file dialog box displays. The file automatically displays in the Archive File field.

Location

To display Backup Contract(s) dialog box, take one of the following actions:

  1. In wInsight, make sure that no data sets are opened. On the Menu bar, click File » Utilities » Backup....

  2. In wInsight Administrator, on the Menu bar, click Utilities » Backup....

Related Procedure

Restore a Contract


Restore a Contract

Use the Restore Contract function to create or replace one or more contracts from the contents of an archive file.

Transferring and replacing an entire contract can overwrite existing, unique contract data at the receiving end such as project officer (CAM) names and independent estimate-at-completion values.

To restore a contract, complete the following steps:

  1. Open the Restore Contracts dialog box.

  2. In the Archive File field, enter the path and file name of the archive file (.WSA extension). Alternatively, click Browse to display a standard File dialog box, which you can use to locate the appropriate archive file. Select an archive file and click Open. You are returned to the Restore Contract dialog box. The path and name of the selected file display in the Archive File field and the contracts contained in the file display in the Archive Contents list.

  3. Select one or more contracts to be restored from the Archive Contents list.

  4. Click OK to proceed with the operation or Cancel to dismiss the dialog box without restoring. A new Restore Contracts dialog box displays status information during the backup process. Then an Import Message Log dialog box displays information relating to the data being restored.

Related Topics and Procedures

Restore Contracts Dialog Box

Back Up a Contract


Restore Contracts Dialog Box

Use the Restore Contracts dialog box to restore a contract. This dialog box contains the following fields:

Archive File

This field displays the path and file name of a selected archive file (WSA extension).

Archive Contents

This field displays the contract name and its most recent period of data for each contract in the archive file. You can select one or more contracts to restore.

Browse

Click this button to open a standard Windows dialog box wherein you manually search and select an archive file (WSA extension).

Location

To display Restore Contract(s) dialog box, take one of the following actions:

  1. In wInsight, make sure that no data sets are opened. On the Menu bar, click File » Utilities » Restore....

  2. In wInsight Administrator, on the Menu bar, click Utilities » Restore....

Related Procedure

Back Up a Contract


Security Overview

wInsight allows a database administrator to limit users' access to wInsight data on a per-contract and per-element level. You can establish individual user accounts as well as group accounts. Users assigned to a group account inherit the group's permissions, thereby streamlining the process of setting permissions.

Process

The overall process for utilizing wInsight’s database security involves the following actions:

  • Enabling security by entering the Admin user password

  • Establishing user-level passwords and permissions

  • Logging on to wInsight with a password

Many of the instructions in this chapter assume that wInsight has not yet been started. However, you can log on while wInsight is running.

Windows Authentication

You can configure wInsight to integrate Windows’ operating system (OS) authentication with wInsight’s application-level security. This way, wInsight leverages existing Windows’ password maintenance features for Sarbanes-Oxley security (password) requirements compliance.

Related Topics and Procedures

Log On To wInsight

Change Your Password

Enabling and Disabling Security Overview

Managing User Access Overview

Logging on while wInsight is Running Overview

Integrated Windows Authentication Overview


Log On To wInsight

If security is enabled on an active wInsight database, wInsight prompts you to log on before any data displays.

To log on to wInsight, complete the following steps:

  1. Start wInsight.

  2. On the Menu bar, click File » Open. The Application Login dialog box displays.

  3. Enter your user name and password in the corresponding fields.

  4. When you are done, click either OK to proceed or Cancel to dismiss the dialog box.

  • If you click OK, wInsight validates the login name and password against the active database. If it finds a match, the login dialog box closes and program execution proceeds. If the user name and/or password are incorrect, wInsight displays an error message and returns you to the login dialog box.

  • If you click Cancel, the login dialog box closes. If a Select Database option is present, you can select a non-secure database, or one for which you have a valid user name and password. Some features proceed normally, but display an empty contract list. Some features, such as small utilities written before security was added to the wInsight database, treat the login failure as a database access error and terminate.

Related Topics and Procedures

Security Overview

Change Your Password

Logging on while wInsight is Running Overview

Log On as Another User

Use a Temporary Login


Change Your Password

If the active database maintains security information, wInsight allows you to change your password.

To change your password, complete the following steps:

  1. In wInsight, make sure no data sets are open. If necessary, on the Menu bar, click Window » Close All to close all windows (and thus all data sets).

  2. On the Menu bar, click File » Set Password. The Application Login dialog box displays.

  3. Log on and click OK. The Set Password dialog box displays.

  4. Enter and confirm your new password. wInsight user names and password are case-sensitive.

  5. When you are done, either click OK to update your password or Cancel to dismiss the dialog box.

If the old password is incorrect, or if the new and confirm passwords do not match, an error message displays.

Related Topics and Procedures

Security Overview

Log On To wInsight

Clear a User's Password

Use a Temporary Login

Log On as Another User


Application Login Dialog Box

Use the Application Login dialog box to log on to wInsight and wInsight Administrator when an application level security is enabled on an active wInsight database. This dialog box contains the following fields:

Data Source

This field displays the name of an active database.

User Name

Enter your application user name.

Password

Enter your application password.

wInsight user names and passwords are case-sensitive.

Location

To display the Application Login dialog box, complete the following steps:

  1. On the Menu bar, click File » User Maintenance. The User Maintenance dialog box displays.

  2. Click Login.

When the application level security is enabled on the active database, on the Menu bar, click File » Open.

Related Topics and Procedures

wInsight

Change Your Password

Log on to wInsight

Managing User Access Overview

Security Overview

wInsight Administrator

Change Your Password

Log on to wInsight Administrator

Managing User Access Overview

Security Overview


Set Password Dialog Box

Use the Set Password dialog box to create a new password in wInsight. This dialog box contains the following fields:

User

This field displays the name of the current user.

New Password

Enter a new password. You can use a maximum of 64 alphanumeric and special characters.

The Admin user can save an empty (blank) password. Doing so, however, disables security for the data source.

Confirm Password

Re-enter the password that you specify in the New Password field for confirmation.

Location

To display the Set Password dialog box, on the Menu bar, click File » Set Password....

Related Topics and Procedures

Disable Security in wInsight

Disable Security in wInsight Administrator

wInsight Administrator File Menu

wInsight File Menu


Enabling and Disabling Security Overview

By default, all users silently log on as the Admin user.

  • The Admin user password is empty (blank) by default. To enable security, you must set the password to a non-empty value. After you enable security, users must log on before accessing the database.

  • Conversely, clearing the Admin user password disables security. Existing user information is retained, but is ignored.

To determine whether security is currently enabled, start wInsight and click File » Open. If wInsight prompts you for a password, then security is enabled; if not, security is not enabled.

Related Topics and Procedures

Security Overview

Enable Security

Disable Security


Enable Security in wInsight

This procedure allows you to enable security for wInsight.

To enable security, complete the following steps:

  1. In wInsight, make sure no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

  2. On the Menu bar, click File » Set Password. The Set Password dialog box displays. Note that you are logged on as the Admin user.

  3. In the New Password field, enter a password. wInsight user names and passwords are case-sensitive.

  4. In the Confirm Password field, re-enter the password.

  5. Click OK. wInsight displays a message reminding you that entering a non-empty Admin user password enables security.

  6. Click Yes to confirm that you want to enable security.

The next time you launch wInsight and attempts to open a data set, wInsight prompts you for a user name and password. Also, you can now add new users, if required.

Related Topics and Procedures

Security Overview

Log On To wInsight

Enabling and Disabling Security Overview

Disable Security


Disable Security in wInsight

This procedure allows you to disable security for wInsight. You must log on as the Admin user to complete this procedure.

To disable security, complete the following steps:

  1. Start wInsight. Make sure no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

  2. On the Menu bar, click File » Set Password.... The Application Login dialog box displays.

  3. Log on as the Admin user and click OK. The Set Password dialog box displays.

  4. Leave the New Password and Confirm Password fields empty.

  5. Click OK. wInsight displays a message reminding you that clearing the Admin user password disables security.

  6. Click Yes.

  7. Delete users from the database, if required. However, it is not necessary to do so. Any existing user information is ignored but maintained until you re-enable security on the database.

Related Topics and Procedures

Security Overview

Log On To wInsight

Enabling and Disabling Security Overview

Enable Security


Managing User Access Overview

By default, wInsight 6.5 databases define a single user, Admin, who has full read and write access to all contracts in the database. If security is not enabled, all users silently log on as the Admin user and have full access to the database.

To limit access to particular contracts and/or elements in the database, create additional user accounts and assign more limited access to them.

You can also set up user accounts so that wInsight integrates Windows' operating system authentication with its application-level security.

Related Topics and Procedures

Security Overview

Create a User Account or Group Account

Add a User to a Group Account

Edit User Publish Levels

Set Contract-Level Access Permissions

Access Permission Settings

Set Element-Level Access Permissions

Delete a User Account or Group Account

Clear a User's Password

Integrated Windows Authentication Overview


Create a User Account or Group Account

You can create a user for each unique set of permissions you want to assign. You can also create group accounts. Users assigned to a group account inherit the group's permissions, thereby streamlining the process of setting permissions. The following procedure assumes that security is enabled.

You must log on as the Admin user to complete this procedure.

To create a user account or group account, complete the following steps:

  1. In wInsight, make sure no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

  2. On the Menu bar, click File » User Maintenance.

  • If security level is enabled on an active database, the Application Login dialog box displays.

  • If security level is disabled on the active database, the User Maintenance dialog box displays.

  3. Take one of the following actions, depending on the scenario in step 2.

  • On the Application Login dialog box, log on as Admin, and click OK. The Application Login dialog box closes and the User Maintenance dialog box displays.

  • On the User Maintenance dialog box, click Add. The New User/Group dialog box displays.

  3. Enter the name and select the type of account that you want to create.

  4. When you are done, click either OK to accept the changes and close the dialog box, or Cancel to dismiss the dialog box without making changes.

A new user or group has a blank password (no password) until the user or group establishes a password.

Related Topics and Procedures

Security Overview

Managing User Access Overview

Add a User to a Group Account

Limit access to particular contracts

Limit access to particular elements

Change Your Password


Add a User to a Group Account

Before a user can be added to a group account, the group account must already be established. This procedure assumes that security is enabled.

You must log on as the Admin user to complete this procedure.

To add a user to a group account in wInsight, complete the following steps:

  1. In wInsight, make sure no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

  2. On the Menu bar, click File » User Maintenance.

  • If security level is enabled on an active database, the Application Login dialog box displays.

  • If security level is disabled on the active database, the User Maintenance dialog box displays.

  3. Take one of the following actions, depending on the scenario in step 2.

  • On the Application Login dialog box, log on as Admin, and click OK. The Application Login dialog box closes and the User Maintenance dialog box displays.

  • On the User Maintenance dialog box, click Add. The New User/Group dialog box displays.

  4. From drop-down list for the User field, select a user, and click OK.

  5. On the User Maintenance dialog box, click Edit. The Edit User/Group dialog box displays.

  6. From the drop-down list for the Member of field, select a group account for the user.

  7. Click OK. The Edit User/Group dialog box closes.

  8. Click OK. The User Maintenance dialog box closes.

Contract level and element level access permissions defined for the group are inherited by the selected user.

Related Topics and Procedures

Security Overview

Managing User Access Overview

Create a User Account or Group Account

Delete a User Account or Group Account

Set Contract-Level Access Permissions


Edit User Publish Levels in wInsight

To prevent data from being reviewed before it is validated, wInsight provides the Published Periods feature:

  • Each period definition contains a publish level (PubLevel). You set the publish level in the Periods spreadsheet in wInsight Administrator. If you change this setting, you need to run a recalculation so that the change is reflected in the data wInsight users see.

  • Each user record now has a publish level (PubLevel). You can see any period with a publish level less than or equal to your own publish level setting. You set each user’s publish level on the Edit User/Group dialog box. If you change this setting, you need to run a recalculation so that the change is reflected in the data wInsight users see. This topic presents the procedure for setting the user's publish level.

You must log on as the Admin user to complete this procedure.

To set a user's Publish Level, complete the following steps:

  1. Start wInsight. Make sure no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

  2. On the Menu bar, click File » User Maintenance.

  3. Take one of the following actions, depending on the displayed dialog box:

    • If the Application Login dialog box displays, log on as Admin, and then click OK. The User Maintenance dialog box displays.

    • If the User Maintenance dialog box displays after you click User Maintenance, proceed to the next step.

  4. From the drop-down list of the User field, select a user.

  5. Click Edit. The Edit User/Group dialog box displays.

  6. Use the Pub Level option to specify the user’s publish level, and click OK.

  7. Click OK to close the Edit User/Group dialog box.

  8. Click OK again to close the User Maintenance dialog box.

Related Topics

Security Overview

Managing User Access Overview


Set Contract-Level Access Permissions

You must log on as the Admin user to complete this procedure.

To set contract-level access permissions, complete the following steps:

  1. Start wInsight. Make sure no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

  2. On the Menu bar, click File » User Maintenance.... The Application Login dialog box displays.

  3. Log on as the Admin user, and click OK. The User Maintenance dialog box displays.

  4. From the drop-down list of the User field, select the user account or group account.

The contract list displays all contracts for which the logged-on user or group has write access. In this case, since you are logged on as Admin, you can see all available contracts. The access permissions for the selected user/group display next to the contract name.

  5. Highlight one or more contracts.

  6. Click Access until the appropriate level of access displays.

  7. When you are done, either click OK to accept the changes, or Cancel to dismiss the dialog box without making changes.

Related Topics and Procedures

Security Overview

Managing User Access Overview

Access Permission Settings


Access Permission Settings

The default wInsight user, Admin, has irrevocable read/write permission for all contracts, and the sole ability to add and delete users.

You can assign other user accounts read, write, or no access permissions on a contract-by-contract basis.

  • Users who create a contract by any means have write access to the contract.

  • Users with write access to a contract can grant or revoke read or write access to that contract.

  • The Admin user automatically has write access to any new contract.

Table of Access Permission Settings

Setting

Symbol

Description

Write

W

  • The user can read and write any contract data.

  • The user can also view and edit contract data in wInsight Administrator and all File » Utilities functions in wInsight.

  • The user can assign read or write access to the contract to other users.

Read

R

  • The user can view a contract in wInsight.

  • The user can enter Format 5 Narratives, User Narratives, Scope of Word Narratives, and User EAC Inputs.

  • The user cannot enter Milestones.

  • The user cannot see the contract in wInsight Administrator, or via the File » Utilities functions.

None

No access. The contract is not visible to the user in wInsight or wInsight Administrator.

Related Topics and Procedures

Security Overview

Managing User Access Overview

Set Element-Level Access Permissions


Set Element-Level Access Permissions

Use filters to limit a user or group's access to specific elements within a contract or across all contracts. For any user account other than the Admin and for any group account, you can define a filter that limits the elements seen by that user or group, regardless of contract.

Example

For example, user Erwin may be permitted to see only those elements for which Hall is the Project Officer. The filter applies regardless of when the contract was created, or by whom.

Thus, if Erwin creates a contract by restoring it from a backup, he can still see only those elements assigned to him.

This procedure assumes that security is enabled. You must log on as the Admin user to complete this procedure.

To set element-level access permissions, complete the following steps:

  1. Start wInsight. Make sure no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

  2. On the Menu bar, click File » User Maintenance.... The Application Login dialog box displays.

  3. Log on as the Admin user, and click OK. The User Maintenance dialog box displays.

  4. From the drop-down list of the User field, select a user account or group account.

  5. Click Edit. The Edit User/Group dialog box displays.

  6. From the drop-down list of the Filter field, select a filter. The filter's criteria displays below the name.

  7. Click OK to close the Edit User/Group dialog box.

  8. Click OK again to close the User Maintenance dialog box.

Related Topics and Procedures

Security Overview

Managing User Access Overview

Access Permission Settings

Filters Overview

Create a Filter


Delete a User Account or Group Account

You must log on as the Admin user to complete this procedure.

To delete a user account or group account in wInsight, complete the following steps:

  1. Start wInsight. Make sure no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

  2. On the Menu bar, click File » User Maintenance.... The Application Login dialog box displays.

  3. Log on as the Admin user, and click OK. The User Maintenance dialog box displays.

  4. From the drop-down list of the User field, select a user account or a group account.

  5. Click Delete. wInsight prompts you to confirm the deletion.

  6. Click Yes.

  7. Click OK to accept your changes and close the dialog box, or click Cancel to dismiss the dialog box without making changes.

Related Topics and Procedures

Security Overview

Managing User Access Overview

Create a User Account or Group Account

Add a User to a Group Account


Clear a User's Password

If you forget your password, the Admin user can clear the password. This action allows you to log on again, and select a new password.

You must log on as the Admin user to complete this procedure.

To clear a user's password, complete the following steps:

  1. In wInsight, make sure no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

  2. On the Menu bar, click File » User Maintenance. The Application Login dialog box displays.

  3. Log on as the Admin user, and click OK. The User Maintenance dialog box displays.

  4. From the drop-down list of the User field, select a user account or a group account.

  5. Click Edit. The Edit User/Group dialog box displays.

  6. Click Clear Password.

  7. Click OK to close the Edit User/Group dialog box.

  8. Click OK again to close the User Maintenance dialog box, or click Cancel to dismiss the dialog box.

Related Topics and Procedures

Security Overview

Managing User Access Overview

Change Your Password


User Maintenance Dialog Box

Use the User Maintenance dialog box to add, delete, and edit users and user permissions, and to clear a user’s password. Only the Admin user can add, delete, or edit users. Any user, however, can assign permissions to contracts for which the user has write access.

This dialog box has the following fields and buttons:

User

Select your desired user or group from the drop-down list.

Contract

This field displays a list of available contracts for which the logged-on user (not the selected user) has write permissions. Any users can assign or update permissions to those contracts for which they have write access. Select one or more contracts for which you want to assign permissions.

Add

Click this button to add a new user or group account.

If you are not logged on as Admin user, this button is not enabled.

Delete

Click this button to delete an existing user or group account.

You have to log on as Admin user to delete accounts.

Edit

Click this button to add a user to an existing group account, modify user publish levesl, or upgrade an existing user account. The selected user inherits contract level and element level access permissions defined for the group.

Access

Click this button to modify the current permission of a selected contract. The indicators display in the Contracts field.

  • R — Read-only permission

  • W — Write permisson

  • <Blank> — No permission

Login

Click this button to display the Application Login dialog box.

Location

To display the User Maintenance dialog box, click File » User Maintenance....

Related Topics and Procedures

wInsight

Add a User to a Group Account

Clear a User's Password

Create a User or a Group Account

Delete a User or a Group Account

Disable Integrated Windows Authentication

Edit User Publish Levels in wInsight

Set Contract-Level Access Permissions

Set Element-Level Access Permissions

Set Up a New Account

Upgrade an Existing Account

Use a Temporary Login

wInsight File Menu

wInsight Administrator

Add a User to a Group Account

Clear a User's Password

Create a User or a Group Account

Delete a User or a Group Account

Disable Integrated Windows Authentication

Edit a User's Publish Level in wInsight Administrator

Set Contract-Level Access Permissions

Set Element-Level Access Permissions

Set Up a New Account


New User/Group Dialog Box

Use the New User/Group dialog box to create and setup a new user or group account. This dialog box contains the following field and options:

Name

Enter a name for the new user or group. You can use a maximum of 50 alphanumeric and special characters.

The user name must follow the DomainName\User Name or MachineName\ User Name (if not in a domain) format. It should match the user's Windows login name. If you exclude the Domain/Machine Name, wInsight prompts the user to log on the next time the user starts wInsight.

User

Select this option if the name that you enter identifies a user account.

Group

Select this option if the name that you enter identifies a group account.

Location

To display the New User/Group dialog box, complete the following steps:

  1. On the Menu bar, click File » User Maintenance. The User Maintenance dialog box displays.

  2. Click Add.

Related Topics and Procedures

wInsight

Create a User or Group Account

Set Up a New Account

wInsight Administrator

Create a User or Group Account

Set Up a New Account


Edit User/Group Dialog Box

Use the Edit User/Group dialog box to upgrade an existing account, disable or enable integrated security for an OS Authentication account, clear a password, or set the user's publish level in wInsight.

Only the Admin user can access this dialog box.

This dialog box contains the following fields and button:

Name

This field displays the name of your selected user or group account.

Member of

Select a group to which the user belongs. The user inherits the contract level and element level access permissions defined for the group.

User Code

This field is used by wInsight Web. Enter or edit a code using a maximum of four alphanumeric characters to identify the user as belonging to a site-specific category of users.

Clear Password

Click this button to delete the current password of a user, and allow the user to log on and set a new password. You usually clear a password when the selected user forgets his or her password.

The Admin user's password cannot be cleared.

Pub Level

Enter or modify the user’s publish level.

wInsight provides Published Periods feature to prevent data from being reviewed before it is validated. Each user record has a publish level (PubLevel).

Use Windows Authentication for this user

Select this option to enable the Windows Integrated security for the user.

Filter

Select a filter that you want to use to limit a user or group's access to specific elements within a contract or across all contracts.

Once you select a filter, its corresponding Structure Query Language (SQL) statement displays at the bottom of the Filter field.

Location

To display the Edit User/Group dialog box, complete the following steps:

  1. On the Menu bar, click File » User Maintenance. The User Maintenance dialog box displays.

  2. In the User field, select a user.

  3. Click Edit.

Related Topics and Procedures

wInsight

Add a User to a Group Account

Clear a User's Password

Disable Integrated Windows Authentication

Edit User Publish Levels in wInsight

More Filters Dialog Box

Periods Spreadsheet

Set Element-Level Access Permissions

Set up a New Account

Upgrade an Existing Account

wInsight Administrator

Add a User to a Group Account

Clear a User's Password

Disable Integrated Windows Authentication

Edit User Publish Levels in wInsight Administrator

More Filters Dialog Box

Periods Spreadsheet

Set Element-Level Access Permissions

Set up a New Account

Upgrade an Existing Account


Logging in while wInsight is Running Overview

Logging On while wInsight is Running Overview

Normally, you start wInsight and then log on to the application. However, wInsight’s security also allows a new user to log on while the application is running. Two features support this capability, but only one permanently logs off the current user.

Related Topics and Procedures

Security Overview

Log On To wInsight

Log On as Another User

Use a Temporary Login


Log On as Another User

The Login As Another User command allows a new user to log on and logs off the current user. This command is only available when security has been invoked.

This feature is not available if integrated Windows authentication is enabled.

To log on as another user, complete the following steps:

  1. In wInsight, make sure no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

  2. On the Menu bar, click File » Login As Another User. The Application Login dialog box displays.

  3. Enter your application User Name and Password. wInsight user names and passwords are case-sensitive.

  4. Click OK. wInsight logs off the current user, logs on the new user, and closes the dialog box.

Related Topics and Procedures

Security Overview

Log On To wInsight

Logging in while wInsight is Running Overview

Use a Temporary Login


Use a Temporary Login

The User Maintenance dialog box has a Login button, which is mainly intended for the Admin user to use in entering or editing user accounts. The new user is only logged on as long as the User Maintenance dialog box is open.

To change the access permission of a contract to which you do not have write access, you must log on as the Admin user.

To use a temporary login, complete the following steps:

  1. Start wInsight. Make sure no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

  2. On the Menu bar, click File » User Maintenance. The User Maintenance dialog box displays.

  3. Click Login. The Application Login dialog box displays.

  4. Enter your application User Name and Password. User names and passwords are case sensitive.

  5. Click OK. wInsight logs off the current user and logs on the new user, but only while the User Maintenance dialog box is open. When the dialog box closes, the previous user again becomes the logged-on user.

Related Topics and Procedures

Security Overview

Log In To wInsight

Logging in while wInsight is Running Overview

Log In as Another User


Integrated Windows Authentication Overview

You can configure wInsight to integrate Windows operating system (OS) authentication with its application-level security. If needed, wInsight updates the wInsight user name so that it matches the Windows user name. This way, wInsight leverages existing Windows’ password maintenance features for Sarbanes-Oxley security (password) requirements compliance.

Implications

There are a few implications associated with the use of this feature:

  • Users cannot change their passwords.

  • The File » Login As Another User command is disabled until the user performs an operation that directly accesses the database (opens a contract, performs user maintenance, attempts to change their password, and so on).

  • After you enable Windows integrated security for an account in a wInsight database, that account cannot access that database using a prior version of wInsight.

Account Maintenance and the Admin User Account

The Admin account is a special user account and the only one capable of performing tasks, such as setting up a new user account. If you are the Admin, you may need to access a user's account periodically to see things from that account's perspective.

However, with an OS Authentication account, the Admin cannot simply log on with the other user's wInsight password. This is due to the fact that wInsight generates a random (and encrypted) password. Under integrated security, only the user who "owns" the user account knows the password.

To compensate for this, the Admin password is valid for any user name, and gets the Admin user in with the credentials of that account. The rationale for this is that anyone who knows the Admin account's password already has full access to the database. This feature makes it easier for the administrator to check the permissions of other users.

Related Topics and Procedures

Security Overview

Set Up a New Account

Upgrade an Existing Account

Account Recommendations

Expected Behavior

Disable Integrated Windows Authentication


Set Up a New Account

You set the integration of Windows security and wInsight application security independently for each user.

You must log on as the Admin user to complete this procedure.

To set up a new account in wInsight, complete the following steps:

  1. On the Menu bar, click File » User Maintenance. The User Maintenance dialog box displays.

  2. Click Add. The New User/Group dialog box displays.

  3. Enter a user name, and click OK.

  4. On the User Maintenance dialog box, click Access to select and grant the user access permission to the available contracts.

  5. Click Edit. The Edit User/Group dialog box displays.

  6. Select the Use Windows Authentication for this user option.

  7. Click OK to close the Edit User/Group dialog box.

  8. Click OK again to close the User Maintenance dialog box.

Related Topics and Procedures

Security Overview

Integrated Windows Authentication Overview

Upgrade an Existing Account

A ccount Recommendations

Expected Behavior


Upgrade an Existing Account

This topic discusses the steps required to change an existing account into a Windows Authentication account.

You must log on as the Admin user to complete this procedure.

To upgrade an existing account, complete the following steps:

  1. On the Menu bar, click File » User Maintenance. The User Maintenance dialog box displays.

  2. From the User drop-down list, select an account.

  3. Click Edit. The Edit User/Group dialog box displays.

  4. Select Use Windows Authentication for this user.

  5. Click OK. The Edit User/Group dialog box closes.

  6. Click OK. The User Maintenance dialog box closes.

Related Topics and Procedures

Security Overview

Integrated Windows Authentication Overview

Set Up a New Account

Account Recommendations

Expected Behavior


Account Recommendations

Blank passwords are allowed (at least initially) when creating a new OS Authentication account or upgrading an existing account. The Admin user can use the following techniques to eliminate and/or minimize any data vulnerabilities this might provide.

If data is compromised, the responsible individual's Windows credentials will be captured in the wInsight database.

  • Create new accounts using the DomainName\UserName or MachineName\UserName format. wInsight generates a random password as soon as the account is created. In this case, the user never gets prompted to log on; however, the Admin user has to enter the user's Windows login name correctly.

  • Create new accounts with a password-like user name and inform the user what it is. When the user logs on the first time, the name is overwritten (and is never needed again), and a random password is generated. In this case, the Admin user does not need to know the user's Windows login name. However, the user does have to log on to wInsight one time with the provided name.

  • When upgrading an existing account, have the user immediately log on to wInsight Administrator. When the user logs on, wInsight generates a random password. In this case, the Admin user must coordinate the change with the user.

Related Topics and Procedures

Security Overview

Integrated Windows Authentication Overview

Set Up a New Account

Upgrade an Existing Account

Expected Behavior


Expected Behavior

This section provides some expected scenarios. In the case where a new account is added, which includes the Domain/Machine Name as part of the user’s name, scenario 3 applies. In the case where the Domain/Machine Name is not included or an account is upgraded, scenario 4 applies.

  • If application-level security is turned off (the Admin password is empty), all users have full permissions to the database. No login credentials are requested.

  • If application-level security is turned on, wInsight queries the operating system for the currently logged-on user. The name is in SAM-compatible format, such as Domain/Machine Name or MACHINE\UserName.

  • If the Windows name matches a name in the wInsight database, and OSAuth is T for that user, the application lets the person into the wInsight database with that user name and associated permissions. No login credentials are requested. On each login, the user's password is set to a randomly generated value to prevent unauthorized access by prior versions of the software.

  • If the Windows name does not match a name in the wInsight database, the user is prompted for a name and password.

    • If the supplied name and password match a user in the wInsight database, and OSAuth is F for that user, the user is let into the wInsight database with that user name and associated permissions. The password is not changed. A blank password is allowed.

    • If the supplied name and password match a user in the wInsight database, and OSAuth is T for that user, the user is let into the wInsight database with that user name and associated permissions. The application automatically updates the wInsight user name so that it matches the Windows user name. The user is notified of the change. Subsequently, the user will be automatically logged into the database using their Windows (and now wInsight) user name, as in item 3 above.

Related Topics and Procedures

Security Overview

Integrated Windows Authentication Overview

Set Up a New Account

Upgrade an Existing Account

Account Recommendations


Disable Integrated Windows Authentication

This procedure allows you to disable integrated security for an OS Authentication account.

You must log on as the Admin user to complete this procedure.

To disable Integrated Windows Authentication, complete the following steps:

  1. On the Menu bar, click File » User Maintenance. The User Maintenance dialog box displays.

  2. From the User drop-down list, select a user account.

  3. Click Edit. The Edit User/Group dialog box opens.

  4. Clear the Use Windows Authentication for this user option.

  5. Click Clear Password, to clear the randomly generated password that wInsight has created.

  6. Click OK to close the Edit User/Group dialog box.

  7. Click OK again to close the User Maintenance dialog box.

Users can now log on to wInsight with their full Windows user name and a blank password.

Related Topics and Procedures

Security Overview

Integrated Windows Authentication Overview

Set Up a New Account

Upgrade an Existing Account

Account Recommendations

Expected Behavior


Transferring Charts, Filters, and Views Overview

This section describes procedures on how to transfer charts, filters, and views from wInsight 4.0 and later to wInsight 6.5. Charts, filters, and views from wInsight 3.2 or earlier must be recreated manually.

Related Topics and Procedures

Transfer Charts, Filters, and Views from 6.x to 6.x

Transfer Charts, Filters, and Views from 5.0 to 6.x

Transfer Charts, Filters, and Views with User-Defined Fields from 5.0 to 6.x

Transfer Charts, Filters, and Views from 4.0 to 6.x


Transfer Charts, Filters, and Views from 6.x to 6.x

This procedure allows you to transfer wInsight 6.x charts, charts, filters, and views to another PC with wInsight 6.x.

To transfer charts, filters, and views, complete the following steps:

  1. Start wInsight. Make sure no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

The Import/Export Custom Items functions are only available when all wInsight windows, except the main window, are closed.

  2. On the Menu bar, click File » Export Custom Items.... The Save As dialog box displays.

  3. Save WSCUSTOM.XML to any folder.

  4. Send the WSCUSTOM.XML file to a receiving computer.

  5. Start wInsight 6.x on the receiving computer and again make sure no data sets are open. All windows must be closed.

  6. On the Menu bar, click File » Import Custom Items.... The Open dialog box displays.

  7. Open the folder containing the XML file.

  8. Select WSCUSTOM.XML, and click Open. The Import Custom Items dialog box displays.

  9. Select how you want the charts, filters, and views in the WSCUSTOM.XML file to be merged with your existing ones.

  10. Click OK.

Related Topics and Procedures

Transferring Charts, Filters, and Views Overview


Transfer Charts, Filters, and Views from 5.0 to 6.x

You use the GENCUST.EXE utility to convert custom filters, charts, and views from wInsight 5.0 to wInsight 6.x. This program is automatically executed by the wInsight 6.x setup program when wInsight 6.x is installed, and normally it is not necessary to run it again. However, GENCUST.EXE can be used to convert custom wInsight 5.0 filters, charts, and views stored in the registry of a machine on which wInsight 6.x has not been installed.

To transfer wInsight 5.0 charts, filters, and views to another PC with wInsight 6.x, complete the following steps:

  1. Copy GENCUST.EXE to the target computer. C:\Program Files\Deltek\wInsight 6.5\util\ is the default folder where this file is installed by wInsight 6.x.

  2. On the target computer, start Windows Explorer.

  3. Find and double-click GENCUST.EXE. A WSCUSTOM.XML file is then generated in the folder from which you launched GENCUST.EXE.

  4. Send WSCUSTOM.XML to a computer where wInsight 6.x is installed.

  5. Start wInsight 6.x on the receiving computer. Make sure no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

  6. On the Menu bar, click File » Import Custom Items.... The Open dialog box displays.

  7. Open the folder containing the XML file.

  8. Select WSCUSTOM.XML, and click Open. The Import Custom Items dialog box displays.

  9. Select how you want the charts, filters, and views in the WSCUSTOM.XML file to be merged with your existing ones.

  10. Click OK.

Related Topics and Procedures

Transferring Charts, Filters, and Views Overview


Transfer Charts, Filters, and Views with User-Defined Fields from 5.0 to 6.x

In some situations, your custom wInsight 5.0 filters, charts, and views that have been imported into wInsight 6.x are missing user-defined fields. This can happen if, during wInsight 6.x setup, the registry on the machine on which wInsight 6.x was installed points to a wInsight 5.0 database that does not contain all the user-defined fields used by the charts, filters, and views. Use the following procedures to remedy this situation.

To transfer wInsight 5.0 charts, filters, and views with user-defined fields to another PC with wInsight 6.x, complete the following steps:

  1. Start wInsight 5.0. Make sure no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

  2. On the Menu bar, click File » Select Database....

  3. Select a 5.0 database that contains the full set of user-defined fields.

  4. Exit wInsight 5.0.

  5. Start Windows Explorer.

  6. Find and double-click GENCUST.EXE. A WSCUSTOM.XML file is then generated in the folder from which you launched GENCUST.EXE.

  7. Start wInsight 6.x, and make sure no data sets are open.

  8. On the Menu bar, click File » Import Custom Items.... The Open dialog box displays.

  9. Open the folder containing the XML file, select WSCUSTOM.XML, and click Open. The Import Custom Items dialog box displays.

  10. Select how you want the charts, filters, and views in the WSCUSTOM.XML file to be merged with your existing ones.

  11. Click OK.

If wInsight 5.0 is no longer installed:

If wInsight 5.0 is no longer installed, you can run GENCUST.EXE to create WSCUSTOM.XML, specifying the location of the wInsight 5.0 database on the command line, as shown in the following example:

  1. Click Start » Run. The Run dialog box appears.

  2. Type C:\Program Files\Deltek\wInsight 6.5\util\GENCUST /d:"C:\Program Files\Deltek\wInsight 6.5\data\sample.mdb".

  3. Click OK.

  4. Modify the path to GENCUST.EXE, the path to the wInsight 5.0 database, and the name of the 5.0 database as appropriate. A WSCUSTOM.XML file is generated in the folder containing GENCUST.EXE.

  5. Continue with the previous procedure starting with step 7 (using wInsight 6.x to import WSCUSTOM.XML).

Related Topics and Procedures

Transferring Charts, Filters, and Views Overview


Transfer Charts, Filters, and Views from 4.0 to 6.x

This procedure allows you to transfer charts, filters, and views from wInsight 4.0 to 6.x.

To transfer wInsight 4.0 charts, filters, and views to another PC with wInsight 6.x, complete the following steps:

  1. Click Start » Run. The Run dialog box appears.

  2. Enter C:\Program Files\Deltek\wInsight 6.5\util\GENCUST /i:4.0, and click OK.

  3. Modify the path to GENCUST.EXE as appropriate. The default location is C:\Program Files\Deltek\wInsight 6.5\util\. A WSCUSTOM.XML file is then generated in the folder containing GENCUST.EXE.

  4. Send WSCUSTOM.XML to a computer where wInsight 6.x is installed.

  5. Start wInsight 6.x, and make sure that no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

  6. On the Menu bar, click File » Import Custom Items.... The Open dialog box displays.

  7. Open the folder containing the XML file.

  8. Select WSCUSTOM.XML, and click Open. The Import Custom Items dialog box displays.

  9. Select how you want the charts, filters, and views in the WSCUSTOM.XML file to be merged with your existing ones.

  10. Click OK.

Related Topics and Procedures

Transferring Charts, Filters, and Views Overview


Import Custom Items Dialog Box

Use the Import Custom Items dialog box to import chart, filter, and view definitions contained in an XML definition file. This dialog box provides you a choice on how to merge definitions in the selected XML file with existing definitions that wInsight uses.

This dialog box contains the following options:

  • Add new items, but don't delete or overwrite existing ones.

  • Add new items and overwrite existing ones, but don’t delete anything.

  • Delete existing items and replace them with items from the file.

Location

To display the Import Custom Items dialog box, complete the following steps:

  1. Start wInsight but do not open a contract.

  2. On the Menu bar, select File » Import Custom Items.... The Open dialog box displays.

  3. Browse and select the .XML file, and click Open.

Related Topics and Procedures

Transfer Charts, Filters, and Views from 6.x to 6.x

Transfer Charts, Filters, and Views from 5.0 to 6.x

Transfer Charts, Filters, and Views with User-Defined Fields from 5.0 to 6.x

Transfer Charts, Filters, and Views from 4.0 to 6.x


wInsight Formulas Overview

This section presents background information about the formulas used to calculate values, such as management reserve (MR) and estimate at completion (EAC).

Assumptions

The following topics cover the assumptions underlying wInsight formulas:

  • Management Reserve

  • Management Reserve and Undistributed Budget Forecasts

  • Recalculate Setting: Sum Forecasts Yes vs. No

Analysis Formulas

The following topics present analysis formulas:

  • Current Period Formulas

  • Cumulative To Date Formulas

  • At Completion Formulas

  • Other Formulas

  • Comments Generated by Validity Report

DCMA Tripwire Formulas

The following topics present DCMA Tripwire formulas:

  1. Baseline Execution Index Formula

  2. Schedule Performance Index Formula

  3. Critical Path Length Index Formula

  4. Cost Performance Index Formula

  5. To Complete Performance Index Formula

  6. Contract Mods Tripwire Formula

EAC Forecasting Formulas

The following topics present estimate at completion formulas:

  • EAC Forecasting Formulas Overview

  • 3 Period (Month) Average Formulas

  • 6 Period (Month) Average Formulas

  • Cumulative Cost Performance Index Formulas

  • Current Cost Performance Index Formulas

  • Cost and Schedule Formulas

  • Linear Regresssion Formulas

  • Performance Factor Formulas

  • Cost Performance Index * Schedule Performance Index Formulas

  • MICOM EAC Formulas

EAC Formula Substitutions

The following topics present substitutions for EAC formulas:

  • EAC Substitution Overview

  • EAC Substitution: Lack of Data

  • EAC Substitution: Division by Zero

  • EAC Substitution: Linear Regression

  • EAC Substitution: Management Reserve and Undistributed Budget Forecasts

Sort Window Color and Trend Arrow Calculations

The following topics present information about sort window color and trend arrow calculations:

  • Sort Window Color and Trend Arrow Overview

  • Sort Window Color and Trend Arrow Calculations


Management Reserve

In wInsight 5.0 and later, all forecasting formulas exclude management reserve (MR) when calculated for the Performance Measurement Baseline (PMB) element. All forecasting formulas include MR when calculated for the top-level element, at the Contract Budget Base (CBB).

In previous versions of wInsight, the inclusion or exclusion of management reserve at the top level is controlled by selecting the Include MR in Level 1 forecast Recalculate option.

In pre-wInsight 5.0 versions, you have the option of specifying during Recalculation whether estimates at completion and calculations, such as percent complete, percent spent, percent of schedule, and to-complete performance indices, are generated:

  • Total contract level (PMB + MR; the Include MR in Level 1 forecast Recalculate option is selected) — For forecasts generated at the total contract level, it is assumed that management reserve is consumed in accordance with previous performance and at the same efficiency as the cumulative contract performance.

  • PMB (without MR; the Include MR in Level 1 forecast Recalculate option is not selected) — For forecasts generated at the PMB, it is assumed that management reserve is not consumed automatically. If you want to identify utilization of management reserve, you may input the MR usage in the EAC/Funding/MR Inputs screen, which you access in wInsight by clicking Input » EAC/Funding.


Management Reserve and Undistributed Budget Forecasts

Since management reserve (MR) and undistributed budget (UB) have no performance measurement data, such data is pulled from the total contract level, for example, schedule performance index, cost performance index, and so on, to calculate statistical forecasts.

For example, assume the following values:

  • MR Budget at Completion = 100

  • Cumulative Cost Performance Index Total Contract = .9

The Cumulative CPI Forecast for MR would be:

  • MR = 100/.9 = 111


Recalculate Setting: Sum Forecasts Yes vs. No

wInsight or wInsight Administrator generates forecasts for each element (all levels) independently, or generates forecasts at the lowest level and summarizes the lowest levels up the WBS/Functional tree.

The Sum forecasts from lowest levels option in the Recalculate Options dialog box determines how forecasts are computed.

  • If you select this option, forecasts are computed at the lowest level of the contract and then rolled up. When you recalculate your data, you cannot calculate the forecasts for summary level elements. This is because the values for the summary elements equal the sum of forecasts from the lower level elements.

  • If you do not select this option, forecasts are calculated at each level.

The following example illustrates that different values can be generated based on whether you select the Sum forecasts from lowest levels option; the differences can be significant. The example assumes that elements 5100 and 5200 are children of element 5000. Elements 5100 and 5200 are lowest-level elements.

The formulas used to calculate the estimates at completion (EACs) in this example are as follows:

  • CPI = BCWP (CUM)/ACWP (CUM)

  • Cumulative CPI EAC = BAC/CPI

The following table shows the data used in the calculations:

Data | 5000 | 5100 | 5200
BCWS (cumulative) | 99 | 19 | 80
BCWP (cumulative) | 92 | 12 | 80
ACWP (cumulative) | 110 | 17 | 93
BAC | 127 | 32 | 95
LRE | 143 | 32 | 111

If you do not select the Sum forecasts from lowest levels option, then each element uses its own BCWS, BCWP, ACWP and BAC values for this calculation. The results are as follows:

If Sum Forecasts is Yes (the option is selected), then no EAC calculation is done for element 5000 - it's cumulative CPI EAC is the sum of its children. The results are as follows:

As you can see the difference is 3.92 (155.77 – 151.85) or 2.5% higher if Sum = Yes, in this example. Depending on the data in your contract and the EAC formulae being used, the difference could be even greater.


Current Period Formulas

This section presents the following Current Period formulas:

  1. Current Period Schedule Variance $ = BCWP (CUR) - BCWS (CUR)

  2. Current Period Schedule Variance % = Schedule Variance (CUR) x 100 / BCWS (CUR)

  3. Current Period SPI = BCWP (CUR) / BCWS (CUR)

  4. Current Period Cost Variance $ = BCWP (CUR) - ACWP (CUR)

  5. Current Period Cost Variance % = Cost Variance (CUR) x 100 / BCWP (CUR)

  6. Current Period CPI = BCWP (CUR) / ACWP (CUR)


Cumulative To Date Formulas

This section presents the following Cumulative to Date formulas:

  1. Cumulative Schedule Variance $ = BCWP (CUM) - BCWS (CUM)

  2. Cumulative Schedule Variance % = Schedule Variance (CUM) x 100 / BCWS (CUM)

  3. Cumulative SPI = BCWP (CUM) / BCWS (CUM)

  4. Cumulative Cost Variance $ = BCWP (CUM) - ACWP (CUM)

  5. Cumulative Cost Variance % = Cost Variance (CUM) x 100 / BCWP (CUM)

  6. Cumulative CPI = BCWP (CUM) / ACWP (CUM)


At Completion Formulas

This section presents the following At Completion formulas:

  1. To Complete Performance Index (BAC)

At the PMB = BAC - Management Reserve BAC- BCWP (CUM) / BAC - Management Reserve BAC - ACWP (CUM)

At Other Levels = BAC - BCWP (CUM) / BAC - ACWP (CUM)

  1. To Complete Performance Index (LRE)

At the PMB = BAC - Management Reserve BAC - BCWP (CUM) / LRE - Management Reserve LRE - ACWP (CUM)

At Other Levels = BAC - BCWP (CUM) / LRE ACWP (CUM)

  1. Contractor Variance At Completion (VAC) $ = BAC - LRE (Note: Includes MR)

  2. Contractor Variance At Completion (VAC) % = BAC - LRE x 100 / BAC

  3. % Scheduled (BAC) at the PMB = BCWS (CUM) x 100 / BAC

  4. % Complete (BAC)

At the PMB = BCWP (CUM) x 100 / BAC - MR

At Other Levels = BCWP (CUM) x 100 / BAC

  1. % Spent (BAC)

At the PMB = ACWP (CUM) x 100 / BAC - MR

At Other Levels = ACWP (CUM) x 100 / BAC

  1. Schedule Slip in Weeks = $SV (CUM) / 3 Period Average of (CUR) BCWS $ x 4.3

You must load data monthly for the slip in weeks to be valid. If you load data quarterly instead of monthly, the schedule slip in weeks is then understated. If you load data weekly instead of monthly, the schedule slip in weeks is then overstated.


Other Formulas

This section presents the other formulas used in wInsight.

  1. % Spent (LRE)

At the PMB = {ACWP (CUM) / LRE - MR} x 10

At Other Levels = {ACWP (CUM) / LRE} x 100

  1. MR as % Budgeted Cost of Work Remaining (BCWR) = MR / BAC - BCWP

  2. Tolerance Band High =

  1. Tolerance Band Low =


Comments Generated by Validity Report

 | Comments | Conditions
1 | Task complete | BCWP (CUM) = BAC
2 | ACWP exceeds BAC | ACWP (CUM) > BAC
3 | ACWP equals BAC | ACWP (CUM) = BAC
4 | Cost charged to completed tasked | BCWP (CUM) = BAC, in any prior period; and ACWP (CUM) increases
5 | ACWP charged to unopened task | BCWS = 0, ACWP (CUM) > 0
6 | Schedule slip exceeds two weeks | 2 > SV (CUM) *4.3 / 3 Period Average BCWS (CUR)
7 | *BCWP increase without ACWP increase | BCWP (CUM) cp > BCWP (CUM) 1p and ACWP cp = ACWP 1p
8 | ACWP increase without BCWP increase | ACWP cp > ACWP 1p and BCWP cp = BCWP 1p
9 | No BAC | BAC = 0
10 | No LRE | LRE = 0
11 | Estimate to complete is 0, Yet task is not complete | LRE – ACWP (CUM) = 0 and BAC > BCWP (CUM)
12 | Possible inconsistency in LRE, does not reflect cumulative cost overrun | CumCpiFc (Cum CPI Forecast EAC) > LRE
13 | BAC or BCWS inconsistency | BCWS (CUM) > BAC
14 | BAC or BCWP inconsistency | BCWP (CUM) > BAC
15 | ACWP greater than LRE | ACWP (CUM) > LRE
16 | BAC change | BAC 1p does not equal BAC cp
17 | BAC change without corresponding LRE change | BAC 1p does not equal BAC cp and LRE 1p = LRE cp
18 | LRE change | LRE 1p does not equal LRE cp
19 | TCPI - LRE is greater than CPI by more than 0.05 | TCPI - CPI > .05
20 | Negative current period ACWP | 0 > ACWP (CUR)
21 | Negative current period BCWP | 0 > BCWP (CUR)
22 | Negative current period BCWS | 0 > BCWS (CUR)
23 | BCWP present with no ACWP | BCWP (CUM) does not equal 0 and ACWP (CUM) = 0
24 | SPI less than 80% | SPI < 0.80
25 | **LRE not within tolerance |
* (1p) denotes one period prior to the current period (cp). ** Check when contract is either at, or greater than, 40% complete.

Validity Checks at Total Contract Level

The following validity checks are performed at the total contract level to reconcile formats, ensure target cost values are consistent, and ensure that Format 3 totals correctly:

  • Format 3 PMB EOP does not equal Format 1 BAC subtotal (PMB).

  • Format 3 BOP PM Baseline plus changes does not equal EOP PM Baseline.

  • Format 3 BOP PM Baseline does not equal last period's EOP PM Baseline.

  • Format 3 BCWS for report period does not equal Format 1 current period BCWS.

  • Format 3 BOP Cumulative BCWS does not equal last period's Format 3 EOP cumulative BCWS.

  • Format 3 EOP Cumulative BCWS does not equal Format 1 cumulative BCWS.

  • Format 3 Original Negotiated Cost plus Negotiated Changes does not equal current Negotiated Cost.

  • Format 3 Contract Budget Base plus Format 1 Reprogramming Adjustment for Budget does not equal the Format 3 Total Allocated Budget.

  • Format 1 Negotiated Cost plus Estimated Authorized Unpriced Work does not equal the Contract Budget Base.

  • Format 1 Current X does not equal Format 2 Current X.

X can = BCWS, BCWP, or ACWP

  • Format 1 Cumulative X does not equal Format 2 Cumulative X.

X can = BCWS, BCWP, or ACWP

  • Format 1 X does not equal Format 2 X.

X can = BAC or LRE

Related Topic

Validity Report


Baseline Execution Index Formula

Baseline Execution Index (BEI) is equal to the number of baseline tasks actually completed divided by the number of baseline tasks scheduled for completion. Use the BEI metric to indicate the efficiency with which actual work has been accomplished when measured against the baseline.

In calculating the BEI for the contract level (level 1), you can enter data manually on the CPR Header spreadsheet of the wInsight Administrator. You can also choose to derive the values to calculate BEI for all WBS levels, including level 1, by recalculating with the Derive Tripwire Metrics option selected on the Recalculate Options dialog box.

For the Monthly % Hit computation, however, the only way to populate the values and get results is by importing schedule data into C/S Glue Viewer and then recalculating using the Derive Tripwire Metrics option.

Moreover, in calculating BEI, wInsight ignores the following schedule items:

  • All zero (0) duration tasks (even those that are not marked as milestones)

  • Milestones

  • Summary tasks

  • Level of Effort (LOE) tasks

  • Tasks without a baseline

  • Tasks that are not mapped to WBS

Example

Through August 2010, the supplier network schedule shows 1,955 total tasks/activities to have been completed from contract start through the current reporting period; 1,516 total tasks/activities have actually been completed.

Cumulative BEI = 1,516 Actual / 1,955 Baseline = 0.78 efficiency through the current reporting period

In this example, the BEI of 0.78 indicates that a significant portion of the schedule is not being completed as planned.

Related Topics and Procedures

BEI and Monthly Percent Hit Chart

Contracts Spreadsheet

Monthly % Hit Formula

Program Tripwires Summary Report

Recalculate Options Dialog Box

wInsight Formulas Overview


Monthly % Hit Formula

The Monthly % Hit formula, featured on the BEI and Monthly Percent Hit chart, is calculated using the following formulas for starts and completions, respectively:

  • Current period actual starts / Current period planned starts

  • Current period actual completions / Current period planned completions

In determining the number of the current period actual and planned tasks, wInsight uses the following conditions:

  • The current actual starts equals the number of discrete tasks where the actual start date is <= current period end date and <= the baseline start date, and the baseline start date is <= current period end date and > the previous period's end date. In other words, this is the number of this period’s tasks started on or ahead of their baseline schedule.

  • The current planned starts equals the number of discrete tasks where the baseline scheduled start date is <= current period end date and > the previous period's end date. In other words, this is the number of this period’s tasks scheduled to be started in the baseline schedule.

  • The current actual completions equals the number of discrete tasks where the actual completion date is <= current period end date and <= the baseline completion date, the baseline start date is <= the current period end date, and the baseline scheduled completion date is <= current period end date and > the previous period's end date. In other words, this is the number of this period’s tasks completed on or ahead of their baseline schedule.

  • The current planned completions equals the number of discrete tasks where the baseline scheduled completion date is <= current period end date and > the previous period's end date. In other words, this is the number of this period’s tasks scheduled to be completed in the baseline schedule.

In determining those totals, wInsight ignores the following schedule items:

  • All zero (0) duration tasks (even those that are not marked as milestones)

  • Milestones

  • Summary tasks

  • Level of Effort (LOE) tasks

  • Tasks without a baseline

  • Tasks that are not mapped to WBS

The specified condition in determining the totals also applies to the CumPlannedStarts, CumActualStarts, CumPlannedCompl, and CumActualCompl BEI metrics. In calculating BEI, it does not matter if tasks finish on or ahead of their baseline schedule. As long as the tasks finished (early, on time, or late), wInsight counts them.

wInsight calculates the Monthly % Hit values only when the application runs the BEI and Monthly Percent Hit charts and only on the schedule data imported into the database. The Monthly % Hit values are represented by the red bars as well as the Monthly % Hit data line under the x-axis on the charts.

Related Topic

wInsight Formulas Overview


Schedule Performance Index Formula

The Schedule Performance Index is an index on contract performance calculated by dividing the Budgeted Cost of Work Performed by the Budgeted Cost of Work Scheduled:

Cumulative SPI = BCWP (CUM) / BCWS (CUM)

It can be calculated with cumulative or current period data. The SPI is an indication of the amount of work planned (in dollars, hours, or EQP) versus the amount of work actually accomplished at budgeted rates.

Example

If the SPI were equal to .80, an amount equal to 80% of the work planned has been earned. A SPI equal to 1.0 would indicate that an amount equal to the plan has been earned, where as a SPI equal to 1.1 would indicate more work has been earned than planned.

Related Topics and Procedures

Contracts Spreadsheet

Cost Performance Index * Schedule Performance Index Formulas

Program Tripwires Summary Report

Recalculate Options Dialog Box

Schedule Performance Index (SPI) Chart

wInsight Formulas Overview


Critical Path Length Index Formula

In determining the CPLI metric, wInsight calculates the critical path length using the longest, continuous sequence of tasks/activities through the network from contract start (or the current status date) to contract completion. The critical path length can also be computed for milestones using the milestone’s start (or current status date) and completion dates.

CPLI = (Critical Path Length +/- Total Float) / Critical Path Length

Total Float is the total amount of time that a task can be delayed without delaying the completion of the contract. Regardless of the source project calendar (such as 5-day, 7-day, holidays, or non-working days), wInsight always assumes a 5-day work week in calculating CPL.

The target ratio is 1.00; less than 1.00 is not favorable.

Example

Through April, the supplier network schedule calculates a program critical path length of 720 working days (3 years) with 60 working days (3 months) of negative float from contract award to completion.

CPLI = (( 720 - 60) / 720) = 0.917

The supplier’s CPLI of less than 1.00 indicates that the program is not likely to achieve its baseline completion date without corrective action.

Related Topics and Procedures

Contracts Spreadsheet

CPLI Milestone Report

CPR Header Spreadsheet

DCMA Tracking Critical Path Length Index Chart

Program Tripwires Summary Report

Recalculate Options Dialog Box

wInsight Formulas Overview


Cost Performance Index Formula

The Cost Performance Index is an index of contract performance calculated by dividing the Budgeted Cost of Work Performed by Actual Cost of Work Performed:

BCWP / ACWP

It can be calculated with cumulative or current period data. The CPI is an indication of the cost efficiency with which work has been accomplished.

Example

If assuming the CPI were equal to .80, then for every budgeted dollar spent, 80 cents in value was received. A CPI equal to 1.0 would indicate that cost is on target where as a CPI equal to 1.1 would indicate a cost under-run (higher efficiency). Comparison of the CPI to the TCPI-EAC is a very useful analysis technique.

Related Topics and Procedures

Contracts Spreadsheet

Cost Performance Index (CPI) Chart

Cost Performance Index * Schedule Performance Index Formulas

Cumulative Cost Performance Index Formulas

Current Cost Performance Index Formulas

Program Tripwires Summary Report

Recalculate Options Dialog Box

wInsight Formulas Overview


To Complete Performance Index Formula

The To Complete Performance Index (TCPI) indicates the level of efficiency that the work remaining must be accomplished.

To compute for the TCPI in the ICPI – TCPII* metric, use one of the following formulas:

The TCPI value differs based on whether or not there is an Over Target Baseline (OTB). The EACktr (Estimate at Completion) in these formulas represents the supplier’s Most Likely Management EAC found in block 6c on the CPR Format 1 report.

TCPI when OTB exists, use the following formula:

(TAB (includes MR) - BCWPcum) / (EACktr - ACWPcum)

(Total Allocated Budget (includes Management Reserve) – Cumulative Budgeted Cost of Work Performed / (Most Likely Management EAC – Cumulative Actual Cost of Work Performed)

TCPI when no OTB exists, use the following formula:

(BAC (no MR) - BCWPcum) / (EACktr - ACWPcum)

(Budget at Completion (no MR) – Cumulative Budgeted Cost of Work Performed) / (Most Likely Management EAC – Cumulative Actual Cost of Work Performed)

Related Topics and Procedures

At Completion Formulas

Cumulative Element Performance Chart

Program Tripwires Summary Report

Recalculate Options Dialog Box

wInsight Formulas Overview


Contract Mods Tripwire Formula

To compute for the Contract Mods tripwire, use the following formula:

(Contract Budget Base less Original Negotiated Cost) / Original Negotiated Cost

Values for Contract Budget Base and Original Negotiated Cost are current displayed in blocks 5e and 5a, respectively, on the CPR Format 3 report.

Related Topics and Procedures

CPR Header Spreadsheet

DCMA Contractor EAC Validity (OTB) Chart

Management Reserve

Program Tripwires Summary Report

Recalculate Options Dialog Box

Total Contract and Performance Measurement Baseline (PMB) Elements

wInsight Database Fields

wInsight Formulas Overview


EAC Forecasting Formulas Overview

In wInsight 5.0 and later, all forecasting formulas exclude management reserve (MR) when calculated for the Performance Measurement Baseline (PMB) element. All forecasting formulas include MR when calculated for the top level element (at the Contract Budget Base).

In prior versions of wInsight, the inclusion or exclusion of MR at the top level is controlled by selecting the Include MR in Level 1 forecast Recalculate option.

The following topics present estimate at completion formulas:

  • 3 Period (Month) Average Formulas

  • 6 Period (Month) Average Formulas

  • Cumulative Cost Performance Index Formulas

  • Current Cost Performance Index Formulas

  • Cost and Schedule Formulas

  • Linear Regresssion Formulas

  • Performance Factor Formulas

  • Cost Performance Index * Schedule Performance Index Formulas

  • MICOM EAC Formulas


3 Period (Month) Average Formulas

wInsight calculates this method using a performance factor based on a three period average of current period cost performance. Step by step, it is calculated as follows:

The example assumes that the current period is March 1990.

1. Compute the Performance Factor (PF):

PF = (March 90) BCWP (CUM) - (Dec 89) BCWP (CUM) / (March 90) ACWP (CUM) - (Dec 89) ACWP (CUM)

2. Compute the quantity of Work Remaining (BCWR):

At the PMB, BCWR = BAC - MR - BCWP (CUM)

At Other Levels, BCWR = BAC - BCWP (CUM)

3. Compute the Estimate to Complete (ETC):

ETC = BCWR / PF

4. Compute the Cost at Completion (CAC):

CAC = ETC + ACWP (CUM)


6 Period (Month) Average Formulas

wInsight calculates this method using a performance factor based on a six period average of current period cost performance. Step by step, it is calculated as follows:

The example assumes that the current period is March 1990.

1. Compute the Performance Factor (PF):

PF = (March 90) BCWP (CUM) - (Sept 89) BCWP (CUM) / (March 90) ACWP (CUM) - (Sept 89) ACWP (CUM)

2. Compute the quantity of Work Remaining (BCWR):

At the PMB, BCWR = BAC - MR - BCWP (CUM)

At Other Levels, BCWR = BAC - BCWP (CUM)

3. Compute the Estimate to Complete (ETC):

ETC = BCWR / PF

4. Compute the Cost at Completion (CAC):

CAC = ETC + ACWP (CUM)


Cumulative Cost Performance Index Formulas

wInsight calculates the Cumulative CPI using a performance factor based on cumulative cost performance. Step by step, it is calculated as follows.

The example assumes that the current period is June 30, 1990.

1. Compute the Performance Factor (PF):

PF = (30June90) BCWP (CUM) / (30June90) ACWP (CUM)

2. Compute the quantity of work remaining (BCWR):

BCWR = BAC - BCWP (CUM)

3. Compute the Estimate to Complete (ETC):

ETC = BCWR / PF

4. Compute the Cost at Completion (CAC):

CAC = ETC + ACWP (CUM)


Current Cost Performance Index Formulas

wInsight calculates the Current CPI in the same way it calculates the Cumulative CPI, except that it uses current period data in step 1 (computing the performance factor).


Cost and Schedule Formulas

wInsight calculates this method using a performance factor based on a combination of cost and schedule performance, and performance weightings that you specify.

wInsight calculates Cost at Completion as follows:

The value of A is equal to the cost weighting (for example, 0.80). The value of B is equal to the schedule weighting (for example, 0.20).

The sum of A and B must equal 1, and the Budget at Completion (BAC) excludes Management Reserve (MR). This formula is explained in the AFSC Guide to Analysis of Contractor Cost Data, published in September 1989.


Linear Regression Formulas

wInsight calculates the linear regression formula by finding the formula for the straight line that best fits the plot of cumulative Actual Cost of Work Performed (ACWP) vs. cumulative Budgeted Cost of Work Performed (BCWP), then entering the Budget at Completion (BAC) into that formula to calculate the Estimate at Completion (EAC).

The following figure shows a plot of cumulative ACWP vs. cumulative BCWP for a number of periods, along with a "best-fit" straight line passing through the points. You can use the straight line to estimate the ACWP for any given BCWP.

The next figure illustrates how the best-fit straight line is used to calculate the EAC. The EAC is the value given by the straight line formula for the point at which the BCWP equals the BAC.

Best-fit Straight Line Calculations

The best-fit straight line (like any straight line) can be expressed by an equation of the following form:

Y = (slope) * X + (y-intercept)

In this case, the slope and y-intercept are calculated using a standard technique called linear regression, as follows:

Sx = Sum of BCWP (CUM)

Sy = Sum of ACWP (CUM)

Sxx = Sum of (BCWP (CUM)  *  BCWP (CUM))

Sxy = Sum of (BCWP (CUM)  * ACWP (CUM ))

The value of N is equal to the number of data points (periods).

slope =  (Sxy – (Sx * Sy) / N) / (Sxx – (Sx * Sx) / N)

y-intercept = (Sy – (slope * Sx)) / N

The resulting formula is used to calculate EAC, as shown:

EAC = (slope) * BAC + (y-intercept)


Performance Factor Formulas

The Performance Factor formulas are the same with those used in the 3 Period (Month) Average calculation except for the following details:

  • In Step 2, the performance factor is user-specified instead of calculated.

  • In Step 3 the work remaining (BCWR) is multiplied by the performance factor instead of divided by it.

Therefore, to project a 10% overrun in work remaining, the performance factor would be 1.10.


Cost Performance Index * Schedule Performance Index Formulas

wInsight calculates this method using a performance factor based on a combination of cost and schedule performance:


MICOM EAC Formulas

This section presents the MICOM EAC formulas.

The following example assumes that the current period is 30 June 1990.

1. Compute the six period average cumulative CPI:

6pCPI = (30June90) BCWP (CUM) - (31Dec89) BCWP (CUM) / (30June90) ACWP (CUM) (31Dec89) ACWP (CUM)

2. Compute the Cumulative SPI:

SPI = BCWP (CUM) / BCWS (CUM)

3. Compute Performance Factor:

PF = 6pCPI x SPI

4. Compute the Budgeted Cost of Work Remaining (BCWR):

BCWR = BAC - BCWP (CUM)

5. Compute the Estimate to Complete (ETC):

ETC = BCWR / PF

6. Compute the Cost at Complete (CAC):

CAC = ETC + ACWP (CUM)


EAC Substitution Overview

Estimates at Completion cannot be calculated using the specified formulas under certain conditions. Such a condition occurs, for example, when wInsight attempts to calculated the six period average EAC for a contact with only one period of data.

In other instances, data exists but is considered invalid. For example, when Budgeted Cost of Work Performed (BCWP), Budgeted Cost of Work Scheduled (BCWS), or Actual Cost of Work Performed (ACWP) values cause a formula to attempt division by zero.

When these conditions arise, wInsight substitutes other values for the EAC calculations:

  • EAC Substitution: Lack of Data

  • EAC Substitution: Division by Zero

  • EAC Substitution: Linear Regression

  • EAC Substitution: Management Reserve and Undistributed Budget Forecasts


EAC Substitution: Lack of Data

Some formulas require multiple periods of data for their calculations.

For example, the Three Period (Month) Average requires four periods of data. wInsight performs the calculation using the required number of periods, or as many periods as are available.

For example, if data exists for only Dec 89, Jan 90, and Feb 90, wInsight still performs the Three Period (Month) Average calculation, but using only three months of data, resulting in a two month average.


EAC Substitution: Division by Zero

In general, Estimate at Completion calculations follows the form:

EAC = [BAC – BCWP (CUM)] / Performance Factor

If the Performance factor is zero for any reason, wInsight cannot calculate the EAC because division by zero is never permissible.

For example, the CUM CPI forecast uses a performance factor given by (BCWP (CUM)) / ACWP (CUM)). If ACWP (CUM) is zero for the given period, the Performance Factor, and hence the EAC, cannot be calculated.

Whenever a division by zero prevents a formula from being calculated, the following substitutions are made for the EAC:

  • If the Budgeted Cost of Work Performed (BCWP) is greater than or equal to the Budget at Completion (BAC), then wInsight uses the larger of Actual Cost of Work Performed (ACWP) or Latest Revised Estimate (LRE).

  • If the BCWP < BAC, then wInsight uses the larger of BAC or LRE.

  • For Management Reserve (MR) or Undistributed Budget (UB) calculations, wInsight uses the larger of BAC or LRE.


EAC Substitution: Linear Regression

The Linear Regression formula can fail due to a division-by-zero error when calculating the slope of the best-fit line. In this case, substitutions follow the Division by Zero rules.

For more information, see Linear Regression Formulas.


EAC Substitution: Management Reserve and Undistributed Budget Forecasts

All calculations involving Management Reserve (MR) and Undistributed Budget (UB) use a level-1 performance factor.


Sort Window Color and Trend Arrow Overview

The SV (Schedule Variance), CV (Cost Variance), and VAC (Variance at Completion) performance indicator columns in the standard Sort window view display color-coded performance and trend information based on current period (SvTrCur and CvTrCur fields) or cumulative (SvTrCum, CvTrCum, and VacTr fields) Schedule Variance Percentage, Cost Variance Percentage, and Variance at Completion Percentage, respectively.

The colors and trend arrows are determined by the user-defined percentage value and the change threshold settings established for the contract. Click Options » Thresholds to view the thresholds settings on the Thresholds dialog box. The Thresholds dialog box displays the percentage values used to determine color codes and trend arrows for current period and cumulative SV%, CV%, and VAC%.

The thresholds are user-defined percentages that you assign on a per-contract basis.

You enter the thresholds on the Contracts Spreadsheet in wInsight Administrator; you cannot change them in wInsight.

The following table describes how colors and trend arrows are determined:

Display | Condition
Red | Unsatisfactory (If ≤ red threshold then red, else)
Yellow | Marginal (If ≤ yellow threshold then yellow, else)
Green | Good (If ≤ green threshold then green, else)
Blue | Excellent (blue)
Horizontal Arrows | No Significant Change Since Last Period
Up Arrow | Significantly Better Since Last Period
Down Arrow | Significantly Worse Since Last Period


Sort Window Color and Trend Arrow Calculations

The fundamental principles to keep in mind to understand how trend arrow direction is determined are:

  • This period's cumulative data is compared to last period’s cumulative data

  • This period's current data is also compared to last period’s cumulative data (not current to current).

The math to determine the percent change is straightforward. The basic equation is (Last means last period, This means this period):

% Change = [(Last Cum Value – This Cum/Cur Value) / Last Cum Value] x 100.

The math is slightly more complicated for index values:

% Change = 100 x [((Last Cum CPI - 1) x 100) - ((This Cum/Cur CPI - 1) x 100)] / ((Last Cum CPI - 1) x 100).

There are some complications that arise when the percents or indices in the denominator are very small or zero:

  • When a divide-by-zero would occur in the course of the calculation, the arrow is not displayed. (The database stores a space character – ' ', instead of 'U' for up, 'D' for down, or 'F' for flat.)

  • When the denominator is very small (less than .000001), the change threshold is compared to (Last - This) instead of [100 * (Last - This) / Last]. This keeps the arrow flat when Last and This are both small, even if their percent change is big. For example, 100 * (.0000005% - .0000004%) / (.0000004%) = 25%. On the other hand, if Last was .0000005% and This was 25%, then (Last - This) = -25% and would get a down arrow.

The following comparison is then used to determine trend arrow direction (ABS stands for absolute value):

If ABS(% Change) < Arrow Change Threshold then the arrow is flat/horizontal; otherwise, the trend arrow is up or down.


wInsight Administrator Overview

Welcome to wInsight Administrator, the companion program to wInsight. wInsight Administrator adds database maintenance, reporting, and data transfer capabilities to wInsight, which is Deltek's user-friendly tool for analyzing performance measurement data, providing an easy to use, yet powerful platform for integrating cost, schedule, and technical data.

Before You Begin

You must install wInsight Administrator 6.5, and complete all necessary conversion procedures before you can run the software.

For more information about instructions, see the wInsight Administrator Installation and Conversion Guide. For more information about all available wInsight and wInsight Administrator documentation, see wInsight Documentation.

Features

wInsight Administrator helps you perform the following tasks:

  • Add, delete, rename, and modify contracts and contract elements

  • Display recalculation options and recalculate all or selected contracts for any or all periods of data

  • Add, delete, and rename periods of data

  • Add, delete, rename, set up, and maintain work breakdown structures (WBS), organizational breakdown structures (OBS), integrated product teams (IPT), and user-defined structures

  • Manually enter period contract data for all Cost Performance Report (CPR) formats in units of dollars, hours, equivalent persons (EQP), and user-defined units

  • Manually enter future period Budgeted Cost of Work Scheduled (BCWS) and Estimate to Complete (ETC) numbers

  • Manually enter fiscal calendars

  • Enter or calculate Baseline (CPR Format 3) and Manpower (CPR Format 4) data

  • Use OSD (Office of the Secretary of Defense) Trip Wire Metrics to identify contracts that are not performing well

  • Select and import an ASC X12 839 Electronic Data Interchange (EDI) file(s) or an XML transfer file

This process creates a new contract, if required. You can import files in UN/CEFACT XML format; wInsight Administrator performs all necessary translations automatically.

  • Create an export file— an ASC X12 839 EDI file or an XML transfer file— for a selected period(s) of data

You can also export files in UN/CEFACT XML format.

  • Add, modify, and delete user-defined fields

  • Collect earned value data as frequently as daily

  • Enter Contract Funds Status Report (CFSR) information

You can import or export CFSRs via XML format transfer files

  • View or print high quality Cost Performance Reports (CPR), Contract Funds Status Reports (CFSR), and NASA 533M Reports

  • Invoke security via login names and passwords

  • Back up and archive data

The following diagram illustrates that the Analyst uses wInsight Administrator to update the wInsight database (performing the initial setup and data input), and Integrated Product Team members, Cost Account Managers (CAM), Project Officers or Program Managers use wInsight to analyze and update the Estimate at Completion values (EACs) using wInsight.

Related Topics and Procedures

Getting Started Overview

Maintaining Databases Overview

Display and Activate a Spreadsheet

Cost Performance Reports Overview

Date Formatting Overview

Scorecard Status Metrics Input Overview

Prime Contractor and Subcontractor Consolidation Features Overview

Contract Funds Status Report Overview

Copy Forward Overview

Reports Overview

Copying Data Between Applications Overview

User-Defined Fields Overview

Running Custom Scripts Overview

Recalculate Command Overview

Importing Data Overview

Exporting Data Overview

Back Up a Contract

Restore a Contract

Security Overview


Getting Started Overview

This section provides a quick tour of wInsight Administrator, the Main window, and its components:

  • Start wInsight Administrator

  • Exit wInsight Administrator

  • Main Window

  • Navigation Pane

  • Toolbars

  • Shortcut Menus

  • Fonts

  • Menu Structure

  • Tree Manager Dialog Box and Menus

  • WBS Mapper Dialog Box and Menus


Start wInsight Administrator

If your desktop has a wInsight Administrator shortcut icon, double-click the icon to launch the application. Otherwise, use this procedure.

To launch wInsight Administrator, complete the following steps:

  1. Click Start » All Programs » Deltek wInsight » wInsight Administrator.

  2. In wInsight Administrator, click File » Select Database.

  3. From the Data Source drop-down list, select a data source.

A sample data source, called Sample, with a sample contract called MOH-2, comes with wInsight Administrator. If no data sources are available from the Select Data Source drop-down list, you need to set up a wInsight database and create a data source connection to it.

You can now open a data set.

Related Topics and Procedures

Maintaining Databases Overview

Create a wInsight Data Source


Exit wInsight Administrator

Use this procedure to close wInsight Administrator.

To exit wInsight Administrator, take one of the following actions:

  • On the Menu bar, click File » Exit.

  • In the upper right corner of the application window, click the Windows Close button.

Related Topics and Procedures

Start wInsight Administrator


Main window

wInsight Administrator Main Window

The wInsight Administrator main window consists of the Menu bar, three toolbars, and the Status bar. You can split the window into two panes, the Navigation pane and the Data Entry pane or Report pane.

Data Source Indicator

The data source indicator identifies the active data source (after the text string "WE:" on the Navigation pane). Click File » Select Database to change the data source.

Title Bar

The Title bar displays wInsight Administrator. To move the main window, click and drag the Title bar.

Menu Bar

The Menu bar provides access to all functions and commands. To display a menu item, click it or use the corresponding shortcut keys.

Toolbars

Use the options on the Standard, Dataset, and Rowset toolbars to work with data, toggle structures and units, or restrict the number of elements displayed on spreadsheets.

Navigation Pane

Use the Navigation pane to select Data Input spreadsheets, reports, and the active data set. The top of the Navigation pane indicates the active data source; the Dataset toolbar and Status bar indicate the active data set.

Selection Tree

Use the Selection Tree in the Navigation pane to access data entry spreadsheets, display reports, and change the active data set.

Data Entry Pane

The Data Entry pane is a spreadsheet-like grid on the right side of the Main window; it replaces the Report pane when you select a Data Input spreadsheet in the Navigation pane. Each row in the grid represents a distinct data item (such as a work breakdown structure, organization breakdown structure, or integrated product team contract element) and contains one or more columns in which you can enter information for the item.

Report Pane

The Report pane displays in place of the Data Entry pane when you select a report from the Navigation pane. The current report option selection determines which report displays. The current report is indicated in the Status bar.

Status Bar

To display or hide the Status bar, click Options » Status Bar.

The left side of the Status bar provides a menu item or menu item descriptions and toolbar descriptions, as well as status information during extended operations. The panes on the right side of the Status bar provide the following information:

  • Active Item — This pane displays the name of the currently selected item, such as a specific Data Input spreadsheet or report. Use the Navigation pane to select a different item.

  • Structure — This pane indicates the active contract structure. Click [image] Structure on the Dataset toolbar to select a different structure.

    Structures

    Structures can be any of the following types:

    • Work breakdown structure (WBS)

    • Organization breakdown structure (OBS)

    • Integrated product team (IPT)

    • Other user-defined structures

    Click [image] to toggle the structure.

  • Units — This pane indicates the active units. Click [image] Unit on the Dataset toolbar to select a different unit.

    Units

    Units can be any of the following types:

    • Dollars

    • Hours

    • Equivalent persons (EQP)

    • Other user-defined units

    Click [image] to toggle the units.

  • Rowset — This pane indicates the group of elements displayed in the active Data Input spreadsheet. Example

    For example, say only 10 rows are to be shown in the spreadsheet at one time. This pane might show 1-10 indicating that the first 10 rows are being displayed, or it might show 31-40 indicating that rows 31 through 40 are being displayed.

  • Total Rows — This pane indicates the total number of possible rows displayed in the active Data Input spreadsheet.

Related Topics and Procedures

Menu Structure Overview

Toolbars Overview

Reports Overview

wInsight Administrator Dataset Toolbar

Navigation Pane

Data Entry Pane


Toolbars Overview

Icons on the wInsight Administrator toolbars provide quick access to a wide range of functions, such as selecting the units, contract (data set), or contract structure.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

  • Standard Toolbar

  • Dataset Toolbar

  • Rowset Toolbar


wInsight Administrator Standard Toolbar

The wInsight Administrator Standard toolbar provides access to commonly used commands. You can drag the toolbar with the mouse and let the toolbar float freely as a window, or dock it at any edge of the Main window. If an icon's functionality is not available in a particular context, the icon is shaded.

Icon/Field | Name | Description
 | Save | This command allows you to save any current changes made in the active window/spreadsheet to the contract’s database. Its icon is not available if data has not been modified since the last save. You can also use Save to save a report to a HTML file.
 | Print | This command allows you to direct the contents of the current window to the currently selected printer. Before printing, make sure you have set the right page size and printer orientation.
 | Cut | This command allows you to remove the current selection and also copies the selection to the clipboard. Its icon is not available if no data is currently selected. Cutting data replaces the contents of the clipboard previously stored there.
 | Copy | This command allows you to copy the current window or selection to the clipboard. Its icon is not available if no data is currently selected. Copying data to the clipboard replaces the contents previously stored there.
 | Paste | This command allows you to insert a copy of the clipboard contents at the insertion point or into the current window. Its icon is not available if the clipboard is empty.
 | Find | This command allows you to display the Find dialog box, which you use to search for specified text. Search options include specifying the columns to search, the direction to search (from the cursor's current position), and the search criteria.
 | Insert | This command allows you to insert a row into the Data Input spreadsheet. Its icon is available for most Shared Setup and Contract Setup spreadsheets under Data Input.
 | Delete | This command allows you to delete or clears the current row or selected rows. Its icon is available for most Shared Setup and Contract Setup spreadsheets under Data Input.
 | Indent | This command allows you to indent or align the WBS number column to the left on Data Input spreadsheets and reports according to element level.
 | Font | This command allows you to display the standard Windows dialog box for selecting font type and size for the active window, selection, or report.
 | Refresh | This command allows you to update the Data Input spreadsheet with information from the database. The most common times to refresh are when you adjust the Rowset Row Limit parameter (defining the number of rows to show) or when you modify element structures manually.
 | Help Topics | This command allows you to display the wInsight Administrator online Help system.

Location

To display the Standard toolbar, click Options » Toolbars » Standard.


wInsight Administrator Dataset Toolbar

Use the wInsight Administrator Dataset toolbar to switch contracts, periods of data, structures, and units without changing the arrangement or settings of active windows. When you toggle these settings, wInsight retains Data Input spreadsheets, Cost Performance Reports (CPR), Cost/Schedule Status Reports (C/SSR), Contract Funds Status Reports (CFSR), or NASA 533M reports and automatically updates them to the new data set.

You can drag the toolbar with the mouse and let the toolbar float freely as a window, or dock it at any edge of the Main window.

Icon/Field

Name

Description

Contract Drop List

This field indicates the contract for the active data set and provides a drop-down list of contracts from which you may select.

Period Drop List

This field indicates the period of data for the active data set and provides a drop-down list of periods from which you may select for the selected contract.

Structure Toggle

This field indicates the structure for the active data set. It also allows you to toggle among the following contract structures:

  • Work breakdown structure (WBS)

  • Organization breakdown strucuture (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Unit Toggle

This field indicates the units for the active data set. It also allows you to toggle among the following units:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Location

To display the Dataset toolbar, click Options » Toolbars » Dataset.


wInsight Administrator Rowset Toolbar

Use the wInsight Administrator Rowset toolbar to restrict the number of rows/elements displayed in Data Input spreadsheets at one time and to view the remaining rows.

Icon | Name | Description
 | Last | This button displays the last group of rows.
 | Next | This button displays the next group of rows.
 | Previous | This button displays the previous group of rows.
 | First | This button displays the first group of rows.
 | Max Rows Input | This field allows you to specify the maximum number of rows to return at one time. Enter zero (0) to return all rows. Alternatively, you can set the maximum number of rows using the Row Limit dialog box.

Location

To display the Rowset toolbar, click Options » Toolbars » Rowset.

Related Topics and Procedures

Toolbars Overview

Getting Started Overview

wInsight Administrator Rowset Menu

Restrict the Number of Rows Displayed


Customize the Main Window Display

The wInsight Administrator Main window is primarily a workspace for managing and containing panes. The panes include the following:

  1. Navigation Pane

  2. Data Entry Pane

  3. Report Pane

To customize the Main window display, take any of the following actions:

  • Switch between panes

  • Resize panes

  • Resize the Main window

  • Change fonts

Related Topics

Main Window Keyboard Assignments

Window Menu


Switch Between Panes

At any given time, either the Navigation pane or Data Entry/Report pane is active (accepting keyboard input). You can switch between panes using the mouse or the keyboard.

To switch panes, complete the following steps:

  1. Start wInsight Administrator.

  2. Click the pane that you want to use. Alternatively, you can press F6 to move to the other pane.

Related Topic

wInsight Administrator Main Window


Resize Panes

To adjust the size of the panes on the Main window, move the vertical bar separating the panes.

To resize a pane with the mouse, complete the following steps:

  1. Start wInsight Administrator.

  2. Position the cursor over the vertical bar separating the two panes. The cursor changes to a double-sided arrow when the mouse is correctly positioned.

  3. Click and drag the bar to the new position.

To resize a pane with the keyboard, complete the following steps:

  1. Start wInsight Administrator.

  2. On your keyboard, press ALT+W,R or CTRL+F6. The vertical bar separating the active pane from its neighbor is highlighted.

  3. Use the ARROW keys to move the bar to the new position.

  4. Press ENTER.

Related Topic

wInsight Administrator Main Window


Resize the Main Window

You can manually resize the Main window using standard MS Windows commands.

To expand a window to full size, complete the following steps:

  1. Start wInsight Administrator.

  2. Select any window.

  3. Click [image] Maximize to have the window take up the entire wInsight Administrator workspace.

To return the window to its original size, complete the following steps:

  1. Start wInsight Administrator.

  2. Select the expanded window.

  3. Click [image] Restore Down to return the window to its original size.

To turn the Main Window into an icon, complete the following steps:

  1. Start wInsight Administrator.

  2. Select a window.

  3. Click [image] Minimize. The window becomes a miniature title bar positioned at the bottom of the workspace.

Related Topic

wInsight Administrator Main Window


Change Fonts

You can set the font used on the active window. The font settings you specify apply to the entire window and remain in effect until you change them. You can set the font independently for each window and for all reports.

To change the font assignment, complete the following steps:

  1. Start wInsight Administrator.

  2. Select a window or report to be assigned a new font.

  3. On the Menu bar, click Options » Font on the Menu bar. Alternatively, on the Standard toolbar, click [image] Font. The Font dialog box displays.

  4. Select the font characteristics.

  5. When you are done, either click OK to accept your selections and apply the font, or Cancel to dismiss the dialog box without applying your changes.

Related Topics

wInsight Administrator Main Window

Toolbars Overview


Main Window Keyboard Assignments

This section presents the following table that lists available keyboard assignments in the Main window:

Keystrokes | Actions
SHIFT+F1 | Pressing this keyboard combination displays the Context Help.
F6 | Pressing this key allows you to activate the next available pane.
CTRL+F6 | Pressing the keyboard combination allows you to resizes the current pane.


Font Dialog Box

Use the Font dialog box to select the font, font style, font size, and script for use on the current window or report. This dialog box contains the following fields and buttons:

Font

From the Font list, select a typeface.

Font Style

From the Font Style list, select any of the following font styles:

  • Regular

  • Italic

  • Bold

  • Bold Italic

Font Size

From the Font Size list, select a font size in points.

Sample

This non-editable text box displays an example of how your selected font appears.

Script

From the Script drop-down list, select a language script for the specified font.

Effects

Select Strikeout or Underlined effects (if available).

Color

From the Color drop-down list, select the color of the font. This option is not always available. Color settings are not saved across sessions..

Location

To display the Font dialog box, click Options » Font.


Menu Structure Overview

The Menu bar, which is located at the top of the Main window, provides access to all wInsight Administrator functions and commands via the following menus:

  • File Menu

  • Edit Menu

  • Utilities Menu

  • Options Menu

  • Rowset Menu

  • Window Menu

  • Help Menu

Related Topic

Shortcut Menus


wInsight Administrator File Menu

The File menu contains commands for saving data and reports, selecting wInsight databases, implementing security, printing reports, and closing the application.

Menu Options

Icon

Keys

Description

Save

CTRL+S or ALT+F,S

This command allows you to save any current changes made in an active window or spreadsheet to the contract’s database. Its icon is not available if no data has been modified since the last save.

You can also click this button to save a report to an HTML file.

Select Database

ALT+F,D

This command allows you to select the contract database that wInsight Administrator uses.

Selecting this command displays the Select Data Source dialog box. Select an existing data source (or click Add, and then define a new data source), and click OK. The contracts stored in the selected data source then become accessible for editing and reporting.

Set Password

ALT+F,A

This command allows you to modify the password of an active user, and to enable or disable security. Selecting this command displays the Set Password dialog box.

User Maintenance

ALT+F,U

This command allows you to add, delete, and edit users and user permissions, as well as to clear a user’s password.

Only the Admin user can add, delete, or edit users. Any user, however, can assign permissions to contracts for which he or she has write access. Selecting this command displays the User Maintenance dialog box.

Reporting Options

ALT+F,R

This command allows you to enter a maximum number of minutes that each report can take to generate before the generation process terminates.

Selecting this command displays the Reporting Options dialog box. By default, the time limit is set to zero (0).

Login as Another User

ALT+F,L

This command allows you to log in while wInsight Administrator is running.

Print

CTRL+P or ALT+F,P

Clicking this button allows you to display printing options, and print all or part of an active report to the currently selected printer.

Before printing, make sure you have the right page size and printer orientation set. If the output has more than one page, a dialog box prompts for page numbers to be printed.

After you select the print option, and specify the pages to be printed (if necessary), the Cancel Printing dialog box displays so that you have a chance to cancel the task in the middle of the printing operation.

Exit

ALT+F4 or ALT+F,X

This command allows you to close wInsight Administrator.

Related Topics and Procedures

Select a wInsight Database

Enabling and Disabling Security Overview

Managing User Access Overview

Set a Time Limit to Generate Reports

Log In as Another User

Print a Report


wInsight Administrator Edit Menu

The Edit menu contains commands for transferring data between applications, editing text, and inserting and deleting spreadsheet rows.

Menu Options | Icon | Keys | Description
Copy |  | CTRL+C or CTRL+INS or ALT+E,C | This command allows you to copy the current window or selection to the clipboard. It is not available if no data is currently selected. Copying data to the clipboard replaces the contents previously stored there.
Paste |  | CTRL+V or SHIFT+INS or ALT+E,P | This command allows you to insert a copy of the clipboard contents at the insertion point or into the current window. It is not available if the clipboard is empty.
Find |  | CTRL+F or ALT+E,F | This command allows you to display the Find dialog box, which you use to search for text that you specify. Search options include specifying the columns to search, the direction to search (from the cursor's current position), and the search criteria.
Replace |  | CTRL+H or ALT+E,R | This command allows you to display the Replace dialog box, which you use to search for and replace specified text. Search options include specifying the columns to search, the direction to search (from the cursor's current position), and the search criteria.
Select All |  | CTRL+A or ALT+E,A | This command allows you to select the entire contents of the active window, normally in preparation for formatting or copying. Click anywhere within the window to deselect everything.
Insert |  | INSERT or ALT+E,I | This command allows you to insert a row into a Data Input spreadsheet. Its icon is available for most Shared Setup and Contract Setup spreadsheets under Data Input.
Delete |  | DELETE or ALT+E,D | This command allows you to delete or clear the current row or selected rows. Its icon is available for most Shared Setup and Contract Setup spreadsheets under Data Input.


wInsight Administrator Options Menu

Use the Options menu commands to modify the display of the active window. In general, the commands available on the Options menu are different for each type of window.

Menu Options | Icon | Keys | Description
Toolbar |  | ALT+O,B | This option contains more options for displaying various wInsight Administrator toolbars. A check mark next to the item indicates that the toolbar is displayed.
Standard |  | ALT+O,B,S | This option displays or hides the Standard toolbar, which provides quick access to a number of editing and spreadsheet controls.
Dataset |  | ALT+O,B,D | This option displays or hides the Dataset toolbar, which allows the active data set to be changed.
Rowset |  | ALT+O,B,R | This option displays or hides the Rowset toolbar, which provides features for restricting the number of rows displayed in Data Input spreadsheets at one time and for stepping through (viewing) all the rows.
Status Bar |  | ALT+O,S | This option displays or hides the Status bar, which displays information for the active spreadsheet/report, structure, units, and rows. A check mark next to the item indicates that the Status bar is displayed.
Font |  | ALT+O,O | This option displays the Font dialog box, which you use to select the font type and size for the active window, selection, or report.
Format |  | ALT+O,F | This option displays the Format dialog box, which you use to set report formatting and display options.
Indent |  | ALT+O,I | This option indents or aligns the WBS number column to the left on Data Input spreadsheets and reports according to element level.
Refresh |  | ALT+O,E | This option updates the Data Input spreadsheet with information from the database. The most common times to refresh are when you adjust the Rowset Row Limit parameter defining the number of rows to show or when you make manual modifications to element structures.
Freeze/ Unfreeze panes |  | ALT+O,Z | This option locks or unlocks cells above and to the left of the cursor.
Rollup Options |  | ALT+O,R | This option displays the Rollup Options dialog box, which you use to define and select report roll up options.
Show Rollup |  | ALT+O,H | This option rolls up the active report as last specified in the Rollup Options dialog box, or removes the rollup settings to display all elements.

Related Topics and Procedures

wInsight Administrator Standard Toolbar

wInsight Administrator Dataset Toolbar

wInsight Administrator Rowset Toolbar

Font Dialog Box

Format Dialog Box

Rollup Options Dialog Box


wInsight Administrator Rowset Menu

Use the Rowset menu to set the number of rows displayed at one time in Data Input spreadsheets. This action creates "groups" of rows; for example, the first group of 10 rows (rows 1 through 10), then the next group of 10 rows (rows 11-20), and so on.

Restricting the number of rows displayed in Data Input spreadsheets may be helpful if system response time is unacceptable because the contract structures are large.

After you define the number of rows to display in Data Input spreadsheets, you must select a new Data Input spreadsheet before the row limit setting is activated.

Menu Options | Icon | Keys | Description
Bottom |  | ALT+S,B | This button displays the last group of rows.
Next |  | ALT+S,N | This button displays the next group of rows.
Previous |  | ALT+S,P | This button displays the previous group of rows.
Top |  | ALT+S,T | This button displays the first group of rows.
Row Limit |  | ALT+S,R | This option allows you to display the Row Limit dialog box.

Related Topics and Procedures

Restrict the Number of Rows Displayed

wInsight Administrator Rowset Menu

wInsight Standard Toolbar


wInsight Administrator Window Menu

The Window menu contains commands for activating and resizing open windows.

Menu Options

Keys

Description

Next Pane

F6 or ALT+W,N

This command activates the next available pane. You can also click the pane with the mouse.

Resize Panes

CTRL+F6 or ALT,W,R

This command allows you to resize the window panes. You can click and drag the splitter bar with the mouse.

Alternatively, use the keys to highlight the splitter bar, then use the arrow keys to position the bar and press ENTER.


wInsight Administrator Help Menu

The Help menu contains commands for displaying online Help and information about wInsight Administrator.

Menu Options | Icon | Keys | Description
Help Topics |  | ALT+H,H | This command displays the wInsight Administrator online Help.
Help |  |  | This command displays context-sensitive help.
About wInsight Administrator |  | ALT+H,A | This command displays the copyright, version, and user registration information for this copy of wInsight Administrator.


Navigation Pane

The Navigation pane displays on the left side of the Main window. You use this pane to perform one of the following actions:

  • Display spreadsheets for a data entry

  • Display reports

  • Switch between data sets

The root (top) of the selection hierarchy tree contained in the Navigation pane shows the name of the active data source. Available options are listed in the Selection tree, a hierarchical display. Each option on the selection hierarchy tree is called a data item.

The Navigation pane operates similarly to Windows Explorer in terms of how you select a data item or display subordinate data items. You can size the Navigation pane horizontally, or hide it entirely to make more room available for displaying data or reports.

Related Topics and Procedures

Operate the Navigation Pane

Navigation Pane Keyboard Assignments

Dataset Toolbar


Operate the Navigation pane

This section presents several sets of procedures to display spreadsheets for data entry, display reports, or switch between data sets.

To expand all branches, complete the following steps:

  1. At the top of the selection hierarchy tree, highlight a data source name.

  2. On the numeric keypad, press the asterisk (*) key.

To expand a single branch, complete the following steps:

  1. Highlight the branch to be expanded.

An expandable branch is indicated by a + symbol.

  2. Select one of the following actions:

  3. Press the PLUS (+) key on the numeric keypad.

  4. Press the RIGHT ARROW key.

  5. On the Navigation pane, click the + symbol.

To collapse a single branch, complete the following steps:

  1. Highlight the branch to be collapsed.

A collapsible branch is indicated by a - symbol.

  2. Select one of the following actions:

  3. Press the MINUS (-) key on the numeric keypad.

  4. Press the LEFT ARROW key.

  5. On the Navigation pane, click the - symbol.

To display a Data Input spreadsheet, complete the following steps:

  1. On the Navigation pane, expand the Data Input branch.

  2. Double-click one of the lowest-level data items (a data item with no children data items), such as Data Input, Shared Setup, or Contractors. The data entry spreadsheet for the selected data item displays in the right pane of the Main window.

To display a report, complete the following steps:

  1. On the Navigation pane, expand the Reports branch.

  2. Double-click one of the lowest-level report data items (a data item with no children data items), such as CPR Format. The report displays in the right pane of the Main window.

To change the active data set, complete the following steps:

  1. On the Navigation pane, display a Data Input spreadsheet or report so that you can see the results of changing the active data set.

  2. Expand the Dataset branch and double-click one of the lowest-level data items (a data item with no children data items). If the active contract has an organizational breakdown structure, the report updates to display the OBS structure.

Related Topics and Procedures

Navigation Pane Keyboard Assignments

Dataset Toolbar


Navigation Pane Keyboard Assignments

This section present the following table that lists keyboard assignments available on the Navigation pane:

Keystrokes | Actions
LEFT ARROW | Pressing this button collapses children data items, or moves to parent data item
RIGHT ARROW | Pressing this button expands children data items, or moves to first children data item
UP ARROW | Pressing this button moves to previous visible data item
DOWN ARROW | Pressing this button moves to next visible data item
HOME | Pressing this button moves to the top of the selection hierarchy tree, highlighting the data source name
END | Pressing this button moves to last visible data item
KEYPAD * | Pressing this button expands all branches below the highlighted data item
KEYPAD + | Pressing this button expands all children data items
KEYPAD - | Pressing this button collapses all children data items

Related Topics and Procedures

Operate the Navigation Pane

Dataset Toolbar


Display Shortcut Menus

wInsight Administrator offers context-sensitive shortcut menus that display frequently used commands. You may find these menus quicker and more convenient than the Menu bar or Standard toolbar.

To display a shortcut menu, complete the following steps:

  1. Position the cursor over a window.

  2. Right-click anywhere to display a shortcut menu.

  3. Select a command from the menu.


Tree Manager File Menu

This section presents the following table that contains available options in the File menu of the Tree Manager dialog box:

Menu Options | Keys | Description
Select Database | ALT+F,D | This command allows you to select the contract database that Tree Manager uses. Selecting this command displays the Select Data Source dialog box, which allows you to select an existing data source. Alternatively, you can click Add, and define a new data source. Then, click OK. The contracts stored in the selected data source are then accessible for editing and reporting.
Save Changes | CTRL+S or ALT+F,S | This command allows you to save changes made to the active structure.
Exit | ALT+F4 or ALT+F,X | This command closes the Tree Manager dialog box.

Related Procedure

Select a wInsight Database


Tree Manager Options Menu

This section presents the following table containing available options in the Options menu of the Tree Manager dialog box.

Menu Options | Keys | Description
Show Descriptions | ALT+O,S | This command works as a toggle that displays the element descriptions to the right of the WBS number in the active structure(s). A check mark next to the command indicates that the description is displayed.
Show Two Trees | ALT+O,H | This command works as a toggle that displays a copy of the active structure on the right side of the Tree Manager dialog box. A check mark next to the command indicates that a second structure is displayed.


Tree Manager Help Menu

This section presents the following table containing the available option in the Help menu of the Tree Manager dialog box:

Menu Options | Keys | Description
About TreeMgr | ALT+H,A | This command displays version and copyright information for Tree Manager.


Tree Manager Dialog Box

Use the Tree Manager dialog box to switch contracts and contract structures.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

Contract

This drop-down list indicates the active contract and provides a list of contracts from which you may select.

Structure

This drop-down list indicates the active structure and provides a list of structures from which you may select.

Location

To display Tree Manager dialog box, click Utilities » Launch TreeMgr.

Related Topics and Procedures

Tree Manager File Menu

Tree Manager Options Menu

Tree Manager Help Menu


WBS Mapper File Menu

This section presents the following table that contains available options in the File menu of the WBS Mapper dialog box:

Menu Options | Keys | Description
Select Database | ALT+F,D | This command allows you to select the contract database that WBS Mapper uses. Selecting this command displays the Select Data Source dialog box. Select an existing data source. Alternatively, you can click Add, and define a new data source. Then, click OK. The contracts stored in the selected data source are then accessible for editing and reporting.
Save Changes | CTRL+S or ALT+F,S | This command allows you to save changes made to the links between elements in the active contract and target structures.
Validate/Repair | ALT+F,V | This command allows you to manage element links. It finds problems that may exist in the linkages. Click Repair to delete any invalid links. Click Save to save the listed errors to a text file.
Exit | ALT+F4 or ALT+F,X | This command closes the WBS Mapper dialog box.

Related Procedure

Select a wInsight Database


WBS Mapper Options Menu

This section presents the following table that contains available options in the Options menu of the WBS Mapper dialog box:

Menu Options

Keys

Description

Show Descriptions

ALT+O,D

This option allows you to display the element descriptions to the right of the WBS number in the active structures.

A check mark next to the command indicates that the description is displayed.

Show Lowest Only (WBS)

ALT+O,S

This option allows you to hide summary elements, and displays only lowest-level elements in the left window (WBS for Contract).

A check mark next to the command indicates that only lowest-level elements are displayed. Removing the check mark redisplays all elements in the left window.

Show Unmapped Only (WBS)

ALT+O,H

This option allows you to hide mapped elements, and display only unmapped elements in the left window (WBS for Contract).

A check mark next to the command indicates that only unmapped elements are displayed. Removing the check mark redisplays all elements in the left window.

Show Mapped Only (WBS)

ALT+O,O

This option allows you to hide unmapped elements, and display only mapped elements in the left window (WBS for Contract).

A check mark next to the command indicates that only mapped elements are displayed. Removing the check mark redisplays all elements in the left window.

Show Lowest Only (Target)

ALT+O,W

This option allows you to hide summary elements, and display only lowest level elements in the right window (Target Structure).

A check mark next to the command indicates that only lowest level elements are displayed. Removing the check mark redisplays all elements in the right window.

Show Unmapped Only (Target)

ALT+O,U

A toggle that hides mapped elements, and displays only unmapped elements in the right window (Target Structure). A check mark next to the command indicates that only unmapped elements are displayed. Removing the check mark redisplays all elements in the right window.

Show Mapped Only (Target)

ALT+O,M

This option allows you to hide unmapped elements, and display only mapped elements in the right window (Target Structure).

A check mark next to the command indicates that only mapped elements are displayed. Removing the check mark redisplays all elements in the right window.

Show Linked WBS for Selected Target

ALT+O,L

This option allows you to display only elements in the left window (WBS for Contract) that are linked to the currently selected element in the right window (Target Structure).

A check mark next to the command indicates that only linked elements are displayed. Removing the check mark redisplays all elements in the left window.

Filter WBS

ALT+O,F

This option allows you to display the Filter Elements dialog box.


WBS Mapper Help Menu

This section presents the following table that contains the available option in the Help menu of the WBS Mapper dialog box:

Menu Options | Keys | Description
About WbsMap | ALT+H,A | This command displays version and copyright information for WBS Mapper.


WbsMap Dialog Box

WBS Mapper Dialog Box

Use the WBS Mapper dialog box to map existing WBS contracts to a target structure.

Work Breakdown Structure for Contract

This drop-down list indicates the active contract, and provides a list of contracts from which you may select.

Target Structure

This drop-down list, which indicates the active structure, and provides a list of structures from which you may select.

Location

To display the WBS Mapper dialog box, click Utilities » Launch WbsMap.

Related Topics and Procedures

WBS Mapper File Menu

WBS Mapper Options Menu

WBS Mapper Help Menu


Filter Elements Dialog Box

Use the Filter Elements dialog box to restrict the elements listed so that you view only those elements that you need.

This dialog box contains the following fields:

Field

Select LinkVal, SortVal, or WbsNum.

These are text fields, not numeric fields because they can store WBS numbers, such as A.B.C.

Test

Select either like or unlike.

Value

Enter a text value. Enclose this value in single quotation marks. Use '_' to match any single character, or '%' to match one or more characters.

A check mark next to the command indicates that a filter is in effect.

Location

To display the Filter Elements dialog box, complete the following steps:

  1. On the Menu bar, click Utilities » Launch WbsMap. The WBS Mapper dialog box displays.

  2. On the Options menu, select Filter WBS.....

Alternatively, you can view this dialog box by pressing ALT+O,F on your keyboard once the WBS Mapper dialog box displays.

Related Topics and Procedures

WBS Mapper Options Menu

Sort Windows Overview


Maintaining Databases Overview

wInsight Administrator provides a number of facilities necessary to maintain your contract database.

Related Topics and Procedures

Select a wInsight Database

Create a New (Blank) Database

Create a wInsight Data Source

Repair and Compact a Database


Select a wInsight Administrator Database

Before accessing or viewing data in wInsight Administrator, you must point to the correct database. You can maintain multiple databases and switch between them while wInsight Administrator is running.

You can think of a database and a data source as the same thing.

To select a database, complete the following steps:

  1. Start wInsight Administrator.

  2. On the Menu bar, click File » Select Database to display the Select Data Source dialog box.

  3. Select a data source from the list.

  4. Click OK to select the highlighted data source, or Cancel to close the dialog box without selecting a data source.

You can now open and view a Data Input spreadsheet or a report. After the spreadsheet or report is open, use the Dataset toolbar to change the active data set (change the contract, period, structure, or units).

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

Related Topics and Procedures

Create a wInsight Data Source

wInsight Administrator Dataset Toolbar


Create a New (Blank) Database

This section contains procedures on how to set up several types of databases.

Setting up a Database

To set up a new database, complete the following steps:

  1. Create one of the following types of databases:

  2. MS Access

  3. Oracle

  4. SQL Server

  2. Build a data source connection to that database.

Then, you can use wInsight Administrator to manually add contracts to the new database or to add contracts to the new database by importing transfer files.

Creating an MS Database

The BLANK65.MDB file is a wInsight 6.5 MS Access database that contains no contracts. Use BLANK65.MDB when you want to start a new group of contracts, without first having to delete existing ones.

To create an MS Access database, complete the following steps:

  1. Open Windows Explorer and search for BLANK65.MDB, which default location is C:\Program Files\Deltek\wInsight 6.5\data\Access.

  2. Copy the file to a desired location.

  3. In Windows Explorer, rename the copy of BLANK65.MDB.

Creating an MS SQL Server Database

To create a Microsoft SQL Server database, complete the following steps:

  1. Start Query Analyzer, and log on to the desired server.

  2. Open and run the scripts, which default location is C:\Program Files\Deltek\wInsight 6.5\data\MSSQL, in the following order:

  • WS65.SQL

  • CAL.SQL

  • COLS.SQL

  • MAINT.SQL

  • RECALC_PROCS.SQL

WS65.SQL creates a database named winst and a user named winst with a password winstpwd. If the selected server already contains these objects, they are deleted and recreated.

You can edit WS65.SQL if needed to suit local security policies. However, restricting user rights to the wInsight database may result in loss of functionality.

Creating an Oracle Database

The scripts mentioned in this procedure only create the wInsight schema. Your database administrator (DBA) should have already created the necessary database and tablespaces.

To create an Oracle database, complete the following steps:

  1. Start SQL Plus, and log on to the server you want to use.

  2. Execute the following command:

@C:\Program Files\Deltek\wInsight 6.5\data\Oracle\build_winst.sql

The default location of the script is C:\Program Files\Deltek\wInsight 6.5\data\Oracle.

  3. Respond to the script prompts as required.

All database scripts must be present, except for the Update scripts, because BUILD_WINST.SQL calls the other scripts during the creation process.

WS65.SQL creates a database named winst and a user named winst with a password winstpwd. If the selected server already contains these objects, they are deleted and recreated. Default tablespace are used for user and temporary data.

You can edit WS65.SQL if needed to suit local security policies. However, restricting user rights to the wInsight database may result in loss of functionality.

After You Create the Database

You can use wInsight Administrator to add contracts to the new database manually, or by importing transfer files.

Related Topics and Procedures

Create a wInsight Data Source


Create a wInsight Data Source

A data source is actually a named connection to a database. Before you can build a connection to a database, you must first have a database to which you connect.

You can think of a data source as a "nickname" (not the actual file name, such as SAMPLE.MDB, which is a wInsight Microsoft Access database) for a database, plus information about the location and database type.

wInsight Administrator supports the following types of databases:

  • MS Access

  • Oracle

  • SQL Server

Data source definition information is stored in WSDATA.INI, which must be in the same directory as WSDSRC.DLL.

wInsight Administrator uses a single database to store both cost and schedule data. wInsight Administrator provides a sample contract called MOH-2 and stores it in SAMPLE.MDB, an MS Access database. The data source for this database is WE:Sample.

To create a wInsight data source, complete the following steps:

  1. Start wInsight Administrator.

  2. On the Menu bar, click File » Select Database.... The Select Data Source dialog box displays.

  3. Click Add. The New Data Source dialog box displays.

  4. Enter a name for the new data source, and click OK. The Data Link Properties dialog box displays. The Provider tab displays by default.

  5. On the Provider tab, select the appropriate database provider for your database:

  6. MS Access — Microsoft Jet 4.0 OLE DB

  7. Oracle — Microsoft OLE DB Provider for Oracle

  8. MS SQL Server — Microsoft OLE DB Provider for SQL Server

  6. Click Next to display the Connection tab. The contents of this tab are different for each database provider.

  7. Select a database:

  8. MS Access — Use the ellipses (...) button to browse and select a wInsight 6.x .MDB file.

  9. Oracle — Obtain the server name and database name from your IT representative.

  10. SQL Server — Obtain the server name and database name from your IT representative.

  8. Enter a user name and password:

  9. MS Access — Enter Admin in the User Name field, leave the Password field blank, and select Blank Password option.

  10. Oracle — Obtain the user name and password from your IT representative. If there is a password, do not select the Blank Password option.

  11. SQL Server — Obtain the user name and password from your IT representative. If there is a password, do not select the Blank Password option.

Deltek recommends that you use the default wInsight user account for these databases – User name is winst and Password is winstpwd.

Allow Saving Password

  • If this option is selected, the Password will be encrypted and saved on a disk.

  • If this option is selected, you will not be prompted for the user name and password.

  • If this option is not selected, you will be prompted for the user name and password.

  • In either case, you will still have to get through application-level security, if it has been enabled.

Testing the Connection

  • Deltek recommends that you click Test Connection to verify that the data source information is correct.

  • When you are finished, click OK to close the Data Link Properties dialog box, and return to the Select Data Source dialog box. The new data source should be selected.

  • Click OK to close the Select Data Source dialog box.

Related Topics and Procedures

Create a New (Blank) Database


Repair and Compact a Database

If a database behaves unpredictably, possibly after a power loss, system crash, or unexpected shutdown, your system administrator may need to repair it. Compacting or packing a database de-fragments the database file, recovers disk space previously used by deleted records, and may improve performance.

wInsight Administrator does not provide the repair functions. You must utilize the repair and compact functions provided by the database application itself (MS Access, MS SQL Server, or Oracle). Your database administrator should perform any needed database maintenance.

Recommendations

  • Your system administrator should compact your database after deleting a user-defined field.

  • Because efforts to fix a database are not always successful, you must periodically back up your contracts to minimize the possibility of data loss.


Display and Activate a Spreadsheet

The Data Entry pane must be the active window before you can enter data into a spreadsheet. Certain data entry commands, such as Copy and Paste, only become available once a spreadsheet is active.

To display a Data Input spreadsheet and make the Data Entry pane the active window, complete the following steps:

  1. Expand the selection hierarchy tree on the Navigation pane until the name of the Data Input spreadsheet you want is visible.

  2. Double-click the spreadsheet name on the selection hierarchy tree. The spreadsheet displays in the Data Entry pane on the right side of the Main window.

  3. Activate the spreadsheet by clicking it ,or pressing F6 until the spreadsheet loads. You can then enter data into the spreadsheet.

Related Procedure

Operate the Navigation Pane


Lock Rows and Columns

You can freeze (lock) rows and columns in place to keep them visible while scrolling. For example, you may want to lock the leftmost column or two, WBS number and element description columns (without locking any rows), when entering earned value data.

To lock the leftmost columns only, complete the following steps:

  1. Display and activate a Data Input spreadsheet.

  2. Scroll the spreadsheet to the top and left, if necessary.

  3. Place the cursor in the top row, immediately to the right of the columns you want to remain fixed.

  4. On the Menu bar, click Options » Freeze Panes. The border of the frozen area is indicated by a single vertical line on the right.

To freeze rows and columns, complete the following steps:

  1. Display and activate a Data Input spreadsheet.

  2. Position the cursor in the first cell that should be allowed to scroll. Columns to the left of the cursor and rows above it will be fixed.

  3. On the Menu bar, click Options » Freeze Panes. The borders of the frozen area are indicated by black lines.

To unfreeze rows and columns, complete the following steps:

On the Menu bar, click Options » Unfreeze Panes to unlock the locked area.

Related Topic

wInsight Administrator Rowset menu


Limit the Number of Rows Displayed

As the amount of data opened in wInsight Administrator at one time increases, system performance may decrease. One way to prevent this is by restricting the number of rows (or elements) displayed in the Data Input spreadsheets at one time. Then you can step through the data, one group of rows at a time.

To use menus to restrict the number of rows displayed in the spreadsheets, complete the following steps:

  1. Display and activate a Data Input spreadsheet.

  2. On the Menu bar, click Rowset » Row Limit to display the Row Limit dialog box.

  3. In the Rows field, enter the number of rows to display at one time, and click OK.

  4. On the Menu bar, click Options » Refresh. The specified number of rows display in the spreadsheet.

  5. Use the options on the Rowset menu to view the remaining rows in the spreadsheet.

To use toolbars to restrict the number of rows displayed in the spreadsheets, complete the following steps:

  1. Display and activate a Data Input spreadsheet.

  2. On the Menu bar, click Option » Toolbars » Rowset to display the Rowset toolbar.

  3. In the Max Rows field on the toolbar, enter the number of rows to display at one time.

  4. On the Standard toolbar, click [image] Refresh. The updated number of rows displays in the spreadsheet.

  5. Use the options on the Rowset toolbar to view the remaining rows in the spreadsheet.

To display all the rows in Data Input spreadsheet, complete the following steps:

  1. Follow one of the procedures for restricting the number of rows, but this time enter 0 (zero) as the number of rows to display.

  2. On the Standard toolbar, click [image] Refresh. All available rows display in the spreadsheet. Alternatively, on the Menu bar, you can click Options » Refresh.

Related Topics and Procedures

Display and Activate a Data Input Spreadsheet

wInsight Administrator Rowset menu

wInsight Administrator Standard Toolbar


Data Entry Pane

The Data Entry pane provides a spreadsheet-like grid that displays on the right side of the Main window when you select a Data Input data item.

The Data Input spreadsheets operate similarly to Microsoft Excel spreadsheets. Each row in the grid represents a distinct data item, such as a WBS contract element, and contains one or more columns in which you enter information for the item. Some spreadsheet cells display non-editable data. However, most of the spreadsheet cells are for data entry. You specify the data either by entering text directly or by selecting settings from drop-down lists.

  • The type of information displayed is determined by current data item selection, and is identified in the leftmost portion of the Status bar.

  • The active data set is partially identified in the middle portion of the Status bar ( structure and units).

    Units

    Units can be any of the following types:

    • Dollars

    • Hours

    • Equivalent persons (EQP)

    • Other user-defined units

    Click [image] to toggle the units.

    Structures

    Structures can be any of the following types:

    • Work breakdown structure (WBS)

    • Organization breakdown structure (OBS)

    • Integrated product team (IPT)

    • Other user-defined structures

    Click [image] to toggle the structure.

  • The complete description of the active data set is identified in the Dataset toolbar (contract, date, structure, and units), and is used to change the active data set.

Freezing Panes

If the horizontal or vertical extents of the grid are greater than the available viewing area, scroll bars display in the Data Entry pane. If you scroll the grid to the left, the Description column may move out of view; click Options » Freeze Panes to prevent columns from scrolling out of sight.

Related Topics and Procedures

Display and Activate a Spreadsheet

Lock Rows and Columns

Restrict the Number of Rows Displayed

Data Entry Pane Keyboard Assignments

Entering and Deleting Data Overview

wInsight Administrator Dataset Toolbar


Data Entry Pane Keyboard Assignments

This section presents the following table describing keyboard assignments available on the Data Entry pane:

Keystrokes | Actions
UP ARROW | Moves the cursor up to the previous row
DOWN ARROW | Moves the cursor down to the next row
LEFT ARROW | Moves the cursor left to the previous column
RIGHT ARROW | Moves the cursor right to the next column
ENTER | Moves the cursor down to the next row. The cursor must first be in a cell that can be edited.
TAB | Moves the cursor right to the next column. The cursor must first be in a cell that can be edited.
HOME | Moves the cursor to the far left
END | Moves the cursor to the far right
CTRL+HOME | Moves the cursor to the top
CTRL+END | Moves the cursor to the bottom
SHIFT+UP ARROW | Selects or deselects a row and moves the cursor up one row
SHIFT+DOWN ARROW | Selects or deselects a row and moves the cursor down one row
SHIFT+LEFT ARROW | Selects or deselects a column and moves the cursor left one column
SHIFT+RIGHT ARROW | Selects or deselects a column and moves the cursor right one column
CTRL+A | Selects all rows (Alternatively, you can click Edit » Select All.)
CTRL+C | Copies a row (Alternatively, you can click Edit » Copy.)
CRTL+P | Prints a spreadsheet (Alternatively, you can click File » Print.)
CTRL+F | Displays the Find dialog box (Alternatively, you can click Edit » Find.)
CTRL+V | Pastes a copied row (Alternatively, you can click Edit » Paste.)
CTRL+H | Displays the Replace dialog box (Alternatively, you can click Edit » Replace.)
CTRL+S | Saves all changes (Alternatively, you can click File » Save.)
CTRL+X | Copies and cuts a selected row (Alternatively, you can click Edit » Cut.)


Entering and Deleting Data Overview

Use the mouse to move around a Data Input spreadsheet, or use the keys identified in Data Entry Pane Keyboard Assignments.

With the cursor at the correct location, you can use the following procedures for working with data on the Data Input spreadsheets:

  • Enter data in a spreadsheet cell.

  • Edit existing data in a spreadsheet cell.

  • Delete data from a spreadsheet cell.

  • Select data from a spreadsheet cell's drop-down list.

  • Insert a new row in the spreadsheet and enter data in the corresponding dialog box. This method applies to most Shared Setup and Contract Setup spreadsheets. If entered data exceeds the width of a cell, click and drag the column separator on the right side of the column title to widen the column.

You can also review the field and option descriptions for the Replace dialog box.


Enter Data in a Spreadsheet Cell

Use this procedure to enter data in a spreadsheet.

To enter data in a cell, complete the following steps:

  1. Display a spreadsheet.

  2. Highlight an appropriate cell by clicking it. Alternatively, you can use the ARROW keys to move the cursor to the cell.

  3. Enter a value.

  4. When you are done, either press ENTER to accept your changes or ESC to cancel.

Related Topic

wInsight Administrator Rowset menu


Edit Existing Data in a Spreadsheet Cell

Use this procedure to modify existing data in a spreadsheet.

To edit existing data in a cell, complete the following steps:

  1. Display a spreadsheet.

  2. Highlight an appropriate cell by clicking it. Alternatively, you can use the ARROW keys to move the cursor to the cell.

  3. Edit the contents of the cell.

  4. When you are done, either press ENTER to accept your changes or ESC to cancel.

Related Topic

wInsight Administrator Rowset menu


Delete Data in a Spreadsheet Cell

Use this procedure to remove existing data from a spreadsheet cell.

You cannot delete the contents of a cell with a drop-down list.

To delete data in a cell, complete the following steps:

  1. Display a spreadsheet

  2. Highlight an appropriate cell by clicking it. Alternatively, you can use the ARROW keys to move the cursor to the cell.

  3. Delete the contents of the cell.

  4. When you are done, either press ENTER to accept your changes or ESC to cancel.

Related Topic

wInsight Administrator Rowset menu


Select Data from a Spreadsheet Cell's Drop-Down List

A number of Data Input spreadsheet cells provide a drop-down list from which to make a selection. You can identify these cells by the drop-down button that displays when you move the cursor into the cell:

To select a setting from a drop-down list, complete the following steps:

  1. Display a spreadsheet.

  2. Move your cursor to the cell.

  3. Click the cell to activate the drop-down list on the right side of the cell.

  4. Click the arrow to display the drop-down list:

  4. Click the appropriate option, or enter the single letter or number to the left of an option to select it. wInsight fills the cell with either an abbreviation for your selection, such as FPIF (shown in the example) or a sequential identification number representing your selection. The actual value, such as Fix Price Incentive Fee, does not display in the cell.

You cannot delete the contents of a cell with a drop-down list. These cells always default to one of the available values provided for the cell.

Related Topics and Procedures

Display and Activate a Data Input Spreadsheet

wInsight Administrator Rowset menu


Insert a New Row in a Spreadsheet

At times you need to insert a new row into a spreadsheet to add data, such as when you add a new contract. After you insert the row, you use a corresponding dialog box to enter data for the new row. You use this process for most Shared Setup and Contract Setup spreadsheets.

Not all spreadsheets allow you to insert new rows.

To insert a new row in a spreadsheet, complete the following steps:

  1. Display and activate a spreadsheet with a blank row at the bottom, such as the Contracts spreadsheet.

  2. Insert a row by double-clicking a cell in the blank row, or clicking [image] Insert... on the Standard toolbar. Alternatively, you can position the cursor in the blank row and start entering characters. An Insert dialog box appropriate for the active spreadsheet displays.

  3. Enter the appropriate information, and click OK. The new row containing the data displays on the spreadsheet.

  4. Enter the remaining information for the record, and save your work.

Related Topics

Insert Dialog Box

wInsight Administrator Rowset menu


Delete a Row from a Spreadsheet

To delete some types of data, you have to delete the row used to define that data (for example, when you are deleting a contract). You can delete a row from a spreadsheet only if it is one of the Data Input spreadsheets that allows you to insert rows.

Sometimes you cannot delete a row because its data is in use. For example, you cannot delete a calendar (by deleting the row defining the calendar) if that calendar is assigned to a contract. In that case, you must first assign a different calendar to the contract, then delete the calendar row.

To delete a row from a spreadsheet, complete the following steps:

  1. Display and activate the spreadsheet containing the row of data that you want to delete.

  2. Select the row by clicking anywhere in the row. You can also click the gray square on the far left of the row, which highlights the entire row.

  3. On the Standard toolbar, click [image] Delete. Alternatively, on your keyboard, press DELETE. wInsight Administrator prompts you to confirm the deletion.

  4. Click Yes to delete the row. wInsight Administrator deletes the entire row and all its data from the spreadsheet and the database.

Related Topic

wInsight Administrator Rowset menu


Find and Replace Data

wInsight Administrator provides both a find and a find and replace capability. Only find and replace is described since it also addresses the procedures for finding data.

  • You can invoke the Find command via a button on the Standard toolbar.

  • You can invoke both the Find and Replace commands from the Edit menu.

To find and replace data, complete the following steps:

  1. Display and activate the spreadsheet.

  2. Position the cursor in an appropriate place in the spreadsheet to start the search. For example, you would place the cursor at the top of the column where you are going to replace existing data. Since you can search the entire spreadsheet, the upper left or bottom right corners are also good choices.

  3. On the Menu bar, click Edit » Replace. The Replace dialog box displays.

  4. In the Find what field, enter the data you want to replace.

  5. In the Replace with field, enter the replacement data.

  6. Select Search all columns to search the entire spreadsheet. If you do not select this option, only the column where the cursor is positioned will be searched.

  7. This step is optional. Specify additional criteria to limit the search, such as the Match case option.

  8. Depending on where the cursor is positioned, select the appropriate search Direction (Up or Down).

  9. Use the Find Next and Replace buttons to find and replace each occurrence of the specified data. If you do not want to replace a given occurrence, click the Find Next button to move on to the next occurrence. Click the Replace All button to find and replace all occurrences of the specified data automatically.

  10. When you are done, click Cancel to dismiss the Replace dialog box.

  11. On the Standard toolbar, click [image] Save. Alternatively, on the Menu bar, click File » Save.

Related Topic

wInsight Administrator Rowset menu


Find Dialog Box

Use the Find dialog box to search for text that you specify. This dialog box contains the following fields:

Find what

Type the text you want to search for or paste it from the Clipboard.

Search all columns

Select this option to search all the columns in the spreadsheet. Otherwise, only the column where the cursor is located will be searched. Also, consider the Up/Down Direction settings.

Match whole world only

Select this option to search for occurrences that are whole words and not part of a larger word.

Match case

Select this option to distinguish lowercase and uppercase characters. When Match case is selected, the search finds only those instances in which the capitalization matches the text you type in the Find what field.

Direction Up

Select this option to search the spreadsheet from the cursor's position to the top of the spreadsheet. Also, consider the Search all columns option.

Direction Down

Select this option to search the spreadsheet from the cursor's position to the bottom of the spreadsheet. Also, consider the Search all columns option.

Location

To display the Find dialog box, complete the following steps:

  1. In the Navigation pane, expand Data Input.

  2. Double-click any spreadsheet. The selected spreadsheets displays.

  3. On the Menu bar, click Edit » Find. Alternatively, you can right-click anywhere on the spreadsheet, and select Find.

Related Topics and Procedures

wInsight Administrator Edit Menu

wInsight Administrator Standard Toolbar


Insert Dialog Box

Use the Insert dialog box to insert a new row to an active spreadsheet. The exact name of this dialog box varies, depending on the active spreadsheet. For examples, the Insert Structures dialog box displays for a Structures spreadsheet, and Insert Contractor displays for a Contractors spreadsheet.

Not all spreadsheets allow you to insert new rows.

Name

Enter a name of the row that you want to create. You can use a maximum of 30 alphanumeric and special characters.

Location

To display the Insert dialog box, complete the following steps:

  1. In the Navigation pane, click Data Input » <any branch in the Shared Setup or Contract Setup data item> » <any of the subordinate items>.

  2. Double-click the selected item. The appropriate spreadsheet displays.

  3. On the Menu bar, click Edit » Insert....

You can also display this dialog box by clicking anywhere on the active spreadsheet then pressing Insert on your keyboard.

Related Topics and Procedures

CFSR Thresholds Spreadsheet

CLINs Spreadsheet

Contracts Spreadsheet

Contractors Spreadsheet

Insert a New Row in a Spreadsheet

Structures Spreadsheet

Thresholds Spreadsheet

Units Spreadsheet

Weights Spreadsheet


Replace Dialog Box

Use the Replace dialog box to find and replace data.

Find what

Enter the text you want to replace, or paste the text from the Clipboard.

Replace with

Enter the text you want to use as replacement text, or paste the text from the Clipboard.

Search all columns

Select this option to search all the columns in the spreadsheet. Otherwise, only the column where the cursor is located will be searched.

Match whole word only

Select this option to search for occurrences that are whole words and not part of a larger word.

Match case

Select this option to distinguish lowercase and uppercase characters. When Match case is selected, the search finds only those instances in which the capitalization matches the text you type in the Find what field.

Direction Up

Select this option to search the spreadsheet from the cursor's position to the top of the spreadsheet. Also, consider the Search all columns option.

Direction Down

Select this option to search the spreadsheet from the cursor's position to the bottom of the spreadsheet. Also, consider the Search all columns option.

Find Next

Finds and selects the next occurrence of the text specified in the Find what field.

Replace

Replaces the selected instance of the search criteria, finds the next occurrence in the spreadsheet, and then stops.

Replace All

Replaces all occurrences of the search criteria in the active spreadsheet.

Cancel

Closes the dialog box.

Location

To display the Replace dialog box, click Edit » Replace.


Cost Performance Reports Overview

wInsight Administrator provides the facilities required for entering contract and performance data. This section of the help explains the following aspects of creating and working with Cost Performance reports:

  • When — This section discusses the sequence in which you will perform tasks.

  • How — This section discusses how to control and operate the Excel-like spreadsheets, and how to enter data and insert new rows, such as when you add WBS element.

  • What — This section discusses the data the must be entered into each spreadsheet.

  • Where — Each spreadsheet subsection directs you to the appropriate spreadsheet in the Selection Tree on the Navigation pane.

You can also perform the following tasks:

  • Import data into wInsight Administrator.

  • Copy and paste data into wInsight Administrator.

If you copy and paste data, some manual setup will also be necessary.

  • Review the sample wInsight Administrator reports.

Related Topics and Procedures

Cost Performance Reports Procedural Overview

Data Entry Pane

Entering and Deleting Data Overview

Contract Setup Overview

Earned Value Data Entry

Report Setup Overview

Importing Data Overview

Copying Data Between Applications Overview

Sample wInsight Administrator reports

wInsight Formulas Overview


Cost Performance Reports Procedural Overview

You must accomplish the following tasks, in the sequence listed, to have earned value data available for analysis and reporting:

  • Steps 1-3 are usually performed once for a new contract.

  • Steps 4-8 are performed on a recurring basis.

  • Step 8 is highly recommended but not mandatory.

Importing data via an X12 or XML transfer file automatically accomplishes steps 1 through 5.

To prepare for CPR reports, complete the following steps:

  1. If needed, create the necessary shared data items for the contract you will create in step 2. Shared items include fiscal calendars, structures, and units.

Deltek recommends that you establish the units and their denominations (thousands, millions, billions, and so on) prior to entering data. Values are not converted (multiplied or divided) if you change the scaling (for example, from millions to thousands).

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

  2. Create and set up a contract. Certain data items, such as fiscal calendars, are mandatory for each contract.

If you need to create one for the contract, return to step 1.

  3. Create or update the structures for the contract.

  4. Add a new reporting period to the contract.

  5. Enter earned value data for the reporting period. You may also need to enter report header information.

  6. Recalculate the new data.

  7. Check the Cost Performance and Cost/Schedule Status reports for accuracy.

  8. Back up contractual data.

You can now release cost performance reports and contract data to customers as well as coworkers, and to analyze the data with wInsight.

Related Topics and Procedures

Importing Data Overview

Shared Data Items Overview

Set Up a Contract

CPR Elements Spreadsheet

Periods Spreadsheet

Earned Value Data Entry

Report Setup Overview

Recalculate Command Overview

Reports Overview

Back Up Contractual Data


Shared Data Items Overview

Shared data items are common information that can be used by one or more contracts and/or contract elements.

Before you create and set up a contract, review the existing shared data items to see if any meet the needs of your project. If not, you need to create them.

Shared data items include the following:

  • Fiscal calendars — These data items check existing fiscal calendars for time span covered, frequency of reporting periods, work hours in each period, and fiscal year end date. A default calendar is provided.

  • Contractor information — This data item checks whether your division's address and identification information has been entered.

  • Contract structures — These data items check whether the types of structures you need are present, or if one can be substituted for your project. The following default structures are provided:

    • WBS — Work Breakdown Structure

    • OBS — Organizational Breakdown Structure

    • IPT — Integrated Product Team

  • CPR Format 5 contractual reporting thresholds — These data items check whether the contractual reporting thresholds you must answer to have been entered.

  • Units of data — This data item checks whether the existing units suffice. Default dollars, hours, and equivalent person ( EQP) units are provided. If existing units suffice, check whether their denominations are appropriate for your project (for example, dollars in thousands). If existing units do not cover your reporting needs, you need to create new units.

  • Statistical forecasting formula weights — These data items check whether the forecasting weights you use in your statistical estimates at completion ( EACs) have been entered. Default cost factors and performance factors are provided.

You can set up your contract and later create a shared data item to use in that contract. If you do so, however, you may need to recalculate the contract to see the results of using the new shared data item.

Spreadsheets

wInsight Administrator provides you with the following spreadsheets:

  • Calendars Spreadsheet

  • Named Calendars Spreadsheet

  • Contractors Spreadsheet

  • Structures Spreadsheet

  • Thresholds Spreadsheet

  • Units Spreadsheet

  • Weights Spreadsheet

Guidelines

You should check the following items before continuing:

  • Check the data source indicator at the top of the selection hierarchy tree in the Navigation pane to make sure that you are using the correct database.

  • Make sure you have established the correct units for the contract and their denominations (thousands, millions, and so on) prior to entering data. Data values are not converted if you change the denominations.

    Units

    Units can be any of the following types:

    • Dollars

    • Hours

    • Equivalent persons ( EQP)

    • Other user-defined units

    Click [image] to toggle the units.

  • Make sure you are using the correct data set (contract, period, structure, units), when applicable, prior to entering data.

  • Save your data (click File » Save). In most cases, you are prompted to save your data before it is lost. For example, you are prompted to save when you change spreadsheets.

  • After you enter performance data, you must recalculate the contract.

Related Topics and Procedures

Fiscal Calendars

Elements of Cost ( EOCs)

Cost Performance Reports Overview

Navigation Pane

Select a wInsight Database

wInsight Administrator Dataset Toolbar

Recalculate Command Overview

Create a Fiscal Calendar and Generate Reporting Periods

Suppress Threshold Triggering


Fiscal Calendars

Fiscal calendars provide a number of critical functions. wInsight Administrator uses the fiscal calendars you set up to do the following actions:

  • Identify the fiscal periods for which earned valued data will be collected.

  • Calculate equivalent persons (EQP).

  • Generate the future periods for entering time-phased Budgeted Cost of Work Scheduled (BCWS) and Estimate to Complete (ETC) data.

  • Generate Cost Performance Report (CPR) Format 3 and Format 4 data.

You must assign a calendar to each contract. There are two spreadsheets associated with calendars: Calendars and Named Calendars.

Calendars Spreadsheet

Use the Calendars spreadsheet to do the following actions:

  • Create a calendar that can be shared across multiple contracts.

  • Format dates for various displays in both wInsight and wInsight Administrator.

  • Specify fiscal year information.

Named Calendars Spreadsheet

Use the Named Calendars spreadsheet to do the following actions:

  • Specify the number of work hours in each period.

  • Identify reporting dates associated with a particular calendar. wInsight uses this information to convert between units of hours and units of equivalent persons, when EQP data is derived rather than entered directly. The reporting dates indicator is used to calculate CPR Format 4 staffing data.

Data Items that should Correlate

For data consistency, the following items should match or correlate to each other:

  • Your internal fiscal calendar

  • wInsight Administrator fiscal calendar that you are using (the Named Calendars spreadsheet)

  • Reporting periods generated by wInsight Administrator ; specifically, the periods should cover the duration defined by the contract start and completion dates (the Contracts spreadsheet)

  • Periods of earned value data, especially when manually adding periods of data (the Periods spreadsheet)

Deltek recommends that you maintain one calendar for weekly data and one for monthly data. Reporting periods can be mixed (for example, weekly and monthly). However, because of the calculations wInsight Administrator uses to derive current period data, this approach is not recommended.

Related Topics and Procedures

Calendars Spreadsheet

Named Calendars Spreadsheet

Date Formatting Overview


Calendars Spreadsheet

You use the Calendars spreadsheet to create a fiscal calendar and format dates.

Columns in the Calendars Spreadsheet

The following table lists each column in the Calendars spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
Name | Name of the calendar | Text | 30 | not applicable | (Default) is a default calendar; you cannot delete this calendar
DateFmt | Defines how dates are displayed | Select option from list | 10 | not applicable | MMM YY is the default format (for example, JAN 09)
FyEnd | Identifies the end of the fiscal year | Select option from list | 5 | not applicable | If you are using a fiscal year, Deltek recommends that DateFmt includes FY

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display Calendars spreadsheet, click Data Input » Shared Setup » Calendar.

Related Topics and Procedures

Create a Fiscal Calendar and Generate Reporting Periods

Date Formatting Overview


Create a Fiscal Calendar

Use this procedure to create a calendar, automatically generate reporting periods through the end of the contract, and automatically calculate the hours in each period.

You can enter reporting periods and the hours in each period manually, but generating them automatically saves you time.

To create a fiscal calendar, complete the following steps:

  1. In the Navigation pane. click Data Input » Shared Setup » Calendars.

  2. Double-click Calendars. Alternatively, you can select and double-click an existing calendar. The Calendar spreadsheet displays.

  3. Insert a new row in the spreadsheet by clicking Edit » Insert. Alternatively, you can insert a row by clicking anywhere on the Calendar spreadsheet then pressing Insert. The Insert Calendar dialog box displays.

The exact name of the Insert dialog box varies, depending on the active spreadsheet. For example, if it is a calendar, the Insert Calendar dialog box displays.

  4. Enter a name for the calendar, and click Generate. The Calendar Generator dialog box displays.

  5. Set the necessary values or options for the calendar that you want to generate.

  6. When you are done, either click OK to confirm your settings or Cancel to dismiss the dialog box without saving your work.

  7. On the Insert Calendar dialog box, click OK to generate the fiscal calendar; the new calendar will be added to the list of calendars in the Calendars spreadsheet and to the list of calendars in the Navigation pane selection tree. Or click Cancel to dismiss the dialog box without creating a fiscal calendar.

  8. If you are using the new calendar to calculate EQP (equivalent persons), you may need to edit the HrsInPer column to accommodate non-standard periods. If you are calculating Manpower data, you may need to edit the ReportPer column to identify reporting periods correctly.

Now you can link the new calendar to a contract via the Contracts spreadsheet.

You can also modify or insert an end date for a period using the Insert Calendar Detail dialog box.

Related Topics and Procedures

Calendars Spreadsheet

Insert a New Row in a Spreadsheet

Calendar Generator Dialog box

Contracts Spreadsheet


Named Calendars Spreadsheet

Use the Named Calendars spreadsheet to establish reporting periods, and specify the number of work hours in a period.

Period Numbers (PerNum)

Period numbers can provide a convenient date abbreviation; for example, Jan 09 might be Per1 09. Use the PerNum field in the Named Calendars spreadsheet to format future period dates. Future period dates display on reports that display future period dates and on the wInsight Manpower and Cumulative/Current Element Performance charts.

For period numbers to be utilized, the active calendar must have a date format that displays the period number, such as P%p FY%f. You set date formatting in the Calendars spreadsheet.

Columns in the Named Calendars Spreadsheet

The following table lists each column in the Named Calendars spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
EndDate | Period End Date | Date | 8 | not applicable | mm/dd/ccyy
ReportPer | Designates period as being a report period or not | Select option from list | 1 | not applicable | T = True; the period is a reporting period. F = False; the period is not a reporting period.
HrsInPer | The number of work hours in the period | Number | Double | not applicable | Used to convert hours to EQP (equivalent persons)
PerNum | The Period Sequence Number | Number | Integer | not applicable | Default = 0

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display a named Calendars Spreadsheet, take the following actions:

  1. Click Data Input » Shared Setup » Calendar.

  2. Select and double-click a named calendars spreadsheet.

Related Topic

Calendars Spreadsheet


Contractors Spreadsheet

Use the Contractors spreadsheet to enter organizational address and identification information that can be shared across multiple contracts. This information is used in the header of Cost Performance (CPR), Cost/Schedule Status (C/SSR), Contract Funds Status (CFSR), and NASA reports.

You enter related information on two other spreadsheets:

  • Link organizational address information used on these reports to a contract via the Contracts spreadsheet.

  • Identify the contractor or sub-contractor working on each contract element via the CPR Elements spreadsheet.

Columns in the Contractors Spreadsheet

The following table lists each column in the Contractors spreadsheet:

Column Name

Description

Type of Input

# of Chars.

Shown in Report Field

Notes

Name

Organization Name

Text

50

  • CPR Formats 1-5

  • C/SSR Block 1a

  • CFSR Block 7

  • NASA 533M To & From Blocks

Abbr

Abbreviation for the Organization

Text

4

not applicable

Addr1

First Address Line

Text

35

  • CPR Formats 1-5

  • C/SSR Block 1b

  • NASA 533M To & From Blocks

Addr2

Second Address Line

Text

35

  • CPR Formats 1-5

  • C/SSR Block 1b

  • NASA 533M To & From Blocks

City

Organization's City

Text

30

  • CPR Formats 1-5

  • C/SSR Block 1b

  • NASA 533M To & From Blocks

State

Organization's State or Province

Text

2

  • CPR Formats 1-5

  • C/SSR Block 1b

  • NASA 533M To & From Blocks

Country

Organization's Country Code

Text

3

  • CPR Formats 1-5

  • C/SSR Block 1b

  • NASA 533M To & From Blocks

Zip

Organization's Zip or Postal Code

Text

11

  • CPR Formats 1-5

  • C/SSR Block 1b

  • NASA 533M To & From Blocks

IDType

Organization's EDI Code Type

Number

Integer

not applicable

  • 0 = None

  • 1 = DUNS Code

  • 9 = DUNS+4 Code

  • 10 = DoD Abbr Code

IDCode

Organization's EDI Code

Text

20

not applicable

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display Contractors spreadsheet, click Data Input » Shared Setup » Contractors.

Related Topics

Calendars Spreadsheet

Contracts Spreadsheet

CPR Elements Spreadsheet


Structures Spreadsheet

Use the Structures spreadsheet to establish the contract structures used to collect earned value data. All structures are available to all contracts. Use the Dataset toolbar to switch between the structures defined in this spreadsheet.

You can define an unlimited number of structures. The structure that you typically use, however, are as follows:

  • WBS — Work Breakdown Structure

  • OBS — Organizational Breakdown Structure

  • IPT — Integrated Product Team (also know as the Responsible structure or Performing structure)

You can rename the WBS and OBS structures but you cannot delete them.

Defining the Structure Hierarchy

The contract structure hierarchy or layout is usually unique for each contract. You define the contract element hierarchy via the CPR Elements spreadsheet. These structures are used in Cost Performance Reports (CPR) Formats 1, 2, and 4 and Cost/Schedule Status Reports (C/SSR). They also display in wInsight Sort windows and on the Contract Tree.

Columns in the Structures Spreadsheet

The following table describes each column in the Structures spreadsheet:

Column Name

Description

Type of Input

# of Chars.

Shown in Report Field

Notes

Name

Acronym or Abbreviation for the Structure

Text

10

not applicable

The defaults are:

  • WBS

  • OBS

  • IPT

Description

Full Name or Description of the Structure

Text

50

not applicable

Defaults are:

  • Work Breakdown Structure

  • Organization Breakdown Structure

  • IPT Breakdown Structure

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display Structures spreadsheet, click Data Input » Shared Setup » Structures.

Related Topics

wInsight Administrator Dataset Toolbar

CPR Elements Spreadsheet


Thresholds Spreadsheet

Use the Thresholds spreadsheet to create named sets of CPR Format 5 reporting thresholds that can be shared across multiple contracts and contract elements. Reporting thresholds define the acceptable levels of performance during stages of the contract. You assign thresholds to contract elements via the Thresholds/Weights spreadsheet.

If any reporting threshold changes, you must recalculate the contract to see the effect of the change.

Comment Flags in the VAR Column

These thresholds control the generation of comment flags, displayed in the VAR column (Fmt5Var field) in wInsight's Standard view, which indicate that an element has broken a threshold. Elements breaching a contractual threshold require a CPR Format 5 variance analysis narrative.

The following case-sensitive codes indicate the type of contractual threshold breach:

  • C — Cumulative cost variance breach

  • c — Current period cost variance breach

  • S— Cumulative schedule variance breach

  • s — Current period schedule variance breach

  • V — Variance; a complete breach

Guidelines and Logic Conditions

You can establish thresholds for Current and Cumulative Cost, Current and Cumulative Schedule, and Variance at Completion. You can base thresholds on dollars and/or percentages.

Logic conditions indicate whether flags should be set. Available logic conditions are:

  • And — Flags should be set only if both dollar and percentage thresholds are breached.

  • Or — Flags should be set if either dollar or percentage thresholds are breached.

  • Not — The reporting flag should never be set.

Break Points

Since reporting thresholds can change over the life of a contact, you can define up to four break points for each set of thresholds. The break points are based on the percentage complete of the contract (the cumulative Budgeted Cost of Work Performed divided by the Budget at Completion). Each break point can have a different set of thresholds.

Suppressing Threshold Triggering

You can configure thresholds so that they are ignored during the evaluation process.

Columns in the Thresholds Spreadsheet

The following table lists each column in the Thresholds spreadsheet:

Column Name

Description

Type of Input

# of Chars.

Shown in Report Field

Notes

Name

Threshold Title

Text

15

N/A

PctCmp1

Percent Complete for Breakpoint 1

Number

Integer

N/A

Default Value = 97

CurCostD1

Current Cost Variance in Dollars 1

Number

Double

N/A

Default Value = 0

CurCostP1

Current Cost Variance in Percent 1

Number

Integer

N/A

Default Value = 10

CurSchD1

Current Schedule Variance in Dollars 1

Number

Double

N/A

Default Value = 0

CurSchP1

Current Schedule Variance in Percent 1

Number

Integer

N/A

Default Value = 10

CumCostD1

Cumulative Cost Variance in Dollars 1

Number

Double

N/A

Default Value = 0

CumCostP1

Cumulative Cost Variance in Percent 1

Number

Integer

N/A

Default Value = 10

CumSchD1

Cumulative Schedule Variance in Dollars 1

Number

Double

N/A

Default Value = 0

CumSchP1

Cumulative Schedule Variance in Percent 1

Number

Integer

N/A

Default Value = 10

VacD1

Variance at Completion in Dollars 1

Number

Double

N/A

Default Value = 0

VacP1

Variance at Completion in Percent 1

Number

Integer

N/A

Default Value = 10

AndOr1

Logic Condition 1

Text

1

N/A

Default Values

  • A = And

  • O = Or

  • N = Not

PctCmp2

Percent Complete for Breakpoint 2

Number

Integer

N/A

Default Value = 98

CurCostD2

Current Cost Variance in Dollars 2

Number

Double

N/A

Default Value = 0

CurCostP2

Current Cost Variance in Percent 2

Number

Integer

N/A

Default Value = 10

CurSchD2

Current Schedule Variance in Dollars 2

Number

Double

N/A

Default Value = 0

CurSchP2

Current Schedule Variance in Percent 2

Number

Integer

N/A

Default Value = 10

CumCostD2

Cumulative Cost Variance in Dollars 2

Number

Double

N/A

Default Value = 0

CumCostP2

Cumulative Cost Variance in Percent 2

Number

Integer

N/A

Default Value = 10

CumSchD2

Cumulative Schedule Variance in Dollars 2

Number

Double

N/A

Default Value = 0

CumSchP2

Cumulative Schedule Variance in Percent 2

Number

Integer

N/A

Default Value = 10

VacD2

Variance at Completion in Dollars 2

Number

Double

N/A

Default Value = 0

VacP2

Variance at Completion in Percent 2

Number

Integer

N/A

Default Value = 10

AndOr2

Logic Condition 2

Text

1

N/A

Default Values

  • A = And

  • O = Or

  • N = Not

PctCmp3

Percent Complete for Breakpoint 3

Number

Integer

N/A

Default Value = 99

CurCostD3

Current Cost Variance in Dollars 3

Number

Double

N/A

Default Value = 0

CurCostP3

Current Cost Variance in Percent 3

Number

Integer

N/A

Default Value = 10

CurSchD3

Current Schedule Variance in Dollars 3

Number

Double

N/A

Default Value = 0

CurSchP3

Current Schedule Variance in Percent 3

Number

Integer

N/A

Default Value = 10

CumCostD3

Cumulative Cost Variance in Dollars 3

Number

Double

N/A

Default Value = 0

CumCostP3

Cumulative Cost Variance in Percent 3

Number

Integer

N/A

Default Value = 10

CumSchD3

Cumulative Schedule Variance in Dollars 3

Number

Double

N/A

Default Value = 0

CumSchP3

Cumulative Schedule Variance in Percent 3

Number

Integer

N/A

Default Value = 10

VacD3

Variance at Completion in Dollars 3

Number

Double

N/A

Default Value = 0

VacP3

Variance at Completion in Percent 3

Number

Integer

N/A

Default Value = 10

AndOr3

Logic Condition 3

Text

1

N/A

Default Values

  • A = And

  • O = Or

  • N = Not

PctCmp4

Percent Complete for Breakpoint 4

Number

Integer

N/A

Default Value = 100

CurCostD4

Current Cost Variance in Dollars 4

Number

Double

N/A

Default Value = 0

CurCostP4

Current Cost Variance in Percent 4

Number

Integer

N/A

Default Value = 10

CurSchD4

Current Schedule Variance in Dollars 4

Number

Double

N/A

Default Value = 0

CurSchP4

Current Schedule Variance in Percent 4

Number

Integer

N/A

Default Value = 10

CumCostD4

Cumulative Cost Variance in Dollars 4

Number

Double

N/A

Default Value = 0

CumCostP4

Cumulative Cost Variance in Percent 4

Number

Integer

N/A

Default Value = 10

CumSchD4

Cumulative Schedule Variance in Dollars 4

Number

Double

N/A

Default Value = 0

CumSchP4

Cumulative Schedule Variance in Percent 4

Number

Integer

N/A

Default Value = 10

VacD4

Variance at Completion in Dollars 4

Number

Double

N/A

Default Value = 0

VacP4

Variance at Completion in Percent 4

Number

Integer

N/A

Default Value = 10

AndOr4

Logic Condition 4

Text

1

N/A

Default Values

  • A = And

  • O = Or

  • N = Not

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the Thresholds spreadsheet, take the following actions:

  1. In the Navigation tree, expand Data Input.

  2. Expand Shared Setup.

  3. Double-click the Thresholds spreadsheet.

Related Topics

Thresholds/Weights Spreadsheet

Recalculate Command Overview

Suppress Threshold Triggering


Suppress Threshold Triggering

Reporting thresholds define the acceptable levels of performance during stages of the contract. They control the generation of comment flags, displayed in the VAR column (Fmt5Var field) in wInsight's Standard view, which indicate that an element has broken a threshold(s).

You can configure these thresholds so that they are ignored during the evaluation process. For example, if current period values are not used in a threshold, you enter a -1 in each current period threshold field. During a recalculation, wInsight Administrator does not evaluate these thresholds for breaches.

Only dollar or percent thresholds need to be set to -1, not both. However, for tracking purposes, it may be advisable to set both thresholds.

Related Topics

Thresholds Spreadsheet

Recalculate Command Overview


Units Spreadsheet

Use the Units spreadsheet to create units, including Elements of Cost (EOCs), in which earned value data is collected. Units and their denominations (scaling) affect all aspects of data entry.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

You should establish the contract units and their denominations (thousands, millions, billions) prior to entering data. Values are not be converted if you change the scaling. You can define an unlimited number of units. All units are available to all contracts.

For more information, see Select a Unit.

Display Guidelines

  • Unit names and scales display in the title line of reports, and each unit's symbol displays in the report header.

  • Unit names display on the Dataset toolbar and Status bar in both wInsight and wInsight Administrator.

  • Unit names display in windows' Title bars. However, denominations (scaling) do not display. Thus, you may want to include scaling information in unit titles, such as Dols in K. (This approach may prove to be redundant for charts.)

  • Units also display in a number of drop-down lists throughout wInsight and wInsight Administrator. The UnitSeq number controls the sequence in which they display.

Columns in the Units Spreadsheet

The following table lists each column in the Units spreadsheet:

Column Name

Description

Type of Input

# of Chars.

Shown in Report Field

Notes

Name

Unit's Name

Text

15

To the right of report title for:

  • CPR Formats 1-3

  • C/SSR

  • CFSR

Defaults:

  • Dollars

  • Hours

  • EQP

Scale

Specifies the unit's denomination:

  • 0 = Ones

  • 3 = Thousands

  • 6 = Millions

  • 9 = Billions

Select option from list

Integer

To the right of report title for:

  • CPR Formats 1-3

  • C/SSR

  • CFSR

Defaults:

  • Dollars = 3

  • Hours = 0

  • EQP = 0

Symbol

User-specified symbol for the unit

Text

5

Displayed in header of:

  • CPR Formats 1 and 3

  • C/SSR

  • CFSR

Defaults:

  • Dollars = $

  • Hours = H

  • EQP = ep

Prefix

Places symbol in front of unit's value, or behind unit's value

Select option from list

1

N/A

Default = T

  • T = Show symbol in front of units

  • F = Show symbol behind units

Pad

Puts a space between the symbol and unit's value, or not

Select option from list

1

Displayed in header of:

  • CPR Formats 1 and 3

  • C/SSR

Default = F

  • T = Include space

  • F = Do not include space

UnitSeq

Controls the order in which units display in lists throughout wInsight and wInsight Administrator

Number

Integer

N/A

RptSeq

Controls the order in which units display on the Element of Cost report, or if a unit displays at all

Number

Integer

N/A

Enter 0 (zero) to stop a unit from appearing on the Element of Cost report

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display Units spreadsheet, click Data Input » Shared Setup » Units.

Related Topics and Procedures

Elements of Cost (EOCs)

wInsight Administrator Dataset Toolbar

Contracts Spreadsheet


Select a Unit

Use this procedure to select a unit in the Units Spreadsheet.

To select a unit, complete the following steps:

  1. On the Dataset toolbar, click [image] Unit to change between the units defined in this spreadsheet.

  2. Select units for Cost Performance Reports (CPR) Format 3 and Format 4 via the Contracts spreadsheet.

Related Topics

Units Spreadsheet

Contract Spreadsheet


Add a Structure

Use this procedure to add a structure.

To add a new structure, complete the following steps:

  1. On the Navigation pane, click Data Input » Shared Setup » Structures. The Structures spreadsheet displays.

  2. Click anywhere on the Structures spreadsheet to make it the active pane.

  3. On the Menu bar, click Edit » Insert.... The Insert Structure dialog box displays.

  4. Enter the name for the structure that you want to add and then click OK.

You must open the CPR Elements spreadsheet to establish a top level element (level 1) and then add elements to the new structure. You add elements individually for each contract.

Related Topics

Change the Active Dataset

Contract Setup Overview

Display or Hide Structures

OMB Table IIA Report Setup Tasks

Select Databases, Contracts, or Structures

Structures

Tree Manager Dialog Box

WBS Mapper Dialog Box


Elements of Cost (EOCs)

In wInsight, Elements of Cost, such as material and travel, are treated just like any other unit, such as dollars and hours.

General Process

The basic steps you need to complete are as follows:

  1. Create EOCs.

  2. Enter EOC data along with other earned value data.

If you are entering or reporting EOC data, click [image] Unit on the Dataset toolbar to toggle to the unit/EOC.

Importing and Exporting

You can import elements of cost into, and export them from, wInsight Administrator. However, you must use XML transfer files, not X12.

Element of Cost Report

wInsight has an Element of Cost report that presents all EOCs (and all units) for the element you specify (such as WBS, OBS, and IPT). The RptSeq column in the Units spreadsheet controls the sequence in which elements of cost display on the report. Setting a unit's RptSeq number to zero prevents the unit from appearing on the report. Otherwise, EOCs/units display in numerical order, based on the RptSeq number.

Related Topics and Procedures

Units Spreadsheet

Earned Value Spreadsheet (Formats 1 and 2)

wInsight Administrator Dataset Toolbar

Contracts Spreadsheet

Element of Cost Report


Weights Spreadsheet

Use the Weights spreadsheet to create named sets of weight factors used in statistical Estimates at Completion (EACs) forecasting formulas. You use weights to tailor the formulas, then assign the weight factors to contract elements via the Thresholds/Weights spreadsheet.

Statistical forecast formulas are used in various wInsight reports, charts, and Sort windows. The Six Period Summary report contains all the statistical forecast formulas and identifies the weight factors used.

CostWt and PerfFctr Columns

Two columns to note are as follows:

  • CostWt — The cost weight column is used in the (Weighted) Cost/Schedule statistical forecast formula. The schedule weight is derived from the cost weight (schedule weight = 1 – cost weight). For example, a popular weighting of these factors is 80/20, with 80% (.8) weighting assigned to the cost weight and 20% (.2) assigned to the schedule weight.

  • PerfFctr — The performance factor is used in the Performance Factor statistical forecast formula. For example, a performance factor of 1.1 indicates that the remaining work is expected to over run by 10% (Budgeted Cost of Work Remaining multiplied by 110%). Cumulative Actual Cost of Work Performed (ACWP) is then added to calculate the statistical estimate at completion (EAC).

Columns in the Weights Spreadsheet

The following table lists each column in the Weights spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
Name | Name for the Set of Weights | Text | 15 | N/A | Default = (Default). A default set of weights is provided.
CostWt | Weight assigned to Cost Factor, in percentage (for example, 50 = 50%) | Number (0 to 100) | Double | N/A | Default = 50% for Cost Factor and 50% Schedule Factor
PerfFctr | Estimating Factor that assumes efficiency of future work | Number | Double | N/A | Default = 1.0

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display Weights spreadsheet, click Data Input » Shared Setup » Weights.

Related Topics and Procedures

Thresholds/Weights Spreadsheet

Six Period Summary Report

wInsight Formulas Overview

Units Spreadsheet

Earned Value Spreadsheet (Formats 1 and 2)

wInsight Administrator Dataset Toolbar

Contracts Spreadsheet

Element of Cost Report


Insert Calendar Dialog Box

Use the Insert Calendar dialog box to insert a new row to an active Calendar Spreadsheet. You can also display this dialog box by clicking anywhere on the Calendar spreadsheet then pressing Insert on your keyboard.

This dialog box contains the following field and button:

Name

Enter a name for that calendar that you want to create. You can use a maximum of 30 alphanumeric and special characters.

Generate

Click this button to display the Calendar Generator dialog box, and define the calendar.

Location

To display the Insert Calendar dialog box, complete the following steps:

  1. In the Navigation pane, click Data Input » Shared Setup »Calendars.

  2. Double-click Calendars. The Calendars spreadsheet displays.

  3. On the Menu bar, click Edit » Insert....

You can also display this dialog box by clicking anywhere on the Calendar spreadsheet then pressing Insert on your keyboard.

Related Topics and Procedures

Create a Fiscal Calendar


Calendar Generator Dialog Box

Use the Calendar Generator dialog box to create a fiscal calendar and generate reporting periods.

Periods

Generate every

In the drop-down list, select the setting to indicate how often earned value data is to be collected or reported.

ending on the last

In the drop-down list, select the day of the week on which the reporting periods end.

between, and

In the drop-down lists, select the end dates of the first and last reporting periods.

Working Hours

Hours/Day

Scroll to specify the number of working hours in a day.

Days/Week

Scroll to specify the number of working days in a week.

Location

To display the Calendar Generator dialog box, complete the following steps:

  1. In the Navigation pane, click Data Input » Shared Setup »Calendars.

  2. Double-click Calendars or an existing calendar. The Calendars spreadsheet displays.

  3. On the Menu bar, click Edit » Insert. The Insert Calendar dialog box displays.

You can also insert a row by clicking anywhere on the Calendar spreadsheet then pressing Insert.

  3. Enter a name for the calendar.

  4. Click Generate.

Related Topics and Procedures

Create a Fiscal Calendar

Calendars Spreadsheet


Insert Calendar Detail Dialog Box

Use the Insert Calendar Details dialog box to add an end date for a period.

End Date

Enter or select the end date for the period that you want to add. Use the mm/dd/yyyy format.

If you click the drop-down button for this field, a calendar box displays, allowing you to either select dates for the current month or navigate to other months.

Location

To display the Insert Calendar Details dialog box, complete the following steps:

  1. In the Navigation pane, click Data Input » Shared Setup »Calendars.

  2. Expand Calendars. Available calendars display as subordinate items.

  3. Select and double-click a calendar that you want to modify. A detailed Calendar spreadsheet displays.

  4. On the Menu bar, click Edit » Insert....

You can also display this dialog box by clicking anywhere on a detailed Calendar spreadsheet then pressing Insert on your keyboard.

Related Topics and Procedures

Create a Fiscal Calendar


Contract Setup Overview

The Contract Setup data items provide foundation for basic contract information. These items lay the informational and structural foundation required to be able to generate reports. They are also needed to generate wInsight charts, reports, and Sort windows.

This section describes procedures on how to perform the following actions:

  • Set up a contract

  • Lay out the contract structures with the CPR Elements spreadsheet

  • Add a new contract element

  • Move an element in the structure

  • Lay out structures with the Tree Manager

  • Add a reporting period on the Periods spreadsheet

  • Review PLUG elements

Spreadsheets

wInsight Administrator provides you with the following spreadsheets:

  • Contracts Spreadsheet

  • CPR Elements Spreadsheet

  • Periods Spreadsheet

  • Threshold/Weights Spreadsheet

Guidelines

You should check the following items before continuing:

  • Check the data source indicator at the top of the selection hierarchy tree in the Navigation pane to ensure you are using the correct database.

  • Make sure you have established the correct units for the contract and their denominations (thousands, millions, and so on) prior to entering data. Data values are not converted if you change the denominations.

    Units

    Units can be any of the following types:

    • Dollars

    • Hours

    • Equivalent persons (EQP)

    • Other user-defined units

    Click [image] to toggle the units.

  • Make sure you are using the correct data set (contract, period, structure, units), when applicable, prior to entering data.

  • Save your data (click File » Save). In most cases you will be prompted to save your data before it is lost. For example, you are prompted to save when you change spreadsheets.

  • After you enter performance data, you must recalculate the contract.

Related Topics and Procedures

Display and Activate a Spreadsheet

Entering and Deleting Data Overview

Set up a contract

Add a New Contract Element

Move an Element in the Structure

Lay Out Structures with the Tree Manager

PLUG elements

Navigation Pane

Select a wInsight Database

Units Spreadsheet

wInsight Dataset Toolbar

Recalculate Command Overview

Contracts Spreadsheet

CPR Elements Spreadsheet

Periods Spreadsheet

Threshold/Weights Spreadsheet


Set Up a Contract

Use the Contracts spreadsheet to perform the following actions:

  • Create contracts and enter contract-specific information

  • Define the units for entering CPR Format 3 and Format 4 data

  • Specify the structure for entering Format 4 data

Avoid using forward-leaning or back-leaning slash characters ( / or \ ) in contract names. Using slash marks causes errors when opening contracts in wInsight and when importing or exporting data in wInsight Administrator.

Much of information in the Contracts spreadsheet displays in the header of Cost Performance (CPR), Cost/Schedule Status (C/SSR), Contract Funds Status (CFSR), and NASA reports. In wInsight, this information shows up in a number of places, the first two items being the most important:

  • Management color and change thresholds (discussed below) control Sort window color codes and trend arrows displayed in the Standard view.

  • Contract start and completion dates are used to draw the horizontal time scale on charts.

  • Some of this data displays in report headers.

  • Organizational acronyms are used on a number of charts, reports, and dialog boxes.

Color and Change Thresholds

You can define internal management thresholds (not CPR Format 5 reporting thresholds) for the following percentages:

  • Color percentages (red, yellow, green; the blue percentage is derived from the green) — wInsight Administrator uses the color thresholds to assign color codes to cumulative and current period Schedule Variance Percentage, Cost Variance Percentage, and Variance at Completion Percentages, which display in wInsight's Standard view.

  • Change percentage — wInsight Administrator uses the change threshold to determine if a direction trend arrow displays. For example, if you set the change threshold to 10, the variance must change 10% or more (either plus or minus) to display a trend arrow. This feature makes it possible for you to identify elements that have had a material change since last period.

If any of these internal management thresholds change, you must recalculate the contract to see the effect of the change.

Copying a Contract

The Entering and Deleting Data Overview section describes how to use the features of the Data Input spreadsheets to add, rename, and delete various data items, such as a contract. However, copying a contract is not directly supported.

This procedure allows you to copy a contract.

To copy a contract, complete the following steps:

  1. On the Menu bar, click Utilities » Backup.... The Backup Contract(s) dialog box displays.

  2. Rename the contract via the Contracts spreadsheet.

  3. Restore the backup by clicking Utilities » Restore. The contract is then restored under its original name.

Related Topics and Procedures

Contracts Spreadsheet

Recalculate Command Overview

Entering and Deleting Data Overview


Contracts Spreadsheet

Use the Contracts spreadsheet to create a number of options using shared data items including calendars, structures, units, and contractor information.

Each contract must have a calendar.

You can also use this spreadsheet to enter or modify threshold values for each program or data that you want to print or view on the Program Tripwires Summary report. These threshold values are used for the computation of the Secondary Tripwire metrics, all of which display on the Program Tripwires Summary report.

If you have not yet entered any values, wInsight Administrator uses its current defined trip values for the computation.

Tripwire Metrics

wInsight Administrator provides Tripwire algorithms, metrics, and charts to identify poorly performing programs. In essence, you use Tripwire metrics to see how projects are performing against the baseline that you established. These metrics cause color-coded status "warnings" to display on related reports and charts when thresholds are exceeded.

  • Baseline Execution Index (BEI) — Use the Baseline Execution Index (BEI) metric to indicate the efficiency with which actual work has been accomplished when measured against the baseline. For example: through August 2006, the supplier network schedule shows 1,955 total tasks/activities to have been completed from contract start through the current reporting period; 1,516 total tasks/activities have actually been completed.

Cumulative BEI = 1,516 Actual / 1,955 Baseline = 0.78 efficiency through the current reporting period

  • Critical Path Length Index (CPLI) — Use the CPLI metric to determine the longest continuous sequence of tasks/activities through the network from contract start (or the current status date) to contract completion, as well as to identify other major program milestones.

CPLI = (Critical Path Length +/- Total Float)/Critical Path Length

You should track the CPLI to gauge how realistic it is to expect that you will complete the contract on time.

For example, through April, the supplier network schedule calculates a program critical path length of 720 working days (3 years) with 60 working days (3 months) of negative float from contract award to completion.

CPLI = (( 720 - 60) / 720) = 0.917

At present the supplier’s CPLI of less than 1.00 indicates that the program will not achieve its baseline completion date without corrective action.

Regardless of the source project calendar (such as 5-day, 7-day, holidays, or non-working days), wInsight always assumes a 5-day work week in calculating CPL.

Columns in the Contracts Spreadsheet

The following table lists each column in the Contracts spreadsheet:

Column Name

Description

Type of Input

# of Chars.

Shown in Report Field

Notes

ContrName

Name of the Contract

Text

50

  • CPR Formats 1-5

  • C/SSR Block 2a

  • NASA 533M Block 1c

ContrNum

Number of the Contract

Text

30

  • CPR Formats 1-5

  • C/SSR Block 2b

  • CFSR Block 1

  • NASA 533M Block 1b

ContrType

Acronym for Contract Type

Select option from list

  • 10 CPR Formats 1-5

  • C/SSR Block 2c

  • CFSR Block 2

  • NASA 533M Block 1a

ProgName

Name of the Program

Text

80

  • CPR Formats 1-5

  • C/SSR Block 3a

  • CFSR Block 8

ProgNum

Number of the Program

Text

30

ProgType

Acronym for Program Type

Select option from list

10

  • CPR Formats 1-5

  • C/SSR Block 3b

Classification

Security Classification

Select option from list

CPR & C/SSR Formats Header and Footer

RDQty

Number of R&D Deliverable End Items

Number

Integer

  • CPR Format 1-5

  • C/SSR Block 5a

Default = 0

ProdQty

Number of Production Deliverable End Items

Number

Integer

  • CPR Format 1-5

  • C/SSR Block 5a

Default = 0

Manager

Contract Manager’s name

Text

35

Analyst

Name of the Financial/ Contract Analyst

Text

35

ProgOffName

The Program Office Name

Text

30

  • CPR Format 1-5

  • C/SSR Block 3a

ProgOffSym

The Program Office Symbol

Text

12

RptType

Type of Cost Report

Select option from list

Integer

Default = 0

  • 0 = CPR

  • 1 = C/SSR

NegCost

Amount of the Contract Negotiated Cost

Number

Double

  • CPR Format 1, Block 5b

  • CPR Format 3, Block 5c

  • C/SSR Block 6c

Default = 0

TgtPrice

Amount of the Contract Target Price

Number

Double

  • CPR Format 1, Block 5e

  • CFSR Block 9a

Default = 0

TgtFeeDol

Amount of the Target Fee in Dollars

Number

Double

CPR Format 1 Block 5d

Default = 0

TgtFeePct

Amount of the Target Fee as a Percent

Number

Double

CPR Format 1 Block 5d

Default = 0

ContrCeiling

Amount of the Contract Ceiling Price

Number

Double

  • CPR Format 1 Block 5g

  • CFSR Block 9b

Default = 0

MinFee

Amount of Minimum Fee to be Awarded on the Contract

Number

Double

Default = 0

MaxFee

Amount of Maximum Fee to be Awarded on the Contract

Number

Double

Default = 0

FixedFee

Amount of Fixed Fee Awarded on the Contract

Number

Double

Default = 0

OrigAwdFee

Amount of the Original Fee to be Awarded on the Contract

Number

Double

Default = 0

NonFeeBear

Cost Amount of the Cost not Bearing a Fee

Number

Double

Default = 0

ShareAbove

Cost Share Ratio above the Share Line

Number

Double

CPR Format 1 Block 2d

Default = 0

ShareBelow

Cost Share Ratio Below the Share Line

Number

Double

CPR Format 1 Block 2d

Default = 0

ChgPct

Amount of Change (in %) needed to Generate a Trend Arrow

Number

Integer

Default = 10

RedPct

Amount of Variance (in %) for a Red Condition

Number

Integer

Default = -10

YellowPct

Amount of Variance (in %) for a Yellow Condition

Number

Integer

Default = -5

GreenPct

Amount of Variance (in %) for a Green Condition

Number

Integer

Default = 10

Any percentage greater than Green value becomes Blue percentage

ContrDefinit

Contract Definitization Date

Date

  • CPR Format 3

  • C/SSR Block 5i

mm/dd/ccyy

ContrStart

Contract Official Start Date

Date

  • CPR Format 3

  • C/SSR Block 5h

mm/dd/ccyy

WorkStart

Contract Work Start Date

Date

mm/dd/ccyy

LastItemDlv

Last Item Delivery Date

Date

mm/dd/ccyy

ContrCompl

Contract Completion Date

Date

CPR Format 3 Block 5k

mm/dd/ccyy

UserSym

Symbol of the wInsight User

Text

5

Default = PO

CaoSym

Symbol of the Contract Administrative Office (CAO)

Text

5

Default = DCMC

CtrSym

Symbol of the Contractor

Text

5

Default = CTR

Calendar

Calendar to use for the Contract

Select option from list

Long

Default = 1

A calendar is mandatory

Contractor

Contractor Information for the Header Blocks of CPR, C/SSR, and CFSR Reports

Select option from list

Long

Default = 1

F3Unit

Units to use for CPR Format 3

Select option from list

Long

Default = 1– Dollars

F4Unit

Units to use for CPR Format 4

Select option from list

Long

Default = 3– EQP

F4Stru

Structure to use for CPR Format 4

Select option from list

Long

Default = 2– OBS

CustID

Customer Information for the To Block of the NASA 533M Report

Select option from list

Long

Default = 1

CprDid

CPR Data Item Description

Select option from list

Integer

Default = 0

Aug 2009 format

BEI Thrsld

Baseline Execution Index

Number

Double

Default Value = 0

SPI Thrsld

Schedule Performance Index

Number

Double

CPLI Thrsld

Critical Path Length Index

Number

Double

Default Value = 0

CPI Thrsld

Cost Performance Index

Number

Double

CPI-TCPI Thrsld

Cost Performance Index less To Complete Performance Index

Number

Double

This column contains the threshold for the |CPI-TCPI|* metric in the Program Tripwires Summary report.

* TCPI uses the supplier’s Most Likely Management EAC and TAB (includes MR).

Contract Mods Thrsld

Contract Modifications Threshold

Number

Double

Baseline Revs Thrsld

Baseline Revisions Threshold

Number

Double

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

The values that you enter on this spreadsheet for CPLI are used whether wInsight Administrator computes tripwire metrics for CPLI based on a milestone or on the entire program.

Location

To display the Contracts spreadsheet, complete the following steps:

  1. In the Navigation tree, expand Data Input.

  2. Expand Contract Setup.

  3. Double-click the Contracts spreadsheet.

Related Topics and Procedures

Set Up a Contract

Shared Data Items Overview


CPR Elements Spreadsheet

Use the CPR Elements spreadsheet to create contract elements, place elements in the contract structure, and enter element-specific information.

WBS Number is the term used to refer to all element identification numbers, no matter which structure the element is in (such as the organizational breakdown structure or integrated product team structure). You establish contract structures via the Structures spreadsheet.

When creating contract structures, keep in mind that you enter earned value and performance data only for lowest-level elements, which are those elements without any subordinate (children) elements.

Only lowest-level elements display in the Earned Value spreadsheet.

See the PLUG Elements section for a discussion of elements that may be created by wInsight Administrator as a result of adding elements to, or moving elements around within, a contract structure.

Recommendations

Deltek recommends that you observe the following guidelines as you lay out the contract structures:

  • WBS numbers greater than 30 characters are incompatible with earlier versions of wInsight. This number of characters can prevent the transfer of data from version 6.1 or greater to prior versions of wInsight.

  • Avoid using the "@" symbol and other similar characters in element names. These characters cause errors when you try to display a Cost Performance Report (CPR).

  • Avoid using WBS numbers and Sort numbers such as z, zz, zzz, and zzzz, in upper case or lower case. This numbering scheme is utilized by wInsight’s indirect contract elements. Utilizing this numbering approach causes errors, for example, when wInsight Administrator attempts to derive baseline information.

Sorting

The WbsNum field is a text field, which wInsight sorts as text. To make the numbers sort in a more logical way, you can pad the numbers with leading zeros. If you do so, you need to anticipate the largest number you need, and add the appropriate number of leading zeros to accommodate that number.

The following table shows some examples:

Standard sort | Sort with leading zeros
1 10 11 111 2 3 | 001 002 003 010 011 111

Columns in the CPR Elements Spreadsheet

The following table lists each column in the CPR Elements spreadsheet:

Column Name

Description

Type of Input

# of Chars.

Shown in Report Field

Notes

WbsNum

Element's WBS (ID) Number

Text

50

  • CPR

  • C/SSR Column 1

ElemDesc

Element Description

Text

15

  • CPR

  • C/SSR Column 1

Level

Level Number of the Element in the Structure

Number

Integer

  • CPR

  • C/SSR Column 1

Parent

Internal Database ID Number of the Element's Parent Element

Select option from list, then the parent for the element

Long

Sort

The Sequence Number used to Sort the Element in the Contract Structure

Text

50

Defaults to the WBS Number

Can be used to sort a non-hierarchy WBS Numbering Scheme

Link

WBS (ID) Number used to Link to Schedule Tasks

Text

50

Used with wInsight Web, Glue, or Glue Viewer

ElemType

Type of Element

Text

2

For example:

  • CA - Cost Account

  • WP - Work Package

  • PP - Planning Package

EVM

Earned Value Method

Text

2

For example, MS for Milestone

NAFlag

Non-Add Flag

Non-add's data is not summed up to the next higher level

Select option from list

Long

  • CPR

  • C/SSR Column 1

Default = 0

  • 0 = Add

  • 1 = Non-Add

CAM/IPT

Name of the Cost Account Manager (CAM) or Integrated Product Team (IPT) Lead

Text

30

Called Projoff in wInsight

Offsym

Office Symbol of the Cost Account Manager (CAM) or Integrated Product Team (IPT) Lead

Text

10

OffExt

Cost Account Manager (CAM) or Integrated Product Team (IPT) Lead Phone Extension

Text

30

RiskLevel

The Element's Risk Level

Select option from list

1

Default = L

  • L = Low/ Green in wInsight

  • M = Medium/ Yellow

  • H = High/ Red

Contractor

Contractor Performing Work on the Element

Select option from list

Long

Default = 1

Long Description

Long Element Description

Text

50

  • CPR

  • C/SSR Column 1

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the CPR Elements spreadsheet, take the following actions:

  1. In the Navigation tree, expand Data Input.

  2. Expand Contract Setup.

  3. Double-click the CPR Elements spreadsheet.

Related Topics and Procedures

Non-Add Flag Dialog Box

Structures Spreadsheet

Earned Value Spreadsheet

PLUG Elements

Add a New Contract Element

Move an Element in the Structure

Lay Out Structures with Tree Manager


Add a New Contract Element

Use this procedure to add a new contract element.

To add a new contract element, complete the following steps:

  1. In the Navigation pane. click Data Input » Contract Setup » CPR Elements.

  2. Double-click CPR Elements. The CPR Elements spreadsheet displays.

  3. Enter new data in a spreadsheet. Alternatively, on the Menu bar, click Edit » Insert....The Insert Element dialog box displays.

  4. Enter the element's WBS number in the corresponding field.

  5. If necessary, select a parent element for the element in the displayed contract tree.

  6. When you are done, take one of the following actions:

  • Click OK to close the Insert Element dialog box, and insert the new element into the structure.

  • Click Cancel to close the dialog box without saving your changes.

  7. On the Standard toolbar, click [image] Refresh. Alternatively, on the Menu bar, Options » Refresh. The new element displays in its correct location.

  8. Enter additional element information for the new element, if necessary.

  9. If any PLUG elements are created, you should change the WBS number of each PLUG element to a more appropriate value, and enter a corresponding element description.

Deleting an element deletes all its children elements.

Related Topics and Procedures

Enter Data in a Spreadsheet

PLUG Elements


Move an Element in the Structure

Use this procedure to move an element from one cell to another.

To move a contract element, complete the following steps:

  1. Display a spreadsheet.

  2. Click the Parent column of an element that you want to move. A drop-down arrow displays.

  3. Click the arrow, and select ...-Select to display the Select Parent dialog box.

  4. Select a new parent element in the displayed structure to highlight it.

  5. Take one of the following actions:

    • Click OK to move the element.

    • Click Cancel to stop the process without moving the element.

  6. On the Standard toolbar, click [image] Refresh. Alternatively, on the Menu bar, Options » Refresh. The new element displays in its new location.

  7. If any PLUG elements are created, you should change the WBS number of each PLUG element to a more appropriate value, and enter a corresponding element description.

If the contract structure, management thresholds, CPR Format 5 reporting thresholds, non-add markers, or forecasting factors are changed, the contract must be recalculated to see the effect of the change.

Deleting an element deletes all its children elements.

Related Topics and Procedures

wInsight Administrator Standard Toolbar

PLUG Elements

Recalculate Command Overview


Lay Out Structures with Tree Manager

Lay Out Structures with the Tree Manager

Use the Tree Manager feature to add, move, and delete contract elements using click-and-drag techniques.

Selecting Databases, Contracts, and Structures

  • Use the File menu on the Tree Manager to select a different database, and to save your changes.

  • Use the Options menu on the Tree Manager to display element descriptions in addition to WBS numbers, and to show a second tree for the same structure, in the right window.

  • Use the drop-down list for the Contract field to select a different contract.

  • Use the drop-down list for the Structure field to select a different structure.

Expanding and Contracting Structures

  • A single page icon to the right of a WBS number indicates a lowest-level element that has no children elements (for example, 4000 - Spares in the sample figure has a single page icon).

  • The multiple pages icon indicates that a parent element has children elements below it (for example, 2000 - Proj Management in the sample figure has a multiple pages icon). Double-click a parent element to display or hide its children elements. You can also highlight a parent element and use the RIGHT ARROW to expand the tree, or LEFT ARROW key to contract it.

Adding, Deleting and Moving Elements

  • To add an element, highlight the parent element and press INSERT. A new element, with a default WBS number, displays under the selected parent element. You can edit the WBS number. Press ENTER to accept the WBS number. Use the CPR Elements spreadsheet to enter an element description.

  • To edit a WBS number, click an element twice to select the WBS number, then enter a new one.

  • To delete an element, highlight the desired element, and press DELETE. You are prompted to confirm the deletion.

  • You can use either one or two trees when moving elements around. However, you can only move elements within a given structure, not between different structures. To move an element, click, drag, and drop it onto its new parent element. Tree Manager moves the element and all of its data to the new parent element.

Click File » Save Changes when you are finished modifying the structure. (You should save your data periodically as you are making changes).

Even if you use the Tree Manager, you will have to enter some items, such as the element description and Cost Account Manager (CAM) name, via the CPR Elements Spreadsheet.

For a discussion of elements that may be created by wInsight Administrator as a result of adding elements to a structure, or moving elements around an existing contract structure, see PLUG Elements.

Location

To display Tree Manager dialog box, click Utilities » Launch TreeMgr.

Related Topics and Procedures

Tree Manager File Menu

Tree Manager Options Menu

CPR Elements Spreadsheet

Recalculate Command Overview


Insert Element Dialog Box

Use the Insert Element dialog box to add a new contract element into a spreadsheet. You can also display this dialog box by clicking a parent element in a spreadsheet then clicking Insert on your keyboard. This action may be faster for large structures.

This dialog box contains the following field and button:

WBS Number

Enter an identifier for the new element. The number must be unique within the active contract structure. You can use a maximum of 30 alphanumeric and special characters.

Parent

Displays the active contract structure and highlights the parent element of the element that you want to insert. Select a parent element in the displayed contract tree, if necessary.

Location

To display the Insert Element dialog box, complete the following steps:

  1. In the Navigation pane, click Data Input » Contract Setup » CPR Elements.

  2. Double-click CPR Elements. The CPR Elements spreadsheet displays.

  3. On the Menu bar, click Edit » Insert....

You can also display this dialog box by clicking anywhere on the CPR Elements spreadsheet then pressing Insert on your keyboard.

Related Topics and Procedures

CPR Elements spreadsheet


Non-Add Flag Dialog Box

Use the Non-Add Flag dialog box to set an active contract element as an Add or Non-Add element in a structure. wInsight Administrator does not add or roll up non-add elements to the next higher level of the structure.

This dialog box contains the following fields:

Element

Displays the description of a selected element.

Add

Displays a list of contract structures where the active element is an Add element within the structure.

Non-Add

Displays a list of contract structures where the active element is a Non-Add element within the structure.

Use the [image] or [image] to move the element to the Add or Non-Add list.

Location

To display the Non-Add Flag dialog box, complete the following steps:

  1. In the Navigation pane, click Data Input » Contract Setup » CPR Elements.

  2. Double-click CPR Elements. The CPR Elements spreadsheet displays.

  3. In the NAFlag column, click the element that you need to update. A drop-down list displays.

  4. Select ...Custom.

Related Topics and Procedures

CPR Elements Spreadsheet

Earned Value Spreadsheet

Future Period-BCWS Spreadsheet

Future Period-ETC Spreadsheet

Manpower-BAC Spreadsheet

Manpower-EAC Spreadsheet

wInsight Database Fields


Select Parent Dialog Box

Use the Select Parent dialog box to select a new parent for an element in the displayed contract tree.

This dialog box contains the following fields:

Element

Displays the WBS number of a selected element.

Current Parent

Displays the WBS number of the current parent of the selected element.

New Parent

Displays the active contact structure, and highlights the current parent of the selected element. Select a new parent for the element.

Location

To display the Select Parent dialog box, complete the following steps:

  1. In the Navigation pane, click Data Input » Contract Setup » CPR Elements.

  2. Double-click CPR Elements. The CPR Elements spreadsheet displays.

  3. In the Parent column, click the element that you need to update. A drop-down list displays.

  4. Select ...-Select.

Related Topics and Procedures

CPR Elements Spreadsheet

Move an Element in the Structure


PLUG Elements

After you import data and add new elements to an existing contract structure, you may find PLUG elements in the structure along with your normal contract elements (for example, PLUG-0001-MOH-2 in the sample figure).

PLUG elements can also occur when you manually add elements to the contract structures. A PLUG element occurs when a lowest-level element, which is the element without subordinate elements, has subordinate elements added to it for the first time.

The issue is that wInsight Administrator only allows data to exist at the lowest level. Adding children to an existing lowest-level element changes the lowest level. In this case, an extra child element is added, called PLUG. wInsight Administrator moves down to the PLUG element all of the data residing at what used to be the lowest level. The PLUG element has all of the historical data and the new children elements receive this period's and future periods' data.

A PLUG element, PLUG-0001-MOH-2, is shown in the sample figure. It is created when element 4100 is added under element 4000, which had been the lowest-level element. The new element contains all earned value data that element 4000 used to contain.

The WBS number of a PLUG element is in this format:

PLUG-sequential four digit number-contract name

Sample PLUG Element

Pre-6.0 PLUG Elements

In pre-6.0 versions of wInsight Administrator, the creation of PLUG elements happens even if there is no data to move down. In this case, you can delete the PLUG element. However, if the PLUG does have historical data, you should rename it to something more informative than PLUG. In wInsight Administrator 6.x, if there is no data to push down, wInsight Administrator does not create a PLUG element.


Periods Spreadsheet

The Periods spreadsheet displays all periods of data for a contract. Use this spreadsheet to create a reporting period for a contract; this is necessary so that you can enter earned value and performance data manually. You can populate this spreadsheet with data when you import data.

You define the sequencing of reporting periods with this spreadsheet. For example, for monthly reporting in a calendar year, May would be period number 5.

The number of periods of data that this report lists is equal to the number of columns that the PMB Revisions report displays.

Recommendations

Deltek recommends that you maintain one contract for weekly data and one for monthly data. Reporting periods can be mixed, such as both weekly and monthly. This is not a recommended approach, however, because of the method wInsight Administrator uses to derive current period data.

Period end dates in this spreadsheet should match the period end dates in the calendar being used for the contract.

You can specify an end date for a period on the Insert Period dialog box.

Period Numbers (PerNum)

Period numbers can provide a convenient date abbreviation (for example, Jan 09 might be Per1 09). Use the PerNum field in the Periods spreadsheet to format current and past period dates. These dates appear throughout wInsight and wInsight Administrator in date lists, charts, and reports.

For period numbers to be utilized, the active calendar has to have a date format that displays the period number (for example, P%p FY%f). You set date formatting in the Calendars spreadsheet.

Published Periods (PubLevel)

To prevent data from being reviewed before it is validated, wInsight provides the Published Periods feature:

  • Each period definition contains a publish level. You set the publish level here, via the PubLevel column on the Periods spreadsheet. If you change this setting, you must run a recalculation so that the change is reflected in the data wInsight users see.

  • Each user record now has a publish level (PubLevel). You can see any period with a publish level less than or equal to your own publish level setting. You set each user’s publish level on the Edit User/Group dialog box. If you change this setting, you need to run a recalculation so that the change is reflected in the data wInsight users see.

Columns in the Periods Spreadsheet

The following table describes each column in the Periods spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Notes
EndDate | Period End Date | Date |  | mm/dd/ccyy
PerNum | Period Sequence Number | Number | Integer | Default = 0
PubLevel | Publish Level for the Period | Number | Integer | Default = 0

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the Periods spreadsheet, complete the following steps:

  1. In the Navigation pane, expand Data Input.

  2. Expand Contract Setup.

  3. Double-click Periods.

Related Topics and Procedures

Calendars Spreadsheet

Earned Value Data Entry Overview

Edit User Publish Levels in wInsight Administrator

Named Calendar Spreadsheet

Recalculate Command Overview


Insert Period Dialog Box

Use the Insert Period dialog box to specify an end date for a period to which performance data will be entered for a contract.

End Date

Enter or select the end date for the period that you need to update. Use the mm/dd/yyyy format.

Location

To display the Insert Period dialog box, complete the following steps:

  1. In the Navigation pane, click Data Input » Contract Setup »Periods.

  2. Double-click Periods. The Period Spreadsheet displays.

  3. On the Menu bar, click Edit » Insert....

You can also display this dialog box by clicking anywhere on the Periods spreadsheet then pressing Insert on your keyboard.

Related Topics and Procedures

Periods Spreadsheet


Threshold/Weights Spreadsheet

Thresholds/Weights Spreadsheet

Use the Threshold/Weights spreadsheet to select the CPR Format 5 variance analysis reporting thresholds and Estimate at Completion (EAC) forecasting formula weights to be used for each contract element:

  • The thresholds control the generation of comments displayed in the VAR column in wInsight's Standards view that indicate that an element has broken a threshold. You define the thresholds via the Thresholds spreadsheet.

  • The weights are used by two of wInsight's EAC forecasting formulas. You define the weights via the Weights spreadsheet.

Columns in the Thresholds/Weights Spreadsheet

The following table describes each column in the Thresholds/Weights spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
WbsNum | Element's WBS (ID) Number | Not Editable |  | N/A |
ElemDesc | Element Description | Not Editable |  | N/A |
Threshold | Identifies which set of thresholds to use | Select option from list | Long | N/A | Controls VAR column in wInsight Standard view
Weight | Identifies which set of weights to use | Select option from list | Long | N/A | Controls wInsight's Estimate at Completion (EAC) Forecasting Formulas

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the Thresholds/Weights spreadsheet, take the following actions:

  1. In the Navigation tree, expand Data Input.

  2. Expand Contract Setup.

  3. Double-click the Thresholds/Weights spreadsheet.

Related Topics and Procedures

Thresholds Spreadsheet

Weights Spreadsheet


Earned Value Data Entry

Earned Value Data Entry Overview

Earned value information is needed to generate Cost Performance Reports and Cost/Schedule Status reports. Earned value data is also needed for wInsight's charts, reports, and the Sort window. This section of the help describes the earned value and performance data that you need to enter and the associated Data Input spreadsheet you use to enter the data. You can also import data into wInsight Administrator or copy data into the spreadsheets.

Spreadsheets

You will be working with the following spreadsheets:

  • Earned Value Spreadsheet

  • Future Period-BCWS Spreadsheet

  • Future Period-ETC Spreadsheet

  • Baseline-BOP Spreadsheet

  • Baseline-EOP Spreadsheet

  • Baseline Changes Spreadsheet

  • Manpower-EAC Spreadsheet

  • Manpower-BAC Spreadsheet

You may also want to review Variance Narratives (Format 5).

Alternate Method - WBS Mapper

WBS Mapper can reduce the amount of earned value data that you need to enter.

Guidelines

You should check the following items before continuing:

  • Check the data source indicator at the top of the selection hierarchy tree in the Navigation pane to ensure you are using the correct database.

  • Make sure you have established the correct units for the contract and their denominations (thousands, millions, and so on) prior to entering data. Data values are not converted if you change the denominations.

    Units

    Units can be any of the following types:

    • Dollars

    • Hours

    • Equivalent persons (EQP)

    • Other user-defined units

    Click [image] to toggle the units.

  • Make sure you are using the correct data set (contract, period, structure, units), when applicable, prior to entering data.

  • Save your data (click File » Save). In most cases you will be prompted to save your data before it is lost. For example, you are prompted to save when you change spreadsheets.

  • After you enter performance data, you must recalculate the contract.

Related Topics and Procedures

Earned Value Spreadsheet

Future Period-BCWS Spreadsheet

Future Period-ETC Spreadsheet

Baseline-BOP Spreadsheet

Baseline-EOP Spreadsheet

Baseline Changes Spreadsheet

Manpower-EAC Spreadsheet

Manpower-BAC Spreadsheet

Units Spreadsheet

Cost Performance Reports Overview

Cost Performance Reports Procedural Overview

Entering and Deleting Data Overview

Earned Value Data Entry with the WBS Mapper

Navigation Pane

wInsight Administrator Dataset Toolbar

Recalculate Command Overview

Display and Activate a Spreadsheet

Select a wInsight Database


Earned Value Spreadsheet

Earned Value Spreadsheet (Formats 1 and 2)

Use the Earned Value spreadsheet to enter earned value data for the reporting period. This information is used in CPR Format 1 and Format 2, Cost/Schedule Status Reports, NASA reports, and wInsight's charts, reports, and Sort window.

Enter cumulative data for lowest-level contract elements. You establish contract elements via the CPR Elements spreadsheet. Current period data is generated via the Recalculate function by subtracting the prior period's cumulative data from the current reporting period's cumulative data.

Also note the 10 user-defined fields, labeled Number1 through Number10. Because of the complexities involved in supporting Microsoft Access, Oracle, and SQL Server databases, no user-defined fields will sum data up the contract structures. As a workaround, these ten numeric fields (which will sum values up the structures, after a recalculate is performed) have been included in the Earned Value spreadsheet.

To aid in data entry, the spreadsheet has totals at the bottom. The totals update automatically when you enter a value into the spreadsheet and press ENTER or TAB. wInsight Administrator does not update totals for entries made to elements marked as non-add.

Be sure to check the denominations of the units you are about to enter. For example, if the scaling established for dollars is millions, then enter dollars in millions in the spreadsheet.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Columns in the Earned Value Spreadsheet

The following table describes each column in the Earned Value spreadsheet:

Column Name

Description

Type of Input

# of Chars.

Shown in Report Field

Notes

WbsNum

Element's WBS (ID) Number

Not Editable

ElemDesc

Element Description

Not Editable

NAFlag

Non-Add Flag; non-add data is not added to the totals.

Not Editable

  • 0 = Add

  • 1 = Non-Add

BcwsCum

Cumulative BCWS Value

Number

Double

  • CPR Format 1, block 8a, column 7

  • Format 2, block 5a, column 7

  • C/SSR, Block7a, column 2

Default = 0

BcwpCum

Cumulative BCWP Value

Number

Double

  • CPR Format 1, block 8a, column 8

  • Format 2, block 5a, column 8

  • C/SSR, Block7a, column 3

Default = 0

AcwpCum

Cumulative ACWP Value

Number

Double

  • CPR Format 1, block 8a, column 9

  • Format 2, block 5a, column 9

  • C/SSR, Block 7a, column 4

Default = 0

Bac

Budget at Completion Value

Number

Double

  • CPR Format 1, block 8a, column 14

  • Format 2, block 5a, column 14

  • C/SSR, Block 7a, column 7

Default = 0

Eac

Latest Revised Estimate Value

Number

Double

  • CPR Format 1, block 8a, column 15

  • Format 2, block 5a, column 15

  • C/SSR, Block 7a, column 8

Default = 0

ReprogCost

Value to Adjust the Element’s Cost Data

Number

Double

  • CPR Format 1, block 8a, column 12

  • Format 2, block 5a, column 12

Default = 0

ReprogSch

Value to Adjust the Element’s Schedule Data

Number

Double

  • CPR (March 2005 DID) Format 1, block 8a, column 12b

  • Format 2, block 5a, column 12b

Default = 0

ReprogBudg

Value to Adjust the Element’s Budget Data

Number

  • Double CPR Format 1, block 8a, column 13

  • Format 2, block 5a, column 13

Default = 0

UnfillOrd

Unfilled Orders Outstanding

Number

Double

  • NASA 533M Column 10

Number1 – Number10

User-defined fields that sum data up the contract structures

Number

Double

Columns can be shown and data can be plotted in wInsight.

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the Earned Value spreadsheet, click Data Input » Element Data » Earned Value Spreadsheet.

Related Topic

CPR Elements Spreadsheet.


Future Period-BCWS Spreadsheet

Use the Future Period-BCWS spreadsheet to enter time-phased, future period Budgeted Cost of Work Scheduled forecasts. This data is used in the wInsight Cumulative Element Performance and Current Element Performance charts and displays to the right of the Time Now line. This information can also be used to calculate Baseline and Manpower data.

For this spreadsheet, you enter incremental, not cumulative, data for lowest-level contract elements. The periods displayed extend to the end of the calendar being used for the contract. Check the Contracts spreadsheet to see which calendar is being used for the contract.

To aid in data entry, the spreadsheet has totals at the bottom. The totals update automatically when you enter a value into the spreadsheet and press ENTER or TAB. wInsight Administrator does not update totals for entries made to elements marked as non-add.

Be sure to check the denominations of the units you are about to enter. For example, if the scaling established for dollars is millions, then enter dollars in millions in the spreadsheet.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Columns in the Future Period-Budgeted Cost of Work Scheduled (BCWS) Spreadsheet

The following table describes each column in the Future Period-BCWS spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
WbsNum | Element's WBS (ID) Number | Not Editable |  |  |
ElemDesc | Element Description | Not Editable |  |  |
NAFlag | Non-Add Flag. "Non-add data" is not added to the totals. | Not Editable |  |  | 0 = Add 1 = Non-Add
"mm/dd/ccyy" | BCWS for the Period | Number | Double |  |

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the Future Period-BCWS spreadsheet, click Data Input » Element Data » Future Period-BCWS Spreadsheet.

Related Topic

Contracts Spreadsheet


Future Period-ETC Spreadsheet

Use the Future Period-ETC spreadsheet to enter time-phased, future period Estimate to Complete forecasts. This data is used in the wInsight Cumulative Element Performance and Current Element Performance charts and displays to the right of the Time Now line. This information can also be used to calculate Baseline and Manpower data.

For this spreadsheet, you enter incremental, not cumulative, data for lowest-level contract elements. The periods displayed extend to the end of the calendar being used for the contract. Check the Contracts spreadsheet to see which calendar is being used for the contract.

To aid in data entry, the spreadsheet has totals at the bottom. The totals update automatically when you enter a value into the spreadsheet and press ENTER or TAB. wInsight Administrator does not update totals for entries made to elements marked as non-add.

Be sure to check the denominations of the units you are about to enter. For example, if the scaling established for dollars is millions, then enter dollars in millions in the spreadsheet.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Columns in the Future Period-Estimate to Complete (ETC) Spreadsheet

The following table describes each column in the Future Period-ETC spreadsheet:

Column Name

Description

Type of Input

# of Chars.

Shown in Report Field

Notes

WbsNum

Element's WBS (ID) Number

Not Editable

ElemDesc

Element Description

Not Editable

NAFlag

Non-Add Flag. "Non-add data" is not added to the totals.

Not Editable

  • 0 = Add

  • 1 = Non-Add

"mm/dd/ccyy"

ETC for the Period

Number

Double

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the Future Period-ETC spreadsheet, click Data Input » Element Data » Future Period-ETC Spreadsheet.

Related Topic

Contracts Spreadsheet


Baseline - BOP Spreadsheet

Baseline-BOP Spreadsheet (Format 3)

Use the Baseline-BOP spreadsheet to enter baseline information for the beginning of the period. Baseline–Beginning of Period information is used in the CPR Format 3 report and you can display it on the wInsight Contract Performance chart as optional data. You can enter data in any available unit. Check the Contracts spreadsheet to determine the units selected for CPR Format 3 data.

You can enter baseline data or have it calculated from time-phased future period BCWS data, entered in the Future Period–BCWS spreadsheet. Calculated Baseline values overwrite values that you enter directly.

The values you enter in columns BPer1-BPer4 and BToCmp can represent more than a single period of data. To define the number of periods that the values entered in these columns represent, use the Baseline Periods spreadsheet.

Be sure to check the denominations of the units you are about to enter. For example, if the scaling established for dollars is millions, then enter dollars in millions in the spreadsheet.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Columns in the Baseline-BOP Spreadsheet

The following table describes each column in the Baseline-BOP spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
EndDate | Period End Date | Not Editable |  |  |
BCumToDt | Cumulative BCWS at the Beginning of the Period | Number | Double | CPR Format 3, Block 6a, Column 2 | Default = 0
BCurrent | Current BCWS at the Beginning of the Period | Number | Double | CPR Format 3, Block 6a, Column 3 | Default = 0
BCurP1 | Beginning Period BCWS for the First Period after the Current Period | Number | Double | CPR Format 3, Block 6a, Column 4 | Default = 0
BCurP2 | Beginning Period BCWS for the Second Period after the Current Period | Number | Double | CPR Format 3, Block 6a, Column 5 | Default = 0
BCurP3 | Beginning Period BCWS for the Third Period after the Current Period | Number | Double | CPR Format 3, Block 6a, Column 6 | Default = 0
BCurP4 | Beginning Period BCWS for the Fourth Period after the Current Period | Number | Double | CPR Format 3, Block 6a, Column 7 | Default = 0
BCurP5 | Beginning Period BCWS for the Fifth Period after the Current Period | Number | Double | CPR Format 3, Block 6a, Column 8 | Default = 0
BCurP6 | Beginning Period BCWS for the Sixth Period after the Current Period | Number | Double | CPR Format 3, Block 6a, Column 9 | Default = 0
BPer1 | Beginning Period BCWS for the First Specified Period | Number | Double | CPR Format 3, Block 6a, Column 10 | Default = 0
BPer2 | Beginning Period BCWS for the Second Specified Period | Number | Double | CPR Format 3, Block 6a, Column 11 | Default = 0
BPer3 | Beginning Period BCWS for the Third Specified Period | Number | Double | CPR Format 3, Block 6a, Column 12 | Default = 0
BPer4 | Beginning Period BCWS for the Fourth Specified Period | Number | Double | CPR Format 3, Block 6a, Column 13 | Default = 0
BToCmp | Beginning Period BCWS for the Remaining Work to Complete | Number | Double | CPR Format 3, Block 6a, Column 14 | Default = 0
BUndBudg | Beginning Period BCWS for the Undistributed Budget | Number | Double | CPR Format 3, Block 6a, Column 15 | Default = 0

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the Baseline-BOP spreadsheet, click Data Input » Baseline Data »Baseline-BOP Spreadsheet.

Related Topics and Procedures

Contracts Spreadsheet

Future Period–BCWS Spreadsheet

Baseline Periods Spreadsheet

Recalculate Command Overview


Baseline-EOP Spreadsheet

Baseline-EOP Spreadsheet (Format 3)

Use the Baseline-EOP spreadsheet to enter baseline information for the end of the period. Baseline–End of Period information is used in the CPR Format 3 report and you can display it on the wInsight Contract Performance chart as optional data. You can enter data in any available unit. Check the Contracts spreadsheet to determine the units selected for CPR Format 3 data.

You can enter baseline data or have it calculated from time-phased future period BCWS data, entered in the Future Period–BCWS spreadsheet. Calculated Baseline values overwrite values that you enter directly.

The values that you enter in columns EPer1-EPer4 and EToCmp can represent more than a single period of data. To define the number of periods that the values entered in these columns represent, use the Baseline Periods spreadsheet.

Be sure to check the denominations of the units you are about to enter. For example, if the scaling established for dollars is millions, then enter dollars in millions in the spreadsheet.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Columns in the Baseline-EOP Spreadsheet

The following table describes each column in the Baseline-EOP spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
EndDate | Period End Date | Not Editable |  |  |
ECumToDt | Cumulative BCWS at the End of the of the Period | Number | Double | CPR Format 3, Block 6c, Column 2 | Default = 0
ECurP1 | End of the Period BCWS for the First Period after the Current Period | Number | Double | CPR Format 3, Block 6c, Column 4 | Default = 0
ECurP2 | End of the Period BCWS for the Second Period after the Current Period | Number | Double | CPR Format 3, Block 6c, Column 5 | Default = 0
ECurP3 | End of the Period BCWS for the Third Period after the Current Period | Number | Double | CPR Format 3, Block 6c, Column 6 | Default = 0
ECurP4 | End of the Period BCWS for the Fourth Period after the Current Period | Number | Double | CPR Format 3, Block 6c, Column 7 | Default = 0
ECurP5 | End of the Period BCWS for the Fifth Period after the Current Period | Number | Double | CPR Format 3, Block 6c, Column 8 | Default = 0
ECurP6 | End of the Period BCWS for the Sixth Period after the Current Period | Number | Double | CPR Format 3, Block 6c, Column 9 | Default = 0
EPer1 | End of the Period BCWS for the First Specified Period | Number | Double | CPR Format 3, Block 6c, Column 10 | Default = 0
EPer2 | End of the Period BCWS for the Second Specified Period | Number | Double | CPR Format 3, Block 6c, Column 11 | Default = 0
EPer3 | End of the Period BCWS for the Third Specified Period | Number | Double | CPR Format 3, Block 6c, Column 12 | Default = 0
EPer4 | End of the Period BCWS for the Fourth Specified Period | Number | Double | CPR Format 3, Block 6c, Column 13 | Default = 0
EToCmp | End of the Period BCWS for the Remaining Work to Complete | Number | Double | CPR Format 3, Block 6c, Column 14 | Default = 0
EUndBudg | End of the Period BCWS for the Undistributed Budget | Number | Double | CPR Format 3, Block 6c, Column 15 | Default = 0

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the Baseline-EOP spreadsheet, click Data Input » Baseline Data » Baseline-EOP Spreadsheet.

Related Topics and Procedures

Contracts Spreadsheet

Future Period–BCWS Spreadsheet

Baseline Periods Spreadsheet

Recalculate Command Overview


Baseline Changes Spreadsheet

Baseline Changes Spreadsheet (Format 3)

Use the Baseline Changes spreadsheet to record the reasons for any difference between the Baseline-Beginning of Period (BOP) and Baseline-End of Period (EOP) positions, along with the amount of change.

You enter this information at the total contract level (Level 1). The changes display on the CPR Format 3 report, sorted by their description.

Be sure to check the denominations of the units you are about to enter. For example, if the scaling established for dollars is millions, then enter dollars in millions in the spreadsheet.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Columns in the Baseline Changes Spreadsheet

The following table describes each column in the Baseline Changes spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
ChgDesc | Description of the Baseline Change | Text | 30 | CPR Format 3, Block 6b, Column 1 |
ChgValue | Value of the Baseline Change | Number | Double | CPR Format 3, Block 6b, Column 16 | Default = 0

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the Baseline Changes spreadsheet, click Data Input » Baseline Data » Baseline Changes Spreadsheet.


Manpower-EAC Spreadsheet

Manpower-EAC Spreadsheet (Format 4)

Use the Manpower–EAC spreadsheet to enter Estimate at Completion staffing requirements. Manpower information displays on the CPR Format 4 report and the Manpower chart.

Usually you enter this data in equivalent person units (EQP), but you can enter manpower data in any available unit. By default, you enter manpower data for lower-level elements of the organizational breakdown structure (OBS); you can enter this data for any available structure. Check the Contracts spreadsheet to determine the units and structure selected for CPR Format 4 data.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown strucuture (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

You can enter manpower data or have it calculated from time-phased future period data and calendar information, entered in the Future Period–BCWS spreadsheet and Future Period-ETC spreadsheet. You establish the calendar in the Calendars spreadsheet. Calculated manpower values overwrite values that you enter directly.

The values that you enter in columns Per1-Per4 and ToCmp can represent more than a single period of data. To define the number of periods that the values entered in these columns represent, use the Manpower Periods spreadsheet.

To aid in data entry, the spreadsheet has totals at the bottom. The totals automatically update when you enter a value into the spreadsheet and press ENTER or TAB. wInsight Administrator does not update totals for entries made to elements marked as non-add.

Be sure to check the denominations of the units you are about to enter. For example, if the scaling established for dollars is millions, then enter dollars in millions in the spreadsheet.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Columns in the Manpower-EAC Spreadsheet

The following table describes each column in the Manpower-EAC spreadsheet:

Column Name

Description

Type of Input

# of Chars.

Shown in Report Field

Notes

WbsNum

Element's WBS (ID) Number

Not Editable

CPR Format 4, Block 5, Column 1

ElemDesc

Element Description

Not Editable

CPR Format 4, Block 5, Column 1

NAFlag

Non-Add Flag. "Non-add data" is not added to the totals.

Not Editable

  • 0 = Add

  • 1 = Non-Add

ActCur

Actual Current Period

Number

Double

CPR Format 4, Block 5, Column 2

Default = 0

ActCum

Actual End of Current Period (Cumulative)

Number

Double

CPR Format 4, Block 5, Column 3

Default = 0

CurP1

Forecast for the Period after the Current Period

Number

Double

CPR Format 4, Block 5, Column 4

Default = 0

CurP2

Forecast for the Second Period after the Current Period

Number

Double

CPR Format 4, Block 5, Column 5

Default = 0

CurP3

Forecast for the Third Period after the Current Period

Number

Double

CPR Format 4, Block 5, Column 6

Default = 0

CurP4

Forecast for the Fourth Period after the Current Period

Number

Double

CPR Format 4, Block 5, Column 7

Default = 0

CurP5

Forecast for the Fifth Period after the Current Period

Number

Double

CPR Format 4, Block 5, Column 8

Default = 0

CurP6

Forecast for the Sixth Period after the Current Period

Number

Double

CPR Format 4, Block 5, Column 9

Default = 0

Per1

Forecast for the First Specified Period

Number

Double

CPR Format 4, Block 5, Column 10

Default = 0

Per2

Forecast for the Second Specified Period

Number

Double

CPR Format 4, Block 5, Column 11

Default = 0

Per3

Forecast for the Third Specified Period

Number

Double

CPR Format 4, Block 5, Column 12

Default = 0

Per4

Forecast for the Fourth Specified Period

Number

Double

CPR Format 4, Block 5, Column 13

Default = 0

ToCmp

Forecast for the Remaining Work to Complete

Number

Double

CPR Format 4, Block 5, Column 14

Default = 0

PlanCur

CurP1 Forecast from Prior Period

Number

Double

Default = 0

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the Earned Value spreadsheet, click Data Input » Manpower Data » Manpower-EAC Spreadsheet.

Related Topics and Procedures

Contracts Spreadsheet

Future Period–BCWS Spreadsheet

Future Period-ETC Spreadsheet

Calendars Spreadsheet

Manpower Periods Spreadsheet

Recalculate Command Overview


Manpower-BAC Spreadsheet

Manpower-BAC Spreadsheet (Format 4)

Use the Manpower–BAC spreadsheet to enter Baseline staffing requirements. Manpower information displays on the CPR Format 4 report and the Manpower chart.

Usually you enter this data in equivalent person units (EQP), but you can enter manpower data in any available unit. By default, you enter manpower data for lower-level elements of the organizational breakdown structure (OBS); you can enter this data for any available structure. Check the Contracts spreadsheet to determine the units and structure selected for CPR Format 4 data.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown strucuture (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

You can enter manpower data or have it calculated from time-phased future period data and calendar information, entered in the Future Period–BCWS spreadsheet and Future Period-ETC spreadsheet. You establish the calendar in the Calendars spreadsheet. Calculated manpower values overwrite values that you enter directly.

The values that you enter in columns Per1-Per4 and ToCmp can represent more than a single period of data. To define the number of periods that the values entered in these columns represent, use the Manpower Periods spreadsheet.

To aid in data entry, the spreadsheet has totals at the bottom. The totals automatically update when you enter a value into the spreadsheet and press ENTER or TAB. wInsight Administrator does not update totals for entries made to elements marked as non-add.

Be sure to check the denominations of the units you are about to enter. For example, if the scaling established for dollars is millions, then enter dollars in millions in the spreadsheet.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Columns in the Manpower-BAC Spreadsheet

The following table describes each column in the Manpower-BAC spreadsheet:

Column Name

Description

Type of Input

# of Chars.

Shown in Report Field

Notes

WbsNum

Element's WBS (ID) Number

Not Editable

CPR Format 4, Block 5, Column 1

ElemDesc

Element Description

Not Editable

CPR Format 4, Block 5, Column 1

NAFlag

Non-Add Flag. "Non-add data" is not added to the totals.

Not Editable

  • 0 = Add

  • 1 = Non-Add

PlanCur

Planned Current Period

Number

Double

CPR Format 4, Block 5, Column 2

Default = 0

PlanCum

Planned End of Current Period (Cumulative)

Number

Double

CPR Format 4, Block 5, Column 3

Default = 0

CurP1

Forecast for the Period after the Current Period

Number

Double

CPR Format 4, Block 5, Column 4

Default = 0

CurP2

Forecast for the Second Period after the Current Period

Number

Double

CPR Format 4, Block 5, Column 5

Default = 0

CurP3

Forecast for the Third Period after the Current Period

Number

Double

CPR Format 4, Block 5, Column 6

Default = 0

CurP4

Forecast for the Fourth Period after the Current Period

Number

Double

CPR Format 4, Block 5, Column 7

Default = 0

CurP5

Forecast for the Fifth Period after the Current Period

Number

Double

CPR Format 4, Block 5, Column 8

Default = 0

CurP6

Forecast for the Sixth Period after the Current Period

Number

Double

CPR Format 4, Block 5, Column 9

Default = 0

Per1

Forecast for the First Specified Period

Number

Double

CPR Format 4, Block 5, Column 10

Default = 0

Per2

Forecast for the Second Specified Period

Number

Double

CPR Format 4, Block 5, Column 11

Default = 0

Per3

Forecast for the Third Specified Period

Number

Double

CPR Format 4, Block 5, Column 12

Default = 0

Per4

Forecast for the Fourth Specified Period

Number

Double

CPR Format 4, Block 5, Column 13

Default = 0

ToCmp

Forecast for the Remaining Work to Complete

Number

Double

CPR Format 4, Block 5, Column 14

Default = 0

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the Manpower-BAC spreadsheet, complete the following actions:

  1. In the Navigation tree, expand Data Input.

  2. Expand Manpower Data.

  3. Double-click EAC or BAC.

Related Topics and Procedures

Contracts Spreadsheet

Future Period–BCWS Spreadsheet

Future Period-ETC Spreadsheet

Manpower Periods Spreadsheet

Recalculate Command Overview


Variance Narratives (Format 5)

You create CPR Format 5 reporting thresholds in wInsight Administrator using the Thresholds spreadsheet, and link the thresholds to contract elements using the Thresholds/Weights spreadsheet. Based on the established thresholds, wInsight identifies in the VAR column of the standard wInsight view any elements requiring a variance analysis narrative.

You enter narratives explaining variances in wInsight; these variance narratives display on the CPR Format 5 and wInsight Format 5 Narrative reports. You can, however, import the narratives through transfer files into wInsight Administrator.

In wInsight, each contract element's CPR Format 5 narrative is limited to 64,000 alphanumeric and special characters, which include hidden HTML formatting characters. To maximize the amount of narrative overall, Deltek recommends that you enter narratives alongside their own elements (as opposed to entering all narratives into the top-level element). You can also strip out hidden formatting characters by copying text into Windows Notepad.

Related Topics and Procedures

Thresholds Spreadsheet

Thresholds/Weights Spreadsheet

Contractual Variance Analysis Reporting (VAR) Thresholds

Narrative Inputs


Earned Value Data Entry with WBS Mapper

Earned Value Data Entry with the WBS Mapper

You typically enter earned value data separately for each contract structure.

The WBS Mapper provides an alternative to the manual process by making it possible for you to link work breakdown structure elements to elements in other structures, such as organizational breakdown structures. When you use the WBS Mapper to link structures, you need to load data only for the WBS— wInsight Administrator derives the earned value data for the other structures.

The WBS Mapper is only for earned value data, not for items such as CPR header values or Format 5 narratives.

Related Topics and Procedures

Correct or Delete Data

Earned Value Data Entry Overview

Expand or Contract Structures

Link Elements and Copy Data

Link or Unlink Elements

Select Databases, Contracts, or Structures

Set Up your Database to Support the WBS Mapper

Validate and Repair Links

View Links


Set Up your Database to Support WBS Mapper

Set Up Your Database to Support the WBS Mapper

wInsight MS Access databases come configured to support the WBS Mapper. However, MS SQL Server and Oracle databases require that you run the SETTGT_STRU.SQL script to add the stored procedure required by some of the WBS Mapper procedures.

The default location of these scripts is either of the following, depending on your database:

  • C:\Program Files\Deltek\wInsight 6.5\wsmde\Scripts\MSSQL

  • C:\Program Files\Deltek\wInsight 6.5\wsmde\Scripts\Oracle

The database administrator must complete the following steps:

  1. Connect to an existing WINST database.

The default login name is winst; the default password is winstpwd.

  2. Run the appropriate version of SETTGT_STRU.SQL.


Link Elements and Copy Data

Use the following procedure to link elements and copy data.

To link elements and copy over data, complete the following steps:

  1. Create a contract and build the contract structures.

  2. Load earned value data for the WBS structure.

  3. Click Utilities » Launch WBSMap. The WbsMap dialog box displays.

  4. Link the WBS elements to elements in other structures. You can link multiple WBS elements to another element.

  5. Click Utilities » Run Script » Set Linked Period Data to copy WBS earned value data to the linked elements in the other structures. Follow the prompts for selecting a contract and reporting period. You can view the copied data in the Earned Value spreadsheet.

  6. Click Utilities » Run Script » Set Linked Future Data to copy WBS future period Budgeted Cost of Work Scheduled (BCWS) and Estimate to Complete (ETC) data to the linked elements in the other structures. Follow the prompts for selecting a contract and reporting period.

This may be an optional step depending on whether you usually report future period data. You can view the copied data in the Future Period-BCWS spreadsheet and the Future Period-ETC spreadsheet

  7. Click Utilities » Recalculate to have wInsight Administrator recalculate the earned value data.

Related Topics and Procedures

Contract Setup Overview

Earned Value Data Entry Overview

Link or Unlink Elements

Earned Value Spreadsheet (Formats 1 and 2)

Future Period-BCWS Spreadsheet

Future Period-ETC Spreadsheet

Recalculate Command Overview


Correct or Delete Data

This topic discusses only the organizational breakdown structure (OBS) in relation to the WBS. However, you can use the same approach for other structures, such as the Integrated Product Team (IPT) or a user-defined structure.

These procedures assume that you have already linked WBS elements to elements in other structures.

To correct WBS data, complete the following steps:

Select one of the following actions:

  • Manually correct the data in the WBS Earned Value spreadsheet, Future Period-BCWS spreadsheet, or Future Period-ETC spreadsheet.

  • Delete the period, then import the correct data.

To correct OBS data, complete the following steps:

Select one of the following actions:

  • Manually correct the data in the OBS Earned Value spreadsheet, Future Period-BCWS spreadsheet, or Future Period-ETC spreadsheet.

  • If the element links and WBS data are correct, run the Set Link Data scripts. Note, however, that having correct links and WBS data may be insufficient to correct all OBS data fully. You may also need to zero out some OBS data.

To delete OBS data, complete the following steps:

Select one of the following actions:

  • Manually zero out the data in the OBS Earned Value spreadsheet, Future Period-BCWS spreadsheet, or Future Period-ETC spreadsheet.

  • To delete an entire row of data, click the gray square to the left of the element's WBS number and press DELETE.

  • To select multiple rows, hold down SHIFT or CTRL while selecting rows.

  • To select all rows, click in the spreadsheet, then press CTRL+A.

  • Enter zeros in the appropriate linked WBS elements. Then run the Set Link Data scripts, which can copy zeros but not blanks.

  • Unlink the appropriate OBS elements. Then run the DEL_NOLINK.QRY script, described below.

To delete all earned value and future period data for all OBS elements not linked to a WBS element, complete the following steps:

Note that selecting the wrong contract and structure when running the DEL_NOLINK.QRY script can result in the wrong data being deleted.

  1. Click Utilities » Run Scripts » Browse. An Open dialog box displays.

  2. Open the wInsight Administrator folder.

  3. Select DEL_NOLINK.QRY and click Open. The Delete Non-linked Data wizard prompts for selections.

  4. Follow the prompts and select the appropriate contract and structure.

Related Topics and Procedures

Link Elements and Copy Data

Earned Value Spreadsheet

Future Period-BCWS Spreadsheet

Future Period-ETC Spreadsheet


Select Databases, Contracts, or Structures

Use the following procedure to select databases, contracts, and structures.

To select databases, contracts, or structures, complete the following steps:

  1. Click Utilities » Launch WBSMap. The WbsMap dialog map displays.

  2. Select one of the following actions:

  3. Use the File menu to select a different database and to save your changes.

  4. From the drop-down list for the Work Breakdown Structure for Contract field, select a different WBS.

  5. From the drop-down list for the Target Structure field, select a different target structure (OBS, IPT, or user-defined structure).

  3. Click Options » Show Descriptions to show or hide element descriptions.


Expand or Contract Structures

The PLUS and MINUS (+ and -) symbols on the WBS Mapper indicate that a parent element has children (subordinate) elements:

  • The PLUS sign (+) to the right of a WBS number indicates a parent element with children elements that are hidden. To expand a branch of the WBS tree, click +, double-click the parent element, or highlight the parent element and press the Right Arrow key.

  • The MINUS sign (-) to the right of a WBS number indicates a parent element with children elements that are displayed. To contract a branch, click -, double-click the parent element, or highlight the parent element and press the Left Arrow key.

  • A element with neither a plus nor a minus sign indicates a lowest-level element, which has no children elements.


Link or Unlink Elements

Use the following procedures to link and unlink elements.

To link a WBS element to an element in another structure, complete the following steps:

  1. Click Utilities » Launch WBSMap. The WbsMap dialog box displays.

  2. Click an element in the left window of the WBS Mapper.

  3. Drag and drop the element onto one of the lowest-level elements in the Target Structure box on the right. As you start to drag the element, a chain link symbol displays next to the cursor arrow. WBS Mapper marks each linked element with an X to indicate that a link has been established.

  4. You can link lowest-level WBS elements and/or summary-level WBS elements, but only to lowest-level elements in the other structure. Linking a summary element automatically links all of its children elements.

  5. You can link multiple WBS elements to a single element in another structure. However, there is no symbol to indicate multiple linkages.

  4. Click File » Save Changes to save your work.

To unlink a WBS element, complete the following steps:

  1. Click Utilities » Launch WBSMap. The WbsMap dialog map displays.

  2. Click the element to unlink.

  3. Drag and drop the element on a blank area in the Target Structure box, somewhere below the last element. A broken chain link symbol beside the cursor arrow indicates an acceptable location. (Links between elements are also deleted when deleting elements and/or contracts.)

  4. Click File » Save Changes to save your work.


View Links

You can use the WBS Mapper Options menu to view and fix element links.

To see which WBS elements have been linked to an element in the target structure, complete the following steps:

  1. Click Utilities » Launch WBSMap. The WbsMap dialog map displays.

  2. Highlight an element in the Target Structure box.

  3. Click Options » Show Linked WBS for Selected Target. Only the WBS elements linked to the highlighted element display.

  4. To see the linkage for another element, click another element in the Target Structure list; the linked WBS elements for the highlighted element display.

  5. To redisplay all WBS elements, click Options » Show Linked WBS for Selected Target.

Options Menu Commands

The following Options menu commands control the left window of the WbsMap dialog box:

  • Show Lowest Only (WBS)

  • Show Unmapped Only (WBS)

  • Show Mapped Only (WBS)

The following Options menu commands control the Target Structure window on the right of the WbsMap dialog box:

  • Show Lowest Only (Target)

  • Show Unmapped Only (Target)

  • Show Mapped Only (Target)

These commands act as toggles and stay in effect until you deselect them or close the WbsMap dialog box.

Filters

Use filters to narrow the number of elements displayed. To create a filter, click Options » Filter WBS.

The fields available for filtering are those used in wInsight to store WBS numbers and user-defined Element fields. You can see these fields in the CPR Elements spreadsheet.

Remember that the LinkVal, SortVal, and WbsNum fields are text fields, not numeric fields, because they can store WBS numbers such as A.B.C. Thus, you must enclose entries in the Value field with single quotes.

Related Topic

CPR Elements Spreadsheet


Validate and Repair Links

In the WbsMap dialog box, click File » Validate/Repair to manage element links. This command finds problems that exist in the linkages.

  • Click the Repair button to delete any invalid links.

  • Click the Save button to save the listed errors to a text file.


Report Setup Overview

The Report Setup area contains contract-level information that may change from one period to another. This information is used on Cost Performance Reports (CPR), Cost/Schedule Status Reports (C/SSR), Contract Funds Status Reports (CFSR), and NASA reports in the header blocks, for report column labeling, for future period time-phasing, and to report scheduling reprogramming adjustments. The contract-level information is also used on a number of wInsight management charts and reports.

Spreadsheets

This section allows you to learn and work with the following spreadsheets:

  • CPR Header Spreadsheet

  • Baseline Periods Spreadsheet

  • Manpower Periods Spreadsheet

  • Schedule Reprogramming Adjustment Spreadsheet

Guidelines

You should check the following items before continuing:

  • Check the data source indicator at the top of the selection hierarchy tree in the Navigation pane to ensure you are using the correct database.

  • Make sure you have established the correct units for the contract and their denominations (thousands, millions, and so on) prior to entering data. Data values are not converted if you change the denominations.

    Units

    Units can be any of the following types:

    • Dollars

    • Hours

    • Equivalent persons (EQP)

    • Other user-defined units

    Click [image] to toggle the units.

  • Make sure you are using the correct data set (contract, period, structure, units), when applicable, prior to entering data.

  • Save your data (click File » Save). In most cases you will be prompted to save your data before it is lost. For example, you are prompted to save when you change spreadsheets.

  • After you enter performance data, you must recalculate the contract.

Related Topics and Procedures

Units Spreadsheet

Cost Performance Reports Overview

Cost Performance Reports Procedural Overview

Navigation Pane

wInsight Administrator Dataset Toolbar

Entering and Deleting Data Overview

Recalculate Command Overview

Display and Activate a Spreadsheet

Select a wInsight Database


CPR Header Spreadsheet

Use the CPR Header spreadsheet to enter contractual financial and schedule data that may change from one period to another for a selected contract. The information in this spreadsheet is primarily used in the header blocks of Cost Performance Reports (CPR), Cost/Schedule Status Reports (C/SSR), Contract Funds Status Reports (CFSR), and NASA reports.

Some CPR Header information also displays on wInsight reports and management charts, and can display in the Sort window for a specific period. Contract completion dates are especially important because they are used to draw the time scale on wInsight charts.

Make sure that you have established the correct units for the contract and their denominations, such as thousands and millions, prior to entering data. Data values are not converted if you change the denominations.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Columns in the CPR Header Spreadsheet

The following table describes each column in the CPR Header spreadsheet:

Column Name

Description

Type of Input

# of Chars.

Shown in Report Field

Notes

EndDate

Period End Date

Not Editable

RptStartDt

Report Start Date

Date

  • CPR Formats 1-5

  • C/SSR, Block 4a

mm/dd/ccyy

RptEndDt

Report End Date

Date

  • CPR Formats 1-5

  • C/SSR Block 4b

  • CFSR Block 6

  • NASA 533M Block 2

mm/dd/ccyy

LastContrChg

Notation of Last Contract Change

Text

30

TotalNegChg

Negotiated Amount of the Contract Change

Number

Double

  • CPR Format 3

  • C/SSR, Block 6b

Default = 0

LastOTB

Date of Last Over Target Baseline (OTB)

Date

mm/dd/ccyy

CBB

Contract Budget Base (CBB) Amount

Number

Double

  • CPR Format 1 Block 6c(2

  • NASA 533M Block 3a

Default = 0

TAB

Total Allocated Budget (TAB) Amount

Number

Double

  • CPR Format 3, Block 5f

Default = 0

TgtFeeDol

Target Fee in Dollars

Number

Double

  • CPR Format 1 Block 5d

  • NASA 533M Block 3b

Default = 0

TgtFeePct

Target Fee in Percentage

Number

Double

  • CPR Format 1 Block 5d

  • NASA 533M Block 3b

Default = 0

LastItemDlv

Last Item Deliverable

Date

mm/dd/ccyy

Incentives

Amount of Incentives

Number

Double

Default = 0

ApprName

Authorized Contractor Representative's Name

Text

35

  • CPR Format 1 Block 7a

  • C/SSR Block 5a

  • NASA 533M Block 1d

Last, First, Middle Initial

ApprTitle

Authorized Contractor Representative's Title

Text

35

  • CPR Format 1, Block 7b

  • C/SSR, Block 5b

ApprOrg

Authorized Contractor Representative's Organization

Text

35

SubmDate

Date Report Submitted

Date

  • CPR Format 1 Block 7d

  • C/SSR Block 5d

  • NASA 533M Block 1, Date

NegCost

Negotiated Contract Cost

Number

Double

  • CPR Formats 1, Block 5b

  • Format 3, Block 5c

  • C/SSR, Block 6c

Default = 0

AuthUnpr

Authorized Un-Priced Work (AUPW)

Number

Double

  • CPR Format 1, Block 5c

  • Format 3, Block 5d

  • C/SSR, Block 6d

Default = 0

TgtPrice

Contract Target Price

Number

Double

  • CPR Format 1, Block 5e

  • CFSR Block 10a

Default = 0

EstPrice

Contract Estimated Price

Number

Double

CPR Format 1, Block 5f

Default = 0

ContrCeiling

Contract Ceiling Price

Number

Double

  • CPR Format 1, Block 5g

  • CFSR Block 10b

Default = 0

EstCeiling

Estimated Contract Ceiling Price

Number

Double

CPR Format 1, Block 5h

Default =0

TotalAwdFee

Total Contract Award Fee

Number

Double

Default = 0

AwdFeePaid

Total Award Fee paid to date

Number

Double

Default = 0

AwdFeeRem

Total Award Fee remaining on the contract

Number

Double

Default = 0

ContrCompl

Contract Completion Date

Date

CPR Format 3, Block 5k

mm/dd/ccyy

CtrEstCompl

Contract Estimated Completion Date

Date

CPR Format 3, Block 5l

mm/dd/ccyy

PlanCompl

Planned Completion Date

Date

CPR Format 3, Block 5j

mm/dd/ccyy

EvmsAppr

EVMS Acceptance Date

Date

CPR Formats 1-5, Block 3c (March 2005 DID)

mm/dd/ccyy

EacMin

Minimum Estimate at Completion

Number

Double

CPR Format 1, Block 6a

Default = 0

EacML

Most Likely Estimate at Completion

Number

Double

CPR Format 1, Block 6c

Default = 0

EacMax

Maximum Estimate at Completion

Number

Double

CPR Format 1, Block 6b

Default = 0

MinFee

Minimum Contract Fee

Number

Double

Default = 0

MaxFee

Maximum Contract Fee

Number

Double

Default = 0

FixedFee

Contract Fixed Fee

Number

Double

Default = 0

NonFeeBearCost

Contract Costs without Fee

Number

Double

Default = 0

ShareAbove

Cost Share Ratio above the Share Line

Number

Double

CPR Format 1, Block 2d

Default = 0

ShareBelow

Cost Share Ratio Below the Share Line

Number

Double

CPR Format 1, Block 2d

Default = 0

TFloat

Total Float in Days

Number

Integer

Only used for the wInsight IVAC Chart

FundLimit

Fund Limitation

Number

Double

NASA 533M, Block 4

Default = 0

AmtBilled

Invoice Amounts Billed

Number

Double

NASA 533M, Block 5a

Default = 0

PmtRcvd

Total Payments Received

Number

Double

NASA 533M, Block 5b

Default = 0

BaselineRevNum

Baseline Revision

Select option from list

1

30 NASA 533M, bottom of page in the Baseline Plan Identification

  • T = True

  • F = False

BaselineRevDate

Baseline Revision Date

Date

NASA 533M, bottom of page in the Baseline Plan Identification

mm/dd/ccyy

TripWireSystemIndicator

System Indicator for the Program Tripwire Summary report

Number

A subjective evaluation:

  • 0 =acceptable

  • 1 or any non-zero value = not acceptable

A non-zero value causes the Program Tripwires Summary report to show the System Indicator as red.

TripWireBaselineIndicator

Baseline Indicator for the Program Tripwire Summary report

Number

A subjective evaluation:

  • 0 =acceptable

  • 1 or any non-zero value = not acceptable

A non-zero value causes the Program Tripwires Summary report to show the Baseline Indicator as red.

CumPlannedCompl

Cumulative Planned Completions

Number

The number of discrete tasks where the baseline scheduled completion date <= current period end date.

CumActualCompl

Cumulative Actual Completions

Number

The number of discrete tasks where the actual completion date <= current period end date.

CurPlannedCompl

Current Period Planned Completions

Number

The number of discrete tasks where the plan completion date >= current period start date and <= current period end date.

CurActualCompl

Current Period Actual Completions

Number

The number of discrete tasks where the actual completion date >= current period start date and <= current period end date.

CumPlannedStarts

Cumulative Planned Starts

Number

The number of discrete tasks where the baseline scheduled start date <= current period end date.

CumActualStarts

Cumulative Actual Starts

Number

The number of discrete tasks where the actual start date <= current period end date.

CurPlannedStarts

Current Period Planned Starts

Number

The number of discrete tasks where the baseline scheduled start date >= current period start date and <= current period end date.

CurActualStarts

Current Period Actual Starts

Number

The number of discrete tasks where the actual start date >= current period start date and <= current period end date.

CriticalPathLength

Critical Path Length

Number

The length of the schedule’s critical path, in days.

Regardless of the source project calendar (such as 5-day, 7-day, holidays, or non-working days), wInsight always assumes a 5-day work week in calculating Critical Path Length.

SchedFloat

Schedule Float

Number

The number of days of float in the schedule.

ProgramOrMilestone

Program or Milestone

Not Editable

Default = 0

The number corresponding to either Total Program (default value) or the milestone used to derive CPLI related data in the Milestone used for Tripwire CPLI field on the Recalculate Options dialog when recalculating to derive tripwire metrics.

The value of this field does not change if Derive Tripwire Metrics is not selected during the recalculate process.

The BEI related data (CumPlannedCompl, CumActualCompl, CurPlannedCompl, CurActualCompl, CumPlannedStarts, CumActualStarts, CurPlannedStarts, and CurActualStarts) that are derived for the total program are copied into the CPR Header spreadsheet of wInsight Administrator.

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the CPR Header spreadsheet, complete the following actions:

  1. In the Navigation tree, expand Data Input.

  2. Expand Report Setup.

  3. Double-click CPR Header.

Related Topics

BEI and Monthly Percent Hit Chart

Units Spreadsheet

Recalculate Options Dialog Box


Baseline Periods Spreadsheet

Use the Baseline Periods spreadsheet to enter the number of periods represented by the data contained in CPR Format 3, block 6, columns 10-14 and the titles for columns 10-13. You need to specify the number of periods to support the time phasing of future period baseline data. This information is also used to generate the wInsight Contract Performance chart.

  • CPR Format 3, Block 6, columns 4-9 are fixed as six monthly periods.

  • You can define columns 10-14, which extend from the seventh month after the current period to contract completion, to contain more than one period of data (for example, quarterly, semi-annual). You enter the data for columns 10-14 in the Baseline-BOP spreadsheet and Baseline-EOP spreadsheet.

  • You can define the titles of columns 10-13 as appropriate (for example, 2Qtr01, 2ndFY02). The last period, TC (To Complete), is fixed.

Columns in the Baseline Periods Spreadsheet

The following table describes each column in the Baseline Periods spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
EndDate | Period End Date | Not Editable |  |  |
F3Per1 | Number of periods for CPR Format 3, block 6, column 10 | Number | Integer |  | Default = 0
F3Per2 | Number of periods for CPR Format 3, block 6, column 11 | Number | Integer |  | Default = 0
F3Per3 | Number of periods for CPR Format 3, block 6, column 12 | Number | Integer |  | Default = 0
F3Per4 | Number of periods for CPR Format 3, block 6, column 13 | Number | Integer |  | Default = 0
F3PerTC | Number of periods for CPR Format 3, block 6, column 14 | Number | Integer |  | Default = 0 Column title default is TC for "To Complete"
F3Txt1 | Title for column 10 | Text | 8 | CPR Format 3, block 6, column 10 |
F3Txt2 | Title for column 11 | Text | 8 | CPR Format 3, block 6, column 11 |
F3Txt3 | Title for column 12 | Text | 8 | CPR Format 3, block 6, column 12 |
F3Txt4 | Title for column 13 | Text | 8 | CPR Format 3, block 6, column 13 |

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the Baseline Periods spreadsheet, complete the following actions:

  1. In the Navigation tree, expand Data Input.

  2. Expand Report Setup.

  3. Double-click Baseline Periods.

Related Topics

Baseline-BOP Spreadsheet

Baseline-EOP Spreadsheet


Manpower Periods Spreadsheet

Use the Manpower Periods spreadsheet to enter the number of periods represented by the data contained in CPR Format 4, block 5, columns 10-14 and the titles for columns 10-13. You need to specify the number of periods to support the time-phasing of future period Manpower data. This information is also used to generate the wInsight Manpower chart.

  • CPR Format 4, Block 5, columns 4-9 are fixed as six monthly periods.

  • You can define columns 10-14, which extend from the seventh month after the current period to contract completion, to contain more than one period of data (for example, quarterly, semi-annual). You enter the data for columns 10-14 in the Manpower-EAC spreadsheet and Manpower-BAC spreadsheet.

  • You can define the titles of columns 10-13 as appropriate (for example, 2Qtr01, 2ndFY02). The last period, TC (To Complete), is fixed.

Columns in the Manpower Periods Spreadsheet

The following table describes each column in the Manpower Periods spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
EndDate | Period End Date | Not Editable |  |  |
F4Per1 | Number of periods for CPR Format 4, block 5, column 10 | Number | Integer |  | Default = 0
F4Per2 | Number of periods for CPR Format 4, block 5, column 11 | Number | Integer |  | Default = 0
F4Per3 | Number of periods for CPR Format 4, block 5, column 12 | Number | Integer |  | Default = 0
F4Per4 | Number of periods for CPR Format 4, block 5, column 13 | Number | Integer |  | Default = 0
F4PerTC | Number of periods for CPR Format 4, block 5, column 14 | Number | Integer |  | Default = 0 Column title default is TC for "To Complete"
F4Txt1 | Title for column 10 | Text | 8 | CPR Format 4, block 5, column 10 |
F4Txt2 | Title for column 11 | Text | 8 | CPR Format 4, block 5, column 11 |
F4Txt3 | Title for column 12 | Text | 8 | CPR Format 4, block 5, column 12 |
F4Txt4 | Title for column 13 | Text | 8 | CPR Format 4, block 5, column 13 |

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the Manpower Periods spreadsheet, complete the following actions:

  1. In the Navigation tree, expand Data Input.

  2. Expand Report Setup.

  3. Double-click Manpower Periods.

Related Topics

Manpower-EAC Spreadsheet

Manpower-BAC Spreadsheet


Schedule Reprogramming Adjustment Spreadsheet

Use the Sch Reprog Adj (Schedule Reprogramming Adjustments) spreadsheet to enter a schedule adjustment value for reconciliation to the Contract Budget Base (CBB) in the CPR Format 1 report (August 1996 DID).

Be sure to check the denominations of the units you are about to enter. For example, if the scaling established for dollars is millions, then enter dollars in millions in the spreadsheet.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Columns in the Schedule Reprogramming Adjustment Spreadsheet

The following table describes each column in the Schedule Reprogramming Adjustment spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
EndDate | Period End Date | Not Editable |  |  |
ReprogSch | Schedule Reprogramming Adjustment value | Number | Double | CPR Format 1, Block 9a, column 10 (August 1996 DID) | Default = 0

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the Schedule Reprogramming spreadsheet, complete the following actions:

  1. In the Navigation tree, expand Data Input.

  2. Expand Report Setup.

  3. Double-click Sch Reprog Adj.


Date Formatting Overview

Date formatting in wInsight Administrator is similar to setting a date format in Windows. You are defining how you like to see dates displayed. For example, you might prefer to see dates such as Jan 09 to dates such as 01/31/09.

By default, wInsight and wInsight Administrator use a yearly calendar (not a fiscal calendar) and display dates in the following format:

MMM YY

You set date formatting in the Calendars spreadsheet. You can change date formats at any time.

Related Topics and Procedures

Date Formats

Eliminate Duplicate Dates

Impact of Formatted Dates on wInsight Administrator

Impact of Formatted Dates on wInsight


Date Formats

wInsight Administrator provides date formats that support the following date displays. The following examples use January 31, 2009 as the date; the last two formats use a combination of period numbers and fiscal year designators:

  • Jan 2009

  • 01/31/09

  • 31 Jan 09

  • P1 FY09

  • 1Q FY 2009

If you collect data more frequently than monthly, use a format that includes the day to avoid confusion. If you do not do this, by default wInsight Administrator displays the first and second periods of a given month as the same date. For example, if you were collecting data weekly, the first and second periods of January would both display as JAN 09. You would need to include the day in the format so that you would know which period is 07 JAN 09 and which is 14 JAN 09.

You set date formatting in the Calendars spreadsheet. You can change date formats at any time.

Period Numbers

Period numbers can provide a convenient abbreviation, particularly when you are not entering data monthly. A 13-period accounting calendar, for example, might have periods labeled P1.01 to P13.01. You could set the first period in the contract when you create the fiscal calendar when you add the first period to the contract.

  • Use the PerNum field in the Periods spreadsheet to format current and past period dates, which appear on date lists, charts, and reports throughout wInsight and wInsight Administrator.

  • Use the PerNum field in the Named Calendars spreadsheet to format future period dates, which appear on reports that display future period dates, and in the wInsight Manpower and Cumulative/Current Element Performance charts.

For period numbers to be utilized, the active calendar must have a date format that displays the period number (for example, P%p FY%f).

wInsight Administrator uses two pieces of information to determine the period number:

  • The period number of the first period in the contract

  • The fiscal or calendar year end-date for the contract

wInsight Administrator updates the period numbers by sequentially numbering periods from the first period in the contract, resetting to one (1) at the start of each new fiscal or calendar year. For example:

  • If the fiscal year and calendar year coincide, and you enter data monthly, the period number and the month number are the same. Thus, the 12 months of the year become periods 1-12.

  • If the fiscal year ends on 9/30 and you enter data monthly, the period number for October is one (1), and the period number for September is twelve (12). If the first period in the contract is April, the period number for April should be specified as seven (7).

  • If a contract has quarterly data for two years, beginning at period one, then weekly data for eight weeks, the period numbers will be 1, 2, 3, 4, 1, 2, 3, 4, 1, 2, 3, 4, 5, 6, 7, 8. Note that the first two instances of period four refer to the fourth quarter of the year, while the most recent period four refers to the fourth week of the year.

Fiscal Years

wInsight Administrator can use fiscal years instead of calendar years. The fiscal year end date is that used by the US government, September 30. Period numbers are also used when using fiscal years.

You define the fiscal year by selecting between two fiscal year formats. US government fiscal years use the calendar year in which the fiscal year ends. For example, October 1, 2009 is the beginning of fiscal year 2010. Or, the fiscal year can be the calendar year in which the fiscal years begins (the government fiscal year end, minus one).

For example:

  • If the fiscal year ends on 9/30 and data are entered every fourth Friday, the last Friday in September will be period thirteen (13), and the first Friday in October will be period one (1).

  • If the fiscal year is numbered for the calendar year in which it ends, and the fiscal year ends on 9/30, then 10/1/07 is in FY 2008, 9/31/08 is also in FY 2008, and 10/1/08 begins FY 2009.

  • If the fiscal year is numbered for the calendar year in which it starts, and the fiscal year ends on 9/30, then 10/1/07 is in FY 2007, 9/31/08 is also in FY 2007, and 10/1/08 begins FY 2008.


Eliminate Duplicate Dates

You may see what appear to be duplicate dates in drop-down lists, on charts, and so on. The duplicate dates phenomenon typically falls into one of two categories – weekly data, or monthly reporting periods that fall into the following month. You can fix duplicate dates by changing date formats.

Weekly Data

For weekly data, we recommend that you use a date format that displays day-month-year. For example, data might exist for the following dates:

  • 7 July 09

  • 14 July 09

  • 21 July 09

  • 28 July 09

If you accepted the default date format, which only shows month-year, these four periods are all listed as JUL 09. You need to include the day in the format to differentiate these periods from each other. You set date formatting in the Calendars spreadsheet.

Monthly Reporting Periods

The other condition that causes duplicate dates is when the cutoff date for a monthly period of data falls into the next month.

You must set up three items to implement this feature and resolve this issue, complete the following steps:

  1. In the Calendars spreadsheet, change the date format in the DateFmt column to !%P %y. This date format causes wInsight Administrator and wInsight to use the period numbers to display dates in the MMM YY format (for example, JAN 04). Do this for each calendar that contains period end dates that fall into the following month.

  2. In the Named Calendars spreadsheet, enter the appropriate period number (1 for January – 12 for December) in the PerNum column for each period end date. This eliminates duplicate future period dates on such items as the Cumulative Element Performance chart in wInsight. Do this for each calendar that contains period end dates that fall into the following month.

  3. In the Periods spreadsheet, enter the appropriate period number (1 – 12) in the PerNum column for each period of data. This eliminates duplicate dates in drop-down lists in wInsight Administrator and wInsight. This also ensures correct labeling of the Six Month Forecast columns on CPR Format 4. Do this for each contract that contains period end dates that fall into the following month.

You may need to make multiple entries, especially in the Named Calendars spreadsheet, if the calendar extends far into the future. In this case, enter period numbers 1 through 12. Highlight them and copy them to the next 12 rows. Highlight those 24 rows and copy them to the next 24 rows, and so on.

For example, assume that June's cutoff date is 3 July 04 and July’s cutoff date is 28 July 04. Since the default date format only shows month-year, these two periods of data are both listed as JUL 04. To resolve this situation, you use:

  • !%P %y as the date format

  • Period numbers

In our example, a period number of 6 (for the 3 July data) displays as JUN 04 because June is the 6th month of the year. A period number of 7 (for the 28 July data) displays as JUL 04.


Impact of Formatted Dates on wInsight Administrator

In general, wInsight Administrator uses formatted dates wherever a period of data, as opposed to a specific date, displays. wInsight Administrator uses formatted dates in certain conditions, as follows:

  • To display periods of data in the Dataset toolbar

  • To display periods of data for contacts listed in the Navigation pane

  • To recalculate data

  • To export data

Date formatting has no effect on Cost Performance reports, Cost/Schedule Status reports, Contract Funds Status reports, or NASA 533M reports (with the exception of the !%P %y format, which is used to eliminate duplicate periods). Those dates are defined by the formats themselves and are outside the control of wInsight Administrator.


Impact of Formatted Dates on wInsight

In general, wInsight uses formatted dates wherever a period of data, as opposed to a specific date, displays. wInsight uses formatted dates when displaying or identifying the following information:

  • Periods of data for opening a data set

  • Periods of data in the Dataset toolbar

  • The active period of data in the Title bar of the wInsight Main window

  • The active period of data in the Title bar of wInsight Sort windows

  • Data periods on reports

  • Data periods on charts

The date axis of many wInsight charts is broken into a major scale indicating years and a minor scale indicating periods. The major scale ordinarily displays a four-digit calendar year. If a contract specifies a fiscal year (by entering some value other than "12/31" for the fiscal year end date of the calendar), wInsight displays a four-digit fiscal year with an FY prefix.

In both cases, wInsight attempts to extract the period-only portion of the formatting code for the minor scale labels. In rare cases, the minor scale period labels may overwrite each other. In that case, try using a different date format or using a smaller font for the chart.


Scorecard Status Metrics Input Overview

wInsight provides ten Scorecard fields that you can insert into the Sort window. These fields use colors to convey status and arrows to convey progress for a number of project metrics.

Related Topics and Procedures

Enter Scorecard Status

Scorecard Status Metric Fields


Enter Scorecard Status

This procedure allows you to enter status for each Scorecard metric.

You can enter titles for these fields in the Alias field of the Column table in the wInsight database.

To enter scorecard status for these metrics, complete the following steps:

  1. Open the Scorecard spreadsheet. To do this, in the Navigation pane, click Data Input » Element Data.

  2. Select and double-click Scorecard. The Scorecard dialog box and spreadsheet display.

  3. Use the Dataset toolbar to switch to the appropriate contract, reporting period, structure, and unit.

  4. Select a contract element by clicking it in the spreadsheet. The Element field updates to indicate the active element.

  5. In the Scorecard dialog box, select a performance indicator status color in the corresponding lists. The Performance Indicator field updates, indicating the active metric.

  6. Continue selecting performance indicators and status colors as appropriate for the active element.

  7. When you are done, click Apply. The active element's KPI cell fills with the first letter of each performance indicator color.

  8. Continue selecting contract elements and statusing their performance indicators for the active data set.

  9. When you are done, click Save.

  10. Recalculate the contract and reporting period to generate Scorecard performance indicator trend arrows.


Scorecard Dialog Box

Use the Scorecard dialog box to set color indicators for Scorecard metrics. Color indicators are set for each contract element, including summary elements:

  • R – red

  • Y – yellow

  • G – green

  • B – blue

wInsight determines a corresponding arrow direction during the recalculate phase.

You can also set color indicators in wInsight. In this case, arrow direction is determined automatically.

Arrows, which can only be seen in the Sort window of wInsight, indicate the change from the previous period:

Arrow direction determination is straightforward. For example, if the condition was yellow last period and this period it is green, the condition has improved and an up arrow displays. If it is red this period, the condition has worsened and a down arrow displays.

The Scorecard dialog box displays when you begin to status these metrics. The following fields are present on this dialog box:

Element

Displays the WBS number and description of an active element.

Period

Identifies the active period of data.

Performance Indicator

Select a Performance Indicator (or Scorecard metric) to status. wInsight Administrator has the following Scorecard metrics by default:

  • Risk (UserKpi1)

  • Technical (UserKpi2)

  • Funding (UserKpi3)

  • Staffing (UserKpi4)

  • Satisfaction (UserKpi5)

  • unnamed fields (UserKpi 6 – 10)

Color

Set the status of the selected performance indicator:

  • Blue - Excellent

  • Green - Good

  • Yellow - Marginal

  • Red - Unsatisfactory

Apply

Click this button to reflect the status that you set for the selected performance indicator.

Location

To display the Scorecard dialog box, complete the following steps:

  1. In the Navigation pane, click Data Input » Element Data.

  2. Double-click Scorecard.

Related Topics and Procedures n

Type FAQs here or delete this line if none...

Enter Scorecard Status

Scorecard Status Metrics Input Overview


Prime Contractor and Subcontractor Consolidation Features Overview

wInsight Administrator Alternate Calendar and Rate Factor utilities support prime contractors who must merge subcontractor data and provide their customers with consolidated Cost Performance Reports (CPRs).

  • The Alternate Calendar feature allows subcontractors to utilize their prime's calendar during export, in addition to using their own calendar for normal wInsight operations.

  • The Rate Factor features allow prime contractors to apply fees to subcontractor data and to generate overhead, cost of money, and general and administrative expense values.

For data to be merged successfully in wInsight Administrator, all data dates must match. This guideline includes the current reporting period as well as future periods. The major differences from normal processing are that you must:

  • Enter the prime contractor's calendar.

  • Select an export option.

Setting up the prime contractor's calendar is usually a one-time effort, just like setting up your own calendar. However, you must select the appropriate export option each time you export data to send to the prime contractor.

Process

To use this feature, complete the following steps:

  1. Set up an alternate calendar for a prime contractor.

  2. Enter earned value data.

  3. Apply the alternate calendar by exporting data.

  4. Apply fees and calculate indirects.

  5. Send the transfer file to the prime contractor.


Set Up an Alternate Calendar for Prime Contractors

Use this procedure to set up an alternate calendar for prime contractors.

To set up an alternate calendar, complete the following steps:

  1. Enter the dates of the prime's calendar in the AltDate column of your contract's calendar.

  2. Make sure that each of your normal calendar EndDates has a corresponding prime calendar AltDate.

  3. Be sure to enter dates for the entire contract period of performance.

  4. Click File » Save to save your work when you are finished setting up the prime contractor's calendar.


Apply the Alternate Calendar by Exporting Data

You apply the Alternate Calendar during the export process.

This feature is available only for XML transfer files, not X12.

To apply the alternate calendar, complete the following steps:

  1. Click Utilities » Export File to display the Export File dialog box.

  2. Select the contract and period of data to export. In the example used for this procedure, MOH-2 is the contract and 1/31/2004 is the period of data to export (this is the subcontractor's EndDate).

  3. From the drop-down list for the Format option, select XML.

  4. Click Options to display the XML Export Options dialog box.

  5. Select the Substitute Alternate Dates option to have wInsight Administrator use the Alternate Calendar dates when the data is exported.

  6. Click OK to return to the Export File dialog box. The Period(s) dates still shows the subcontractor's end dates. This is by design so that the subcontractor is sure the correct period of data is being exported.

  7. Click OK to export the selected period of data. wInsight Administrator swaps all the Alternate Calendar dates for the normal calendar end dates as the data is exported. For this example, the Export Name was changed to MOH-2-for-Prime.

When the transfer file is imported, the contract date reflects the prime's date (1/28/2004), not the subcontractor's date (1/31/2004). You can see the dates for the contract on the Dataset toolbar, Periods spreadsheet, and Recalculate dialog box.


Applying Fees and Calculating Indirects

Applying Fees and Calculating Indirect Expenses Overview

wInsight Administrator allows you to perform the following tasks:

  • Enter various fees

  • Apply for fees

  • Calculate indirect overhead, cost of money, and general and administrative expenses

These features are targeted at prime contractors who must merge subcontractor data and provide their customers with a consolidated Cost Performance Report (CPR). The following features affect CPR reports with monetary amounts:

  • CPR Format 1 – Work Breakdown Structure

  • CPR Format 2 – Organizational Structure

  • CPR Format 3 – Baseline. For Format 3 to be affected, wInsight Administrator must derive Baseline numbers from time-phased future period data during the recalculated phase.

These utilities do not affect CPR header data.

Related Topics and Procedures

Database Setup for Prime Contractor and Subcontractor Consolidation

Monthly Process for Applying Fees

Enter Rates

Run the Apply Fee/Load Script

Calculate Indirects


Database Setup for Prime Contractor and Subcontractor Consolidation

The supplied wInsight 6.5 Access databases (SAMPLE.MDB and BLANK65.MDB) and newly created Oracle and SQL Server dat abases are configured to support the prime-sub data consolidation features. However, wInsight Oracle and SQL Server databases that have been converted to version 6.5 require that you apply a script before they can support these features.

For Oracle databases, have your database administrator, complete the following steps:

  1. Using SQL Plus or the equivalent, connect to an existing WINST database. The default login name is winst and the default password is winstpwd.

  2. Run APPLY_LOAD.SQL and CALC_INDIRECTS.SQL, which default location is C:\Program Files\Deltek\wInsight 6.5\wsmde\Scripts\Oracle.

For MS SQL Server databases, have your database administrator, complete the following steps:

  1. Using Query Analyzer or the equivalent, connect to an existing WINST database. The default login name is winst and the default password is winstpwd.

  2. Run APPLY_LOAD.SQL and CALC_INDIRECTS.SQL,which default location is C:\Program Files\Deltek\wInsight 6.5\wsmde\Scripts\MSSQL.


Monthly Process for Applying Fees

To apply fees and calculate indirects, you must complete the following process, usually on a monthly basis. You need to set up two databases as part of this process.

  • Uninflated — One database stores the subcontractors' original submission and calculated current period values. You export this data via an XML transfer file.

  • Inflated — The second database stores the prime contractor's rates (see Enter Rates), the subcontractors' adjusted values, and possibly the consolidated contract from which wInsight Administrator produces the Cost Performance Report.

To apply fee and calculate indirect values, complete the following steps:

  1. Load the subcontractor's data into the uninflated database.

  2. Recalculate the data (Utilities » Recalculate). This generates current period values that will be utilized in the inflated database.

  3. Export the subcontractors' data to an XML transfer file Format (Utilities » Export File). Click Export Options and select the Calculated Data option on the XML Export Options dialog box. This way, you will not have to recalculate the contract in the inflated database.

  4. Switch to the inflated database (File » Select Database) and import the XML transfer file (Utilities » Import File).

Do not recalculate at this point. Doing so would generate incorrect current period values.

  5. Run the Apply Fee/Load script to apply fees to the subcontractors' data.

  6. In the Earned Value Spreadsheet, Future Period-BCWS Spreadsheet, and Future Period-ETC Spreadsheet, manually move UB and MR above the line to predefined WBS elements. Make sure that the consolidated contract has similar above the line UB and MR elements so that this data can be merged later.

  7. Run the Set Indirects script to calculate the prime contractor's indirect overhead, cost of money, and general and administrative expense values.

  8. Export the subcontractors' adjusted values. You can use an X12 or XML format.

  9. Import and merge the subcontractors' adjusted data into the consolidated contract. The consolidated contract should have above the line UB and MR WBS elements.

  10. Recalculate the consolidated contract as usual.

  11. Send out the consolidated report.


Enter Rates

Entering rates used by the fee and indirect scripts involves entering time-phased rates (percentages) for all periods of the contract. You enter these rates in the contract's detailed calendar. This is usually a one-time process, unless the rates change or the contract is extended.

There are four groups of rate columns as follows:

  • FeeLoad — Columns for Fee rates used by the Apply Fee/Load script.

  • OhLoad — Columns for Overhead rates used by the Set Indirects script.

  • ComLoad — Columns for Cost of Money rates used by the Set Indirects script.

  • GaLoad — Columns for General & Administrative rates used by the Set Indirects script.

Each group has the following rate columns:

  • Sp — Column for entering rates for Budgeted Cost of Work Scheduled (BCWS) and Budgeted Cost of Work Performed (BCWP).

  • A — Column for entering rates for Actual Cost of Work Performed (ACWP).

  • Etc — Column for entering rates for time-phase future period Estimate to Complete (ETC).

You enter rates as percentages.

  • The Apply Fee/Load script applies fee to earned value data by inflating the values. For example, to apply a 5% fee (inflate all data by 5%), you enter a rate of 105 (105%).

  • The Set Indirects script calculates overhead, cost of money, and general and administrative expense values by multiplying the rate times the sum of all elements' earned value data. For example, if overhead is 5% of the total earned value data, you enter a rate of 5 (5%).

Click File » Save Changes when you are finished entering rates.


Run the Apply Fee/Load Script

The Apply Fee/Load script applies fees by inflating (or deflating) all earned value and time-phased future period data. This script prompts for information by providing selection screens for the contract, reporting period, and gate date.

Gate Date

wInsight Administrator uses the gate date when determining an Estimate at Completion (EAC) value. The gate date controls the point at which the software switches from summing Actual Cost of Work Performed (ACWP) values to summing time-phased future period Estimate to Complete (ETC) values. The gate date and the current reporting period are typically the same date.

To run the Apply Fee/Load Script, complete the following steps:

  1. Click Utilities » Run Script » Apply Fee/Load to display the first page of the Script Arguments dialog box.

  2. Click Next. The first argument selection page displays.

  3. Select a Contract and reporting Period, then click Next. The second argument selection page displays.

  4. Select a gate date Period.

  5. Click Finish. The script notifies you that it ran successfully.


Calculate Indirects

Use the Calculate Indirects script to generate both current and future period overhead, cost of money, and general and administrative expenses from earned value data. This script prompts for information by providing selection screens for the contract, reporting period, and gate date. These should be the same as those you selected when running the Apply Fee/Load script.

This process replaces any existing overhead, cost of money, and general and administrative expense values.

Gate Date

wInsight Administrator uses the gate date when determining an Estimate at Completion (EAC) value. The gate date controls the point at which the software switches from summing Actual Cost of Work Performed (ACWP) values to summing time-phased future period Estimate to Complete (ETC) values. The gate date and the current reporting period are typically the same date.

To run the Calculate Indirects Script, complete the following steps:

  1. Click Utilities » Run Script » Set Indirects to display the first page of the Script Arguments dialog box displays (Set Indirects wizard).

  2. Click Next. The first argument selection page displays.

  3. Select a Contract and reporting Period, then click Next. The second argument selection page displays.

  4. Select a gate date Period.

  5. Click Finish. The script notifies you that it ran successfully.


Script Arguments Dialog Box

Use the Script Arguments dialog box to run scripts from within wInsight Administrator, which provides a number of scripts supporting various functions.

You can also create additional custom scripts outside of wInsight Administrator. You can configure these scripts to display automatically on the Run Script menu.

This dialog box contains the following fields:

Argument

Displays the current argument selection page and the total number of argument selection pages, for example, "1 of 2". The displayed value changes as you click Next.

Contract

Double-click the contract to display its periods of data.

Period

Select a period to update.

Location

To display the Script Arguments dialog box, on the Menu bar, click Utilities » Run Script » <Any of the available scripts>.

Related Topics and Procedures

Calculate Indirects

Run the Apply Free/Load Script

wInsight Administrator Utilities Menu


Contract Funds Status Report Overview

The Contract Funds Status Report (CFSR) functionality provides the ability to perform the following tasks:

  • Create a CFSR structure

  • Enter CFSR data on a periodic basis for any existing reporting period

  • Generate a standard CFSR

  • Transfer CFSR data via electronic data interchange (EDI) in an XML file format

  • Review analysis reports and charts associated with CFSR data

You enter and calculate CFSR data in wInsight Administrator then analyze the data in wInsight. wInsight Administrator generates the formal CFSR report. However, wInsight also has a number useful CFSR-related analysis reports.

Related Topics and Procedures

Contract Funds Status Report Procedural Overview

CFSR Thresholds

Create Contract Line Numbers (CLINs)

Create the CFSR Structure

CFSR Data Entry Overview

Contract Fund Status Report (CFSR)


Contract Funds Status Report Procedural Overview

This topic identifies the wInsight Administrator spreadsheets, options, and overall sequence of events involved in CFSR setup, data entry, and reporting. Creating CFSR thresholds and Contract Line Numbers (CLINs) are optional steps. You can complete the first three steps in any order before performing the remaining steps.

Importing data via an XML transfer file containing CFSR data automatically accomplishes steps 1 through 5. See Importing Data Overview for more information.

Here is the procedural overview involving CFSR main processes:

  1. Create CFSR thresholds that you can select when entering CFSR Header information in step 4. This step is optional since these thresholds are used only for the wInsight CFSR Reconciliation Report.

  2. Create Contract Line Numbers (CLINs) for which you can enter CFSR Block 11 data in step 5. This step is optional since you can enter CFSR Block 11 data at the fiscal year level.

  3. Create or update the CFSR structure (the contract, funds source and appropriation, and fiscal year).

  4. Create the CFSR Header, which includes the last period date and the number of months represented by each future period. You can also select the CFSR threshold to be used for the wInsight Reconciliation Report.

  5. Enter CFSR data for the reporting period, including:

  6. CFSR Header information

  7. Remarks

  8. Block 11 data

  9. Blocks 12, 13, and 14 data

  6. Recalculate the new data. There are no CFSR-related recalculate options to select.

  7. Check the CFSR report for accuracy (see Display a Report). Also, consider reviewing the CFSR Reconciliation report and other CFSR reports in wInsight.

  8. Back up contractual data, including CFSR data. See Archiving Data Overview for more information.

You are now ready to release CFSR reports and data to customers and coworkers, and to analyze the data with wInsight.


CFSR Thresholds

Setting CFSR thresholds is an optional step in the Contract Funds Status Report (CFSR) process, since these thresholds are only used when generating the wInsight Reconciliation report. Because many Cost Performance Report (CPR) and CFSR items are not intended to reconcile to the penny, user-defined thresholds are applied to identify whether the items are within an acceptable range.

Items reconciled include the following data:

  • Period End Date

  • Target Price vs. Definitized Contract Work Authorized

  • Authorized But Unpriced Work vs. Not Definitized Contract Work

  • Cumulative Actual Cost of Work Performed (ACWP) vs. Accrued Expenditures to Date

  • Estimated Price - CPR vs. Forecast of Billings - At Completion - CFSR

Related Topics and Procedures

Create and Enter CFSR Thresholds

CFSR Thresholds Spreadsheet


Create and Enter CFSR Thresholds

Use the following procedure to create and enter Contract Funds Status Report (CFSR) thresholds.

To create and enter CFSR thresholds, complete the following steps:

  1. Open the CFSR Thresholds spreadsheet.

  2. Double-click the blank Name cell on the bottom blank row. The Insert CFSR Threshold dialog box displays.

  3. In the Name field, enter a new threshold name.

  4. Click OK to add the threshold to the existing list of thresholds.

  5. Enter your settings for the threshold in the columns supplied. See CFSR Thresholds Spreadsheet for column descriptions.

  6. Click File » Save to save your entries.

Later in the CFSR process, when you enter data in the CFSR Header spreadsheet, you will be able to select the threshold to be used for the Reconciliation Report.


CFSR Thresholds Spreadsheet

Use the CFSR Thresholds spreadsheet to create and enter CFSR thresholds, which identify whether items on the Contract Funds Status report are within an acceptable range.

Columns in the CFSR Thresholds Spreadsheet

The following table describes each column in the CFSR Thresholds spreadsheet:

Column Name

Description

Type of Input

# of Chars.

Shown in Report Field

Notes

Name

Threshold Name

Text

15

TP DolVal

Target Price $ Value

Number

Double

TP PerVal

Target Price % Value

Number

Double

TP AndOr

Target Price And/Or Flag

Select option from list

1

  • And — Both $ and % must be exceeded to generate a flag.

  • Or — Either $ or % must be exceeded for a flag.

ND DolVal

Not Definitized Work $ Value

Number

Double

ND PerVal

Not Definitized Work % Value

Number

Double

ND AndOr

Not Definitized Work And/Or Flag

Select option from list

1

  • And — Both $ and % must be exceeded to generate a flag.

  • Or — Either $ or % must be exceeded for a flag.

AE DolVal

Accrued Expenditures $ Value

Number

Double

AE PerVal

Accrued Expenditures % Value

Number

Double

AE AndOr

Accrued Expenditures And/Or Flag

Select option from list

1

  • And — Both $ and % must be exceeded to generate a flag.

  • Or — Either $ or % must be exceeded for a flag.

AC DolVal

At Completion $ Value

Number

Double

AC PerVal

At Completion % Value

Number

Double

AC AndOr

At Completion And/Or Flag

Select option from list

1

  • And — Both $ and % must be exceeded to generate a flag.

  • Or — Either $ or % must be exceeded for a flag.

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the CFSR Thresholds spreadsheet, complete the following actions:

  1. In the Navigation tree, expand Data Input.

  2. Expand Shared Setup.

  3. Double-click CFSR Thresholds.


Create Contract Line Numbers (CLINs)

This is an optional step in the Contract Funds Status Report (CFSR) process, since you can enter funding information at the fiscal year level. If you enter Contract Line Numbers, they display as line items in the CFSR Block 11 spreadsheet and are printed on the CFSR reports in wInsight and wInsight Administrator.

You enter CLINs separately for each wInsight contract.

To add a Contract Line Number (CLIN), complete the following steps:

  1. Open the CLINs spreadsheet.

  2. Use the Dataset toolbar (or the Dataset options in the Navigation pane) to select a contract.

  3. Double-click the blank Name cell on the bottom blank row. The Insert CLIN Type dialog box displays.

  4. In the Name field, enter a CLIN name.

  5. Click OK to add the new Contract Line Number to the existing list of CLINs.


CLINs Spreadsheet

Use the CLINs spreadsheet to create Contract Line Numbers, for display as line items in the CFSR Block 11 spreadsheet and on Contract Funds Status reports in wInsight.

Columns in the CLINs Spreadsheet

The following table describes each column in the CLINs spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
Name | CLIN description | Text | 30 | CFSR Block 11, Column A |

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the CLINs spreadsheet, complete the following actions:

  1. In the Navigation tree, expand Data Input.

  2. Expand Contract Setup.

  3. Double-click CLINs.


Create a CFSR Structure

Create the CFSR Structure

This procedure allows you to create a CFSR structure, which consists of three levels:

  • Contract

  • Source of funds + Appropriation type

  • Fiscal Year

wInsight Administrator allows you to insert level-two or level-three elements for the CFSR data.

  • Level-two items should only have source and appropriation entries.

  • Level-three items should have source, appropriation, and fiscal year entries.

However, you can also create Contract Line Numbers (CLINs), so that you can enter information for Block 11 of the Contract Funds Status report at the CLIN level.

To create a CFSR structure, complete the following steps:

  1. Open the CFSR Elements spreadsheet.

  2. Use the Dataset toolbar (or the Dataset option in the Navigation pane) to select a contract. The level one description should display the contract name.

  3. Double-click in the blank CFSR ID cell on the bottom blank row. The Insert CFSR Element dialog box displays.

  4. Make sure that the top-level element in the tree is selected in the Parent box.

  5. From the drop-down lists for the Source and Appropriation fields, select the corresponding codes.

  6. Click OK to create a level-two element for the CFSR data based on the source of funds and appropriation type.

  7. To add a level-three item that includes fiscal year data along with the source of funds and appropriation type, double-click the blank CFSR ID cell on the bottom blank row. The Insert CFSR Element dialog box displays.

  8. Select the appropriate level-two item to serve as the parent of the new level-three item.

  9. From the drop-down list for the Fiscal Year option, select a fiscal year.

  10. Click OK to create a level-three element for the CFSR data based on the source of funds, appropriation type, and fiscal year.

  11. Continue this process until the CFSR tree is complete.


CFSR Elements Spreadsheet

Use the Contract Funds Status Report (CFSR) spreadsheet to create the CFSR structure, consisting of the contract, source of funds, appropriation type, and fiscal year.

Columns in the CFSR Elements Spreadsheet

The following table describes each column in the CFSR Elements spreadsheet:

Column Name

Description

Type of Input

# of Chars.

Shown in Report Field

Notes

CFSR ID

Identifies a Level 2 CFSR Element by Source and Appropriation

Identifies a Level 3 Element by Source, Appropriation, and Fiscal Year

Not Editable

Created from your selection of Source, Appropriation, and Fiscal Year

Level

Level Number of the CFSR Element in the Structure

Not Editable

Created from your selection of Source, Appropriation, and Fiscal Year

Source

The funds type's Source/Department of Defense Component (such as Air Force or Army)

Select from list or enter value

10

CFSR Block 4

You can only add a new entry via the Insert CFSR Element dialog box

Appropriation

The funds type's Appropriation (such as 3020, 3400, or 3600)

Select from list or enter value

12

  • CFSR Block 4 (Appro. Name)

  • CFSR Block 11 Column B (Appro. Number)

You can only add a new entry via the Insert CFSR Element dialog box

Fiscal Year

The funds type's Fiscal Year

Select from list or enter value

4

CFSR Block 3

You can only add a new entry via the Insert CFSR Element dialog box

Description

Level 1 Element = Name of the Active Contract

For all other levels the Description is blank

Not Editable

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the CFSR Element spreadsheet, complete the following actions:

  1. In the Navigation tree, expand Data Input.

  2. Expand Contract Setup.

  3. Double-click CFSR Element.


Insert CFSR Element Dialog Box

Use the Insert CFSR Element dialog box to insert a new level two or level three element to an active CFSR Elements spreadsheet.

This dialog box contains the following fields:

Source

Displays a list of appropriation sources, which are typically the organizations providing the funding. Enter or select the element's Source code from the drop-down list.

If you enter a new source in this field, wInsight Administrator adds it to the list of available sources.

Appropriation

Enter or select the element's Appropriation code from the drop-down list.

If you enter a new appropriation in this field, wInsight Administrator adds it to the list of available appropriations.

Fiscal Year

Enter or select the element's Fiscal year from the drop-down list.

If you enter a new year in this field, wInsight Administrator adds it to the list of available fiscal years.

CFSR Id

Displays a selected or highlighted element in the Parent field.

Parent

Displays the CFSR structure and highlights the parent element of the element that you want to insert into the structure. Select the appropriate level-two or level-three element for the CFSR data.

Location

To display the Insert CFSR Element dialog box, complete the following steps:

  1. In the Navigation pane, click Data Input » Contract Setup.

  2. Double-click CFSR Elements. The CFSR Element spreadsheet displays.

  3. On the Menu bar, click Edit » Insert....

You can also display this dialog box by clicking anywhere on the CFSR Elements spreadsheet then pressing Insert on your keyboard.

Related Topics and Procedures

Create a CFSR Structure


CFSR Data Entry Overview

This section describes the data entry process for the Contract Funds Status Report (CFSR). CFSR data consists of header, remarks, and Blocks 11-14 information. You can import and export CFSR data via an XML transfer file.

Recalculate

As is true for CPR data, after you enter or import CFSR date, you must recalculate the data. There are no CFSR-related recalculate options.

Related Topics and Procedures

Create the CFSR Header

CFSR Header Spreadsheet

Enter Remarks

CFSR Remarks Spreadsheet

Enter CFSR Block 11 Data

CFSR Block 11 Spreadsheet

Enter CFSR Blocks 12, 13, and 14 Data

CFSR Block 12, 13, 14 Spreadsheet


Create the CFSR Header

You can enter Contract Funds Status Report (CFSR) header data for any existing contract and period of data. Typical data includes the period end date for the last submission, thresholds that should be used, and the number of months of data contained in each future period of data.

To create the CFSR header, complete the following steps:

  1. Open the CFSR Header spreadsheet.

  2. Use the Dataset toolbar (or the Dataset option in the Navigation pane) to select a contract. The existing periods of data for the selected contract display in the EndDate column.

  3. In the LastPeriodDate column, enter the date of the previous CFSR submission for each contract reporting period.

  4. Select the CFSR Threshold for the wInsight Reconciliation Report, for each contract reporting period. Use the CFSR Thresholds spreadsheet to enter thresholds.

  5. In the Per1-14 and AtComplete columns, enter the number of months of data contained in each future period (the columns in blocks 12-14 of the CFSR). Note that more columns are provided in the input spreadsheet than on the standard CFSR. If your organization uses the standard CFSR, leave these additional columns blank.

  6. Click File » Save to save your entries.


CFSR Header Spreadsheet

Use the CFSR Header spreadsheet to create the CFSR header, which specifies the period end date for the last submission, applicable thresholds, and the number of months of data contained in each future period of data for the Contract Funds Status report.

Columns in the CFSR Header Spreadsheet

The following table describes each column in the CFSR Header spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
EndDate | Period End Date for the current report | Not Editable |  |  |
LastPeriod-Date | Period End Date for the previous report | Date |  | CFSR Block 5 | mm/dd/ccyy
Threshold | Identifies which set of CFSR thresholds are used for the wInsight Reconciliation Report | Select option from list | Long |  | Actual threshold values (not the Threshold ID number) display on the report
Per1 – Per8 | Number of Periods for CFSR block 12, columns 2-9 | Number | Integer |  | Used to determine the date for the column heading
Per9 – Per14 | Number of Periods for CFSR block 12, columns 10-15 | Number | Integer |  | Extra CFSR columns; for a standard CFSR, leave these columns blank
AtComplete | Number of periods for CFSR block 12, At Completion column | Number | Integer |  |

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the CFSR Header spreadsheet, complete the following actions:

  1. In the Navigation tree, expand Data Input.

  2. Expand Report Setup.

  3. Double-click CFSR Header.


Enter Remarks

The Contract Funds Status report (CFSR) provides a text block at the bottom of each page for remarks.

To enter a remark for a selected element, complete the following steps:

  1. Open the CFSR Remarks spreadsheet.

  2. Either use the Dataset toolbar or expand the Dataset option in the Navigation pane to select a contract and period. The contract's CFSR elements display.

  3. Click the Remarks column for the element.

  4. From the drop-down list for the Remarks column, select Edit. The Enter CFSR Narrative dialog box displays.

  5. Enter your remarks.

  6. Click OK.


CFSR Remarks Spreadsheet

Use the CFSR Remarks spreadsheet to enter remarks in a text block at the bottom of each page of the Contract Funds Status report.

Columns in the CFSR Remarks Spreadsheet

The following table describes each column in the CFSR Remarks spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
Description | Level 1 Element = Name of the active contract; for all other levels the description is blank | Not Editable |  |  |
Level | Level number of the CFSR element in the structure | Not Editable |  |  |
Source | The funds type's Source/ Department of Defense Component (such as Air Force, Army) | Not Editable |  |  |
Appropriation | The funds type's Appropriation (such as 3020, 3400, 3600) | Not Editable |  |  |
Fiscal Year | The funds type's fiscal year | Not Editable |  |  |
Remarks | Additional information or remarks which support or explain the CFSR data | Text | 255 | CFSR Block 15 |

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the CFSR Remarks spreadsheet, complete the following actions:

  1. In the Navigation tree, expand Data Input.

  2. Expand Element Data.

  3. Double-click CFSR Remarks.


Enter CFSR Block 11 Data

Use the CFSR Block 11 spreadsheet to enter data such as the authorized funding to date, accrued expenditures, contract work (both definitized and not), forecast work, and funds carryover.

You enter these items for each funding source/appropriation/fiscal year/contract line number combination.

To enter CFSR Block 11 data for a source/appropriation/fiscal year/CLIN combination, complete the following steps:

  1. Use the Dataset toolbar (or the Dataset option in the Navigation pane) to select a contract and period.

  2. Open the CFSR Block 11 spreadsheet. The CFSR Element Select dialog box displays.

  3. Double-click the appropriate lowest-level item. If you identified contract line numbers (CLINs) for this contract, the entry spreadsheet displays multiple rows, one for each CLIN in the background.

  4. With the CFSR Element Select dialog box still open, enter Block 12-14 data in the appropriate row(s) of the spreadsheet. You can move the dialog box out of the way.

  5. Click File » Save.


CFSR Block 11 Spreadsheet

Use this spreadsheet to enter Block 11 data, such as the authorized funding to date, accrued expenditures, contract work (both definitized and not), forecast work, and funds carryover for the Contract Funds Status report.

Columns in the CFSR Block 11 Spreadsheet

The following table describes each column in the CFSR Block 11 spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
Clin | CLIN Description | Not Editable |  |  |
AuthFund | Funding authorized to date | Number | Double | CFSR Block 11 Column (C) |
AccruExp | Accrued expenditures plus open commitments total | Number | Double | CFSR Block 11 Column (D) |
Definit | Contract work authorized – definitized | Number | Double | CFSR Block 11 Column (E) |
NotDefinit | Contract work authorized – not definitized | Number | Double | CFSR Block 11 Column (F) |
NotAuth | Forecast – not yet authorized | Number | Double | CFSR Block 11 Column (H) |
OtherWork | Forecast – all other work | Number | Double | CFSR Block 11 Column (I) |
CarryOver | Funds carryover | Number | Double | CFSR Block 11 Column (L) |

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the CFSR Block 11 spreadsheet, complete the following actions:

  1. In the Navigation tree, expand Data Input.

  2. Expand Element Data.

  3. Double-click CFSR Block 11.


Enter CFSR Blocks 12, 13, and 14 Data

Use the CFSR Block 12, 13, 14 Spreadsheet to enter Contract Funds Status report (CFSR) data such as time-phased funding requirements for open commitments, accrued expenditures, and projected at completion figures.

You specify the periods for the time-phased data in the CFSR Header entry screen. You may include an additional five columns if values are entered in the last five periods in the CFSR Header screen. The Budget, Funding, and Custom Spread data entries are not used for generation of the CFSR, but are used in wInsight to compare funding requests from suppliers with your own budget and funding profiles.

You enter these items for each funding source/appropriation/fiscal year/contract line number combination.

To enter CFSR Block 12, 13, 14 data for a source/appropriation/fiscal year/CLIN combination, complete the following steps:

  1. Use the Dataset toolbar (or the Dataset option in the Navigation pane) to select a contract and period.

  2. Open the CFSR Block 12, 13, 14 spreadsheet. The CFSR Element Select dialog box displays.

  3. Double-click the appropriate lowest-level item. In the background, the entry spreadsheet displays multiple input rows.

  4. With the CFSR Element Select dialog box still open, enter Block 12-14 data in the appropriate row(s) of the spreadsheet. You can move the dialog box out of the way.

  5. Click File » Save.


CFSR Block 12, 13, 14 Spreadsheet

Use this spreadsheet to enter Block 12, 13, 14 data such as time-phased funding requirements for open commitments, accrued expenditures, and projected at-completion figures for the Contract Funds Status report.

Columns in the CFSR Block 12, 13, 14 Spreadsheet

The following table describes each column in the CFSR Block 12, 13, 14 spreadsheet:

Column Name | Description | Type of Input | # of Chars. | Shown in Report Field | Notes
Type | First four rows are Block 12, 13, and 14 rows. Custom Spread values are for the wInsight CFSR Custom Spread report. | Not Editable |  | First four rows appear in CFSR Blocks 12, 13, and 14, Columns 1-16 | Budget and Forecast values are for future wInsight features.
ActToDate | Actual cumulative to date values and estimated termination costs | Number | Double | CFSR Blocks 12, 13, 14, Column 1 |
Period1 – Period8 | Projected cumulative amounts from the start of the contract to the end of the period indicated in the column heading | Number | Double | CFSR Blocks 12, 13, 14 Columns 2 through 9 |
Period9 – Period14 | Projected cumulative amounts from the start of the contract to the end of the period indicated in the column heading | Number | Double | CFSR Blocks 12, 13, 14 Columns 10 through 15 | Extra CFSR columns; for a Standard CFSR, leave these columns blank
AtComplete | Projected cumulative amounts from the start to the end of the contract or fiscal year being reported | Number | Double | CFSR Blocks 12, 13, 14, Column 16 |

Number of Characters

The # of Chars. (number of characters) column may contain the following definitions:

  • Integer — This value refers to whole number data. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This value refers to large whole numbers. Longs can be any value between negative 2,147,483,648 and positive 2,147,483,647.

  • Double — This value refers to numbers that might contain decimal values. Double fields can have decimal places up to four digits long.

Location

To display the CFSR Block 12, 13, 14 spreadsheet, complete the following actions:

  1. In the Navigation tree, expand Data Input.

  2. Expand Shared Setup.

  3. Double-click CFSR Block 12, 13, 14.


Enter CFSR Narrative Dialog Box

Use the Enter CFSR Narrative dialog box to provide a remark to a page of the Contract Funds Status report (CFSR).

Narrative

Enter your remarks or edit an existing CFSR narrative.

Location

To display the Enter CFSR Narrative dialog box, complete the following steps:

  1. In the Navigation pane, expand Data Inputs.

  2. Expand Element Data.

  3. Double-click CFSR Remarks. The CFSR Remarks Spreadsheet displays.

  4. In the spreadsheet, click the Remarks column.

  5. From the drop-down list, click Edit.

Related Topics and Procedures

CFSR Remarks spreadsheet


CFSR Element Select Dialog Box

Use the CFSR Element Select dialog box to enter or edit CFSR block 11 data or CFSR blocks 12, 13, and 14 data.

This dialog box contains the following fields:

Current Selection

This field displays the name of a selected contract.

CFSR Element

This field displays a tree diagram of the CFSR structure for the selected contract. Double-click the Fiscal year that you need to edit.

Location

To display the CFSR Element Select dialog box, complete the following steps:

  1. In the Navigation pane, expand Data Inputs.

  2. Expand Element Data.

  3. Double-click either CFSR Block 11 or CFSR Block 12, 13,a nd 14.

Related Topics and Pr ocedures

CFSR Elements Spreadsheet

Enter CFSR Block 11 Data

Enter CFSR Blocks 12, 13, and 14 Data


Copy Forward Overview

Use wInsight Administrator's Copy Forward feature to copy wInsight narratives and inputs from any period (Date From) into another period (Date To).

For example, independent estimate at completion (EAC) values, funding data, and management reserve estimates.

wInsight supports the following types of narratives:

  • CPR Format 5 narratives — Discuss the status of the element, the cause of the problem, corrective action being taken, impact to the cost and schedule performance at completion, and impacts to other elements. Format 5 narratives can be entered for each contract element, for each period of data. Separate templates for each contract can be setup.

  • User narratives — User narratives are a convenient place for you to enter general notes, collect raw data, and insert exhibits and other data items. User Narratives can be entered for each contract element, for each period of data.

  • Scope of Work narratives — Provide WBS dictionary type information and can be entered for each contract element.

  • You can copy CPR Format 5 narratives for all elements, or only those elements which breach the contractual thresholds in the "Date To" period.

  • You can copy independent estimate at completion (EAC) numbers by value or calculation method.

Update Template Data in wInsight After Using Copy Forward

Copy Forward also copies any template information contained in the narratives. However, template data is static. wInsight does not automatically update the template data for the period to which it is copied; it will still contain data for the period from which it is copied. You have to manually update the copied template data in wInsight.

Related Topics and Procedures

Copy Forward Procedure

Copy Forward Dialog Box

Narrative Input Windows Overview


Copy Forward Procedure

You must recalculate the receiving period of data before using Copy Forward. This is necessary so that Copy Forward knows which elements in the Date To period have broken a CPR Format 5 reporting threshold, and thus require a narrative.

To copy narratives and other user inputs from one period to another, complete the following steps:

  1. Start wInsight Administrator.

  2. If the Date To period of data (the receiving date) for the contract has not been recalculated, click Utilities » Recalculate and recalculate that period of data.

  3. Click Utilities » Copy Forward. The Copy Forward dialog box displays.

  4. Double-click the appropriate contract. A list of all periods of data for that contract displays in both the Date From and Date To windows.

  5. In the Date From window, select the period to provide the data.

  6. In the Date To window, select the period to receive the data. If you select a Date To period that already has narratives and estimates at completion (EACs) in it, Copy Forward overwrites that data with the data from the Date From period.

  7. Select the narratives and EAC inputs to be copied.

  8. Click OK to copy the data. wInsight Administrator copies the data and closes the Copy Forward dialog box.

  9. Click Utilities » Recalculate and recalculate the Date To period of data for the contract. After Copy Forward executes, you must recalculate the Date To period again for the User EAC values that have been copied over to be rolled up within the various structures.

Related Topics

Copy Forward Overview

Copy Forward Dialog Box


Copy Forward Dialog Box

After you execute Copy Forward, you must recalculate the Date To period for the User EAC (estimate at completion) values that have been copied over to be rolled up within the various structures and to determine Scorecard arrow direction.

This dialog box contains the following fields and options:

Contract

Select a target contract for which you are copying narrative data.

Date From

Select the period from which you want to copy the data.

Date To

Select the period to which you want to save the copied data from the Date From period.

Narratives

This group box contains the following narrative settings:

  • Format 5 Narratives — Select this option to copy prior period CPR Format 5 Narrative write-ups. Selecting this option enables the following options:

    • All Elements — Select this option to use the Format 5 narrative from every element that has a write-up, and copy it into the input screen for every element in the new period.

    • VAR Only — Select this option to use only the prior narrative write-ups for elements that breached contractual thresholds in the Date To period.

  • User Narratives — Select this option to copy any User narrative write-ups in the Date From period into the Date To period.

  • EAC Narratives — Select this option to copy any EAC narrative write-ups in the Date From period into the Date To period.

EAC Inputs

This group box contains the following EAC Inputs settings:

  • User EACs — Select this option to copy the User EAC inputs from a prior period into the selected period. Selecting this option enables the following options:

    • By Value — Select this option to copy the actual calculated values, which maintain the same estimate or same unit value.

    • By Method — Select this option to copy over the same estimating method, such as Cumulative Cost Performance Index forecast.

  • Funding / MR Inputs — Select this option to copy any input to Current or Projected Funding fields from one period to another.

Other

This group box contains the following options:

  1. Program Milestones — Select this option to copy planned and actual contract-level milestones, including the milestone name and a scheduled and/or actual completion date.

  2. Linked Files — Select this option to copy the link (path and file name) to an external file, such as a document or presentation file. If the file is associated with an application, you can launch the application and open the file from within wInsight, similar to double-clicking the file in Windows Explorer.

  3. Scorecard — Select this option to copy Scorecard key performance indicator settings. Scorecard fields use colors to convey status and arrows to convey progress for up to 10 project metrics (such as Risk, Technical, and Funding).

Location

To display the Copy Forward dialog box, click Utilities » Copy Forward....

Related Topics and Procedures

Chart Milestones Overview

Copy Forward Overview

Copy Forward Procedure

Linked Files Overview

Recalculate Command Overview

Scorecard Status Metric Fields

Scorecard Status Metrics Input Overview


Reports Overview

From wInsight Administrator, you can display and print Cost Performance (CPR) reports, Cost/Schedule Status (C/SSR) reports, Cost Funding Status (CFSR) reports, and NASA reports. You can also save reports to HTML files for distribution.

Related Topics and Procedures

  • Display a Report

  • Report Pane

  • Report Pane Keyboard Assignments

  • Cost Performance Reports Overview

  • CPR DID Formats

  • Customizing Reports Overview

  • Rolling Up Data on Reports

  • Cost Performance Reports Overview

  • Save a Report to a File

  • Set a Time Limit to Generate Reports

  • Printing Reports Overview

  • Sample wInsight Administrator Reports


Display a Report

Use this procedure to display a report.

To display a report, complete the following steps:

  1. In the Navigation pane, expand the Reports data item. The available reports display.

  2. Select and double-click a report. The Report pane displays on the right pane.

The default view is set to All, which displays all pages of the report in vertical ascending order. You can adjust the scroll bar to view the entire report. You can also view a specific page by clicking Prev or Next.

You can use the Dataset toolbar to change the contract and period being reported. In some cases, you can also change the default contract structure, which is usually set to WBS, and units. For CPR Format 2, however, the default structure is OBS.

Related Topics and Procedures

Customizing Reports Overview

Navigation Pane

Report Pane

wInsight Administrator Dataset Toolbar


Report Pane

The Report pane contains the following areas:

  • The Status bar identifies a report displayed as well as the active contract structure and units.

  • The Dataset toolbar identifies the contract and date reported.

The default view is set to ALL, which displays all pages of the report in vertical ascending order. You can adjust the scroll bar to view the entire report. You can also view a specific page by clicking Prev or Next.

Location

To display the Report pane, complete the following steps:

  1. In the Navigation pane, expand Report.

  2. Double-click a report in the list. The corresponding Report pane displays on the right side of the wInsight Administrator main window.

Related Topics and Procedures

wInsight Administrator Dataset Toolbar


Report Pane Keyboard Assignments

The Report pane must be the active window for the following keyboard assignments to become available for viewing a report:

Keystrokes | Actions
UP ARROW | Scrolls up approximately five lines
DOWN ARROW | Scrolls down approximately five lines
LEFT ARROW | Scrolls left approximately two characters
RIGHT ARROW | Scrolls right approximately two characters
HOME | Scrolls to the top of the report
END | Scrolls to the bottom of the report
PAGE UP | Scrolls up approximately two-thirds of a page
PAGE DOWN | Scrolls down approximately two-thirds of a page

Related Topics

Reports Overview

Report Pane


CPR DID Formats

wInsight Administrator provides two sets of CPR formats:

  • One set as specified by the March 2005 Contract Performance Report DID, DI-MGMT-81466.

  • One set as specified by the August 1996 Cost Performance Report DID.

The setting in the CprDid field of the Contracts spreadsheet controls the format used for a contract.. A '0' setting corresponds to the August 1996 DID. A '1' setting corresponds to the March 2005 DID.

The newer formats contain a few extra data items:

  • You enter the EVMS Acceptance date in the EvmsAppr field of the CPR Header spreadsheet, which is located under the Report Setup option of the Data Input item in the Navigation pane.

  • You enter the reprogramming adjustments for schedule variances for each contract element in the March 2005 DID in the ReporgSch field of the Earned Value spreadsheet, which is located under the Element Data option of the Data Input item in the navigation pane These values are summed up the structure during recalculate.

  • You enter the reprogramming adjustment for schedule variances for the August 1996 DID CPR formats in the Sch Reprog Adj spreadsheet.


Set a Time Limit to Generate Reports

This procedure allows you to set the maximum number of minutes a report can take to generate before the generation process terminates.

The time limit is used in generating reports on the wInsight Administrator, Desktop, and Web applications.

To set a time limit to generate reports, complete the following steps:

  1. Click File » Reporting Options. The Reporting Options dialog box displays.

  2. Enter the number of minutes that each report can take to generate before the generation process terminates. By default, the time limit is set to 0, or is "turned off."

  3. Click OK.

If the report generation exceeds the allotted time, an error message displays explaining the possible cause of a problem. For example: a large file size can cause a report to take longer than the specified time to generate; and the "@" symbol in a description causes the system to hang and the generation to fail. You are then asked whether to continue the operation.

  • Clicking Yes continues the report generation process.

  • Clicking No cancels the generation of the report.

The two options are available on the wInsight Desktop and Administrator only.

Related Topics and Procedures

wInsight Administrator File Menu

Display a Report

Print a Report

Save a Report to a File

Sample wInsight Administrator Reports


Reporting Options Dialog Box

Use the Reporting Options command to enter a time-out value, which refers to the maximum number of minutes a report can take to generate before the generation process terminates.

Enter the number of minutes each report can take to generate

Enter a value greater than zero (0). By default, the time limit is set to 0, or is "turned off."

Location

To display the Reporting Options dialog box, click File » Reporting Options.

Related Topics and Procedures

Set a Time Limit to Generate Reports

wInsight Administrator File Menu


Customizing Reports Overview

This section describes how to tailor the display and content of a report. Most customization options apply to all reports — setting them for one report sets them for all reports — and stay in effect until you change them. The options apply only to reports and not to the Data Input spreadsheets.

Related Topics and Procedures

Format Numbers

Override Scale Settings

Hide Elements with No Data

Display Short or Long Element Descriptions

Show or Hide WBS Numbers

Indent Element Descriptions

Format Dialog Box

Rolling Up Data on Reports

Change Fonts


Format Numbers

You can display numbers with or without commas and decimal values.

To format numbers, complete the following steps:

  1. Display a report and make the Report pane the active window.

  2. Click Options » Format. The Format dialog box displays.

  3. Select the Use Commas option to separate thousands, millions, and so on with a comma.

  4. Select the Show Decimal option to display values in hundreds (to include a single decimal place.)

  5. Click OK to apply the options or click Cancel to close the dialog box without applying the options.

Related Topics

Customizing Reports Overview


Override Scale Settings

The Format dialog box contains a Scale Override section. The scale override settings allow you to:

  • Inflate (multiply by 1000) or deflate (multiply by .001) earned value numbers by a scaling factor.

  • Control the number of decimals displayed.

  • Change the text displayed at the top of the reports in the Dollars IN: field.

wInsight Administrator uses scaling for display purposes. Scaling affects only the numbers in the body of the reports, not the numbers in the report headers. wInsight Administrator does not include scaling factors or scaled values when you export data; it exports only the original values, without scaling.

To override scale settings, complete the following steps:

  1. Display a report and make the Report pane the active window.

  2. Click Options » Format to display the Format dialog box.

  3. In the Scale Factor field, enter the factor to be applied to inflate or deflate the earned value numbers in the body of the reports.

  4. In the Decimals field, specify the number of decimal places to display.

  5. In the Scale Text field, enter text to describe the scaling being applied. The text displays in the Dollars IN: field at the top of the report.

  6. Click OK to apply the options or click Cancel to close the dialog box without applying the options.

Additional Significant Digits

Whether additional significant digits display depends on the values actually stored in the database. For example, if 4 (which by default is in thousands and thus represents 4,000) is actually stored in the database, then multiplying by 1000 to convert to whole dollars changes the display to 4000.

If 4 decimals are to be displayed, the number turns into 4000.0000. In this case, no additional significant digits display. However, if 3.9856737282548694 is actually stored in the database:

  • It initially displays as 4 (due to rounding).

  • Multiplying by 1000 yields 3985.

  • Increasing the number of decimals to 4 displays 3985.6737. In this case, additional significant digits display.


Hide Elements with No Data

You can hide any contract elements with no data, in terms of the active units, so that they do not display on the report. This setting applies to any element that has no Budgeted Cost of Work Scheduled (BCWS), Budgeted Cost of Work Performed (BCWP), Actual Cost of Work Performed (ACWP), Budget at Completion (BAC), and Estimate at Completion (EAC) data in the active units.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

To hide elements with no data, complete the following steps:

  1. Display a report and make the Report pane the active window.

  2. Click Options » Format to display the Format dialog box.

  3. Select the Do not show zero-value elements option.

  4. Click OK to apply the options you selected or click Cancel to close the dialog box without applying the options.


Display Short or Long Descriptions

Reports can display a short or long element description. You specify both descriptions in the CPR Elements spreadsheet.

To display short or long descriptions, complete the following steps:

  1. Display a report and make the Report pane the active window.

  2. Click Options » Format. The Format dialog box displays.

  3. Select the Short option to use the 15-character element description or select the Long option to use the 50-character element description.

  4. Click OK to apply the options or click Cancel to close the dialog box without applying the options.


Show or Hide WBS Numbers

You can display element descriptions with or without their corresponding WBS numbers.

To show or hide WBS numbers, complete the following steps:

  1. Display a report and make the Report pane the active window.

  2. Click Options » Format. The Format dialog box displays.

  3. Select the Show WBS option to include the element's WBS number along with its description or clear the check box to suppress the display of WBS numbers.

  4. Click OK to apply the options or click Cancel to close the dialog box without applying the options.


Indent Element Descriptions

You can indent element descriptions by element level or have the descriptions display as left-justified.

To indent element description, complete the following steps:

  1. Display a report and make the Report pane the active window.

  2. Click Options » Format. The Format dialog box displays.

  3. Select the Indent option to indent the element's description according to element level. Leave the option cleared to left-justify all descriptions.

  4. Click OK to apply the options or click Cancel to close the dialog box without applying the options.


Format Dialog Box

Use the Format dialog box to format numbers and element descriptions, and set other options that affect the presentation of data on reports.

Number

Use Commas

Select this option to separate thousands, millions, and so on with a comma.

Show Decimal

Select this option to display values in hundreds (include a single decimal place.)

Description

Short

Select this option to use the 15-character element description.

Long

Select this option to use the 50-character element description.

Show WBS

Select this option to include the element's WBS number along with its description, or clear the check box to suppress WBS numbers.

Indent

Select this option to indent the element's description according to element level, or leave it blank to left justify all descriptions.

Display

Initially roll up to level

Select this option to use the specified rollup level number, which defines the lowest level of the structure to display. Otherwise, all elements display.

In the corresponding number field, specify the lowest level of the structure to display; otherwise, all elements display. You must select the Initially roll up to level option before setting this number.

Do not show zero-value elements

Select this option to hide elements with no data.

Scale Override

Scale Factor

Enter the factor by which to inflate (multiply by 1000) or deflate (multiply by .001) earned value numbers. See Override Scale Settings for more information.

Decimals

Controls the number of decimal places displayed in the earned value numbers.

Scale Text

Text entered in this field appears in the Dollars IN: field at the top of CPR Formats 1 – 3 and C/SSR reports. You can enter up to 15 characters describing the scaling being applied to the earned value numbers.

Location

To display the Format dialog box, complete the following steps:

  1. In the Navigation pane, click Reports » <any of the reports>. The selected report displays.

  2. Click anywhere on the report.

  3. On the menu bar, click Options » Format....

Related Topics and Procedures

Change Fonts

Display Short or Long Element Descriptions

Format Numbers

Hide Elements with No Data

Indent Element Descriptions

Override Scale Settings

Rolling Up Data on Reports

Show or Hide WBS Numbers


Rolling Up Data on Reports

You may need to report on a contract at a level higher than the level used to manage the contract. In wInsight Administrator, you can roll up reports to any summary level in any branch.

wInsight Administrator provides two rollup methods as follows:

  • Uniform — The first method is quicker, but supports only a uniform roll up across all branches, such as to level 3.

  • Non-Uniform — The second method lets you roll up each branch of the structure independently. Since this process can be time-consuming, wInsight Administrator makes it possible for you to save and re-use rollup settings.

Related Topics and Procedures

Roll Up Data to a Single Level (Uniform Roll Ups)

Roll Up Data to Different Levels (Non-Uniform Roll Ups)

Remove a Roll Up

Save Roll Up Settings to a Template File

Use a Template File to Roll Up Data

Rollup Options Dialog Box


Roll Up Data to a Single Level (Uniform Roll Ups)

Use the following procedure to specify the level at which you want to roll up the contract structures. This method rolls up all branches to the same level, if possible, such as to level 3. The settings you specify remain in effect for all reports for all dates in the specified contract until you change or remove the rollup settings.

To roll up data to a single level, complete the following steps:

  1. Display a report and make the Report pane the active window.

  2. Click Options » Format. The Format dialog box displays.

  3. Select the Initially roll up to level option and use the corresponding number field to specify the roll up level, which defines the lowest level of the structure to display. If you do not select this option, all elements display on the report.

  4. Click OK to apply the options or click Cancel to close the dialog box without applying the options.

Alternate Approach

You can use the Rollup Options command to fine tune your rollup by rolling up individual branches of the contract structures. If used, the Rollup Options command overrides the uniform rollup method.

Related Topics and Procedures

Roll Up Data on Reports Overview

Roll Up Data to Different Levels (Non-Uniform Roll Ups)

Remove a Roll Up

Save Roll Up Settings to a Template File

Use a Template File to Roll Up Data

Rollup Options Dialog Box


Roll Up Data to Different Levels (Non-Uniform Roll Ups)

A uniform rollup, such as rolling up all branches to level 3, may not be appropriate for all situations. Sometimes you should roll up each branch of a contract structure to a different summary level. wInsight Administrator supports this need via the Rollup Options command. This command overrides the uniform rollup method.

To roll up data to different levels, complete the following steps:

  1. Display a report and make the Report pane the active window.

  2. Click Options » Rollup Options. The Rollup Options dialog box displays.

  3. From the drop-down list for the Structure field, select the contract structure. The structure displays in the list box.

    Structures

    Structures can be any of the following types:

    • Work breakdown structure (WBS)

    • Organization breakdown structure (OBS)

    • Integrated product team (IPT)

    • Other user-defined structures

    Click [image] to toggle the structure.

  4. Expand or collapse branches until only those elements that you want exported in the transfer file are visible. Expand or collapse branches of the tree by clicking the expand (+) and collapse (-) buttons, or by using the Level Number Control option.

  5. Repeat steps 3 and 4 for the other structures, if needed.

  6. Click OK to apply the options you selected, close the Rollup Options dialog box, and return to the report, now rolled up to the levels specified. Click Cancel to dismiss the dialog box without applying the options you selected.

Once you have the rollup settings you want, you can save the settings to a template (.RTT) file and re-use them in the future. You can also use the template file to roll up the structures prior to exporting data.

Related Topics and Procedures

Roll Up Data to a Single Level (Uniform Roll Ups)

Remove a Roll Up

Save Roll Up Settings to a Template File

Use a Template File to Roll Up Data


Remove a Roll Up

After you use the Rollup Options command, the Options » Show Rollup command displays with a check mark next to it.

To remove a roll up, complete the following steps:

  1. On the Menu bar, click Options » Show Rollup. wInsight Administrator removes the rollup settings from the report, as well as the check mark next to the command.

  2. You can re-apply the rollup options settings at any time, until you switch contracts, by repeating step 1.

If the report's structure does not completely expand after removing the rollup this way, check the Options » Format command to see if a rollup is also being implemented via the Format dialog box.

Related Topics and Procedures

Roll Up Data on Reports Overview

Roll Up Data to a Single Level (Uniform Roll Ups)

Roll Up Data to Different Levels (Non-Uniform Roll Ups)

Use a Template File to Roll Up Data

Save Roll Up Settings to a Template File


Save Roll Up Settings to a Template File

After you establish the rollup settings, you can save them to a template file for future use.

To save rollup settings to a template file, complete the following steps:

  1. On the Rollup Options dialog box, click Save. A standard Save As dialog box displays, allowing you to name the template file and specify the folder in which to save it.

  2. In the Save in field, specify the folder in which to save the template file.

  3. In the File name field, enter a name for the template file. Since rollup settings are usually contract-specific, consider including the contract name as part of the template file name.

  4. In the Save as type field, select Rollup Templates (*.rtt).

  5. Click Save to save the template file in the specified folder or click Cancel to dismiss the dialog box.

Related Topics and Procedures

Roll Up Data on Reports Overview

Roll Up Data to a Single Level (Uniform Roll Ups)

Roll Up Data to Different Levels (Non-Uniform Roll Ups)

Remove a Roll Up

Use a Template File to Roll Up Data


Use a Template File to Roll Up Data

Once you have saved rollup settings to a template file, you can open the template file to re-apply the settings.

To use a template file to roll up data, complete the following steps:

  1. Display a report and make the Report pane the active window.

  2. Click Options » Rollup Options to display the Rollup Options dialog box.

  3. Click Open.

  4. A standard Open dialog box displays.

  5. Enter the name and path of the template file (.RTT) in the File name field, or use the browsing capabilities of the dialog box to locate the file. Rollup settings are usually contract-specific, so select a template file that is appropriate for the active contract.

  6. Click Open. The template file is loaded, the rollup settings are applied to the structures, and you are returned to the Rollup Options dialog box.

  7. Click OK to apply the settings to the report or click Cancel to dismiss the Open dialog box without applying the settings.

Related Topics and Procedures

Roll Up Data on Reports Overview

Roll Up Data to a Single Level (Uniform Roll Ups)

Roll Up Data to Different Levels (Non-Uniform Roll Ups)

Remove a Roll Up

Save Roll Up Settings to a Template File


Printing Reports Overview

This section describes the procedures on how to print reports in wInsight Administrator. The procedures apply to any of the Reports data items available on the Navigation pane.

Related Topics and Procedures

Navigation Pane

Print a Report

Printer Options

Save a Report to a File


Print a Report

Use this procedure to print a report.

To print a report, complete the following steps:

  1. Display a report.

  2. Select a specific page or pages to be printed by clicking Next or Prev.

The default view of the report is set to All. Selecting this option allows you to print all pages of the report.

  3. You can customize the report by clicking Options, which offers commands for formatting and rolling up the report.

  4. Define how you want to print the document using the Print dialog box. You can display the dialog box in two ways:

    • On the Standard toolbar, click [image] Print.

    • On the Menu bar, click File » Print.

  5. Set printing options.

  6. Click Print to begin printing, or click Cancel to dismiss the dialog box without printing.

Related Topics and Procedures

Display a Report

Customizing Reports Overview

Printer Options


Printer Options

The following options are available for most printers. However, the dialog box and available options depend on the type of printer and version of Microsoft Windows you are using. Consult your Windows and/or printer documentation for a complete description of all your printer options.

Select Printer/Name

This is the active printer and printer connection. Use the default printer or select one of the currently installed printers from the drop-down list. You install printers and configure ports using the Windows Control Panel.

Page Range

Specify the pages you want to print:

  • All — Prints the entire document.

  • Current Page — Prints the currently selected page of the document.

  • Selection — Prints the currently selected text.

  • Pages — Prints the range of pages you specify.

Number of Copies

Specify the number of copies you want to print.

Collate

Prints copies in page number order, instead of separated multiple copies of each page.

Print to File

Prints the selected output to a new file on the drive you specify instead of routing it directly to a printer. You print to a file so that you can print to a printer other than the one you were using when you originally created the document. When you click OK, a dialog box displays so that you can enter a new filename. See Save a Report to a File for information on saving a report to a HTML file.

Paper Size

Select the size of the paper that the report is to be printed on.

Paper Source

Some printers offer multiple trays for different paper sources. Select the paper tray from the drop-down list.

Orientation

Select the orientation: Portrait or Landscape.

Network

Allows you to connect to a network location, assigning it a new drive letter.

Print Quality

Select the quality of the printing. Generally, lower-quality printing takes less time to produce.

Related Topics and Procedures

Printing Reports Overview

Print a Report


Save a Report to a File

After you display a report, you can save it to an HTML file and distribute it. You can then view the report using any application capable of displaying HTML files.

To save a report to a file, complete the following steps:

  1. Display a report, and make the Report pane the active window.

  2. Click either [image] Save on the Standard toolbar, or File » Save on the Menu bar. The Save As dialog box displays.

  3. Enter a name for the file in the corresponding field.

  4. Specify the location where you want to save the file.

  5. Click Save.

Related Topics and Procedures

Report Pane

Display a Report


Sample wInsight Administrator Reports

This section provides several samples of available wInsight Administrator reports:

CPR Format 1 - WBS (August 1996)

CPR Format 1 - WBS (March 2005)

CPR Format 2 - Organizational Categories (August 1996)

CPR Format 2 - Organizational Categories (March 2005)

CPR Format 3 - Baseline (August 1996)

CPR Format 3 - Baseline (March 2005)

CPR Format 4 - BAC Staffing (August 1996)

CPR Format 4 - BAC Staffing (March 2005)

CPR Format 4 - EAC Staffing (August 1996)

CPR Format 4 - EAC Staffing (March 2005)

CPR Format 5 - Explanations and Problem Analysis (August 1996)

CPR Format 5 - Explanations and Problem Analysis (March 2005)

Cost/Schedule Status Report (C/SSR)

Contract Funds Status Report (CFSR)

NASA 533M Report in ETC and BCWS

Related Topics and Procedures

Display a Report

Report Pane

Cost Performance Reports Overview

CPR DID Formats

Customizing Reports Overview

Rolling Up Data on Reports

Cost Performance Reports Overview

Save a Report to a File

Printing Reports Overview


CPR Format 1 - WBS (August 1996)

The CPR Format 1 – Work Breakdown Structure report (August 1996 CPR DID) displays work breakdown structure (WBS) data for a selected contract and period. Use the Dataset toolbar to change the contract structure and units displayed on the report.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

Related Topics

Cost Performance Reports Overview

Sample wInsight Administrator Reports


CPR Format 1 - WBS (March 2005)

The CPR Format 1 – Work Breakdown Structure report (March 2005 CPR DID) displays work breakdown structure (WBS) data for a selected contract and period. Use the Dataset toolbar to change the contract structure and units displayed on the report.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

Related Topics and Procedures

Cost Performance Reports Overview

Sample wInsight Administrator Reports


CPR Format 2 - Organizational Categories (August 1996)

The CPR Format 2 – Organizational Categories report (August 1996 CPR DID) displays functional or organizational data for a selected contract and period.

Use the Dataset toolbar to change the contract structure or unit displayed on the report. By default, the structure of CPR Format 2 is set to OBS.

Unit

A unit can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Structure

A structure can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

Related Topics

Cost Performance Reports Overview

wInsight Administrator Dataset Toolbar


CPR Format 2 - Organizational Categories (March 2005)

The CPR Format 2 – Organizational Categories report (March 2005 CPR DID) displays functional or organizational data for a selected contract and period.

Use the Dataset toolbar to change the contract structure or unit displayed on the report. By default, the structure of CPR Format 2 is set to OBS.

Unit

A unit can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Structure

A structure can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

Related Topics

Cost Performance Reports Overview

wInsight Administrator Dataset Toolbar


CPR Format 3 - Baseline (August 1996)

The CPR Format 3 – Baseline report (August 1996 CPR DID) displays beginning and end of period baseline data for a selected contract and period.

Related Topics

Cost Performance Reports Overview

wInsight Administrator Dataset Toolbar


CPR Format 3 - Baseline (March 2005)

The CPR Format 3 – Baseline report (March 2005 CPR DID) displays beginning and end of period baseline data for a selected contract and period.

Related Topics

Cost Performance Reports Overview

wInsight Administrator Dataset Toolbar


CPR Format 4 - BAC Staffing (August 1996)

The CPR Format 4 – Staffing (BAC) report (August 1996 CPR DID) displays manpower data to the Budget at Completion (BAC) for a selected contract and period.

Related Topics

Cost Performance Reports Overview

wInsight Administrator Dataset Toolbar


CPR Format 4 - BAC Staffing (March 2005)

The CPR Format 4 – Staffing (BAC) report (March 2005 CPR DID) displays manpower data to the Budget at Completion (BAC) for a selected contract and period.

Related Topics

Cost Performance Reports Overview

wInsight Administrator Dataset Toolbar


CPR Format 4 - EAC Staffing (August 1996)

The CPR Format 4 – Staffing (EAC) report (August 1996 CPR DID) displays manpower data to the Estimate at Completion (EAC) for a selected contract and period.

Related Topics

Cost Performance Reports Overview

wInsight Administrator Dataset Toolbar


CPR Format 4 - EAC Staffing (March 2005)

The CPR Format 4 – Staffing (EAC) report (March 2005 CPR DID) displays manpower data to the Estimate at Completion (EAC) for a selected contract and period.

Related Topics

Cost Performance Reports Overview

wInsight Administrator Dataset Toolbar


CPR Format 5 - Explanations and Problem Analysis (August 1996)

The CPR Format 5 – Explanations and Problem Analysis report (August 1996 CPR DID) displays the variance analysis narrative for a selected contract, period, and contract structure. This report also displays any template information contained in the narrative.

In wInsight, each contract element's CPR Format 5 narrative is limited to 64,000 alphanumeric and special characters, which include hidden HTML formatting characters. To maximize the amount of narrative overall, Deltek recommends that you enter narratives alongside their own elements (as opposed to entering all narratives into the top-level element). You can also strip out hidden formatting characters by copying text into Windows Notepad.

Related Topics

Cost Performance Reports Overview

wInsight Administrator Dataset Toolbar


CPR Format 5 - Explanations and Problem Analysis (March 2005)

The CPR Format 5 – Explanations and Problem Analysis report (March 2005 CPR DID) displays the variance analysis narrative for a selected contract, period, and contract structure. This report also displays any template information contained in the narrative.

In wInsight, each contract element's CPR Format 5 narrative is limited to 64,000 alphanumeric and special characters, which include hidden HTML formatting characters. To maximize the amount of narrative overall, Deltek recommends that you enter narratives alongside their own elements (as opposed to entering all narratives into the top-level element). You can also strip out hidden formatting characters by copying text into Windows Notepad.

Related Topics

Cost Performance Reports Overview

wInsight Administrator Dataset Toolbar


Cost/Schedule Status Report (C/SSR)

The Cost/Schedule Status Report (C/SSR) displays cumulative WBS data for a selected contract and period. Use the Dataset toolbar to change the contract structure and units displayed on the report.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown structure (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

Related Topic

wInsight Administrator Dataset Toolbar


Contract Funds Status Report (CFSR)

wInsight Administrator generates the standard Contract Funds Status Report (CFSR) format and will add an additional five columns in the Block 12-14 area if data for those optional fields are populated.

Related Topics

Cost Performance Reports Overview

wInsight Administrator Dataset Toolbar


NASA 533M Report in ETC and BCWS

wInsight Administrator can generate the NASA 533M report using either the time-phased, future period Estimate to Complete (ETC) or Budgeted Cost for Work Scheduled (BCWS) forecasts.

Selecting the future period ETC option is the standard method, and the future period BCWS option is the substitute method. The displayed values on column 8 depend on the report that you are viewing.

You can toggle the display of units on the NASA 533M report. The NASA 533M data can only be exported via the XML transfer file format. There are no NASA 533M-related export options.

Units

Units can be any of the following types:

  • Dollars

  • Hours

  • Equivalent persons (EQP)

  • Other user-defined units

Click [image] to toggle the units.

The majority of the data for this report comes from CPR earned value data, as outlined in the table below. However, the following items are NASA 533M-specific data items:

  • Fund Limitation — Entered in the FundLimit column in the CPR Header spreadsheet

  • Amounts Billed — Entered in the AmtBilled column in the CPR Header spreadsheet

  • Payments Received — Entered in the PmtRcvd column in the CPR Header spreadsheet

  • Unfilled Orders Outstanding — Entered in the UnfillOrd column in the Earned Value spreadsheet

For the other earned value data in wInsight Administrator, you must perform the Recalculate command after entering NASA 533M data.

533M Block | Entered in Column: | In this Spreadsheet:
TO and FROM | All address information columns in the Contractors spreadsheet | Contractors
 | Linked to a contract using CustID (for the TO block) and Contractor (for the FROM block) | Contracts
Block 1. Description of Contract | ContrType (for the Type) ContrNum (for the Contract No) ContrName (for the Scope of Work) | Contracts
 | ApprName (for the Auth. Representative); SubmDate (for the Date) | CPR Header
Block 2. Report for Month Ending | EndDate | CPR Header
Block 3. Contract Value | CBB (for 3a, Cost) TgtFeeDol and TgtFeePct (for 3b, Fee) | CPR Header
Block 4. Fund Limitation | FundLimit | CPR Header
Block 5. Billing | AmtBilled (for 5a, Inv Amts Billed) PmtRcvd (for 5b, Total Pymts Rec'd) | CPR Header
Column 6. Reporting Category | WbsNum (for the id number) ElemDesc (for the element title) | CPR Elements
Column 7. Cost Incurred/Hours Worked | ACWPCum (for Cumulative to Date Actual) BCWSCum (for Cumulative to Date Planned) During Month values are calculated | Earned Value
Column 8. Estimated Cost/Hours to Complete | Enter incremental values for at least 2 future periods (for Cur+1 and Cur+2). Balance of contract values are calculated. | Future Period – ETC Future Period — BCWS
Column 9. Estimated Final Cost/Hours | Bac (for the Contract Value) Eac (for the Contractor Estimate) | Earned Value
Column 10. Unfilled Orders Outstanding | UnfillOrd | Earned Value

Related Topics and Procedures

Export to an XML Transfer File

Recalculate Command Overview


Copying Data Between Applications Overview

One powerful feature of wInsight Administrator is its ability to copy data to and from other applications. Coping and pasting only applies to data found on the Data Input spreadsheets; you cannot copy reports. You can, however, save a report to a file and view it.

The instructions provided in this section of the help will work with any application that supports the copy and paste functions of Microsoft Windows. For example, copying and pasting in wInsight Administrator is very similar to copying and pasting in Microsoft Excel. The instructions assume that you are familiar with the copy and paste procedures standard in the Windows environment.

Related Topics and Procedures

Copying Data To wInsight Administrator

Example: Copying Data from MS Excel to the Earned Value Spreadsheet

Copying Data from wInsight Administrator

Select Rows

Select Columns

Select Cells

Example: Copying Data from the Earned Value Spreadsheet to MS Excel

Save a Report to a File


Copy Data To wInsight Administrator

Copying Data To wInsight Administrator

The Data Input spreadsheets can accept tab-delimited text from the clipboard, whether you copy text there from wInsight Administrator or from another application such as Microsoft Excel. This facility makes it easy to transfer data in from other applications, or to copy data forward to a new month.

  • When you paste data from the clipboard, wInsight Administrator skips the first line of the clipboard data if you highlighted any column headers— such as Excel column headers— when copying the data.

  • When you paste data copied from wInsight Administrator, wInsight Administrator does not skip the first line of clipboard data if you highlighted any column headers. You should be careful not to click the column header when coping data from wInsight Administrator and pasting it back into wInsight Administrator. Instead, Deltek recommends that you manually select all the cells in the column, then copy the data.

wInsight Administrator begins pasting data at the position of the focus rectangle. However, if you selected an entire column by clicking the column title, no data is pasted into the column. Instead, position the focus rectangle in the top cell in the column and then paste the data. If the clipboard contains more rows or columns of data than extend down from the initial cell, or more columns than extend to the right of the initial cell, the additional data is ignored.

If you paste data into a non-editable column in wInsight Administrator, wInsight Administrator processes the clipboard data for the column but ignores it. In other words, the non-editable column acts as a place-holder, but otherwise has no effect. For example, assume you copied five columns of data and want to paste it into a spreadsheet on which the first two columns are non-editable. The first two columns ignore the data copied from columns one and two; the next three columns receive the data copied from columns three through five.

Related Topic

Example: Copying Data from MS Excel to the Earned Value Spreadsheet


Example: Copying Data from MS Excel to the Earned Value Spreadsheet

The following example copies two columns with five rows of data into the Earned Value spreadsheet. The following procedure works with almost any application that can receive tab-delimited text.

To copy data from MS Excel to the Earned Value spreadsheet, complete the following steps:

  1. Start Microsoft Excel.

  2. Highlight and copy the data to be pasted into wInsight Administrator.

  3. Switch to wInsight Administrator.

  4. Open the Earned Value spreadsheet and scroll right until the ReprogCost and ReprogBudg columns are visible.

  5. Click the top cell in the ReprogCost column. The focus rectangle appears in the cell.

  6. Either click [image] Paste on the Standard toolbar, or click Edit » Paste on the Menu bar. wInsight Administrator pastes the data into the first five rows of the ReprogCost and ReprogBudg columns.

Related Topics and Procedures

Copying Data Between Applications Overview

Copying Data To wInsight Administrator

Navigation Pane


Copying Data from wInsight Administrator

You can copy the following items to the clipboard as tab-delimited text, then paste them into other applications or back into wInsight Administrator:

Rows

Columns

Cells


Select Rows

Before you can select a row, you must verify that the row is visible in the Data Entry pane. There are several ways to select rows.

To select a row with the mouse, take the following step:

Click the gray square at the left of the row. The row changes color to indicate that it is selected.

To select multiple adjacent rows with the mouse, complete the following steps:

  1. Click the gray square at the left of the first row. The row changes color to indicate that it is selected.

  2. Hold down SHIFT and click the gray square at the left of the last row. The last row, and all rows in between the first and last rows, change color to indicate that they are selected.

To select multiple non-adjacent rows with the mouse, complete the following steps:

  1. Click the gray square at the left of the first row. The row changes color to indicate that it is selected.

  2. Press and hold the CTRL key.

  3. Click the gray square at the left of all the rows to be included. Each selected row changes color to indicate that it is selected.

To select a row with the keyboard, complete the following steps:

  1. Use the ARROW keys to move the focus rectangle into the first/last cell of the row you want to select.

  2. Press and hold SHIFT.

  3. Press END/HOME to select the remaining cells of the row. All cells in the row except the first/last cell change color to indicate that the entire row is selected.

To select multiple adjacent rows with the keyboard:

  1. Use the ARROW keys to move the focus rectangle into the first/last cell of the first/last desired row.

  2. Press and hold SHIFT.

  3. Press END/HOME to select the remaining cells of the row. All cells in the row except the first/last cell change color to indicate that the entire row is selected.

  4. Continue holding SHIFT and press the DOWN/UP ARROW key to select the remaining adjacent rows.

You can now copy the selected row(s) to the clipboard and paste them into another Windows application.


Select Columns

Before you can select a column, it must be visible in the Data Entry pane.

When copying data to the clipboard, wInsight Administrator only copies column header information when you selected an entire column by clicking the column title. Column headers are also copied when you select the entire spreadsheet.

To select the entire spreadsheet:

  • Click Edit » Select All or

  • Click the gray square in the upper left corner of the spreadsheet.

There are several ways to select columns.

To select a column including the column title with the mouse, complete the following steps:

Click the column title at the top of the column. The column changes color to indicate that it is selected.

To select a column without the column title with the mouse, complete the following steps:

  1. Click the first/last cell in the column.

  2. Press and hold SHIFT.

  3. Click the last/first cell in the same column. The column changes color to indicate that it is selected.

To select multiple adjacent columns including the column title with the mouse, complete the following steps:

  1. Click the column title at the top of the first column. The column changes color to indicate that it is selected.

  2. Hold down SHIFT and click the column title at the top of the last column. The last column, and all columns in between the first and last columns, change color to indicate that they are selected.

To select multiple adjacent columns without the column title with the mouse, complete the following steps:

  1. Click the first/last cell in the first/last column.

  2. Press and hold SHIFT.

  3. Click the last/first cell in the same column. The column changes color to indicate that it is selected.

  4. Continue holding SHIFT and use the RIGHT/LEFT ARROW key to select the remaining columns. Each selected column changes color to indicate that it is selected.

To select multiple non-adjacent columns including the column title with the mouse, complete the following steps:

  1. Click the column title of the first column. The column changes color to indicate that it is selected.

  2. Press and hold CTRL.

  3. Click the column title at the top of all the columns to be included. Each column changes color to indicate that it is selected.

To select multiple non-adjacent columns without the column title with the mouse, complete the following steps:

  1. Click the first/last cell in the first column with the mouse.

  2. Press and hold SHIFT.

  3. Click the last/first cell in the same column. The column changes color to indicate that it is selected.

  4. Release SHIFT and press and hold the CTRL key.

  5. Click the first/last cell of the next column with the mouse.

  6. Release the CTRL key and press and hold the SHIFT key.

  7. Click the last/first cell in the same column. The column changes color to indicate that it is selected.

  8. Repeat steps 4 – 7 for each additional column to copy. Each column changes color to indicate that it is selected.

To select a column without the column title with the keyboard, complete the following steps:

  1. Use the ARROW keys to move the focus rectangle into the first/last cell of the first/last column to be included.

  2. Press and hold SHIFT.

  3. Press PAGE DOWN/PAGE UP. All cells in the column except the first/last cell change color to indicate that the entire column is selected.

To select multiple adjacent columns without the column titles with the keyboard, complete the following steps:

  1. Use the ARROW keys to move the focus rectangle into the first/last cell of the first/last column to be included.

  2. Press and hold SHIFT.

  3. Press PAGE DOWN/PAGE UP. All cells in the column except the first/last cell change color to indicate that the entire column is selected.

  4. Continue holding SHIFT and use the RIGHT/LEFT ARROW key to select the remaining adjacent columns.

You can now copy the selected column(s) to the clipboard and paste them into another Windows application.


Select Cells

You can select groups of cells by dragging with the mouse, or by pressing the SHIFT key and clicking with the mouse. Locked areas of the grid are unfrozen automatically before the selection operation begins.

If you are selecting a large area, the second or third procedure may be quicker.

To select cells by dragging with the mouse, complete the following steps:

  1. Select the cell at one corner of the region.

  2. Press and hold the left-mouse button.

  3. Drag the mouse in any direction until the cells you want are highlighted. If you move the mouse outside the bounds of the window, the window scrolls as necessary to bring new areas into view. If the window stops scrolling, move the mouse slightly in any direction to keep the window scrolling.

  4. When the cells you want are highlighted, release the left-mouse button.

To select a large block of cells with the mouse, complete the following steps:

  1. Select the cell at one corner of the region. You do not have to hold down the mouse button.

  2. Using the scroll bars or ARROW keys, scroll the window until the other corner of the region comes into view.

  3. Press and hold the SHIFT key, and click the second cell with the left-mouse button. The entire region defined by the original cell and the last cell is highlighted.

  4. Until the SHIFT key is released, you can modify the selected area by clicking in a new cell. The selected area is updated to highlight the area between the original cell and the last cell selected.

To select a block of cells with the keyboard, complete the following steps:

  1. Use the ARROW keys to move the focus rectangle into the cell at one corner of the region.

  2. Press and hold the SHIFT key.

  3. Press the LEFT/RIGHT ARROW and UP/DOWN ARROW keys to select the remaining cells of the desired region. All cells in the region, except the cell where the focus rectangle started at, change color to indicate that the entire row is selected.

You can now copy the selected cells to the clipboard and paste them into another Windows application.


Example: Copying Data from the Earned Value Spreadsheet to MS Excel

The following example copies six columns of data plus column titles from the Earned Value Data Input spreadsheet to Microsoft Excel. The following procedure works with almost any application that can receive tab-delimited text.

To copy data from the Earned Value spreadsheet to MS Excel, complete the following steps:

  1. Start wInsight Administrator.

  2. Open the Earned Value spreadsheet and scroll left, if needed, until the WbsNum column is visible. See Navigation Pane for more information.

  3. Select one of the following approaches:

  4. Click the title of the WbsNum column, then hold down the SHIFT key and click the title of the AcwpCum column. Those columns plus the ElemDesc, NAFlag, BcwsCum, and BcwpCum columns (and all rows in those columns) are selected for copying.

  5. To copy the data without the column titles, click and hold the left-mouse button in the top row of the WbsNum column and drag the mouse to the last row in the AcwpCum column. Do not click on the column title.

  4. Either click [image] Paste on the Standard toolbar, or click Edit » Copy on the Menu bar.

  5. Switch to Excel.

  6. Select the cell where you want the data to placed and paste the data into Excel. The selected data and column titles are pasted in, starting at the selected cell.


User-Defined Fields Overview

wInsight Administrator allows you to create, edit, view, and delete user-defined fields. User-defined fields are database-specific; they are added to the active database. If you click File » Select Database to change databases, the user-defined fields you created while using a different database are not present.

Pre-Defined User-Defined Fields

In the Earned Value spreadsheet, there are 10 user-defined fields labeled Number1 through Number10. Because of the complexities involved in supporting Microsoft Access, Oracle, and SQL Server databases, no user-defined fields will sum data up the contract structures. As a workaround, these ten numeric fields (which will sum values up the structures, after you perform a recalculation) have been included in the Earned Value spreadsheet. Like other fields (columns) in this spreadsheet, you can display these 10 fields in Sort windows, plot them on charts, and relabel them in wInsight.

Guidelines

We recommend that you review the following guidelines before you add user-defined fields:

  • Keep field names as short as possible.

  • Begin a field name with a letter, not a number.

  • Most importantly, do not use a field name that might already be in the database, such as BAC, EAC, Manager, among others.

Entering Data User-Defined Fields

Entering data in a user-defined field is exactly the same as entering data into any other field. Use the following guidelines to identify your user-defined fields:

  • User-defined fields appear in columns at the far right of Data Input spreadsheets.

  • User-defined field columns display in the order as they are created.

  • The user-defined field name is the same as the column title.

Related Topics and Procedures

Entering and Deleting Data Overview

Table (Spreadsheet) Selections

Data Type Selections

Define User Fields Dialog Box

Define User Field (Single Field) Dialog Box

Add a User-Defined Field

Edit and View User-Defined Fields

Delete a User-Defined Field


Add a User-Defined Field

Use this procedure to add a user-defined field.

To create a user-defined field, complete the following steps:

  1. On the Menu bar, click Utilities » Define User Fields.... The Define User Fields dialog box displays.

  2. From the drop-down list for the Table field, select the spreadsheet in which to add the user-defined field.

  3. Click Add. The Define User Field dialog box displays.

  4. In the Name field, enter a name for the field you are adding. Click Guidelines.

    Guidelines

    We recommend that you observe the following guidelines when adding user-defined fields:

    • Keep field names as short as possible.

    • Begin a field name with a letter, not a number.

    • Most importantly – do not use a field name that might already be in the database, such as BAC, EAC, Manager, and so on.

  5. From the drop-down list for the Data Type option, select a data type for the field.

  6. Select one of the following actions:

  7. If you selected Text in step 5, specify the field length (1 through 255) in the Length field.

  8. If you selected Double in step 5, specify the number of decimal places (1 through 4) for the field in the Decimals field.

  7. Click OK to accept your changes and close the Define User Field dialog box, or click Cancel to exit the dialog box without saving any changes.

  8. Click Close to close the Define User Fields dialog box. You can now enter data into your new field. If the new field does not appear in the expected spreadsheet, either click [image] Refresh on the Standard toolbar, or make the Data Entry pane the active window and click Options » Refresh on the Menu bar.

Related Topics

User-Defined Fields Overview

Table (Spreadsheet) Selections

Data Type Selections


Table (Spreadsheet) Selections

Use the drop-down list for the Table field on the Define User Fields dialog box to select the Data Input spreadsheet to which you are adding a user-defined field.

With the exception of Task fields, you can display and use user-defined fields from all other spreadsheets in wInsight Sort windows. You can plot on charts only those Earned Value fields of data type Double.

  • Contract — Select this option to add a user-defined field to the Contracts spreadsheet.

  • Period — Select this option to add a user-defined field to the Periods spreadsheet.

  • Element — Select this option to add a user-defined field to the CPR Elements spreadsheet.

  • Earned Value — Select this option to add a user-defined field to the Earned Value spreadsheet.

  • Task — Select this option to add a user-defined field to the Task table of the wInsight database, which can be displayed in the C/S Glue Viewer.

Related Topics

User-Defined Fields Overview

Cost Performance Reports Overview


Data Type Selections

Use the Data Type option in the Define User Field dialog box to define the type of information that you and other wInsight users can enter in a user-defined field.

You can display user-defined fields of all data types and use them in wInsight Sort windows. You can plot on charts only those Earned Value fields of data type Double.

Select from the following data type options:

  • Short — This data type is used for whole number data of "ordinary" size. Integers are limited to values between negative 32,768 and positive 32,767.

  • Long — This data type is used for large whole numbers. Longs can take on any value between negative 2,147,483,648 and positive 2,147,483,647. Longs require twice as much memory and storage space as Short fields.

  • Double — This data type is used for real number values, which refer to numbers that might contain fractional values. Double fields can have decimal places up to four digits long.

  • Date — This data type is used for date values. The entered dates have the mm/dd/ccyy format.

  • Text — This data type is used for alphanumeric data, or if none of the other data types fit. Text fields can be any length between 1 and 255 characters long, with a default of 20 characters. You should set the length to the smallest value sufficient to hold the anticipated data.


Edit and View User-Defined Fields

After you create a user-defined field, its properties are fixed, with one exception. You can change the number of decimal places for fields with a data type of Double. Other than that, you cannot edit user-defined fields. You can, however, view their definitions.

To edit and view user-defined fields, complete the following steps:

  1. On the Menu bar, click Utilities » Define User Fields.... The Define User Fields dialog box displays.

  2. From the drop-down list for the Table field, select the table containing the user-defined field to view or edit, if editing a field with a data type of Double.

  3. From the User Fields list, select the field.

  4. Click Edit. The Define User Field dialog box displays.

  5. View the field's definition or change the number of decimal places, if editing a field with a data type of Double.

  6. Click OK to accept your changes and close the Define User Field dialog box, or click Cancel to close without saving.

  7. Click Close to close the Define User Fields dialog box.

Related Topics

User-Defined Fields Overview

Table (Spreadsheet) Selections


Delete a User-Defined Field

You can delete a user-defined field. Any data stored in the field is, of course, also deleted.

To delete a user-defined field, complete the following steps:

  1. On the Menu bar, click Utilities » Define User Fields.... The Define User Fields dialog box displays.

  2. From the drop-down list for the Table field, select the table containing the user-defined field to delete.

  3. From the User Fields list, select the field.

  4. Click Delete. A message displays, prompting you to confirm the deletion.

  5. Click Yes to delete the field and all its data, or No to cancel without deleting.

Related Topics

User-Defined Fields Overview

Table (Spreadsheet) Selections


Define User Fields Dialog Box

Use the Define User Fields dialog box to add a user-defined field.

Table

Displays a list of tables that contain user-defined fields. Select a table from the list.

User Fields

Displays a list of user-defined fields in the selected table, if available. Select a field to view or delete.

Add

Click to add a new field to the selected table.

Edit

Click to edit the selected field definition.

Delete

Click to delete the selected field and all data stored in it.

Location

To display Define User Fields dialog box, click Utilities » Define User Fields....

Related Topics and Procedures

Add a User-Defined Field

Edit and View User-Defined Fields

Table (Spreadsheet) Selections


Define User Field (Single Field) Dialog Box

Use the Define User Field dialog box to add a user-defined field.

Table

This non-editable field displays the Data Input spreadsheet to which the user-defined field will be added.

Name

Enter the name of a field. This field, however, is non-editable when you view a user-defined field definition.

Data Type

Select the data type for the field. This field, however, is non-editable when you view a user-defined field definition.

This setting defines the type of information that you and other wInsight users can enter into a user-defined field. You can display user-defined fields of all data types and use them in wInsight Sort windows. You can plot on charts only those Earned Value fields of data type Double.

Length

For Text data type fields only, enter the number of characters for the field. This field, however, is non-editable for non-text fields and when you view a user-defined field definition.

Decimals

For Double data type fields only, enter the number of decimal places (1 through 4) for the field. This field, however, is non-editable for all other data types.

Location

To display the Define User Field dialog box, take the following steps:

  1. Click Utilities » Define User Fields.... The Define User Fields dialog displays.

  2. In the Table dropdown list, select a Data Input spreadsheet in which you want to add the user-defined field.

  3. Click Add.

Related Topics

User-Defined Fields Overview

Table (Spreadsheet) Selections

Data Type Selections


Running Custom Scripts Overview

wInsight Administrator allows you to run custom scripts from the Utilities menu. wInsight Administrator comes with a number of useful scripts; you can also create additional scripts.

Related Topics and Procedures

Run a Custom Script

Provided Scripts

Creating Custom Scripts

Element EAC Scripts


Run a Custom Script

Use this procedure to run a custom script.

To run a custom script, complete the following steps:

  1. On the Menu bar, click Utilities » Run Script. A drop-down menu displays with a list of the custom scripts stored in the wInsight Administrator folder.

  2. Select a script. In many cases, a dialog box displays that prompts you for an input or a selection.

  3. Follow the on-screen prompts.

Related Topic

Running Custom Scripts Overview


Provided Scripts

wInsight Administrator provides you with several custom scripts, which are stored in the wInsight Administrator folder and configured to appear automatically on the Utilities » Run Script menu. These scripts also recognize the active database type, such as Access, Oracle or SQL Server.

Most scripts prompt you to select a contract or period of data from a list.

Script

Description and Notes

For More Information, See

Apply Fee/Load

Use to apply fees to earned value data.

If you are using an SQL Server or Oracle database, you must first run the appropriate APPLY_LOAD.SQL to update your database.

Applying Fees and Calculating Indirects

Set Indirects

Use to calculate overhead, cost of money, and general and administrative (G&A) expenses.

If you are using an SQL Server or Oracle database, you must first run the appropriate CALC_INDIRECTS.SQL to update your database.

Applying Fees and Calculating Indirects

Delete Summary Data

Use to remove calculated summary level data, and helps the Recalculate function to regenerate summary level values.

Delete Summary Data - Single Period

Use to select and remove calculated summary data for a single period only.

It consists of two pages: one describes the function of the script; and the other allows you to select a contract and period for the script parameters.

Derive BAC/EAC

Use to calculate Budget at Completion (BAC) and Estimate at Completion (EAC) values from time-phased Budgeted Cost of Work Scheduled (BCWS) and Estimate to Complete (ETC) values.

If you are using a SQL Server or Oracle database, you must first run the appropriate DERIVE_BAC_EAC.SQL to update your database.

Init User EACs

Use to initialize EAC mininum, maximum and most likely values for a specified contract, period, structure, and unit.

Element EAC Scripts

Set Linked Period Data

Use to copy WBS earned value data to elements in other structures that have been linked to WBS elements.

Earned Value Data Entry with WBS Mapper

Set Linked Future Data

Use to copy future period BCWS and ETC data to elements in other structures that have been linked to WBS elements.

Earned Value Data Entry with WBS Mapper

Set EMail field from ProjOff

The Email field in the CPR Elements spreadsheet supports wInsight Alerts.

This script generates an email address from the name entered in the CAM/IPT (ProjOff) field, also located in that spreadsheet. It will prompt for your company's email domain.

CPR Elements spreadsheet

Related Topic

Running Custom Scripts Overview


Creating Custom Scripts

You can create custom scripts that prompt for various inputs and that support all types of wInsight databases (Access, Oracle, SQL Server). The scripts are stored in plain ASCII text files with a .QRY extension. For a script to appear on the Utilities » Run Script menu, you must store it in the wInsight Administrator folder.

To help you understand the scripting language, the first 38 lines of the SETTGT_EV.QRY script is shown here, followed by remarks briefly explaining each part of the script:

  • Lines 1-3 are comment lines, prefixed with -- . The text entered here displays on the first page of the script wizard. You can enter any information here, such as telling users how to run the script.

  • Line 5 contains the text that displays on the Utilities » Run Script menu. Changing the 1 to 0 will prevent the item from being displayed on the menu. (So will removing it, but changing the 1 to a 0 allows the script to be left in the script directory and still keep it off the menu. Any script can be accessed by clicking Utilities » Run Script » Browse function, whether or not it is on the menu .)

  • Lines 7-11 identify OLE DB providers supported by the script. Note that after each provider is a designator that identifies the database associated with the provider.

  • Line 14 gives the single prompt for this script. There can be as many prompts as you like. The SET_EMAIL_FROM_PROJOFF.QRY script has all the prompt types supported by the script engine at this time. The last bit of text is the prompt the user sees in the wizard.

  • Lines 18-97 gives the script for Access databases (note that line 18 ends in "jet.") This is somewhat long and involved because Access does not support stored procedures.

  • Lines 102-107 gives the script for MSSQL databases. Line 104 does all the work, by calling a stored procedure in MSSQL. The stored procedure that is called is found in the MSSQL version of the SETTGT_STRU.SQL file.

  • Lines 111-116 gives the script for Oracle databases. Line 113 does all the work, by calling a stored procedure in Oracle. The stored procedure that is called is found in the Oracle versions of the SETTGT_STRU.SQL file.

Related Topics and Procedures

Run a Custom Script

Provided Scripts


Element EAC Scripts

Use the Element EAC window in wInsight (Input » Element EAC) to enter Estimate at Completion (EAC) values for lowest-level elements in the active contract structure, along with supporting rationale. The Element EAC dialog box displays various statistical EACs contained in the wInsight database along with an Analyst's Estimate option, which lets the analyst enter an estimate instead of using one of the statistical EACs.

Structures

Structures can be any of the following types:

  • Work breakdown structure (WBS)

  • Organization breakdown strucuture (OBS)

  • Integrated product team (IPT)

  • Other user-defined structures

Click [image] to toggle the structure.

Setting the Min/Max/Most Likely Values

wInsight Administrator provides a script, Init User EACs, which sets the minimum, maximum, and most likely EACs. The script sets EACs for all elements, in a specified contract and structure for a specified period and unit, based on one of the statistical EAC formulas.

The script sets the following EACs:

  • Minimum EAC (UserEACMin field) = Cum CPI Forecast formula (CumCpiFc field)

  • Most Likely EAC (UserEAC field) = Weighted Cost Schedule forecast formula (WtCostSch field)

  • Maximum EAC (UserEACMax field) = CPI*SPI EAC forecast formula (CpiSpi field).

To run the script and set the three EACs, complete the following steps:

  1. Start wInsight Administrator.

  2. On the Menu bar, click Utilities » Run Script » Init User EACs. The first page of the Init User EACs wizard opens.

  3. Click Next. The first argument selection page displays:

  4. Select a structure, then click Next. The second argument selection page displays:

  5. Double-click on a contract to display its periods of data.

  6. Select a period, then click Next. The third argument selection page displays:

  7. Select a unit, then click Finish. The script notifies you when it finishes processing.

Editing INIT_USERAC.QRY

You can edit the INIT_USEREAC.QRY script to use different statistical formulas provided by wInsight. The following table identifies the available formulas. You must make changes for each database utilized.

Formula | Field Name
CPI*SPI | CpiSpi
CPI since the OTB date*SPI since the OTB date | CpiSpiAdj
Cumulative CPI | CumCpiFc
Cumulative CPI since the OTB date | CumCpiFcAdj
Current period CPI | CurCpiFc
Linear Regression | LinRegr
MICOM EAC | Micom
Three Period Moving Average CPI | MovAvg3
Six Period Moving Average CPI | MovAvg6
Performance Factor | PerfFctr
Weighted Cost/Schedule | WtCostSch

Related Topics

Running Custom Scripts Overview

Provided Scripts


Security Overview

wInsight Administrator allows a database administrator to limit user access to wInsight data on a per-contract and per-element level. You can establish individual user accounts and group accounts. Users assigned to a group account inherit the group's permissions, thereby streamlining the process of setting permissions.

Process

The overall process for utilizing wInsight’s database security involves the following tasks:

  • Enabling security by entering the Admin user password

  • Establishing user-level passwords and permissions

  • Logging on to wInsight with a password

Many of the instructions in this chapter assume that wInsight Administrator has not yet been started. However, you can log on while wInsight Administrator is running.

Windows Authentication

You can configure wInsight Administrator to integrate Windows' operating system (OS) authentication with wInsight Administrator's application-level security. This way, wInsight Administrator leverages existing Windows password maintenance features for Sarbanes-Oxley security (password) requirements compliance.

Related Topics and Procedures

Log On To wInsight Administrator

Change Your Password

Enabling and Disabling Security Overview

Managing User Access Overview

Logging on While wInsight Administrator is Running Overview

Integrated Windows Authentication Overview


Log On To wInsight Administrator

If security is enabled on the active wInsight database, wInsight Administrator prompts you to log on before any data displays.

To log on, complete the following steps:

  1. Start wInsight Administrator.

  2. The wInsight Administrator Application Login dialog box displays when you attempt to open a Data Input spreadsheet, display a report, change the data set, perform Utility menu functions, or access security settings.

  3. Enter your user name and password in the corresponding fields.

  4. When you are done, click either OK to proceed or Cancel to dismiss the dialog box.

  5. If you click OK, wInsight Administrator validates the user name and password against the active database. If it finds a match, wInsight Administrator closes the dialog box and program execution proceeds. If the user name and/or password are incorrect, wInsight Administrator displays an error message and returns you to the login dialog box.

  6. If you click Cancel, the login dialog box closes. If a Select Database option is present, you can select a non-secure database, or one for which you have a valid user name and password. Some features proceed normally, but display an empty contract list. Some features, such as small utilities written before security was added to the wInsight database, treat the log on failure as a database access error and terminate.

Related Topic

Security Overview


Change Your Password

If the active database maintains security information, wInsight Administrator allows you to change your password.

To change your password, complete the following steps:

  1. Start wInsight Administrator.

  2. On the Menu bar, click File » Set Password. The Application Login dialog box displays.

  3. Log on and click OK. The Set Password dialog box displays.

  4. Enter and confirm your new password. wInsight Administrator user names and password are case-sensitive.

  5. When you are done, either click OK to update your password or Cancel to dismiss the dialog box.

If the old password is incorrect, or if the new and confirm passwords do not match, an error message displays.

Related Topic

Log On to wInsight Administrator


Enabling and Disabling Security Overview

By default, all users silently log on as the Admin user.

  • The Admin password is empty (blank) by default. To enable security, you must set the password to a non-empty value. After you enable security, users must log on before accessing the database.

  • Conversely, clearing the Admin user password disables security. Existing user information is retained, but is ignored.

To determine whether security is currently enabled, start wInsight Administrator and click File » Open. If wInsight Administrator prompts you for a password, then security is enabled; if not, security is not enabled.

Related Topics and Procedures

Enable Security

Disable Security


Enable Security in wInsight Administrator

wInsight 6.x databases are optionally secure. The database itself supports security, but security may or may not be enabled on the database.

You must log on as the Admin user to complete this procedure.

To enable security, complete the following steps:

  1. Start wInsight Administrator.

  2. On the Menu bar, click File » Set Password. The Set Password dialog box displays. Note that you are logged on as the Admin user.

  3. In the New Password field, enter a password. wInsight Administrator user names and passwords are case sensitive.

  4. In the Confirm Password field, re-enter the password.

  5. Click OK. wInsight Administrator displays a prompt reminding you that entering a non-empty Admin user password enables security.

  6. Click Yes to confirm that you want to enable security.

The next time a user launches wInsight Administrator and attempts to open a Data Input spreadsheet, display a report, change the data set, perform Utility menu functions, or access security settings, wInsight Administrator prompts the user for a user name and password. Also, you can now add new users, if required.

Related Topic

Enabling and Disabling Security Overview


Disable Security in wInsight Administrator

You must log on as the Admin user to complete this procedure.

To disable security, complete the following steps:

  1. Start wInsight Administrator.

  2. On the Menu bar, click File » Set Password.... The Application Login dialog box displays.

  3. Log on as the Admin user and click OK. The Set Password dialog box displays.

  4. Leave the New Password and Confirm Password fields empty.

  5. Click OK. wInsight Administrator displays a message reminding you that clearing the Admin password disables security.

  6. Click Yes.

  7. Delete users from the database, if required. However, it is not necessary to do so. Any existing user information is ignored but maintained until you re-enable security on the database.

Related Topics and Procedures

Security Overview

Log On To wInsight Administrator

Enabling and Disabling Security Overview

Enable Security


Managing User Access Overview

By default, wInsight 6.5 databases define a single user, Admin, who has full read and write access to all contracts in the database. If security is not enabled, all users silently log on as the Admin user and have full access to the database.

To limit access to particular contracts and/or elements in the database, create additional user accounts and assign more limited access to them.

You can also set up user accounts so that wInsight Administrator integrates Windows' operating system authentication with its application-level security.

Related Topics and Procedures

Create a User Account or Group Account

Add a User to a Group Account

Edit User Publish Levels

Access Permission Settings

Set Contract-Level Access Permissions

Set Element-Level Access Permissions

Delete a User Account or Group Account

Clear a User's Password

Integrated Windows Authentication Overview


Create a User Account or Group Account

You can create a user for each unique set of permissions you want to assign. You can also create group accounts. Users assigned to a group account inherit the group's permissions, thereby streamlining the process of setting permissions. The following procedure assumes that security is enabled.

You must log on as Admin user to complete this procedure.

To create a user account or group account, complete the following steps:

  1. Start wInsight Administrator.

  2. On the Menu bar, click File » User Maintenance. The Application Login dialog box displays.

  3. Log on as Admin user, and click OK. The User Maintenance dialog box displays.

  4. Click Add. The New User/Group dialog box displays.

  5. Enter the name and select the type of account that you want to create.

  6. When you are done, click either OK to accept the changes and close the dialog box, or Cancel to dismiss the dialog box without making changes.

A new user or group has a blank password (no password) until the user or group establishes a password.

Related Topics and Procedures

Add a User to a Group Account

Set Contract-Level Access Permissions

Set Element-Level Access Permissions

Change Your Password


Add a User to a Group Account

This procedure allows you to add a user to a group account. This procedure assumes that security is enabled.

You must establish a group account before you add a user to it. You must log on as Admin user to complete this procedure.

To add a user to a group account, complete the following steps:

  1. Start wInsight Administrator.

  2. On the Menu bar, click File » User Maintenance. The Application Login dialog box displays.

  3. Log on as Admin user, and click OK. The User Maintenance dialog box displays.

  4. From drop-down list for the User field, select a user.

  5. Click Edit. The Edit User/Group dialog box displays.

  6. From the drop-down list for the Member of field, select a group account for the user.

  7. Click OK. The Edit User/Group dialog box closes.

  8. Click OK. The User Maintenance dialog box closes.

Contract level and element level access permissions defined for the group will be inherited by the selected user.

Related Topics and Procedures

Security Overview

Managing User Access Overview

Create a User Account or Group Account

Delete a User Account or Group Account

Set Contract-Level Access Permissions


Edit User Publish Levels in wInsight Administrator

To prevent data from being reviewed before it is validated, wInsight provides the Published Periods feature:

  • Each period definition contains a publish level (PubLevel). You set the publish level in the Periods spreadsheet. If you change this setting, you need to run a recalculation so that the change is reflected in the data wInsight users see.

  • Each user record now has a publish level (PubLevel). You can see any period with a publish level less than or equal to your own publish level setting. You set each user’s publish level on the Edit User/Group dialog box. If you change this setting, you need to run a recalculation so that the change is reflected in the data wInsight users see. This topic presents the procedure for setting the user's publish level.

You must log on as Admin user to complete this procedure.

To set a user's Publish Level, complete the following steps:

  1. Start wInsight Administrator.

  2. On the Menu bar, click File » User Maintenance.

  3. Take one of the following actions, depending on the displayed dialog box:

    • If the Application Login dialog box displays, log on as Admin, and then click OK. The User Maintenance dialog box displays.

    • If the User Maintenance dialog box displays after you click User Maintenance, proceed to the next step.

  4. From the drop-down list of the User field, select a user.

  5. Click Edit. The Edit User/Group dialog box displays.

  6. Use the Pub Level option to specify the user’s publish level, and click OK.

  7. Click OK to close the Edit User/Group dialog box.

  8. Click OK again to close the User Maintenance dialog box.

Related Topics

Security Overview

Managing User Access Overview


Set Contract-Level Access Permissions

This procedure allows you to set contract-level access permissions.

You must log on as Admin user to complete this procedure.

To set contract-level access permissions, complete the following steps:

  1. Start wInsight Administrator.

  2. On the Menu bar, click File » User Maintenance.... The Application Login dialog box displays.

  3. Log on as Admin user then click OK. The User Maintenance dialog box displays.

  4. From the drop-down list for the User field, select the user account or group account.

The contract list displays all contracts for which the logged-on user or group has write access; in this case, since you are logged on as Admin, you can see all available contracts. The access permissions for the selected user/group display next to the contract name.

  5. Highlight one or more contracts.

  6. Click Access until the appropriate level of access displays.

  7. Click OK to accept the changes, or Cancel to dismiss the dialog box without making changes.

Related Topics and Procedures

Security Overview

Managing User Access Overview

Access Permission Settings


Access Permission Settings

The default wInsight Administrator user, Admin, has irrevocable read/write permission for all contracts, and the sole ability to add and delete users.

You can assign other users read, write, or no access permissions on a contract-by-contract basis.

  • Users who create a contract by any means have write access to the contract.

  • Users with write access to a contract can grant or revoke read or write access to that contract.

  • The Admin user automatically has write access to any new contract.

Table of Access Permission Settings

Setting

Symbol

Description

Write

W

  • The user can read and write any contract data.

  • The user can also view and edit contract data in wInsight Administrator and all File » Utilities functions in wInsight

  • The user can assign read or write access to the contract to other users.

Read

R

  • The user can view the contract in wInsight.

  • The user can enter Format 5 Narratives, User Narratives, Scope of Word Narratives, and User EAC Inputs.

  • The user cannot enter Milestones.

  • The user cannot see the contract in wInsight Administrator, or via the File » Utilities functions.

None

No access. The contract is not visible to the user in wInsight or wInsight Administrator.

Related Topic

Managing User Access Overview


Set Element-Level Access Permissions

Use filters to limit a user's or group's access to specific elements within a contract or across all contracts. For any user account other than the Admin, and for any group account, you can define a filter that limits the elements seen by that user or group, regardless of contract. See Filters Overview for more information.

Example

For example, user Erwin may be permitted to see only those elements for which Hall is the Project Officer. The filter applies regardless of when the contract was created, or by whom.

Thus, if Erwin creates a contract by restoring it from a backup, he can still see only those elements assigned to him.

The following procedure assumes that security is enabled. You must log on as the Admin user to complete this procedure.

To set element-level access permissions, complete the following steps:

  1. Start wInsight Administrator.

  2. On the Menu bar, click File » User Maintenance.... The Application Login dialog box displays.

  3. Log on as Admin user then click OK. The User Maintenance dialog box displays.

  4. From the drop-down list for the User field, select the user account or group account.

  5. Click Edit. The Edit User/Group dialog box displays.

  6. From the drop-down list for the Filter field, select a filter. The filter's criteria displays below the name.

  7. Click OK to close the Edit User/Group dialog box.

  8. Click OK again to close the User Maintenance dialog box.

Related Topics and Procedures

Security Overview

Managing User Access Overview

Access Permission Settings

Filters Overview

Create a Filter


Delete a User Account or Group Account

This procedure allows you to delete a user or group account.

You must log on as Admin user to complete this procedure.

To delete a user account or group account, complete the following steps:

  1. Start wInsight Administrator.

  2. On the Menu bar, click File » User Maintenance.... The Application Login dialog box displays.

  3. Log on as Admin user, and click OK. The User Maintenance dialog box displays.

  4. From the drop-down list for the User field, select the user account or group account.

  5. Click Delete. wInsight Administrator prompts you to confirm the deletion.

  6. Click Yes.

  7. Click OK to accept your changes and close the dialog box, or click Cancel to dismiss the dialog box without making changes.

Related Topics and Procedures

Security Overview

Managing User Access Overview

Create a User Account or Group Account

Add a User to a Group Account


Clear a User's Password

If you forget your password, the Admin user can clear the password. This action allows you to log on again, and select a new password.

You must log on as Admin user to complete this procedure.

To clear a user's password, complete the following steps:

  1. Start wInsight Administrator.

  2. On the Menu bar, click File » User Maintenance. The Application Login dialog box displays.

  3. Log on as Admin user then click OK. The User Maintenance dialog box displays.

  4. From the drop-down list for the User field, select the user account or group account.

  5. Click Edit. The Edit User/Group dialog box displays.

  6. Click Clear Password.

  7. Click OK to close the Edit User/Group dialog box.

  8. Click OK again to close the User Maintenance dialog box, or click Cancel to dismiss the dialog box.

Related Topics and Procedures

Security Overview

Managing User Access Overview

Change Your Password


Logging on while wInsight Administrator is Running Overview

Normally you start wInsight Administrator and then log on. However, wInsight Administrator's security also allows a new user to log on while the application is running. Two features support this capability, but only one permanently logs off the current user.

Related Topics and Procedures

Log on as Another User

Use a Temporary Login


Log On as Another User

Log In as Another User

The Login As Another User command allows a new user to log on and logs off the current user. This command is only available when security has been invoked.

This feature is not available if you enable integrated Windows authentication.

To log on as another user, complete the following steps:

  1. In wInsight, make sure no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

  2. In wInsight Administrator, on the Menu bar, click File » Login As Another User. The Application Login dialog box displays.

  3. Enter your application User Name and Password. wInsight Administrator user names and passwords are case sensitive.

  4. Click OK. wInsight logs off the current user, logs on the new user, and closes the dialog box.

Related Topics and Procedures

Security Overview

Log On To wInsight Administrator

Logging On while wInsight Administrator is Running Overview

Use a Temporary Login


Use a Temporary Login

The User Maintenance dialog has a Login button, which is mainly intended for the Admin to use in entering or editing user accounts. The new user is logged on only as long as the User Maintenance dialog box is open.

To change the access permission of a contract to which you do not have write access, you must log on as the Admin user.

To use a temporary login, complete the following steps:

  1. In wInsight, make sure no data sets are open. If necessary, click Window » Close All to close all windows (and thus all data sets).

  2. Start wInsight Administrator.

  3. On the Menu bar, click File » User Maintenance. The User Maintenance dialog box displays.

  4. Click Login. The Application Login dialog box displays.

  5. Enter your application User Name and Password. User names and passwords are case sensitive.

  6. Click OK. wInsight logs off the current user and logs on the new user, but only while the User Maintenance dialog box is open. When the dialog box closes, the previous user again becomes the logged-on user.

Related Topic

Logging On while wInsight Administrator is Running Overview


Integrated Windows Authentication Overview

You can configure wInsight Administrator to integrate Windows operating system (OS) authentication with its application-level security. If needed, wInsight Administrator updates the wInsight user name so that it matches the Windows user name. This way, wInsight Administrator leverages existing Windows password maintenance features for Sarbanes-Oxley security (password) requirements compliance.

Implications

There are a few implications associated with using this feature:

  • The user cannot change his or her password.

  • The File » Login As Another User command is disabled until the user performs an operation that directly accesses the database (opens a contract, performs user maintenance, attempts to change a password, and so on).

  • After you enable Windows integrated security for an account in a wInsight database, that account cannot access that database using a prior version of wInsight.

Account Maintenance and the Admin User Account

The Admin account is a special user account and is the only one capable of performing tasks such as setting up a new user account. If you are the Admin, you may need to access a user's account periodically to see things from that account's perspective.

However with an OS Authentication account, the Admin cannot simply log on with the other user's wInsight password. This is due to the fact that wInsight generates a random (and encrypted) password. Under integrated security, only the user who "owns" the user account knows the password.

To compensate for this, the Admin password is valid for any user name, and gets the Admin user in with the credentials of that account. The rationale for this is that anyone who knows the Admin account's password already has full access to the database. This feature makes it easier for the administrator to check the permissions of other users.

Related Topics and Procedures

Account Recommendations

Expected Behavior

Set Up a New Account

Upgrade an Existing Account

Disable Integrated Windows Authentication


Set Up a New Account

You set the integration of Windows security and wInsight Administrator application security independently for each user.

You must log on as Admin user to complete this procedure.

To set up a new account in wInsight Administrator, complete the following steps:

  1. On the Menu bar, click File » User Maintenance. The User Maintenance dialog box displays.

  2. Click Add. The New User/Group dialog box displays.

  3. Enter a user name, and click OK.

  4. On the User Maintenance dialog box, click Access to select and grant the user access permission to the available contracts.

  5. Click Edit on the User Maintenance dialog box. The Edit User/Group dialog box displays.

  6. Select the Use Windows Authentication for this user option.

  7. Click OK to close the Edit User/Group dialog box.

  8. Click OK again to close the User Maintenance dialog box.

Related Topics and Procedures

Account Recommendations

Expected Behavior


Upgrade an Existing Account

This topic discusses the steps required to change an existing account into a Windows Authentication account.

You must log on as Admin user to complete this procedure.

To upgrade an existing account, complete the following steps:

  1. On the Menu bar, click File » User Maintenance. The User Maintenance dialog box displays.

  2. From the drop-down list for the User field, select an account.

  3. Click Edit. The Edit User/Group dialog box displays.

  4. Select the Use Windows Authentication for this user option.

  5. Click OK to close the Edit User/Group box dialog box.

  6. Click OK again to close the User Maintenance box dialog box.

Related Topics and Procedures

Account Recommendations

Expected Behavior


Account Recommendations

Blank passwords are allowed (at least initially) when creating a new OS Authentication account or upgrading an existing account. The Admin user can use the following techniques to eliminate and/or minimize any data vulnerabilities this might provide.

If data is compromised, the responsible individual's Windows credentials will be captured in the wInsight database.

  • Create new accounts using the DomainName\UserName or MachineName\UserName format. wInsight Administrator generates a random password as soon as the account is created. In this case, the user never gets prompted to log on; however, the Admin user has to enter the user's Windows login name correctly.

  • Create new accounts with a password-like user name and inform the user what it is. When the user logs on the first time, the name is overwritten (and is never needed again), and a random password is generated. In this case, the Admin user does not need to know the user's Windows login name. However, the user does have to log on to wInsight Administrator one time with the provided name.

  • When upgrading an existing account, have the user immediately log on to wInsight Administrator. When the user logs on, wInsight Administrator generates a random password. In this case, the Admin user must coordinate the change with the user.


Expected Behavior

This section discusses some expected behaviors in setting up or upgrading an account.

If you add a new account that included the Domain/Machine Name as part of the user's name, scenario 3 applies. If you do not include the Domain/ Machine Name or if you upgrade an account, scenario 4 applies.

  1. If application-level security is turned off (the Admin password is empty), all users have full permissions to the database. No log on credentials are requested.

  2. If application-level security is turned on, wInsight Administrator queries the operating system for the currently logged-on user. (The name is in SAM-compatible format, such as DOMAIN\UserName or MACHINE\UserName.)

  3. If the Windows name matches a name in the wInsight database, and OSAuth is T for that user, the user can access the wInsight database with that user name and associated permissions. No login credentials are requested. The user's password is set to a randomly generated value to prevent unauthorized access by prior versions of the software each time the user logs on.

  4. If the Windows name does not match a name in the wInsight database, the user is prompted for a name and password.

  • If the supplied name and password match a user in the wInsight database, and OSAuth is F for that user, the user can access the wInsight database with that user name and associated permissions. The password is not changed. A blank password is allowed.

  • If the supplied name and password match a user in the wInsight database, and OSAuth is T for that user, the user can access the wInsight database with that user name and associated permissions. The application automatically updates the wInsight user name so that it matches the Windows user name. The user is notified of the change. Subsequently, the user is automatically logged on to the database using their Windows (and now wInsight) user name, as in item 3 above.


Disable Integrated Windows Authentication

This procedure allows you to disable integrated security for an OS Authentication account.

You must log on as Admin user to complete this procedure.

To disable Integrated Windows Authentication, complete the following steps:

  1. On the Menu bar, click File » User Maintenance. The User Maintenance dialog box displays.

  2. From the drop-down list for the User field, select a user account.

  3. Click Edit. The Edit User/Group dialog box opens.

  4. Clear the Use Windows Authentication for this user option.

  5. Click Clear Password, to clear the randomly generated password created by wInsight Administrator.

  6. Click OK to close the Edit User/Group dialog box.

  7. Click OK again to close the User Maintenance dialog box.

The user can log on to wInsight Administrator with his or her Windows user name and a blank password.


wInsight Oracle Performance Overview

The wInsight earned-value analysis software has been optimized for use in an Oracle environment. However, the Oracle environment is complex and extremely customizable and, if not properly configured, can adversely affect the performance of any software, including wInsight. Each wInsight customer is responsible for tuning the system-level Oracle environment for optimal performance. This document is designed to assist the Oracle DBA in this optimization task.

Here are the basic performance characteristics of wInsight:

  • wInsight is a computationally intensive application. The speed of the CPUs on the Oracle database server has a direct impact on wInsight performance. Therefore, Deltek recommends using the fastest available processor. Note that high-performance 64-bit CPUs often perform 10x faster than 32-bit processors. The 64-bit processors are available on all major platforms and include:

  • Windows - Intel Itanium processor

  • HP - The PA-8000 processor

  • Solaris – 500-MHz Ultrasparc-iie processor

  • IBM AIX - RS/6000 PowerPC processor

  • wInsight benefits from a 64-bit version of Oracle. For the best possible performance, run wInsight on a dedicated database server with a 64-bit CPU architecture and a 64-bit version of Oracle. The 64-bit version of Oracle also allows the creation of large SGA regions, and large wInsight projects commonly require many gigabytes of RAM data buffers.

  • RAM data buffer caching improves wInsight performance. The larger the Oracle data block buffer cache, the faster the wInsight queries execute. However, for customers where a single database server has many Oracle instances, wInsight must compete with other systems for shared Oracle resources. The RAM data buffers' size has a direct impact on the performance of the wInsight application, and wInsight runs fastest when fully cached in the data buffers.

  • wInsight likes large data blocks to minimize disk I/O. The wInsight application runs fastest on 16K and 32K Oracle block sizes. Hence, the Oracle DBA should consult the application-specific OS documentation and set the db_block_size parameter to the largest value for their environment.

Because every customer site is unique, this document provides general guidelines for the optimization of wInsight performance in a shared server environment.

See the following topics for more information:

  • Characteristics of the wInsight Application

  • Instance-Wide Oracle Options

  • Oracle Parameter Guidelines

  • Monitor the Performance of Your wInsight Application

  • Major wInsight Tables and Indexes

  • Script to Cache wInsight Driving Objects in the Oracle8 KEEP Pool

  • Script to Monitor the Library Cache

Notes on Performance Enhancements

  • Oracle8i performance enhancements— Oracle 8i provides a "bulk load" facility that can greatly increase performance when importing large amounts of data. Deltek is developing an enhancement to its import utility that will take advantage of this facility, if available.

  • Oracle9i high-performance Tips— Oracle9i offers significant improvements in the speed of Oracle PL/SQL. In addition to execution enhancements, Oracle9i PL/SQL can be complied for super-fast performance. The wInsight application will be offering a compiled version of the product for Oracle9i users.


Characteristics of the wInsight Application

The major tables and indexes in the wInsight application are listed in the topic Major wInsight Tables and Indexes. As your projects grow in size, these tables will experience growth, as illustrated in the following figure:

If your Oracle server RAM is too small to fully cache all wInsight objects, allocate all driving tables into the KEEP pool as shown in option 1. Otherwise, follow the directions in option 2 and fully cache the entire wInsight application.

  • Sizing the KEEP pool — The main driving tables and indexes for the wInsight application should be cached in the Oracle8 KEEP pool to ensure that they always remain 100% cached. The driving tables all have an initial allocation of less then 150 blocks. Running the scripts listed in the topic Script to Cache wInsight Driving Objects in the Oracle8 KEEP Pool will ensure that the driving tables and indexes remain fully cached.

Use the following query to determine the size of your KEEP pool:

select

sum(blocks)+(sum_blocks*.20)

from

dba_segments

where

blocks < 150

and

owner = ’r;WINST’;

  • Sizing the DEFAULT pool — If you are running 64-bit Oracle and you have the server RAM resources, it is highly recommended that the entire application be cached in RAM memory. The following query will give you the optimal db_block_buffers setting for a 64-bit Oracle database:

select

sum(blocks)+(sum_blocks*.20)

from

dba_segments

where

owner = ’r;WINST’;


Instance-Wide Oracle Options

Deltek recommends that you set the instance-wide Oracle options as follows:

  • Oracle parallel query — All table access within wInsight has been tuned to avoid large-table full-table scans. Hence, it is recommended that Oracle parallel query not be turned on in the database server.

  • SQL optimization — The wInsight application is designed to run using Oracle’s rule-based optimizer. You should set the parameter optimizer_mode=rule in the Oracle instance. No objects owned by WINST should be analyzed.

  • Package pinning — The database segement of the wInsight recalculation engine consists of a single optimized package named ws_recalc. This procedure should be pinned into the shared pool each time the database is started with the exec dbms_shared_pool.keep(’r;ws_recalc’); command.

  • Tablespace blocksize — You should allocate the USR tablespace for the database objects with as large a blocksize as is supported on your version of Oracle. In Oracle9i, you should place the wInsight objects in the largest supported blocksize for the operating system, usually 16K or 32K.


Oracle Parameter Guidelines

The setting for the Oracle instance parameters can have a great impact on the performance of the wInsight product. This is especially true in cases where wInsight shares an Oracle instance with other applications.

  • large_pool_size — The large pool size is used for Oracle PL/SQL caching. You should set it to at least 200 megabytes for optimal performance.

  • db_block_buffers — The size for the db_block_buffers should be large enough to cache the majority of the data blocks in the wInsight database. This value depends upon the size of your project, and can be computed with the following query. In shared-instance systems, the value below must be added to the size of the db_block_buffers to cache the data blocks fully. You may also need to run a 64-bit version of Oracle to allow data buffers in excess of two gigabytes.

select sum(bytes) from dba_segments

where tablespace_name = ’r;USR’;

  • shared_pool_size — The size of the shared pool should be large enough to keep the library cache miss ratio below 5%. A value of at least 250 megabytes is recommended for wInsight.

  • db_block_size — You should set the block size for the wInsight systems to the largest supported blocksize for the environment.

  • sort_area_size — You should set the sort_area_size for the wInsight application to at least 1m to avoid disk sorting operations. Increase sort_area_size until the value of v$sysstat (name = sorts(disk)) is zero.


Monitor the Performance of Your wInsight Application

The values for the global instance parameters affect several critical performance metrics. These are the first things the Oracle DBA examines when performing instance tuning:

  • Shared pool delays — Delays in the shared pool are most commonly caused by RAM shortages in the shared pool. The shared_pool_size parameter must always be set high enough to keep the library cache miss ratios less than .01. The script in the topic Script to Monitor the Library Cache shows how to monitor the efficiency of the shared pool.

  • Buffer busy waits — Buffer busy waits occur when a data block is in the buffer but cannot be accessed because another task has a lock on the data block. This is most frequently caused by concurrent insert or update activity against a table that does not have multiple freelists defined.

  • Buffer hit ratio — This metric is a measure of the effectiveness of the Oracle data block buffer. The higher the buffer hit ratio, the more frequently Oracle found a data block in memory and avoided an I/O. For optimal performance, the DBHR for the wInsight instance should always be greater than 95%.


Major wInsight Tables and Indexes

The tables below are based on a test database constructed to reproduce the performance problems reported by wInsight users. While a number of contracts are present in the database, virtually all the data is associated with a single contract, with many tens of thousands of WBS elements and millions of future period records.

Top activity tables:

TABLE_NAME | Megabytes
FUTUREETC | 85
EARNEDVALUE | 36
ELEMENT | 8
MANPOWER | 4
EUWTLINK | 3
TASK | 2
TASKLINK | .5
TASKPRED | .2

Top activity indexes:

INDEX_NAME | Megabytes
FUTUREETC_PK | 99
FUTUREETC_N1 | 42
EARNEDVALUE_PK | 7
ELEMENT_UK | 4
ELEMENT_CEE | 4
EARNEDVALUE_PERIODID | 4
ELEMENT_LINKVAL | 3
EUWTLINK_PK | 3
ELEMENT_CEEP | 2
ELEMENT_EEP | 2
MANPOWER_PK | 2
ELEMENT_PC | 2
ELEMENT_PK | 1
TASKLINK_LINKVAL | .6
TASKLINK_PK | .3
TASK_UK | .3
TASKPRED_PK | .2
TASK_FK | .2


Script to Cache wInsight Driving Objects in the Oracle8 KEEP Pool

alter table CALENDAR storage (buffer_pool keep);

alter table CALENDARDET storage (buffer_pool keep);

alter table CONTRACT storage (buffer_pool keep);

alter table CPR storage (buffer_pool keep);

alter table CSYSUTIL storage (buffer_pool keep);

alter table PERIOD storage (buffer_pool keep);

alter table PROJECT storage (buffer_pool keep);

alter table STRUCTURE storage (buffer_pool keep);

alter table TASKPRED storage (buffer_pool keep);

alter table THRESHOLD storage (buffer_pool keep);

alter table UNIT storage (buffer_pool keep);

alter table WEIGHT storage (buffer_pool keep);

alter index CALENDARDET_PK storage (buffer_pool keep);

alter index CALENDAR_PK storage (buffer_pool keep);

alter index CALENDAR_UK storage (buffer_pool keep);

alter index CONTRACT_PK storage (buffer_pool keep);

alter index CONTRACT_UK storage (buffer_pool keep);

alter index CPR_PK storage (buffer_pool keep);

alter index CSYSUTIL_PK storage (buffer_pool keep);

alter index PERIOD_PK storage (buffer_pool keep);

alter index PERIOD_UK storage (buffer_pool keep);

alter index PROJECT_PK storage (buffer_pool keep);

alter index PROJECT_UK storage (buffer_pool keep);

alter index STRUCTURE_PK storage (buffer_pool keep);

alter index STRUCTURE_UK storage (buffer_pool keep);

alter index TASKPRED_PK storage (buffer_pool keep);

alter index TASK_FK storage (buffer_pool keep);

alter index THRESHOLD_PK storage (buffer_pool keep);

alter index THRESHOLD_UK storage (buffer_pool keep);

alter index UNIT_PK storage (buffer_pool keep);

alter index UNIT_UK storage (buffer_pool keep);

alter index WEIGHT_PK storage (buffer_pool keep);

alter index WEIGHT_UK storage (buffer_pool keep);


Script to Monitor the Library Cache

prompt

prompt =========================

prompt LIBRARY CACHE MISS RATIO

prompt =========================

prompt (If > 1 then increase the shared_pool_size in init.ora)

prompt

column "LIBRARY CACHE MISS RATIO" format 99.9999

column "executions" format 999,999,999

column "Cache misses while executing" format 999,999,999

select sum(pins) "executions", sum(reloads) "Cache misses while executing",

(((sum(reloads)/sum(pins)))) "LIBRARY CACHE MISS RATIO"

from v$librarycache;

prompt

prompt =========================

prompt Library Cache Section

prompt =========================

prompt hit ratio should be > 70, and pin ratio > 70 ...

prompt

column "reloads" format 999,999,999

select namespace, trunc(gethitratio * 100) "Hit ratio",

trunc(pinhitratio * 100) "pin hit ratio", reloads "reloads"

from v$librarycache;

Script for STATSPACK users:

set lines 80;

set pages 999;

column mydate heading 'Yr. Mo Dy Hr.' format a16

column c1 heading "execs" format 9,999,999

column c2 heading "Cache Misses|While Executing" format 9,999,999

column c3 heading "Library Cache|Miss Ratio" format 999.99999

break on mydate skip 2;

select

to_char(snap_time,'yyyy-mm-dd HH24') mydate,

sum(new.pins-old.pins) c1,

sum(new.reloads-old.reloads) c2,

sum(new.reloads-old.reloads)/

sum(new.pins-old.pins) library_cache_miss_ratio

from

stats$librarycache old,

stats$librarycache new,

stats$snapshot sn

where

new.snap_id = sn.snap_id

and

old.snap_id = new.snap_id-1

and

old.namespace = new.namespace

group by

to_char(snap_time,'yyyy-mm-dd HH24')

;


.topic 0x181
Select the desired user or group from the drop list.

.topic 0x153
Re-enter the new password to confirm that your typed it correctly.

.topic 0x152
Enter a new password.  Passwords are 1-14 characters long.  (The "Admin" user
can enter a empty (blank) password.  Doing so disables security for the data
source.)

.topic 0x022
Click this button to accept your input, close the Filter Values dialog box, and
run the filter to evaluate the supplied value.

.topic 0x002
The version of the application.

.topic 0x183
Click this button to delete the selected user or group.  You will be asked to
confirm the deletion.  This button is not available unless you are logged-in as
the "Admin" user.

.topic 0x012
Select the desired group from the drop list.  Users assigned to a group inherit
that group's permissions.

.topic 0x145
Click this button to discard your changes and close the New User/Group dialog
box.

.topic 0x142
Select this option to indicate that the name entered above identifies a user,
not a group.

.topic 0x042
Enter your application user name.  User names are case sensitive.

.topic 0x014
Click this button to clear the user's or group's password.  Note that the
"Admin" user's password cannot be cleared.

.topic 0x185
Presents a list of contracts for which the logged-in user (not the selected
user) has write permissions.  (Any user can assign or update permissions to
those contracts for which he or she has write access.)  Select one or more
contracts for which you want to assign permissions.

.topic 0x044
Changes the user's application user name to their database user name (which was
just entered).  From then on, the user will be prompted to login only once.

.topic 0x021
Enter a value for the filter to evaluate.

.topic 0x189
Click this button to close the User Maintenance dialog box without saving your
changes.

.topic 0x141
Enter a name for the new user or group.  User names can be 1-50 characters long.

.topic 0x045
Closes the Application Login dialog box and attempts to log into wInsight.

.topic 0x043
Enter your application password.  Passwords are case sensitive.

.topic 0x015
Select the filter to be used from the drop list.  Filters provide a means to
limit a user's or group's access to specific elements within a contract or
across all contracts.  Filters are created by using the More Filters command
(accessed from the wInsight main window).

.topic 0x187
Presents a list of contracts for which the logged-in user (not the selected
user) has write permissions.  (Any user can assign or update permissions to
those contracts for which he or she has write access.)  Select one or more
contracts for which you want to assign permissions.

.topic 0x188
Click this button to save your changes and close the User Maintenance dialog
box.

.topic 0x155
Closes the Set Password dialog box without updating the password.

.topic 0x046
Closes the Application Login dialog box without logging into wInsight.

.topic 0x041
Displays the active data source.

.topic 0x004
The person that the application is licensed to.

.topic 0x003
Copyright information for the application.

.topic 0x182
Click this button to add a new user or group.  The New User/Group dialog box
will open.  This button is not available unless you are logged-in as the "Admin"
user.

.topic 0x101
Set the maximum number of rows to return at one time.  Enter zero ('0') to
return all rows.  The change will be reflected by clicking the Refresh button.
Use the Rowset menu or toolbar to see the next/previous elements.

.topic 0x018
Click this button to close the Edit User/Group dialog box without saving your
changes.

.topic 0x013
Enter or edit an alphanumeric code up to four characters in length.  This field
is intended to identify the user as belonging to a site-specific category of
users.  This field is used by wInsight Web.

.topic 0x184
Click this button to edit the selected user or group.  The Edit User dialog box
will open.  This button is not available unless you are logged-in as the "Admin"
user.

.topic 0x144
Click this button to save your changes and close the New User/Group dialog box.

.topic 0x143
Select this option to indicate that the name entered above identifies a group,
not a user.

.topic 0x023
Click this button to stop the filter and close the Filter Value dialog box.

.topic 0x151
Displays the application name of the current user.

.topic 0x016
Displays the filter's Structure Query Language (SQL) statement(s).

.topic 0x005
Organization that the application is licensed to.

.topic 0x001
Name of the application.

.topic 0x102
Click this button to accept your input and close the Row Limit dialog box.

.topic 0x017
Click this button to save your changes and close the Edit User/Group dialog box.

.topic 0x186
Click this button to repeatedly change the permissions on the selected
contracts.  "R" indicates read-only permission, "W" indicates write permission,
and blank indicates no permission.

.topic 0x154
Click this button to accept your changes and close the Set Password dialog box.
("Admin" users who are entering a non-empty password in place of an empty one;
or an empty password in place of a non-empty one, will have to confirm that they
want to enable/disable security on the data source.)

.topic 0x011
Displays the name of the user or group being edited.

.topic 0x006
Closes the About wInsight Administrator dialog box.

.topic 0x161
Check this box to separate thousands with a comma.

.topic 0x162
Check this box to display values and include a single decimal place (for
example, 9.2 instead of 9).

.topic 0x163
Select this option to display the element's 15 character description.

.topic 0x164
Select this option to display the element's 50 character (long) description.

.topic 0x165
Check this box to include the WBS number with the element's description.

.topic 0x166
Check this box to indent the element's description according to element level.

.topic 0x167
Check this box to use the specified roll up level number, which defines the
lowest level of the structure to display.  Otherwise, all elements are
displayed.  Use the Rollup Options command to specify the roll up for individual
branches of the structure.

.topic 0x168
Specify the lowest level of the structure to display; otherwise, all elements
are displayed.  You must check the 'Initially Roll Up To Level' box before this
setting is used.  Use the Rollup Options command to specify the roll up for
individual branches of the structure.

.topic 0x169
Click the up/down arrow to increase/decrease the roll up level number.

.topic 0x16A
Check the box to suppress the display of elements which have no BCWS, BCWP,
ACWP, BAC, and LRE, in the current units.

.topic 0x16B
Click this button to close the Format dialog box and apply the format settings.

.topic 0x16C
Click this button to close the Format dialog box without applying the format
settings.

.topic 0x16E
Enter a temporary scale factor override for reports (for example, .001)

.topic 0x16D
Enter a temporary scale text override for reports (for example, ONES)

.topic 0x16F
Enter a temporary decimal place override for reports.

.topic 0x031
Enter the contractor's name, up to 50 characters.

.topic 0x032
Click this button to accept your input and close the Insert Contractor dialog
box.

.topic 0x033
Click this button to close the Insert Contractor dialog box without accepting
your input.

.topic 0x061
Enter the element's WBS number, up to 30 characters.

.topic 0x062
Displays the active contract structure and highlights the parent element of the
element being inserted into the structure.

.topic 0x063
Click this button to accept your input and close the Insert Element dialog box.

.topic 0x064
Click this button to close the Insert Element dialog box without accepting your
input.

.topic 0x071
Enter or select the end date of the period to be added to the calendar.  The
format is mm/dd/yyyy.

.topic 0x072
Click this button to accept your input and close the Insert Calendar Detail
dialog box.

.topic 0x073
Click this button to close the Insert Calendar Detail dialog box without
accepting your input.

.topic 0x051
Enter or select the end date of the period for which performance data will be
manually entered.

.topic 0x052
Click this button to accept your input and close the Insert Period dialog box.

.topic 0x053
Click this button to close the Insert Period dialog box without accepting your
input.

.topic 0x081
Type the text you want to search for or paste it from the Clipboard.

.topic 0x082
Searches for occurrences that are whole words and not part of a larger word.

.topic 0x083
Distinguishes between uppercase and lowercase characters.  When Match Case is
selected, the search finds only those instances in which the capitalization
matches the text you typed in the Find What box.

.topic 0x084
Select this option to search all the columns in the spreadsheet.  Otherwise,
only the column where the cursor is located will be searched.  Also consider the
Up/Down Direction settings.

.topic 0x085
Searches the spreadsheet from the cursor's position to the top of the
spreadsheet.  Also consider the Search All Columns option.

.topic 0x086
Searches the spreadsheet from the cursor's position to the bottom of the
spreadsheet.  Also consider the Search All Columns option.

.topic 0x087
Finds and selects the next occurrence of the text specified in the Find What
box.

.topic 0x088
Closes the Find dialog box without saving any changes you have made.

.topic 0x091
Type the text you want to replace or paste it from the Clipboard.

.topic 0x092
Type the text you want to use as replacement text or paste it from the
Clipboard.

.topic 0x093
Searches for occurrences that are whole words and not part of a larger word.

.topic 0x094
Distinguishes between uppercase and lowercase characters.  When Match Case is
selected, the search finds only those instances in which the capitalization
matches the text you typed in the Find What box.

.topic 0x095
Select this option to search all the columns in the spreadsheet.  Otherwise,
only the column where the cursor is located will be searched.  Also consider the
Up/Down Direction settings.

.topic 0x096
Searches the spreadsheet from the cursor's position to the top of the
spreadsheet.  Also consider the Search All Columns option.

.topic 0x097
Searches the spreadsheet from the cursor's position to the bottom of the
spreadsheet.  Also consider the Search All Columns option.

.topic 0x098
Replaces the selected instance of the search criteria, finds the next occurrence
in the current spreadsheet, and then stops.

.topic 0x099
Replaces all occurrences of the search criteria in the current spreadsheet.

.topic 0x09A
Finds and selects the next occurrence of the text specified in the Find What
box.

.topic 0x09B
Closes the Replace dialog box without saving any changes you have made.

.topic 0x111
Enter a name for the calendar, up to 30 characters.

.topic 0x112
Click this button to display the Calendar Generator dialog box and define the
calendar.

.topic 0x113
Click this button to accept your input and close the Insert Calendar dialog box.

.topic 0x114
Click this button to close the Insert Calendar dialog box without accepting your
input.

.topic 0x121
Select how often earned value (EV) data is to be collected or reported.

.topic 0x122
Select the day of the week that your reporting periods end on.

.topic 0x123
Enter or select the end date for the first period of data that you want to enter
and manage.  The format is mm/dd/yyyy.

.topic 0x124
Enter or select the end date for the last period of data that you want to enter
and manage.  The format is mm/dd/yyyy.

.topic 0x125
Specify the number of work hours in a day.

.topic 0x126
Click the up/down arrow to increase/decrease the number of hours per day.

.topic 0x127
Specify the number of work days in a week.

.topic 0x128
Click the up/down arrow to increase/decrease the number of days per week.

.topic 0x129
Click this button to accept your input and close the Calendar Generator dialog
box.

.topic 0x12A
Click this button to close the Calendar Generator dialog box without accepting
your input.

.topic 0x131
Identifies the active contract element.

.topic 0x132
Lists the contract structures where the active element is an 'Add' element
within the structure.  This means that the element's data will be added or
rolled up to the next higher level in that structure(s).

.topic 0x133
Lists the contract structures where the active element is a 'Non-Add' element
within the structure.  This means that the element's data will not be added or
rolled up to the next higher level in that structure(s).

.topic 0x134
Click this button to move the selected contract structure to the Non-Add list.
This sets the active element as a 'non-add' element in that structure.  This
means that the element's data will not be added or rolled up to the next higher
level in that structure.

.topic 0x135
Click this button to move the selected contract structure to the Add list.  This
sets the active element as an 'add' element in that structure.  This means that
the element's data will be added or rolled up to the next higher level in that
structure.

.topic 0x136
Click this button to accept your input and close the Non-Add Flag dialog box.

.topic 0x137
Click this button to close the Non-Add Flag dialog box without accepting your
input.

.topic 0x191
Check this box to suppress this notice in the future.

.topic 0x192
Click this button to close the dialog box.

.topic 0x1A1
Displays the WBS number of the selected element.

.topic 0x1A2
Displays the WBS number of the current parent of the selected element.

.topic 0x1A3
Displays the active contract structure and highlights the current parent
of the selected element. Select a new parent for the element.

.topic 0x1A4
Click this button to accept your input and close the Select Parent dialog box.

.topic 0x1A5
Click this button to close the Select Parent dialog box without accepting your
input.

.topic 0x1B1
Displays a list of tables which can contain user-defined fields. Select a
table from the list.

.topic 0x1B2
Displays the user-defined fields in the selected table. Highlight a field to
edit or delete it.

.topic 0x1B3
Click this button to add a new user-defined field to the selected table.

.topic 0x1B4
Click this button to edit or view the selected user-defined field.

.topic 0x1B5
Click this button the delete the selected user-defined field.

.topic 0x1B6
Click this button to close the dialog box.

.topic 0x1B7
Click this button to close the dialog box.

.topic 0x1C1
Displays the name of the table containing the user-defined field.

.topic 0x1C2
Displays the name of the user-defined field. When creating a new field, enter
a name of 64 or fewer characters. Only alpha-numeric characters are allowed.

.topic 0x1C3
Displays the data type of the user-defined field. When creating a new field,
select a data type from the list.

.topic 0x1C4
Displays the length of the user-defined field. This control is read-only for
all but new text fields. Enter a value between 1 and 255.

.topic 0x1C5
Displays the number of decimal places to be shown in wInsight for the field.
(This field is zero except for the 'double' data type.)

.topic 0x1C6
Click this button to close the dialog box without saving.

.topic 0x1D1
Displays the contracts in the active database. Select the target contract.

.topic 0x1D2
Displays the periods in the selected contract. Select the period to copy data
from. The following period is automatically selected in the 'Date To' list.

.topic 0x1D3
Displays the periods in the selected contract. Select the period to copy data
to.

.topic 0x1D4
Check this box to copy Format 5 narratives between periods.

.topic 0x1D5
Check this button to copy Format 5 narratives for all elements.

.topic 0x1D6
Check this button to copy Format 5 narratives for only those elements exceeding
variance analysis thresholds.

.topic 0x1D7
Check this box to copy User Narratives between periods.

.topic 0x1D8
Check this box to copy User EAC Narratives between periods.

.topic 0x1D9
Check this box to copy User EACs between periods.

.topic 0x1DA
Check this button to copy the actual EAC values between periods.

.topic 0x1DB
Check this button to copy the EAC method between periods. (The EAC will be set
to the value of that method in the target period.)

.topic 0x1DC
Check this button to copy EAC/Funding/MR values between periods.

.topic 0x1DF
Check this button to copy OMB 300 C-G inputs between periods.

.topic 0x2D1
Check this button to copy OMB 300 milestones between periods.

.topic 0x2D2
Check this button to copy program milestones between periods.
(See wInsight Inputs menu.)

.topic 0x2D3
Check this button to copy linked files between periods.
(See wInsight Inputs menu.)

.topic 0x2D4
Check this button to copy scorcard (key peformance indicator) inputs
between periods.

.topic 0x1DD
Click this button to copy data between periods according to the specified
selections.

.topic 0x1DE
Click this button to close the dialog box without copying any data.

.topic 0x1E1
Enter or edit the CFSR Narrative.

.topic 0x1E2
Click this button to accept your input and close the CFSR Narrative dialog box.

.topic 0x1E3
Click this button to close the CFSR Narrative dialog box without accepting your input.

.topic 0x1F1
Displays the CFSR structure and highlights the parent element of the element being inserted into the structure.

.topic 0x1F2
Enter the element's Source code, or choose it from the drop list.

.topic 0x1F3
Enter the element's Appropriation code, or choose it from the drop list.

.topic 0x1F4
Enter the element's Fiscal Year, or choose it from the drop list.

.topic 0x1F5
Click this button to accept your input and close the Insert CFSR Element dialog box.

.topic 0x1F6
Click this button to close the Insert CFSR Element dialog box without accepting your input.

.topic 0x201
Displays the CFSR structure. Double-click on the Fiscal Year element you want to edit.

.topic 0x211
Indicates what script argument is being prompted for, and the total number of prompts.

.topic 0x212
Indicates the contents the list box .

.topic 0x213
Select the desired item from this list.

.topic 0x214
Select the desired item from this list.

.topic 0x215
Enter the desired value in this area.

.topic 0x216
Displays user-supplied information about the argument being prompted for.

.topic 0x217
Click here to return to the previous screen.

.topic 0x218
Click here to proceed to the next screen, or to run the script.

.topic 0x221
Indicates the element being updated.

.topic 0x222
Indicates the performance indicator being updated.

.topic 0x223
Select a color to assign to the current element and highlighted performance indicator.

.topic 0x224
Select a key performance indicator to be updated.

.topic 0x225
Click here to transfer your changes to the spreadsheet.

.topic 0x226
Click here to close the Scorecard dialog box.


.topic 101
No Help Available

No Help is available for this item.

.topic 201
No Help Available

No Help is available for this item.

.topic 202
Title Bar

Displays the application's name, wInsight Administrator.  You can move the
wInsight main window by clicking the title bar and dragging with the mouse.

.topic 203
Size Command

Use this command to display a two-headed arrow so you can size the wInsight
Administrator main window with the arrow keys.  You can also resize it by
dragging its corners or edges with the mouse.  This command is unavailable if
wInsight Administrator is maximized.

.topic 204
Horizontal Scroll Bar

Displays at the bottom edge of a window allowing you to scroll the window's
contents horizontally.  The scroll box inside the scroll bar indicates your
horizontal location in the window.

.topic 205
Vertical Scroll Bar

Displays at the right edge of a window allowing you to scroll the window's
contents vertically.  The scroll box inside the scroll bar indicates your
vertical location in the window.

.topic 206
Minimize Command

Reduces wInsight Administrator to an icon.

.topic 207
Maximize Command

Expands wInsight Administrator so it takes up the full screen.

.topic 208
Close Command

Closes wInsight Administrator.

.topic 209
IDH_HT_HELP

.topic 210
Size Command

Use this command to display a two-headed arrow so you can size the wInsight
Administrator main window with the arrow keys.  You can also resize it by
dragging its corners or edges with the mouse.  This command is unavailable if
wInsight Administrator is maximized.

.topic 211
Size Command

Use this command to display a two-headed arrow so you can size the wInsight
Administrator main window with the arrow keys.  You can also resize it by
dragging its corners or edges with the mouse.  This command is unavailable if
wInsight Administrator is maximized.

.topic 212
Size Command

Use this command to display a two-headed arrow so you can size the wInsight
Administrator main window with the arrow keys.  You can also resize it by
dragging its corners or edges with the mouse.  This command is unavailable if
wInsight Administrator is maximized.

.topic 213
Size Command

Use this command to display a two-headed arrow so you can size the wInsight
Administrator main window with the arrow keys.  You can also resize it by
dragging its corners or edges with the mouse.  This command is unavailable if
wInsight Administrator is maximized.

.topic 214
Size Command

Use this command to display a two-headed arrow so you can size the wInsight
Administrator main window with the arrow keys.  You can also resize it by
dragging its corners or edges with the mouse.  This command is unavailable if
wInsight Administrator is maximized.

.topic 215
Size Command

Use this command to display a two-headed arrow so you can size the wInsight
Administrator main window with the arrow keys.  You can also resize it by
dragging its corners or edges with the mouse.  This command is unavailable if
wInsight Administrator is maximized.

.topic 216
Size Command

Use this command to display a two-headed arrow so you can size the wInsight
Administrator main window with the arrow keys.  You can also resize it by
dragging its corners or edges with the mouse.  This command is unavailable if
wInsight Administrator is maximized.

.topic 217
Size Command

Use this command to display a two-headed arrow so you can size the wInsight
Administrator main window with the arrow keys.  You can also resize it by
dragging its corners or edges with the mouse.  This command is unavailable if
wInsight Administrator is maximized.

.topic 218
Size Command

Use this command to display a two-headed arrow so you can size the wInsight
Administrator main window with the arrow keys.  You can also resize it by
dragging its corners or edges with the mouse.  This command is unavailable if
wInsight Administrator is maximized.

.topic 219
Move Command

Use this command to display a four-headed arrow so you can move the wInsight
Administrator main window with the arrow keys.  You can also move it by dragging
its title bar with the mouse.  This command is unavailable if wInsight
Administrator is maximized.

.topic 220
Size Command

Use this command to display a four-headed arrow so you can size wInsight
Administrator main window with the arrow keys.  You can also resize it by
dragging its corners or edges with the mouse.  This command is unavailable if
wInsight Administrator is maximized.

.topic 221
Minimize Command

Reduces wInsight Administrator to an icon.

.topic 222
Maximize Command

Expands wInsight Administrator so it takes up the full screen.

.topic 223
Next Window Command

Use this command to switch to the next open window.  The next window is
determined by the order in which you opened the windows.

.topic 224
Previous Window Command

Use this command to switch to the previous open window.  The previous window is
determined by the order in which you opened the windows.

.topic 225
Close Command

Closes wInsight Administrator.

.topic 226
Restore Command

Use this command to return wInsight Administrator to its size and position
before you chose the Maximize or Minimize command.

.topic 227
IDH_SC_TASKLIST

.topic 301
IDH_TOOLBAR

.topic 302
Status Bar

To display or hide the wInsight Administrator status bar, use the Status Bar
command in the Options menu.  The left area of the status bar provides menu item
and toolbar descriptions, as well as status information during extended
operations.  The areas on the right edge of the status bar provide information
on current program state.

.topic 303
IDH_PREVIEW_BAR

.topic 304
IDH_RESIZE_BAR

.topic 305
Toolbars may be docked in this area.

.topic 306
Toolbars may be docked in this area.

.topic 307
Toolbars may be docked in this area.

.topic 308
Toolbars may be docked in this area.

.topic 309
Toolbars may be docked in this area.

.topic 401
Main Window

The main window in wInsight Administrator is primarily a workspace for entering
contract and performance data and viewing reports.  It is composed of the
Title Bar, Menu Bar, Toolbar, Status Bar, a selection area on the left, and
input area on the right.

.topic 501
About wInsight Administrator Command

Displays copyright, version, and user information for this copy of wInsight
Administrator.

.topic 503
IDH_USERS

.topic 521
IDH_FPROMPT

.topic 522
IDH_ROWS

.topic 523
IDH_APPLOGIN

.topic 524
IDH_APPLOGIN2

.topic 527
IDH_PASSWORD

.topic 528
IDH_NEWUSER

.topic 529
IDH_EDITUSER

.topic 0
IDH_SELECTBAR

.topic 603
Save Changes Command

Saves to the data source any changes made in the active
window.

.topic 612
Select Database Command

Opens the Select Data Source dialog box.  Select, add,
and delete data sources for earned value data.

.topic 610
Set Password Command

Sets the active user's password.

.topic 611
User Maintenance Command

Opens the User Maintenance dialog box, allowing users to
be added or removed, and user information to be edited.

.topic 764
Login As Another User Command

If enabled, displays the Application Login dialog box, allowing the current
user to log in under another user name.

.topic 605
Print Command

Displays printing options and prints all or part of the active
window.

.topic 606
Print Preview

Shows how a report will look when printed.

.topic 608
Exit Command

Exits the application.

.topic 617
Copy Command

Copies the current selection to the clipboard.

.topic 618
Paste Command

Inserts the contents of the clipboard at the insertion point,
replacing any selection.

.topic 620
Select All Command

Selects the entire contents of the active window, normally in preparation for
formatting or copying.

.topic 0
Find Command

Searches for the specified text and selects the first occurrence found.

.topic 0
Replace Command

Searches for and replaces the specified text.

.topic 0
Delete Command

Deletes or clears the current row or selected rows.

.topic 0
Insert Command

Inserts a row into the data input table.  This command is available for most
Data Input Shared Setup and Contract Setup tables.

.topic 738
Recalculate Command

Displays recalculation options and recalculates all or selected contracts for
any or all periods of data.

.topic 739
Export File Command

Creates either an ASC X12 839 Electronic Data Interchange (EDI) transfer file(s)
or an XML transfer file for selected period(s) of data.

.topic 740
Import File Command

Selects and imports one or more ASC X12 839 Electronic Data Interchange (EDI)
transfer file(s) or XML transfer file.  Creates a new contract, if required.

.topic 741
Backup Command

Creates an archive file for a specified contract(s).

.topic 742
Restore Command (Utilities Menu)

Restores a contract(s) from a specified archive file.

.topic 0
Define User Fields Command (Utilities Menu)

Opens a dialog box allowing you to create, edit, and delete user-defined
fields.

.topic 0
Rollup Options Command

Set or view report rollup options.

.topic 0
IDH_OPTIONS_SHOWID

.topic 0
Show Rollup Command

Apply or remove rollup options for the current structure.

.topic 685
Font Command

Selects the font for the active window, or for the active selection.

.topic 745
Format Command

Specify formatting and display options for CPR reports.

.topic 690
Freeze Panes Command

Locks rows above and columns to the left of the cursor.

.topic 678
Indent/Unindent Command

Left aligns or indents the WBS number column on input spreadsheets according to
element level.

.topic 0
Refresh Command

Updates the input spreadsheet with information from the database.  The most
common times to refresh are when the Rowset Row Limit parameter defining the
number of rows to show is adjusted or when manually making modifications to
element structures.

.topic 613
Rowset Toolbar Command

Shows or hides the Rowset toolbar.

.topic 736
Standard Toolbar Command

Shows or hides the Standard wInsight Administrator toolbar.

.topic 614
Dataset Toolbar Command

Shows or hides the Dataset toolbar.

.topic 737
Status Bar Command

Shows or hides the Status Bar.

.topic 622
Get the previous set of elements matching the current filter.

.topic 623
Get the next set of elements matching the current filter.

.topic 624
Get the last set of elements matching the current filter.

.topic 625
Get the first set of elements matching the current filter.

.topic 626
Set the maximum number of rows to return at one time.  Enter zero ('0') to
return all rows.  The change will be reflected when another input screen is
accessed.  Use the Rowset menu or toolbar to see the next/previous elements.

.topic 627
Contract List

Indicates the contract for the active data set; provides a pick
list of contracts.

.topic 628
Date List

Indicates the date for the active data set; provides a pick list of
dates.

.topic 629
Unit Toggle

Toggles the active dataset between the available units (dollars, hours,
equivalent persons (EQP), etc.).  The Unit drop-down list and the Unit status
bar pane indicate the current setting.

.topic 630
Structure Toggle

Toggles the active dataset between the available contract structures (WBS,
Functional, IPT, etc.).  The Structure drop-down list and the Structure status
bar pane indicate the current setting.

.topic 0
Resize the window panes.  Use the arrow keys to position the splitter bar as
desired, then press <Enter>.  You can also click and drag the splitter bar with
the mouse.

.topic 0
Changes keyboard focus to the next pane.  You can also click in the desired pane
with the mouse.

.topic 0
Previous Pane Command

Activates the next available pane, moving counter-clockwise.

.topic 707
Help Topics Command

Displays wInsight Administrator On-line Help.

.topic 708
Context Help Command

Displays context sensitive help for the selected item.

.topic 0
IDH_INDICATOR_ACTIVE

.topic 0
Indicates the current input screen or report.

.topic 0
Indicates the current units (dollars, hours, equivalent persons (EQP), etc.).

.topic 0
Indicates the current contract structure (WBS, OBS, IPT, etc.).

.topic 0
Indicates the subset of rows currently displayed.

.topic 0
Indicates the total number of rows available for display.

.topic 0
The Navigation or Select pane is used to open input spreadsheets, open reports,
and select the active data set (contract, period, structure, and units).

.topic 0
The Data Entry pane is for entering contract, earned value, and report
information via a spreadsheet interface.

.topic 0
The Report pane is for viewing CPR and C/SSR reports.  Microsoft's Internet
Explorer (IE) browser is used to display and print the reports.  Settings in IE
(margins; print background color and images) will affect how the reports are
printed.

.topic 710
About wInsight Administrator Command

Displays copyright, version, and user information for this
copy of wInsight Administrator.

.topic 0
Copy Forward Command

Opens the Copy Forward dialog box, with allows you to copy selected data
between periods for any contract.

.topic 0
Launch WbsMap Command

Opens the WbsMap utility, which allows you to link WBS elements
at any level to lowest-level elements of alternate structures.

.topic 0
Launch TreeMgr Command

Open the Tree Manager utility, which makes it easier to add, delete, and rename
elements in WBS and alternate structures.

.topic 0
Run Script...Browse Command

Opens a dialog box allowing you to select a wInsight QRY script.

.topic 0
Run Script...User Script

Runs the selected wInsight QRY script, after prompting for any script agruments
that may be required.


Adjust the Variance Indicator Box

In the Bull’s-eye chart, the inner box is set at +/- 10% for cost and schedule variances. You can modify this setting.

To change the variance indicator value, complete the following steps:

  1. Start wInsight, but do not open a contract.

  2. Select File » Export Custom Items.... A Save As dialog box appears.

  3. Save your existing chart, filter, and view definitions to a new WSCUSTOM.XML file.

  4. Open the .XML file you created in a text editor such as Notepad or WordPad.

  5. Scroll down in the file until you locate the <Charts> section and then locate name="Bull's-eye Chart".

  6. At the end of the first line, locate exopt=””. Between the two sets of quotation marks, insert the desired amount of percent variance. For example, if you wish to make the variance range indicator +/- 15%, insert 15 (if the exopt setting is left blank it defaults to 10%).

  7. Save your changes and exit the text editor.

  8. Import the definition into wInsight to use the modified chart definition.

  9. In wInsight, select File » Import Custom Items.... An Open dialog box displays.

  10. Browse and select the .XML file you modified above, and click Open. The Import Custom Items dialog box displays.

  11. Select an option, and click OK. The Bull's-eye chart displays a +/- 15% variance box in the center of the chart.

If you select option 1, wInsight does not import the settings you modified.


Create a WSCUSTOM.XML File that Defines the Axis as CPI vs. SPI

This procedure allows you to create a WSCUSTOM.XML file that defines the Bull's-eye chart's axis as Cost Performance Index (CPI) vs. Schedule Performance Index (SPI).

To create a WSCUTOM.XML file, complete the following steps:

  1. Start wInsight, but do not open a contract.

  2. Select File » Export Custom Items.... A Save As dialog box displays.

  3. Save your existing chart, filter, and view definitions to a new WSCUSTOM.XML file in a location where you will be able to find the file in the next step.

  4. Open the .XML file you created in a text editor, such as Notepad or WordPad.

  5. Scroll down in the file until you locate the <Charts> section and then locate name="Bull's-eye Chart".

  6. On the next line change the field= definition from CvpCum to CpiCum and change the legend= definition from CV% Cum to CPI CUM.

  7. On the next line change the field= definition from SvpCum to SpiCum and change the legend= definition from SV% Cum to SPI CUM. It is important that you make these changes precisely, as any slight modification may not give the desired results.

  8. Save your changes, and exit the text editor. You can now import the WSCUSTOM.XML file.

Related Topics and Procedures

Import a Chart with the Axis Defined as CPI vs. SPI


Database Login Dialog Box

Use the Database Login dialog box to log on to wInsight and wInsight Administrator when the authentication option is enabled for a wInsight database. This dialog box contains the following fields:

Data Source

This field displays the name of an active database.

Name

Enter your database user name.

Password

Enter your database password.

wInsight user names and passwords are case-sensitive.

Location

To display the Database Login dialog box, complete the following steps:

  1. On the Menu bar, click File » Select Database.... The Select Data Source dialog box displays.

  2. Click OK.

Related Topics and Procedures

wInsight

Change Your Password

Log on to wInsight

Managing User Access Overview

Security Overview

wInsight Administrator

Change Your Password

Log on to wInsight Administrator

Managing User Access Overview

Security Overview


Import a Chart with the Axis Defined as CPI vs. SPI

This procedure requires a WSCUSTOM.XML file, which defines the Bull's-eye chart's axis as Cost Performance Index (CPI) vs. Schedule Performance Index (SPI).

To import a Bull's-eye chart with axis defined as CPI vs. SPI, complete the following steps:

  1. Start wInsight, but do not open a contract.

  2. Select File » Import Custom Items.... An Open dialog box displays.

  3. Browse and select the WSCUSTOM.XML file that defines the Bull's-eye chart's axis as CPI vs. SPI. The Import Custom Items dialog box displays.

  4. Select an option, and click OK. The Bull's-eye chart plots cumulative CPI vs. SPI.

You have three options, but you would most likely want to select option 2 or 3. If you select option 1, wInsight does not import the settings you modified.


Redefine the Axis as CPI vs. SPI

By default, the Bull’s-eye chart plots the cumulative Cost Variance Percentage versus Schedule Variance Percentage. You can modify the chart to plot cumulative Cost Performance Index versus Schedule Performance Index. If necessary, you can later restore the original settings.

To plot Cost Performance Index versus Schedule Performance Index, the chart must use the CPICum and SPICum fields. If those fields are available for selection when modifying a chart, then you can modify the Bull's-eye chart just like any other chart (see Modify a Chart).


Reset Defaults for the Bull's-eye Chart

To reset the default settings:

  1. Start wInsight and open a contract.

  2. Click Charts » Bull’s-eye Chart. The Bull's-eye chart displays.

  3. Click Options » Define Chart. The Chart Definition dialog box displays.

  4. Click Reset. The variance indicator value will be reset so that the Bull's-eye chart displays a +/-10% variance indicator box.


Thresholds Dialog Box

Use the Thresholds dialog box to view the variance color and change thresholds for an active contract.

Display | Condition
Red | Unsatisfactory (If ≤ red threshold then red, else)
Yellow | Marginal (If ≤ yellow threshold then yellow, else)
Green | Good (If ≤ green threshold then green, else)
Blue | Excellent (blue)
Horizontal Arrows | No Significant Change Since Last Period
Up Arrow | Significantly Better Since Last Period
Down Arrow | Significantly Worse Since Last Period

These color code parameters are referred to as "management" variance thresholds (versus CPR Format 5 reporting variance thresholds). You enter the parameters in wInsight Administrator; you cannot change them in wInsight.

Location

To display the Thresholds dialog box, on the Menu bar, click Options » Thresholds.

Related Topics and Procedures

Colors and Trend Thresholds

Sort Window Performance Indicators

wInsight Options Menu